<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/5/16
 * Time: 16:35
 */

namespace Addons\QqSupport\Services\Plugins;


use Addons\QqSupport\Helper;

class Payment extends \BaseController
{
    /**
     * qq支付钩子
     * @param $params
     * @param array $extra
     * @return array|bool
     */
     public function _pay_params(&$params,array $extra){
//         $wid, $openid, $money, $notifyUrl, $OrderNo, $remark, $attach = ''
            $pay_type=$extra['pay_type'];
            if($pay_type!='qq')return error('非qq类型');
                \Log::debug('qq支付参数:'.json_encode($extra));
                $pay_params=Helper::getInstance()->prepay($extra['wid'],$extra['openid'],
                    $extra['money'],$extra['notifyUrl'],$extra['OrderNo'],$extra['remark'],$extra['attach']);
                if($pay_params){
                    $params=success('ok',$pay_params);
                }else{
                    $params=error('err',null);
                }
            return false;#停止继续执行
     }

    /**
     * qq支付回调钩子
     * @param $params
     * @param array $extra
     * @return bool|string
     */
     public function _pay_notify(&$params,array $extra){
        \Log::debug('qq支付插件回调获得参数:'.json_encode($extra));
         if($extra['pay_type']!='qq')return true;
         ini_set('date.timezone', 'Asia/Shanghai');
         error_reporting(0);
         $wid = $extra['wid'];
         $xml = file_get_contents("php://input");
         $pay_resp = xml_to_array($xml);
         //支付参数
         $payParams = db_query("SELECT * FROM qq_vshop_weixin_pay WHERE wid=?", [$wid])[0];
         //验证签名
         if (!confirm_sign($pay_resp, $payParams['PartnerKey'])) {
             \Log::debug('签名失败:'.$xml);
             $return= "<xml><return_code><![CDATA[FAIL]]></return_code><return_msg><![CDATA[签名失败]]></return_msg></xml>";
             $params=error('签名失败',['pay_resp'=>null,'return'=>$return]);
             return  false;

         }
        
         $return = "<xml><return_code><![CDATA[SUCCESS]]></return_code><return_msg><![CDATA[OJBK]]></return_msg></xml>";
          $params=success('ok',['pay_resp'=>$pay_resp,'return'=>$return]);//返回解析数据
         return false;
     }
}