<?php
/**
* 	配置账号信息
*/

//支付宝配置
$p = new Model('vshop_weixin_pay');
$p->find(array('wid'=>$wid));
//存在支付
if($p->has_id()){

    define(WID, $wid);

    //=======【基本信息设置】=====================================
    //
    /**
     *
     * 微信公众号信息配置
     * APPID：绑定支付的APPID（必须配置）
     * MCHID：商户号（必须配置）
     * KEY：商户支付密钥，参考开户邮件设置（必须配置）
     * APPSECRET：公众帐号secert（仅JSAPI支付的时候需要配置）
     * @var string
     */
    define(APPID, $p->AppId);
    define(MCHID, $p->PartnerId);
    define(KEY,$p->PartnerKey);
    define(APPSECRET, $p->AppSecret);

    //=======【证书路径设置】=====================================
    /**
     *
     * 证书路径,注意应该填写绝对路径（仅退款、撤销订单时需要）
     * @var path
     */
    define(SSLCERT_PATH, DOXCX_FRAME_PATH.'Payment/WxpayAPI/cert/apiclient_cert.pem');//cacert/apiclient_cert.pem
    define(SSLKEY_PATH, DOXCX_FRAME_PATH.'Payment/WxpayAPI/cert/apiclient_key.pem');//cacert/apiclient_key.pem

    //=======【curl代理设置】===================================
    /**
     *
     * 本例程通过curl使用HTTP POST方法，此处可修改代理服务器，
     * 默认0.0.0.0和0，此时不开启代理（如有需要才设置）
     * @var unknown_type
     */
    define(CURL_PROXY_HOST, 0);
    define(CURL_PROXY_PORT, 8080);

    //=======【上报信息配置】===================================
    /**
     *
     * 上报等级，0.关闭上报; 1.仅错误出错上报; 2.全量上报
     * @var int
     */
    define(REPORT_LEVENL, 1);
}