<?php
Page::$need_view = false;
ini_set('date.timezone', 'Asia/Shanghai');
error_reporting(0);
$xml = file_get_contents("php://input");
$pay_resp = xml_to_array($xml);
diy_log($pay_resp);
$attach = json_decode($pay_resp['attach'], true);
$wid = $attach['wid'];
//支付参数
$payParams = db_query("SELECT * FROM vshop_weixin_pay WHERE wid=?", [$wid])[0];
diy_log($payParams);
//验证签名
if (!confirm_sign($pay_resp, $payParams['PartnerKey'])) {
  echo "<xml><return_code><![CDATA[FAIL]]></return_code><return_msg><![CDATA[签名失败]]></return_msg></xml>";
  exit();
}
//找到订单/更新订单
$order = (new Model('jd_order'))->where(['order_no' => $pay_resp['out_trade_no']])->find();
$order->is_pay = 1;
$order->save();
// 发送模板消息
$setting = (new Model('jd_setting'))->find(['wid' => $wid]);
sendTplMsg_jd_pay_success($wid, $setting->pay_tplid, $order);
// 小票打印机
try {
  print_jd_order($order->id);
} catch (Exception $e) {

}
// 短信通知（商家）
try {
  $pub = (new Model('pubs'))->find(['id' => $wid]);
  if ($setting->order_notice == 1 && $setting->phone) {
    unified_send_sms($pub->uid, $setting->phone, '酒店有用户支付完成了，快去看看吧！单号' . $order->order_no,'template_jd_ok',["orderNo" =>$order->order_no]);
  }
  if ($setting->pay_notice == 1 && $order->phone) {
    unified_send_sms($pub->uid, $order->phone, '您的酒店预订单已经支付成功，订单号：' . $order->order_no,'template_jd_ydok',["orderNo" =>$order->order_no]);
  }
} catch (Exception $e) {
  diy_log(['酒店短信发送失败', $e]);
}
//返回结果
echo "<xml><return_code><![CDATA[SUCCESS]]></return_code><return_msg><![CDATA[OK]]></return_msg></xml>";