<?php
Page::$need_view = false;
ini_set('date.timezone', 'Asia/Shanghai');
error_reporting(0);
$xml = file_get_contents("php://input");
$pay_resp = xml_to_array($xml);
diy_log($pay_resp);
$attach = json_decode($pay_resp['attach'], true);
$wid = $attach['wid'];
//支付参数
$payParams = db_query("SELECT * FROM vshop_weixin_pay WHERE wid=?", [$wid])[0];
diy_log($payParams);
//验证签名
if (!confirm_sign($pay_resp, $payParams['PartnerKey'])) {
  echo "<xml><return_code><![CDATA[FAIL]]></return_code><return_msg><![CDATA[签名失败]]></return_msg></xml>";
  exit();
}
//找到订单/更新订单
$setting = (new Model('zhct_setting'))->find(['wid' => $wid]);
$order = (new Model('zhct_order'))->where(['order_no' => $pay_resp['out_trade_no']])->find();
$order->pay_time = date('Y-m-d H:i:s');
$order->is_pay = 1;
// $order->status = 1;
$order->save();
// 发送模板消息
if ($setting->template_id) {
  try {
    sendTplMsg_zhct_order_pay_success($wid, $setting->template_id, $openid, $order->form_id, $order->total_price, $order->ctime, $order->pay_time, $order->order_no, $type == 0 ? '点餐' : '外卖', $order->remark ? $order->remark : '无');
  } catch (Exception $e) {
    diy_log(['智慧餐厅模板消息失败', $e]);
  }
}
// 小票打印机
try {
  print_zhct_order($order->id);
} catch (Exception $e) {
  diy_log(['智慧餐厅订单打印失败', $e]);
}
// 短信通知
try {
  if ($setting->tel) {
    $pub = (new Model('pubs'))->find(['id' => $wid]);
    unified_send_sms($pub->uid, $setting->tel, '有用户下单了，快' . ($type == 0 ? '上菜' : '配送') . '吧！单号' . $order->order_no,'template_zhct_ok',["type" =>($type == 0 ? '上菜' : '配送'),"orderNo"=>$order->order_no]);
  }
} catch (Exception $e) {
  diy_log(['智慧餐厅短信发送失败', $e]);
}
if($order->type==0){
  $table=(new Model('zhct_table'))->find(['wid'=>$wid,'id'=>$order->table_id]);
  $table->status=3;
  $table->save();
}
//返回结果
echo "<xml><return_code><![CDATA[SUCCESS]]></return_code><return_msg><![CDATA[OK]]></return_msg></xml>";