<?php
Page::$need_view = false;
ini_set('date.timezone', 'Asia/Shanghai');
error_reporting(0);
$xml = file_get_contents("php://input");
$pay_resp = xml_to_array($xml);
diy_log($pay_resp);
$attach = json_decode($pay_resp['attach'], true);
$wid = $attach['wid'];
//支付参数
$payParams = db_query("SELECT * FROM vshop_weixin_pay WHERE wid=?", [$wid])[0];
diy_log($payParams);
//验证签名
if (!confirm_sign($pay_resp, $payParams['PartnerKey'])) {
  echo "<xml><return_code><![CDATA[FAIL]]></return_code><return_msg><![CDATA[签名失败]]></return_msg></xml>";
  exit();
}
//找到订单/更新订单
$record = (new Model('tc_recharge'))->where(['order_no' => $pay_resp['out_trade_no']])->find();
$record->is_pay = 1;
$record->ptime = date('Y-m-d H:i:s');
$record->save();
// 给用户增加次数
$tc_user = (new Model('tc_user'))->find(['wid' => $wid, 'openid' => $record->openid]);
$tc_user->free_num += $record->num;
$tc_user->save();
//返回结果
echo "<xml><return_code><![CDATA[SUCCESS]]></return_code><return_msg><![CDATA[OK]]></return_msg></xml>";