<?php
Page::$need_view = false;
require(DOXCX_FRAME_PATH . 'fun/baiduOpenApiT.php');//开放平台api函数集
$appid = Request::get('appid');
$status = Request::get('status');
$action = Request::get('action');
$pub = (new Model('pubs'))->find(['bd_appid' => $appid]);


if (!$pub->bd_authorizer_access_token) {
	echo '0';
	exit();
}else{
	if (intval(strtotime($pub->bd_token_create_time)) + 3000 < time()) {
      //当前存储的令牌已经失效
      //发起令牌刷新请求
      //获取cat令牌
      $component_access_token = get_component_access_token();
      if (!$component_access_token) {
        echo 0;
		exit();
      }
      //发起刷新请求
	  $body = HttpCurl::get("https://openapi.baidu.com/rest/2.0/oauth/token?access_token=" .  $component_access_token . "&refresh_token=" . $pub->bd_authorizer_refresh_token . "&grant_type=app_to_tp_refresh_token", []);
      $resp_arr = json_decode($body, 1);
      if (array_key_exists('access_token', $resp_arr)) {
        //成功获取
        $pub->bd_authorizer_access_token = $resp_arr['access_token'];
        $pub->bd_authorizer_refresh_token = $resp_arr['refresh_token'];
        $pub->bd_token_create_time = date('Y-m-d H:i:s', time());
        $pub->save();
      } else {
        //获取失败
        echo 0;
		exit();
      }
    }
	if($action=="switch"){
		$resp = HttpCurl::post(
		"https://openapi.baidu.com/rest/2.0/smartapp/app/modifywebstatus?access_token=" . $pub->bd_authorizer_access_token,
		[
			"web_status"  => $status,
		]
		);
		$respArr = json_decode($resp, 1);
		if($respArr['msg'] == 'success'){
			echo 1;
		}else{
			echo 0;
		}
	}else if($action=="search"){
		$resp = HttpCurl::get("https://openapi.baidu.com/rest/2.0/smartapp/app/info?access_token=" . $pub->bd_authorizer_access_token, []);
		$resp_arr = json_decode($resp, 1);
		if (array_key_exists('data', $resp_arr)) {
			if($resp_arr['data']['web_status'] == 1){
				echo 1;
			}
			echo 0;
		} else {
			//获取失败
			echo 0;
		}
	}
	exit();
}









