<?php
/**
 * 给绑定的小程序上传代码
 * Created by PhpStorm.
 * User: Jeffrey
 * Date: 2017/12/12
 * Time: 13:03
 */


Page::$need_view = false;
header('Content-Type:application/json');
require(DOXCX_FRAME_PATH . 'fun/wxOpenApi.php');//开放平台api函数集

$wid = Session::get('wid');
$pub = (new Model('pubs'))->find(['id'=>$wid]);

if (!$pub->authorizer_access_token) {
  sendResponse([
    'status' => 'error',
    'msg' => '请先完成授权绑定',
  ]);
} else {
  //执行解绑
  $tester_account = trim($_POST['testerAccount']);
  if (!$tester_account) {
    sendResponse([
      'status' => 'error',
      'msg' => '参数错误',
    ]);
    exit();
  }
  //发起请求
  $delTester = unbind_tester($tester_account);
  if ($delTester) {
    //解绑成功
    (new Model('wx_tester'))->find(['wid'=>$wid,'tester_account'=>$tester_account])->delete();
    sendResponse([
      'status' => 'success',
      'msg' => '解绑成功',
    ]);
    exit();
  } else {
    sendResponse([
      'status' => 'error',
      'msg' => '系统繁忙',
    ]);
    exit();
  }
}
exit();


