<?php
/**
 * 给绑定的小程序上传代码
 * Created by PhpStorm.
 * User: Jeffrey
 * Date: 2017/12/12
 * Time: 13:03
 */


Page::$need_view = false;
header('Content-Type:application/json');
require(DOXCX_FRAME_PATH . 'fun/wxOpenApi.php');//开放平台api函数集

$wid = Session::get('wid');
$pub = (new Model('pubs'))->find(['id'=>$wid]);

if (!$pub->authorizer_access_token) {
  sendResponse([
    'status' => 'error',
    'msg' => '请先完成授权绑定',
  ]);
  exit();
} else {
  //执行上传代码
  $admin = get_agent_openPlat();//管理员（管理员配置）
  $upload = wx_upload_code($admin->template_id,arr_get($_POST, 'version_code'),arr_get($_POST, 'remark_info'));
  if ($upload) {
    $record = (new Model('user_upload_code_record'))->insert([
      'wid' => $wid,
      'upload_time' => time(),
      'template_id' => $admin->template_id?$admin->template_id:get_template()['template_id'],
      'is_audit' => -1,//未提交审核
      'version_code'=>arr_get($_POST, 'version_code'),
      'remark_info'=>arr_get($_POST, 'remark_info')
    ]);
    sendResponse([
      'status' => 'success',
      'msg' => '上传成功',
    ]);
  } else {
    sendResponse([
      'status' => 'success',
      'msg' => '上传失败',
    ]);
  }
  exit();
}


