<?php
$userAgency = (new Model('user_agency'))->find(['isadmin'=>1]);
if($userAgency->auth_type==2){
	$authType='Publish/fabu';
}else{
	$authType='Publish/GetAuth';
}

if($userAgency->bd_auth_type==2){
	$bdauthType='PublishBd/fabu';
}else{
	$bdauthType='PublishBd/GetAuth';
}

$index = array(
	'小程序发布' => array(
		array(
			'name' => '微信小程序',
			'positionName' => '微信开发',
			'file' => $authType,
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/21.png',
			'ms'   => '微信小程序一键发布',
			'isMark' => 1
		),
		array(
			'name' => '百度小程序',
			'positionName' => '百度开发',
			'file' => $bdauthType,
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/22.png',
			'ms'   => '百度小程序快速制作',
			'isMark' => 1
		),
		array(
			'name' => '支付宝小程序',
			'positionName' => '支付宝',
			'file' => 'Template/downloadAli',
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/23.png',
			'ms'   => '支付宝小程序制作',
			'isMark' => 1
		),
		array(
			'name' => '头条小程序',
			'positionName' => '头条抖音',
			'file' => 'Template/downloadTt',
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/24.png',
			'ms'   => '头条抖音小程序制作',
			'isMark' => 1
		),
		array(
			'name' => 'QQ小程序',
			'positionName' => 'QQ小程序',
			'file' => 'addons/QqSupport/admin/Info/download_info',
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/25.png',
			'ms'   => 'QQ小程序制作',
			'isMark' => 1
		),
	),
	'行业模块' => array(
		array(
			'name' => '商城系统',
			'positionName' => '商城系统',
			'file' => 'userCenter/tongji',
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/a.png',
			'ms'   => '新增小程序端物流查询'
		),
		array(
			'name' => '智慧餐饮',
			'positionName' => '智慧餐厅',
			'file' => 'zhct/setting',
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/b.png',
			'ms'   => '支持扫码点餐，外卖等功能'
		),
		array(
			'name' => '宅多多',
			'positionName' => '宅多多',
			'file' => 'vshopadmin/vshop/ZhaiMore/Setting',
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/c.png',
			'ms'   => '房产中介必备模块'
		),
		array(
			'name' => '万能展示',
			'positionName' => '万能展示',
			'file' => 'customPage/setting',
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/d.png',
			'ms'   => '轻松制作自己的小程序官网'
		),
		array(
			'name' => '酒店系统',
			'positionName' => '酒店系统',
			'file' => 'jd/jdList',
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/e.png',
			'ms'   => '多种酒店功能',
			'isMark' => 1
		),
		array(
			'name' => '同城系统',
			'positionName' => '同城信息',
			'file' => 'tc/setting',
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/f.png',
			'ms'   => '支持付费分类等功能',
			'isMark' => 1
		),
		array(
			'name' => '多商家系统',
			'positionName' => '多商家',
			'file' => 'vshopadmin/vshop/MoreShop/setList',
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/g.png',
			'ms'   => '支持商家入驻，提现',
			'isMark' => 1
		),
		array(
			'name' => '微装修',
			'positionName' => '微装修',
			'file' => 'wd/setting',
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/h.png',
			'ms'   => '装修行业必备功能',
			'isMark' => 1
		),
		array(
			'name' => '微培训',
			'positionName' => '微培训',
			'file' => 'vshopadmin/vshop/WeiTrain/Setting',
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/i.png',
			'ms'   => '培训行业必备模块',
			'isMark' => 1
		),
		array(
			'name' => '微拼车',
			'positionName' => '微拼车',
			'file' => 'wpc/list',
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/j.png',
			'ms'   =>  '拼车模块',
			'isMark' => 1
		),
		array(
			'name' => '智慧美业',
			'positionName' => '智慧美业',
			'file' => 'reserve/list',
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/k.png',
			'ms'   =>  '美业专用预约',
            'isMark' => 1

		),	
	),
	'营销玩法' => array(
		array(
			'name' => '优惠券模块',
			'positionName' => '营销活动',
			'file' => 'vshopadmin/vshop/ShopActivity/ActivityList',
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/1.png',
			'ms'   =>  '支持指定商品使用优惠券',
               
		),

		array(
			'name' => '拼团模块',
			'positionName' => '营销活动',
			'file' => 'vshopadmin/vshop/GroupBuy/SingleOrderList',
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/2.png',
			'ms'   =>  '几人一起拼购，促进购买',
            'isMark' => 1			
		),

		array(
			'name' => '秒杀模块',
			'positionName' => '营销活动',
			'file' => 'vshopadmin/vshop/Seckill/OrderList',
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/4.png',
			'ms'   =>  '秒杀活动，促进购买',
               'isMark' => 1
		),
		array(
			'name' => '大转盘模块',
			'positionName' => '营销活动',
			'file' => 'Dzp/setting',
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/7.png',
			'ms'   =>  '中奖名单实时滚动，支持一键获取手机号',
               'isMark' => 1
		),

		array(
			'name' => '砍价模块',
			'positionName' => '营销活动',
			'file' => 'vshopadmin/vshop/Bargain/OrderList',
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/6.png',
			'ms'   =>  '砍价活动，促进购买',
               'isMark' => 1
		),
		array(
			'name' => '集字游戏',
			'positionName' => '集字游戏',
			'file' => 'vshopadmin/vshop/WordsGame/List',
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/5.png',
			'ms'   =>  '好玩的集字游戏，好友帮助，可以增加次数',
            'isMark' => 1
		),
		array(
			'name' => '答题模块',
			'positionName' => '微答题',
			'file' => 'answer/answerList',
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/11.png',
			'ms'   =>  '分享可获得答题次数',
            'isMark' => 1
		),
		array(
			'name' => '优惠买单宝',
			'positionName' => '优惠买单',
			'file' => 'addons/PayCheap/Admin/adviseCharge',
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/8.png',
			'ms'   =>  '智能推荐机制，巧妙让客户多消费',
            'isMark' => 1
		),
		array(
			'name' => '分销模块',
			'positionName' => '分销管理',
			'file' => 'vshopadmin/vagent/VagentList',
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/9.png',
			'ms'   =>  '分销模块，刺激分享',
            'isMark' => 1
		),
		array(
			'name' => '会员模块',
			'positionName' => '会员管理',
			'file' => 'vshopadmin/vip/getPoint',
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/10.png',
			'ms'   =>  '会员积分，余额，积分抵扣，会员管理',
			'isMark' => 1
		),
		array(
			'name' => '开屏海报',
			'positionName' => '全局设置',
			'file' => 'vshopadmin/vshop/Firstad/List',
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/12.png',
			'ms'   =>  '开屏海报，更好的展现活动',
            'isMark' => 1
		),
	),
	'特色模块' => array(
		array(
			'name' => '聚合码',
			'positionName' => '小程序聚合码',
			'file' => 'addons/qr_image/admin/collect',
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/aa.png',
			'ms'   => '小程序多码合一'
		),
		array(
			'name' => '百度web化',
			'positionName' => '百度小程序web化',
			'file' => 'Addons/BdWeb/Admin/WebSet',
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/bb.png',
			'ms'   => '支持百度收录'
		),
		array(
			'name' => '万能表单',
			'positionName' => '万能表单',
			'file' => 'vshopadmin/vshop/uniForm/formList',
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/cc.png',
			'ms'   => '丰富的表单组件'
		),
		array(
			'name' => '预约系统',
			'positionName' => '预约系统',
			'file' => 'vshopadmin/bespeak/set',
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/dd.png',
			'ms'   => '可用于各种预约场景'
		),
		array(
			'name' => '万能页面',
			'positionName' => '万能装修',
			'file' => 'vshopadmin/vshop/BusinessStyle/PageList',
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/ee.png',
			'ms'   => '自带多种装修组件，百变页面',
			'isMark' => 1
		),
		array(
			'name' => '超级客服',
			'positionName' => '超级客服',	
			'file' => 'kefu/config',
			'icon' => 'http://fuwaa.oss-cn-shenzhen.aliyuncs.com/tubiao/ff.png',
			'ms'   => '超级客服模块',
			'isMark' => 1
		),
	),
);


