<?php
require(DOXCX_FRAME_PATH . 'fun/wxOpenApi.php');//开放平台api函数集
$type_arr=array('1'=>'统一社会信用代码','2'=>'组织机构代码','3'=>'营业执照注册号');

$errMap=array(
	'-1'=>'非法action参数',
	'89249'=>'该主体已有任务执行中，距上次任务24h后再试',
	'89247'=>'内部错误',
	'86004'=>'无效微信号',
	'61070'=>'法人姓名与微信号不一致',
	'89248'=>'企业代码类型无效，请选择正确类型填写',
	'89250'=>'未找到该任务',
	'89251'=>'待法人人脸核身校验',
	'89252'=>'法人&企业信息一致性校验中',
	'89253'=>'缺少参数',
	'89254'=>'第三方权限集不全，补全权限集全网发布后生效'
);

$errmsgArr=array(
	'0'=>'成功',
	'-1'=>'非法action参数',
	'89247'=>'内部错误',
	'89250'=>'未找到该任务',
	'89251'=>'模板消息已下发，待法人人脸核身校验',
	'89252'=>'法人&企业信息一致性校验中',
	'89253'=>'缺少参数'
);

$wid = Session::get('wid');
$m = new Model('wechat_create');
$m->find(array('wid' => $wid));

if($m->id){
	$search_arr = wechat_search($m);
	if($search_arr['errcode'] == 0){
		$status=1;
		$errmsg=$errmsgArr[$search_arr['errcode']];
	}else{
		$errmsg=$errmsgArr[$search_arr['errcode']];
	}

}

if ($m->try_post()) {
	$create_arr = wechat_create($m);
	if($create_arr['errcode']){
		$arr = array(
            'status' => 1,
            'message' => $errMap[$create_arr['errcode']].$create_arr['errmsg'],
            'url' => '',
            'callback' => '',
            'data' => ''
        );
		echo json_encode($arr);
		exit;
	}
	
    $m->wid = $wid;	
    $rs = $m->save();
    $arr = array(
         'status' => 0,
         'message' => '提交成功',
         'url' => '',
         'callback' => 'location.reload(1)',
         'data' => ''
     );
    echo json_encode($arr);
    exit;
}


function wechat_search($m){
	$component_access_token = get_component_access_token();
	$body = HttpCurl::post("https://api.weixin.qq.com/cgi-bin/component/fastregisterweapp?action=search&component_access_token=" . $component_access_token,
		urldecode(json_encode([
			"name" => urlencode($m->name),										  //企业名称
			"legal_persona_wechat"=>urlencode($m->legal_persona_wechat),         //法人微信号
			"legal_persona_name"  =>urlencode($m->legal_persona_name)			 //法人姓名
		]))
	);
	$resp_arr = json_decode($body, 1);
	return $resp_arr;
}

function wechat_create($m){
	$component_access_token = get_component_access_token();
	$body = HttpCurl::post("https://api.weixin.qq.com/cgi-bin/component/fastregisterweapp?action=create&component_access_token=" . $component_access_token,
		urldecode(json_encode([
			"name" => urlencode($m->name),										    //企业名称
			"code" => urlencode($m->code),   										//企业代码
			"code_type" => urlencode($m->code_type),                               //企业代码类型
			"legal_persona_wechat"=>urlencode($m->legal_persona_wechat),           //法人微信号
			"legal_persona_name"  =>urlencode($m->legal_persona_name),				//法人姓名
			"component_phone"     =>urlencode($m->phone)							//第三方联系电话
		]))
	);
	$resp_arr = json_decode($body, 1);
	return $resp_arr;
}
