<?php
$wid = Session::get('wid');

/*****************7天处理数据*****************/
$m = new Model('vshop_order');
$stime = date('Y-m-d').' 23:59:59';
$etime = Getday(7);
$res = $m->where(array('wid'=>$wid,'create_time@>'=>$etime,'create_time@<='=>$stime))->list_all();
$zsarr = array(0,0,0,0,0,0,0);//下单数
$cjarr = array(0,0,0,0,0,0,0);//成交数
$tdarr = array(0,0,0,0,0,0,0);//退单数
for($i=0;$i<7;$i++){
	foreach($res as $_va){
		if(Getdays($i) == date("Y-m-d",strtotime($_va->create_time))){
			$zsarr[$i] += 1;//下单数
		}
		if(Getdays($i) == date("Y-m-d",strtotime($_va->pay_time))){
			if(($_va->OrderStatus == 2 || $_va->OrderStatus == 0 || $_va->OrderStatus == 1) && $_va->PayStatus == 1){
				$cjarr[$i] += 1;//成交数
			}
		}
		if(Getdays($i) == date("Y-m-d",strtotime($_va->refutime))){
			if(($_va->OrderStatus == 4 || $_va->OrderStatus == 5) && ($_va->RightsStatus == 2 || $_va->RightsStatus == 5 || $_va->RightsStatus == 6)){
				$tdarr[$i] += 1;//退单数
			}
		}
	}
}

//对数据处理
$data = array();
$data2 = array();
$data3 = array();
for($i=0;$i<7;$i++){
	$data[$i] = array(intval(strtotime(Getdays($i)))*1000,intval($zsarr[$i]));
	$data2[$i] = array(intval(strtotime(Getdays($i)))*1000,intval($cjarr[$i]));
	$data3[$i] = array(intval(strtotime(Getdays($i)))*1000,intval($tdarr[$i]));
}
$chart_list = array(
	'0' => array(
		'name' => '下单数',
		'data' => $data,
	),
	'1' => array(
		'name' => '成交数',
		'data' => $data2,
	),
	'2' => array(
		'name' => '退单数',
		'data' => $data3,
	)
);
echo json_encode($chart_list);exit;

//计算时间
function Getday($sign="0"){
    $tmp_date=date("Y-m-d");
	$fm_forward = date("Y-m-d",strtotime("$tmp_date -$sign day"));
	return $fm_forward;
}

//计算时间
function Getdays($sign="0"){
	$signs = 7 - $sign;
    $tmp_date=date("Y-m-d");
	$fm_forward = date("Y-m-d",strtotime("$tmp_date -$signs day"));
	return $fm_forward;
}
