<?php
/**
 * 会员列表
 */
Page::$need_view = true;
$get_data = $_GET;
unset($get_data[0]);
$get_data['export'] = 1;
$export_url = 'vipList.html?' . http_build_query($get_data);
$wid = Session::get('wid');
$where = ['wid' => $wid];
$vipSetting = (new Model('vip_setting'))->find(['wid' => $wid]);

//关键词
$nickname=$_GET['nickname'];
if($nickname){
	$where['nickname@~'] = $nickname;
}

if (!arr_get($_GET, 'tid')) {
  $tag = false;
  $is_vip = 0;
  if (!isset($_GET['is_vip']) || arr_get($_GET, 'is_vip') == 1) {
    $is_vip = 1;
    $where['is_vip'] = 1;
  }
   if(arr_get($_GET, 'user_type')){
	   unset($where['is_vip']);
	   $where['user_type'] = arr_get($_GET, 'user_type');
  }
  if (arr_get($_GET, 'export')) {
    $userList = (new Model('wechat_group_list'))->where($where)->list_all();
  } else {
    $m = new Model('wechat_group_list');
    $p = new Pagination(10, 10, true);
    $userList = $p->model_list($m->where($where));
  }
} else {
  $tag = true;
  $tid = arr_get($_GET, 'tid');
  $userIdList = (new Model('wx_user_tag_group'))->list_all(['wid' => $wid, 'tid' => $tid]);
  $userList = [];
  foreach ($userIdList as $userId) {
    $user = (new Model('wechat_group_list'))->find(['wid' => $wid, 'id' => $userId->uid]);
    if ($user->id) {
      $userList[] = $user;
    }
  }
}
foreach ($userList as $k => $user) {
  $vip = (new Model('vip_card'))->find(['openid' => $user->openid]);
  $raw_user=(new Model('vshop_member'))->find(['wxid'=>$user->openid]);
  if ($vip->id) {
    $userList[$k]->vip = $vip;
    $userList[$k]->vip_level = get_vip_level($vipSetting->vip_level, $vip->total_point);
  }
  $userList[$k]->ctime=date('Y-m-d',strtotime($raw_user->reg_time));
}

if (arr_get($_GET, 'export')) {
  require_once(DOXCX_FRAME_PATH . 'fun/library/php-excel.class.php');
  set_time_limit(0);//0表示没有限制
  ini_set("max_execution_time", "0");
  ini_set("memory_limit", "1024M");
  $tableData = [
    0 => ['ID', '昵称', '姓名', '手机号', '注册时间', '会员等级', '积分', '余额', '总消费']
  ];
  for ($i = 1; $i <= count($userList); $i++) {
    $tableData[$i]['ID'] = $userList[$i-1]->id;
    $tableData[$i]['昵称'] = $userList[$i-1]->nickname;
    $tableData[$i]['姓名'] = $userList[$i-1]->vip->name;
    $tableData[$i]['手机号'] = $userList[$i-1]->vip->phone;
    $tableData[$i]['注册时间'] = $userList[$i-1]->ctime;
    $tableData[$i]['会员等级'] = $userList[$i-1]->vip_level['name'];
    $tableData[$i]['积分'] = $userList[$i-1]->vip->point;
    $tableData[$i]['余额'] = $userList[$i-1]->vip->balance;
    $tableData[$i]['总消费'] = $userList[$i-1]->vip->total_consume;
  }
  $xls = new Excel_XML('utf-8', false, '会员信息');
  $xls->addArray($tableData);
  $xls->generateXML('VipList' . date('Y-m-d H:i:s'), time());
  exit();
}