<?php
$wid = Session::get('wid');
$groupId = Request::get(1);
$get_data = $_GET;
unset($get_data[0]);
$get_data['export'] = 1;
$export_url = 'OrderList.html?' . http_build_query($get_data);
// 查询这个组
if ($groupId) {
  $group = (new Model('vshop_product_groupbuy_group'))->where(['wid' => $wid, 'id' => $groupId])->find();
  if (!$group) {
    exit();
  }
  //查询商品
  $product = (new Model('vshop_product_groupbuy'))->where(['id' => $group->product_id, 'wid' => $wid])->find();
  $modelList = (new Model('vshop_product_groupbuy_order'))->where(['is_group' => 1, 'group_id' => $group->id, 'wid' => $wid]);
  if (arr_get($_GET, 'export')) {
    $orders=$modelList->list_all();
  } else {
    //一页显示数量
    $pageSize = 6;
    //分页
    $p = new Pagination($pageSize, 8, true);
    $count = (new Model('vshop_product_groupbuy_order'))->where(['is_group' => 1, 'group_id' => $group->id, 'wid' => $wid])->count();
    //查询这个组下的订单
    $orders = $p->model_list($modelList);
  }
  //$orders = (new Model('vshop_product_groupbuy_order'))->where(['is_group' => 1, 'group_id' => $group->id, 'wid' => $wid])->list_all_array();
  foreach ($orders as $k => $order) {
    $user = (new Model('wechat_group_list'))->where(['openid' => $order->openid])->find();
    $order->user = $user;
    $orders[$k] = $order;
  }

  if (arr_get($_GET, 'export')) {
    Page::$need_view = false;
    require_once(DOXCX_FRAME_PATH . 'fun/library/php-excel.class.php');
    set_time_limit(0);//0表示没有限制
    ini_set("max_execution_time", "0");
    ini_set("memory_limit", "1024M");
    $tableData = [
      0 => ['ID', '用户名', '订单编号', '商品名', '数量', '总金额', '支付状态','收货地址']
    ];
    for ($i = 1; $i <= count($orders); $i++) {
      $order = $orders[$i - 1];
      $tableData[$i]['ID'] = $order->id;
      $tableData[$i]['用户名'] = $order->user->nickname;
      $tableData[$i]['订单编号'] = $order->order_no;
      $tableData[$i]['商品名'] = $product->name;
      $tableData[$i]['数量'] = $order->num;
      $tableData[$i]['总金额'] = $order->total_price;
      $tableData[$i]['支付状态'] = $order->is_pay ? '已支付' : '未支付';
      $tableData[$i]['收货地址'] = $order->address;
    }
    $xls = new Excel_XML('utf-8', false, '拼团订单');
    $xls->addArray($tableData);
    $xls->generateXML('GroupOrder' . date('Y-m-d H:i:s'), time());
    exit();
  }

} else {
  exit();
}
/*
 $orders = (new Model('vshop_product_groupbuy_order'))->where(['is_group' => 0, 'wid' => $wid])->list_all_array();
  foreach ($orders as $k => $order) {
    $user = (new Model('wechat_group_list'))->where(['openid' => $order['openid']])->find();
    $product = (new Model('vshop_product_groupbuy'))->where(['id' => $order->product_id,'wid' => $wid])->find();
    $order['user'] = $user;
    $order['product']=$product;
    $orders[$k] = $order;
  }
 */