<?php
/**
 * 拼团（单买）订单列表
 */
$get_data = $_GET;
unset($get_data[0]);
$get_data['export'] = 1;
$export_url = 'SingleOrderList.html?' . http_build_query($get_data);
$wid = Session::get('wid');
$orders_model = (new Model('vshop_product_groupbuy_order'))->where(['is_group' => 0, 'wid' => $wid]);
if (arr_get($_GET, 'export')) {
  $p = new Pagination(10, 8, true);
  $orders = $p->model_list($orders_model);
} else {
  $p = new Pagination(10, 8, true);
  $orders = $p->model_list($orders_model);
}
foreach ($orders as $k => $order) {
  //注入用户
  $user = (new Model('wechat_group_list'))->where(['openid' => $order->openid])->find();
  $order->user = $user;
  //注入商品信息
  $product = (new Model('vshop_product_groupbuy'))->where(['id' => $order->product_id, 'wid' => $wid])->find();
  $order->product = $product;

  $orders[$k] = $order;
}


if (arr_get($_GET, 'export')) {
  Page::$need_view = false;
  require_once(DOXCX_FRAME_PATH . 'fun/library/php-excel.class.php');
  set_time_limit(0);//0表示没有限制
  ini_set("max_execution_time", "0");
  ini_set("memory_limit", "1024M");
  $tableData = [
    0 => ['ID', '用户名', '订单编号', '商品名', '数量', '总金额', '支付状态']
  ];
  for ($i = 1; $i <= count($orders); $i++) {
    $order = $orders[$i - 1];
    $tableData[$i]['ID'] = $order->id;
    $tableData[$i]['用户名'] = $order->user->nickname;
    $tableData[$i]['订单编号'] = $order->order_no;
    $tableData[$i]['商品名'] = $order->product->name;
    $tableData[$i]['数量'] = $order->num;
    $tableData[$i]['总金额'] = $order->total_price;
    $tableData[$i]['支付状态'] = $order->is_pay ? '已支付' : '未支付';
  }
  $xls = new Excel_XML('utf-8', false, '拼团订单');
  $xls->addArray($tableData);
  $xls->generateXML('SingleOrder' . date('Y-m-d H:i:s'), time());
  exit();
}