<?php
require_once(DOXCX_FRAME_PATH.'fun/library/php-excel.class.php');

//echo '<pre>';var_dump($_GET);die();
set_time_limit(0);//0表示没有限制
ini_set("max_execution_time", "0");
ini_set("memory_limit", "1024M");

$wid = Session::get('wid');
$m = new Model('vshop_order');

$tj = new SampleModel();
$where = $tj->load_array_from_get();
$set = Request::get('set');
if($where && $set == 'download'){
	$array['wid'] = $wid;
	//订单状态
	$state = 0;
	if($where['state'] != ''){
		$state = $where['state'];
		if($where['state'] == 2){//已完成
			$array['OrderStatus'] = 2;
		}elseif($where['state'] == 3){//已关闭
			$array['OrderStatus'] = 3;
		}elseif($where['state'] == 4){//维权中
			$array['OrderStatus'] = 4;
		}elseif($where['state'] == 5){//已维权
			$array['OrderStatus'] = 5;
		}elseif($where['state'] == 6){//未支付,待发货
			$array['OrderStatus'] = array(0,1);
			$array['DeliveryStatus'] = 0;//待发货
			$array['PayStatus'] = 0;//未支付
		}elseif($where['state'] == 7){//未支付,已发货
			$array['OrderStatus'] = array(0,1);
			$array['DeliveryStatus'] = 1;//已发货
			$array['PayStatus'] = 0;//未支付
		}elseif($where['state'] == 8){//已支付,待发货
			$array['OrderStatus'] = array(0,1);
			$array['DeliveryStatus'] = 0;//待发货
			$array['PayStatus'] = 1;//已支付
		}elseif($where['state'] == 9){//已支付,已发货
			$array['OrderStatus'] = array(0,1);
			$array['DeliveryStatus'] = 1;//已发货
			$array['PayStatus'] = 1;//已支付
		}
	}
	//搜索关键词
	if($where['searchBy'] != '' && trim(Request::get('keyword'))!=''){
		$keyword = trim(Request::get('keyword'));
		if($where['searchBy'] == 0){//订单编号
			$array['OrderNo'] = $keyword;
		}elseif($where['searchBy'] == 1){//粉丝昵称
			$g = new Model('wechat_group_list');
			$g->find(array('wid'=>$wid,'nickname'=>$keyword));
			$array['wxid'] = $g->openid;
		}elseif($where['searchBy'] == 2){//商品名称
			$array['items@~'] = $keyword;
		}elseif($where['searchBy'] == 4){//支付流水号
			$array['tradeNo'] = $keyword;
		}
	}
	//时间范围
	if(Request::get('reportrange')){
		$reportrange = Request::get('reportrange');
		$times = explode(' - ',$reportrange);
		$array['create_time@>='] = date("Y-m-d",strtotime($times[0])).' 00:00:00';
		$array['create_time@<='] = date("Y-m-d",strtotime($times[1])).' 23:59:59';
	}
	//订单列表
	$res = $m->where($array)->order('id desc')->list_all();
	//表格标题
	$arr = array(
        0 => array ('订单编号', '下单时间', '订单状态', '优惠信息', '实收款', '支付方式', '支付时间', '粉丝昵称', 'wechatID','配送方式','快递公司','快递单号', '收货人', '收件人省份','收件人城市','收件人区/镇','收件人具体地址', '收货电话', '备注', '订单商品名称', '商品编码', '规格', '单价', '数量')
    );
	//内容列表
	$i = 1;
	$j = 0;
	foreach($res as $_va){
		$address = json_decode($_va->address);
		$items = json_decode($_va->items);
		$Name = '';
		$goods_no = '';
		$Description = '';
		$Price = '';
		$Count = '';
		foreach($items as $_ite){
			
			$n = $i + $j;//1+0;1+1;1+2; 
			
			$Name = $_ite->Name;
			//$Description = $_ite->Description;
            $Description = $_ite->speStr;
			$Price = $_ite->Price;
			$Count = $_ite->Count;
			$goods_no = $_ite->goods_no;
			
			
			$arr[$n]['订单编号'] = $_va->OrderNo;
			$arr[$n]['下单时间'] = $_va->create_time;
			$arr[$n]['订单状态'] = payzt($_va->id);
			$arr[$n]['优惠信息'] = '无';
			$arr[$n]['实收款'] = $_va->payAmount;
			$arr[$n]['支付方式'] = payment($_va->payment);
			$arr[$n]['支付时间'] = $_va->pay_time;
			$arr[$n]['粉丝昵称'] = group_list($_va->wxid);
			$arr[$n]['wechatID'] = $_va->wxid;
			$arr[$n]['配送方式'] = delivery($_va->delivery);
			$arr[$n]['快递公司'] = $_va->LogisticsName;
			$arr[$n]['快递单号'] = $_va->LogisticsNum;
			$arr[$n]['收货人'] = $address->receiver;
			$arr[$n]['收件人省份'] = $address->PName;
			$arr[$n]['收件人城市'] = $address->CName;
			$arr[$n]['收件人区/镇'] = $address->DName;
			$arr[$n]['收件人具体地址'] = $address->address;
//            '收件人省份','收件人城市','收件人区/镇','收件人具体地址'
			$arr[$n]['收货电话'] = $address->phone;
			$arr[$n]['备注'] = $_va->remark;
			$arr[$n]['订单商品名称'] = $Name;
			$arr[$n]['商品编码'] = $goods_no;
			$arr[$n]['规格'] = $Description;
			$arr[$n]['单价'] = $Price;
			$arr[$n]['数量'] = $Count;
			
			
			$j++;
		}
		/*$arr[$i]['订单编号'] = $_va->OrderNo;
		$arr[$i]['下单时间'] = $_va->create_time;
		$arr[$i]['订单状态'] = payzt($_va->id);
		$arr[$i]['优惠信息'] = '无';
		$arr[$i]['实收款'] = $_va->payAmount;
		$arr[$i]['支付方式'] = payment($_va->payment);
		$arr[$i]['支付时间'] = $_va->pay_time;
		$arr[$i]['粉丝昵称'] = group_list($_va->wxid);
		$arr[$i]['wechatID'] = $_va->wxid;
		$arr[$i]['配送方式'] = delivery($_va->delivery);
		$arr[$i]['快递公司'] = $_va->LogisticsName;
		$arr[$i]['快递单号'] = $_va->LogisticsNum;
		$arr[$i]['收货人'] = $address->receiver;
		$arr[$i]['收货地址'] = $address->FullAddress;
		$arr[$i]['收货电话'] = $address->phone;
		$arr[$i]['备注'] = $_va->remark;
		$arr[$i]['订单商品名称'] = $Name;
		$arr[$i]['商品编码'] = $goods_no;
		$arr[$i]['规格'] = $Description;
		$arr[$i]['单价'] = $Price;
		$arr[$i]['数量'] = $Count;*/
		//$i++;
	}
	
	$xls = new Excel_XML('utf-8', false, '订单信息');
	$xls->addArray($arr);
	$xls->generateXML('OrderList'.date('md his'),time());
}else{
	exit('参数错误！');	
}

//支付状态
function payzt($id){
	$m = new Model('vshop_order');
	$m->find($id);
	if($m->OrderStatus == 2){//完成订单
		$OrderStatus = '已完成';
	}elseif($m->OrderStatus == 3){//已关闭订单
		$OrderStatus = '已关闭';
	}elseif($m->OrderStatus == 4 || $m->OrderStatus == 5){//已维权订单
		//退款中 = 0, 退货中 = 1, 已退款 = 2, 商家同意退货 = 3, 维权发货 = 4, 已维权已退款 = 5, 已维权已退货 = 6, 拒绝 = 7
		if($m->RightsStatus == 0){
			$OrderStatus = '等待退款';
		}elseif($m->RightsStatus == 1){
			$OrderStatus = '等待退货';
		}elseif($m->RightsStatus == 2){
			$OrderStatus = '已退款';
		}elseif($m->RightsStatus == 3){
			$OrderStatus = '已同意,等待发货';
		}elseif($m->RightsStatus == 4){
			$OrderStatus = '等待退款';
		}elseif($m->RightsStatus == 5){
			$OrderStatus = '已退款';
		}elseif($m->RightsStatus == 6){
			$OrderStatus = '已退款退货';
		}elseif($m->RightsStatus == 7){
			$OrderStatus = '已拒绝';
		}
	}else{
		if($m->IsOnlinePay){//线上支付
			if($m->OrderType == 2){
				if($m->PayStatus == 1){
					$OrderStatus = '已支付';
				}else{
					$OrderStatus = '未支付,待发货';
				}
			}else{
				if(($m->OrderStatus == 0 || $m->OrderStatus == 1) && $m->PayStatus == 0 && $m->PaymentType != "balancepay"){
					$OrderStatus = '未支付,待发货';
				}
			}
			if(($m->OrderStatus == 0 || $m->OrderStatus == 1) && $m->PayStatus == 1 && $m->DeliveryStatus == 0){//已支付未发货   可以退款
				$OrderStatus = '已支付,待发货';
			}
			if($m->DeliveryStatus == 1){//已发货
				$OrderStatus = '已发货,待收货';
			}
		}else{//线下支付
			if(($m->OrderStatus == 1 || $m->OrderStatus == 0) && $m->DeliveryStatus == 0){//待发货
				$OrderStatus = '未支付,待发货';
			}
			if($m->DeliveryStatus == 1){//已发货
				$OrderStatus = '未支付,已发货';
			}
		}
		
	}
	return $OrderStatus;
}

//支付方式
function payment($payment){
	$paym = json_decode($payment);
	if($paym->pay_type == 1){
		$str = '支付宝';	
	}elseif($paym->pay_type == 2){
		$str = '财付通';	
	}elseif($paym->pay_type == 3){
		$str = '线下支付';	
	}elseif($paym->pay_type == 4){
		$str = '聚合支付';	
	}elseif($paym->pay_type == 5){
		$str = '余额支付';	
	}
	return $str;
}

//运费信息
function delivery($delivery){
	$dy = json_decode($delivery);
	return number_format($dy->Fee,2).'元';
}

//发货地址
function addr($addr){
	$ads = json_decode($addr);
	$str = $ads->receiver.'&nbsp;&nbsp;'.$ads->phone.'<br />'.$ads->FullAddress;
	return $str;
}

//粉丝信息
function group_list($wxid){
	$m = new Model('wechat_group_list');
	$m->find(array('openid'=>$wxid,'wid'=>Session::get('wid')));
	return $m->nickname;
}

?>