<?php
require_once(DOXCX_FRAME_PATH.'fun/library/php-excel.class.php');

//echo '<pre>';var_dump($_GET);die();
set_time_limit(0);//0表示没有限制
ini_set("max_execution_time", "0");
ini_set("memory_limit", "1024M");

$wid = Session::get('wid');
$m = new Model('vshop_product_seckill_order');

$tj = new SampleModel();
$where = $tj->load_array_from_get();
$set = Request::get('set');
if($where && $set == 'download'){
	$array['wid'] = $wid;
	//订单状态
	$state = 0;
	if($where['state'] != ''){
		$state = $where['state'];
		if($where['state'] == 4){//未支付
			$array['PayStatus'] = 0;
		}elseif($where['state'] == 1){//已支付,待发货
			$array['PayStatus'] = 1;
			$array['DeliveryStatus'] = 0;
			$array['OrderStatus'] = 1;
		}elseif($where['state'] == 2){//已支付,已发货
			$array['PayStatus'] = 1;
			$array['DeliveryStatus'] = 1;
			$array['OrderStatus'] = 1;
		}elseif($where['state'] == 3){//已支付,已完成
			$array['PayStatus'] = 1;
			$array['DeliveryStatus'] = 1;
			$array['OrderStatus'] = 2;
		}
	}
	//搜索关键词
	if($where['searchBy'] != '' && trim(Request::get('keyword')!='')){
		$keyword = trim(Request::get('keyword'));
		if($where['searchBy'] == 0){//订单编号
			$array['OrderNo'] = $keyword;
		}elseif($where['searchBy'] == 1){//粉丝昵称
			$g = new Model('wechat_group_list');
			$g->find(array('wid'=>$wid,'nickname'=>$keyword));
			$array['wxid'] = $g->openid;
		}
	}
	//时间范围
	if(Request::get('reportrange')){
		$reportrange = Request::get('reportrange');
		$times = explode(' - ',$reportrange);
		$array['create_time@>='] = date("Y-m-d",strtotime($times[0])).' 00:00:00';
		$array['create_time@<='] = date("Y-m-d",strtotime($times[1])).' 23:59:59';
	}
	//订单列表
	$res = $m->where($array)->order('id desc')->list_all();
	//表格标题
	$arr = array(
        0 => array ('订单编号', '下单时间', '订单状态', '实收款', '支付方式', '支付时间', '粉丝昵称', 'wechatID','配送方式','快递公司','快递单号', '收货人', '收货地址', '收货电话', '订单商品名称', '商品编号', '单价', '数量')
    );
	//内容列表
	$i = 1;
	foreach($res as $_va){
		$address = json_decode($_va->address);
		
		$pro = new Model('vshop_product_seckill');
		$pro->field('id,name,goods_no,price')->find($_va->gid);
		
		$arr[$i]['订单编号'] = $_va->OrderNo;
		$arr[$i]['下单时间'] = $_va->create_time;
		$arr[$i]['订单状态'] = payzt($_va->id);	
		$arr[$i]['实收款'] = $_va->payAmount;
		$arr[$i]['支付方式'] = '微信支付';
		$arr[$i]['支付时间'] = $_va->pay_time;
		$arr[$i]['粉丝昵称'] = group_list($_va->wxid);
		$arr[$i]['wechatID'] = $_va->wxid;
		$arr[$i]['配送方式'] = '免运费';
		$arr[$i]['快递公司'] = $_va->LogisticsName;
		$arr[$i]['快递单号'] = $_va->LogisticsNum;
		$arr[$i]['收货人'] = $_va->name;
		$arr[$i]['收货地址'] = $_va->address;
		$arr[$i]['收货电话'] = $_va->tel;
		$arr[$i]['订单商品名称'] = $pro->name;
		$arr[$i]['商品编号'] = $pro->goods_no;
		$arr[$i]['单价'] = $pro->price;
		$arr[$i]['数量'] = 1;
		$i++;
	}
	
	$xls = new Excel_XML('utf-8', false, '订单信息');
	$xls->addArray($arr);
	$xls->generateXML('OrderList'.date('md his'),time());
}else{
	exit('参数错误！');	
}

exit;

//支付状态
function payzt($id){
	$m = new Model('vshop_product_seckill_order');
	$m->find($id);
	if($m->PayStatus == 0 && $m->DeliveryStatus == 0){
		$OrderStatus = '未支付';	
	}
	if($m->PayStatus == 1 && $m->DeliveryStatus == 0){
		$OrderStatus = '已支付,代发货';
	}
	if($m->PayStatus == 1 && $m->DeliveryStatus == 1){
		$OrderStatus = '已支付，已发货';
	}
	if($m->PayStatus == 1 && $m->DeliveryStatus == 1 && $m->LogisticsName){
		$OrderStatus = '已支付，已完成';
	}
	return $OrderStatus;
}


//粉丝信息
function group_list($wxid){
	$m = new Model('wechat_group_list');
	$m->find(array('openid'=>$wxid,'wid'=>Session::get('wid')));
	return $m->nickname;
}

?>