<?php

$wid = Session::get('wid');
$m = new Model('vshop_product_seckill_order');
$sid = Request::get(1);
$tj = new SampleModel();
$where = $tj->load_array_from_get();
$array['wid'] = $wid;
//一页显示数
$pageSize = 10;
//订单状态
if ($where['state'] != '') {
  if ($where['state'] == 4) {//未支付
    $array['is_pay'] = 0;
  } else if ($where['state'] == 1) {//已支付,待发货
    $array['is_pay'] = 1;
    $array['is_transmit'] = 0;
  } else if ($where['state'] == 2) {//已支付,已发货
    $array['is_pay'] = 1;
    $array['is_transmit'] = 1;
    $array['is_receive'] = 0;
  } else if ($where['state'] == 3) {//已支付,已完成
    $array['is_pay'] = 1;
    $array['is_transmit'] = 1;
    $array['is_receive'] = 1;
  }
}
//搜索关键词
if ($where['searchBy'] != '' && trim(Request::get('keyword') != '')) {
  $keyword = trim(Request::get('keyword'));
  if ($where['searchBy'] == 0) {//订单编号
    $array['order_no'] = $keyword;
  }
}
if (arr_get($_GET, 'export')) {
  $orders = $m->where($array)->order('id desc')->list_all();
} else {
  $p = new Pagination($pageSize, 8, true);
  $orders = $p->model_list($m->where($array)->order('id desc'));
}
foreach ($orders as $k => $order) {
  //注入商品信息
  $product = (new Model('vshop_product_seckill'))->find($order->product_id);
  $order->product = $product;
  //注入用户信息
  $user = (new Model('wechat_group_list'))->where(['openid' => $order->openid])->find();
  $order->user = $user;
  //注入订单状态信息
  if ($order->is_refund) {
    $status = '已退款';
  } else if ($order->is_receive) {
    $status = '已签收';
  } else if ($order->is_transmit) {
    $status = '已发货';
  } else if ($order->is_pay) {
    $status = '已支付';
  } else {
    $status = '未支付';
  }
  $order->status = $status;
  $orders[$k] = $order;
}

$get_data = $_GET;
unset($get_data[0]);
$get_data['export'] = 1;
$export_url = 'OrderList.html?' . http_build_query($get_data);


if (arr_get($_GET, 'export')) {
  Page::$need_view = false;
  require_once(DOXCX_FRAME_PATH . 'fun/library/php-excel.class.php');
  set_time_limit(0);//0表示没有限制
  ini_set("max_execution_time", "0");
  ini_set("memory_limit", "1024M");
  $tableData = [
    0 => ['ID', '订单编号', '下单时间', '商品名', '数量', '总金额', '用户名', '支付状态']
  ];
  for ($i = 1; $i <= count($orders); $i++) {
    $order = $orders[$i - 1];
    $tableData[$i]['ID'] = $order->id;
    $tableData[$i]['订单编号'] = $order->order_no;
    $tableData[$i]['下单时间'] = date('Y-m-d H:i:s', $order->submit_time);
    $tableData[$i]['商品名'] = $order->product->name;
    $tableData[$i]['数量'] = $order->num;
    $tableData[$i]['总金额'] = $order->total_price;
    $tableData[$i]['用户名'] = $order->user->nickname;
    $tableData[$i]['支付状态'] = $order->is_pay ? '已支付' : '未支付';
  }
  $xls = new Excel_XML('utf-8', false, '秒杀订单');
  $xls->addArray($tableData);
  $xls->generateXML('SecKill' . date('Y-m-d H:i:s'), time());
  exit();
}