<?php
$wid = Session::get('wid');

if (Request::post()) {
  setApi();
  $data = $_POST;
  // 标题验证
  if (trim(arr_get($_POST, 'title')) == '') sendError('请输入标题');
  $data['title'] = pget('title');
  // 提交提示信息处理
  if (!pget('submit_tip')['success']) $data['submit_tip']['success'] = '提交成功';
  if (!pget('submit_tip')['fail']) $data['submit_tip']['fail'] = '提交失败';
  $data['submit_tip'] = json_encode($data['submit_tip']);
  // 金额验证
  if (arr_get($_POST, 'need_pay') == 1 && (!trim(arr_get($_POST, 'price')) || !is_numeric(trim(arr_get($_POST, 'price'))) || trim(arr_get($_POST, 'price')) <= 0)) sendError('请输入正确的金额');
  $data['price'] = floor($data['price'] * 100) / 100;
  // 有效期验证
  if (trim(arr_get($_POST, 'form_limit')) && (!strtotime(pget('stime')) || !strtotime(pget('etime')))) sendError('请选择正确的表单有效期');
  $data['stime'] = strtotime(pget('stime'));
  $data['etime'] = strtotime(pget('etime'));
  //验证四个限定
  $submit_limit_list = ['count', 'day_count', 'per_count', 'per_day_count'];
  foreach ($submit_limit_list as $item) {
    if (pget('submit_limit')[$item]['limit'] == 1) {// 验证该条目的限制数目是否合法
      $val = pget('submit_limit')[$item]['value'];
      if (trim($val) == '' || !is_numeric($val) || trim($val) <= 0) sendError('请输入正确的提交限定');
    }
  }
  $data['submit_limit'] = json_encode($data['submit_limit']);
  $data['sms_notice']=$data['sms_notice']?1:0;
  //短信通知验证
  if (pget('sms_notice') && trim(pget('sms_notice_phone')) == '') sendError('请输入正确的通知手机号');
  if (pget('sms_notice') && count(explode(',', trim(pget('sms_notice_phone')))) > 3) sendError('通知手机号数量不能大于3个');
  // 处理提交按钮的属性
  if (!$data['submit_btn']['text']) $data['submit_btn']['text'] = '提交表单';
  if (!$data['submit_btn']['fontsize']) $data['submit_btn']['fontsize'] = '18';
  if (!$data['submit_btn']['fontcolor']) $data['submit_btn']['fontcolor'] = '#FFFFFF';
  if (!$data['submit_btn']['bgcolor']) $data['submit_btn']['bgcolor'] = '#3CAF59';
  if (!$data['submit_btn']['end_tip']) $data['submit_btn']['end_tip'] = '已结束';
  if (!$data['submit_btn']['count_tip']) $data['submit_btn']['count_tip'] = '已结束';
  if (!$data['submit_btn']['per_count_tip']) $data['submit_btn']['per_count_tip'] = '已结束';
  $data['submit_btn'] = json_encode($data['submit_btn']);
  // 储存
  unset($data['wid']);
  if (pget('id')) {
    $form = (new Model('custom_form'))->find(['wid' => $wid, 'id' => pget('id')]);
    if (!$form->id) {
      $form = new Model('custom_form');
    }
  } else {
    $form = new Model('custom_form');
  }
  $form->wid = $wid;
  arr_to_model($form, $data);
  $form->save();
  sendSuccess('保存成功');
} else {
  if (gget('id')) {
    $form = (new Model('custom_form'))->find(['wid' => $wid, 'id' => gget('id')]);
    if (!$form->id) {
      $form = new Model('custom_form');
    }
  } else {
    $form = new Model('custom_form');
  }
  $form->submit_tip=json_decode($form->submit_tip,true);
  $form->submit_limit=json_decode($form->submit_limit,true);
  $form->submit_btn=json_decode($form->submit_btn,true);
}