<?php
require_once(DOXCX_FRAME_PATH . 'fun/library/php-excel.class.php');
$wid = Session::get('wid');
$cf = new CustomForm();
// 获取表单
$fid = gget('form_id');
$form = (new Model('custom_form'))->find(['wid' => $wid, 'id' => $fid])->get_model_array();
if (!$fid || !$form['id']) sendError('找不到对象');
// 获取字段数据
$fieldList = (new Model('custom_form_field'))->order('sort desc')->list_all_array(['wid' => $wid, 'fid' => $form['id']]);
// 生成表头
$tableHead = ['用户名'];
foreach ($fieldList as $field) {
  if (in_array($field['type'], ['img', 'line'])) continue;
  $tableHead[] = $field['title'];
}
$excelData = [
  $tableHead
];

  $where=array();
  $is_pay=$_GET['is_pay'];
  
  if(!empty($is_pay) || $is_pay==='0'){
    if($is_pay==1){
      $where['or'] = array('is_pay'=>$is_pay,'need_pay'=>0);
    }else{
      $where['is_pay'] = $is_pay;
      $where['need_pay'] = 1;
    }
  }

  $where['wid'] = $wid;
  $where['fid'] = $fid;
  
// 获取表单数据
$dataList = (new Model('custom_form_data'))->where($where)->order('ctime desc')->list_all_array();
foreach ($dataList as $k => $item) {
  $user=(new Model('wechat_group_list'))->find(['openid'=>$item['openid']])->get_model_array();
  $dataLine = [$user['nickname']];
  $item['data'] = json_decode($item['data'], true);
  foreach ($fieldList as $field) {
    if (in_array($field['type'], ['img', 'line'])) continue;
    if ($field['type'] == 'file') {
      $dataLine[] = implode(' ',json_decode($item['data'][$field['id']],true));
    } else if ($field['type'] == 'multiselect') {
      $dataLine[] = implode('/',json_decode($item['data'][$field['id']],true));
    } else {
      $dataLine[] = $item['data'][$field['id']];
    }
  }
  $excelData[] = $dataLine;
}
$xls = new Excel_XML('utf-8', false, '表单数据');
$xls->addArray($excelData);
$xls->generateXML('CustomForm' . date('Y-m-d H:i:s'), time());
exit();