<?php

/**
 * 订单支付成功消息模板
 */
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据



//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }elseif(!$result->orderid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：orderid');
    }else {

        //商户id
        $wid = $result->wid;

        /********************数据处理********************/
        $orderid = $result->orderid;//订单id

        //查询消息模板id
        $tmsg = new Model('vshop_templatemsg');
        $tmsg->field('id,Order_template_id')->find(array('wid'=>$wid));
        $template_id = $tmsg->Order_template_id;

        //查询订单信息
        $or = new Model('vshop_order');
        $or->field('id,OrderNo,payAmount,items,remark')->find($orderid);

        $items = json_decode($or->items);
        $name_str = '';
        foreach ($items as $_ite){
            $name_str = $_ite->Name;
            break;
        }

        //获取access_token
        $access_token = WX_getAccessToken($wid);
        $data=shopTplMsg_order_status($wid,$template_id,$or->wxid,$or->OrderNo,$or->payAmount,$or->create_time,$name_str,$or->remark,true);
//        $data = array(
//            'keyword1'=>array(//订单编号
//                'value'=>$or->OrderNo,
//                'color'=>'#333333'
//            ),
//            'keyword2'=>array(//待付金额
//                'value'=>'￥'.$or->payAmount,
//                'color'=>'#ff4541'
//            ),
//            'keyword3'=>array(//商品名称
//                'value'=>$name_str,
//                'color'=>'#333333'
//            ),
//            'keyword4'=>array(//备注
//                'value'=>$or->remark,
//                'color'=>'#333333'
//            )
//        );
//        $emphasis_keyword = 'keyword1.DATA';//订单编号放大

        $dataList = array(
            'AccessToken'=>$access_token,
            'data'=>$data,
            'WXTmessage_key'=>$template_id,
//            'emphasis_keyword'=>$emphasis_keyword
        );

		//file_put_contents('E:\wwwweb\wechat\wx\controller\Payment\Wxpay\1.txt',$access_token);

        //返回数据
        $arr = array(
            'errcode'=>0,
            'errmsg'=>'ok',
            'dataList'=>$dataList
        );
        /********************数据处理********************/
    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;
