<?php
setApi();
$req=getPayloadParams();
$wid = $req['wid'];
if(!$wid || !$req['username'] || !$req['phone']){
  sendError('参数错误');
}
//获取转账配置信息
$payParams = (new Model('vshop_weixin_pay'))->find(['wid'=>$wid])->get_model_array();
//生成预支付订单
$time = time();
$nonce_str = getRandomOrderNo('kc');
$body = '微培训课程购买';
$OrderNo = getRandomOrderNo('on');
$money = $req['price'];
$notify_url = Conf::$http_path_api . "Payment/Wxpay/WeiTrainPayNotify-" . arr_get($req, 'wid') . ".html";
$trade_type = 'JSAPI';

//存入订单信息
$one = (new Model('weitrain_order'))->where(['wid'=>$wid,'openid'=>$req['openid'],'lessonid'=>$req['lessonid']])->find();
if($one->id && $one->is_pay == 0){
    $OrderNo = $one->orderNo;
    $one->phone = $req['phone'];
    $one->name = $req['username'];
    $one->save();
}elseif($one->is_pay == 1){
  sendError('您已购买过本课程！');
}else{
  $order = new Model('weitrain_order');
  $data['wid'] = $wid;
  $data['orderNo'] = $OrderNo;
  $data['pay_time'] = $time;
  $data['price'] = $money;
  $data['lessonid'] = $req['lessonid'];
  $data['name'] = $req['username'];
  $data['phone'] = $req['phone'];
  $data['openid'] = $req['openid'];
  $order->save($data);
  //如果是免费
  if($money == 0){
    $lesson = (new Model('weitrain_lesson'))->find($req['lessonid']);
    $lesson->pay_num+=1;
    $lesson->save();
    sendSuccess('购买成功！');
  }
}

$sykConfig = new Model('vshop_syk_pay');
$sykConfig->find(array('wid' => $wid));	
if($sykConfig->status){//开启商云客支付
	$respData = syk_prepay($wid, $req['openid'], $money, Conf::$http_path_api . '/Payment/Sykpay/WeiTrainPayNotify.html', $OrderNo, $body);
	$lesson = (new Model('weitrain_lesson'))->find($req['lessonid']);
    $lesson->pay_num+=1;
    $lesson->save();
    sendResponse($respData);
	exit();
}

$respData=common_prepay($wid, $req['openid'], $money, 'WeiTrainPayNotify', $OrderNo, $body,'',$req);
//判断预支付订单是否已经创建成功
if($respData['status']=='success'){
    $lesson = (new Model('weitrain_lesson'))->find($req['lessonid']);
    $lesson->pay_num+=1;
    $lesson->save();
    sendResponse($respData['data']);
}else{
    sendError($respData['msg']);
}