<?php
/**
 * 订单列表
*/
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据

//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }elseif (!$result->pageNumber){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：pageNumber');
    }elseif (!$result->PageSize){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：PageSize');
    }else{

        //商户id
        $wid = $result->wid;

        /********************数据处理********************/
        $pageIndex = $result->pageNumber;
        $pageSize = $result->PageSize;
        $categoryId = $result->categoryId;

        //搜索条件
        $where['wid'] = $wid;
        if($categoryId){
            $where['cid'] = $categoryId;
        }

        //条数
        $lim = 	$pageSize*($pageIndex-1).','.$pageSize;

        //排序
        $order = 'id DESC';

        //获取订单列表
        $m = new Model('vshop_service_list');
        $res = $m->field('id,smallpic,title,ctime,wid')->where($where)->limit($lim)->order($order)->list_all();
        $dataList = array();
        $i = 0;
		$s = 0;
        foreach($res as $_v){

            $dataList[$i]['Id'] = $_v->id;
            $dataList[$i]['MainPhoto'] = $_v->smallpic;//图片
            $dataList[$i]['Title'] = $_v->title;//标题
            $dataList[$i]['PublishTimeText'] = $_v->ctime;//发布时间
			$dataList[$i]['Wwid'] = $_v->wid;//标题
			$dataList[$i]['countId'] = $s++;
            $i++;
        }
        /********************数据处理********************/

        //返回数据
        $arr = array(
            'errcode' => 0,
            'errmsg' => 'ok',
            'dataList' => $dataList
        );
		
		
		
    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

?>