<?php
setApi();
$cf = new CustomForm();
$req = getPayloadParams();
$form = (new Model('custom_form'))->find(['wid' => $req['wid'], 'id' => $req['form_id'],'is_del'=>0])->get_model_array();
$wid=$req['wid'];
$openid = $req['openid'];
if (!arr_get($form, 'id')) sendError('表单不存在');
$form['submit_tip'] = json_decode($form['submit_tip'], true);
$form['submit_limit'] = json_decode($form['submit_limit'], true);
$form['submit_btn'] = json_decode($form['submit_btn'], true);
$fields = (new Model('custom_form_field'))->order('sort desc')->list_all_array(['wid' => $req['wid'], 'fid' => $form['id'], 'is_del' => 0]);
foreach ($fields as $k => $field) {
  $fields[$k]['attr'] = json_decode($field['attr'], true);
  if ($fields[$k]['attr']['options']) {
    $fields[$k]['attr']['options'] = explode("\n", trim($fields[$k]['attr']['options']));
  }
}
$respData = [
  'form'       => $form,
  'fields'     => $fields,
  'attrMap'    => $cf->attrMap,
  'fieldMap'   => $cf->fieldMap,
  'can_submit' => true,
  'error_tip'  => '',
];
// 接下来是提交条件的判断
$submit_limit = $form['submit_limit'];
if ($respData['can_submit'] && $form['form_limit'] == 1 && (time() > $form['etime'] || time() < $form['stime'])) {
  $respData['can_submit'] = false;
  $respData['error_tip'] = '【' . $form['title'] . '】暂时无法使用';
}
if ($respData['can_submit'] && $submit_limit['count']['limit'] == 1) {
  $count = (new Model('custom_form_data'))->where(['wid' => $wid, 'fid' => $form['id']])->count();
  if ($count >= $submit_limit['count']['value']) {
    $respData['can_submit'] = false;
    $respData['error_tip'] = '【' . $form['title'] . '】已结束';
  }
}
if ($respData['can_submit'] && $submit_limit['day_count']['limit'] == 1) {
  $day = strtotime(date('Y-m-d', time()));
  $day_count = (new Model('custom_form_data'))->where(['wid' => $wid, 'fid' => $form['id'], 'ctime@>' => $day])->count();
  if ($day_count >= $submit_limit['day_count']['value']) {
    $respData['can_submit'] = false;
    $respData['error_tip'] = '【' . $form['title'] . '】今日提交数量已达上限';
  }
}
if ($respData['can_submit'] && $submit_limit['per_count']['limit'] == 1) {
  $per_count = (new Model('custom_form_data'))->where(['wid' => $wid, 'fid' => $form['id'], 'openid' => $openid])->count();
  if ($per_count >= $submit_limit['per_count']['value']) {
    $respData['can_submit'] = false;
    $respData['error_tip'] = '【' . $form['title'] . '】您提交数量已达上限';
  }
}
if ($respData['can_submit'] && $submit_limit['per_day_count']['value'] == 1) {
  $day = strtotime(date('Y-m-d', time()));
  $per_day_count = (new Model('custom_form_data'))->where(['wid' => $wid, 'fid' => $form['id'], 'openid' => $openid, 'ctime@>' => $day])->count();
  if ($per_day_count >= $submit_limit['per_count']['value']) {
    $respData['can_submit'] = false;
    $respData['error_tip'] = '【' . $form['title'] . '】您今日提交数量已达上限';
  }
}
sendSuccess('请求成功', $respData);