<?php
/**
 * 获取用户填写过的表单记录
 * 用于未支付的表单支付
 */
setApi();
$cf = new CustomForm();
$req = getPayloadParams();
$wid = $req['wid'];
$openid = $req['openid'];
$dataId=$req['dataId'];
if (!$wid || !$openid || !$dataId) sendError('参数错误');
$data=(new Model('custom_form_data'))->find(['wid'=>$wid,'id'=>$dataId]);
$data->order_no=getRandomOrderNo();
$data->save();
$data=$data->get_model_array();
if(!$data['id']) sendError('找不到对象');
if(!$data['need_pay'] || $data['is_pay']) sendError('无法对已完成的项目进行支付');
//通用支付逻辑
$respData=common_prepay($wid, $openid, $data['pay_amount'], 'customFormNotify' , $data['order_no'], '表单支付','',$req);

if($respData['status']=='error') sendError($respData['msg']);
sendSuccess('发起支付完成',$respData['data']);
