<?php
/**
 * Created by Jeffrey.
 * User: Jeffrey
 * Date: 2017/12/3
 * Time: 22:58
 */
require_once "apiHead.php";
$req = getPayloadParams();
if (!$req['wid'] || !$req['product_id']) {
  sendResponse(['status' => 'error']);
  exit();
}

// $sql="select * from vshop_product_groupbuy_group where wid=".arr_get($req, 'wid')." and end_time>=".time()." and product_id=".arr_get($req, 'product_id');
// $groups=db_query($sql);
$groups = (new Model('vshop_product_groupbuy_group'))
  ->where(['wid' => $req['wid'], 'end_time@>=' => time(), 'product_id' => $req['product_id']])
  ->list_all_array();
$res = [];
foreach ($groups as $k => $group) {
  // $count_sql="select count(*) as `count` from vshop_product_groupbuy_order where group_id=".$group['id'];
  // $count=db_query($count_sql)[0]['count'];
  $count = (new Model('vshop_product_groupbuy_order'))
    ->where(['group_id' => $group['id'],'wid'=>$req['wid']])
    ->count();
  if ($count > 0 && $count < $group['person_num']) {//符合条件的组
    //找出第一个用户
    // $first_order_user_sql="select * from wechat_group_list where openid=(select openid from vshop_product_groupbuy_order where group_id=".$group['id']." ORDER BY submit_time limit 1)";
    // $first_order_user=db_query($first_order_user_sql)[0];
    $first_order = (new Model('vshop_product_groupbuy_order'))->order('submit_time asc')->find(['wid'=>$req['wid'],'group_id' => $group['id']]);
    $first_order_user = (new Model('wechat_group_list'))->find(['openid' => $first_order->openid, 'wid' => $req['wid']])->get_model_array();
    $group['user'] = $first_order_user;
    $group['current_num'] = $count;
    //添加到结果
    $res[] = $group;
  }
}
sendResponse($res);