<?php
/**
 * Created by Jeffrey.
 * User: Jeffrey
 * Date: 2017/12/3
 * Time: 22:58
 */
require_once "apiHead.php";
//加载微信支付文件
require_once DOXCX_FRAME_PATH . "Payment/WxpayAPI/lib/WxPay.Api.php";
require_once DOXCX_FRAME_PATH . "Payment/WxpayAPI/lib/WxPay.JsApiPay.php";
//获取参数
$req = getPayloadParams();
$product = db_query("SELECT * FROM vshop_product_groupbuy WHERE wid=? AND id=?", [$req['wid'], $req['productId']])[0];
//数据存在性
if (!arr_get($req, 'wid') || !arr_get($req, 'openid') || !$product ) {
  sendResponse([]);
  exit();
}
//单价
$onePrice = $req['type'] == "group" ? $product['gprice'] : $product['price'];
//运费
$transPrice = $product['trans_price'];
//总价
$allPrice = $onePrice * $req['productNum'] + $transPrice;
//生成预支付订单
$time = time();
//商户商品信息
$OrderNo = md5('拼团' . time() . rand() . rand() . microtime());//订单号
$name_str = '拼团商品-' . $product['name'];
$nonce_str = md5(time() . rand() . rand() . 'pt');
$body = '拼团-' . $product['name'];


//通用支付逻辑
$respData=common_prepay($req['wid'], $req['openid'], $allPrice, 'groupNotify', $OrderNo, $body,'',$req);
if($respData['status']=='success'){
    if ($req['type'] == 'group') {
        //先创建团或者加入团
        if (arr_get($req, 'groupId')) {
            //加入团
            $group = db_query("SELECT * FROM vshop_product_groupbuy_group WHERE id=?", [arr_get($req, 'groupId')])[0];
            //团成员统计
            $curr_num = db_query("SELECT count(*) AS `count` FROM vshop_product_groupbuy_order WHERE group_id=?", $group['id'])['count'];
            if (!$group || $curr_num >= $group['person_num']) {
                diy_log($curr_num);
                //创建新的团
                $newGroup = new Model('vshop_product_groupbuy_group');
                $newGroup->wid = $req['wid'];
                $newGroup->start_time = time();
                $newGroup->end_time = time() + $product['max_day'] * 86400;
                $newGroup->person_num = $product['num'];
                $newGroup->product_id = $product['id'];
                $newGroup = $newGroup->save();
                $group_id = $newGroup->id;
            } else {
                $group_id = $group['id'];
            }
        } else {
            //开团
            $newGroup = new Model('vshop_product_groupbuy_group');
            $newGroup->wid = $req['wid'];
            $newGroup->start_time = time();
            $newGroup->end_time = time() + $product['max_day'] * 86400;
            $newGroup->person_num = $product['num'];
            $newGroup->product_id = $product['id'];
            $newGroup = $newGroup->save();
            $group_id = $newGroup->id;
        }
        $is_group = 1;
    } else {
        $is_group = 0;
    }
    $orderData=[
        'wid' => arr_get($req, 'wid'),
        'openid' => arr_get($req, 'openid'),
        'order_no' => $OrderNo,
        'product_id' => $product['id'],
        'is_group' => $is_group,
        'price' => $onePrice,
        'num' => $req['productNum'],
        'trans_price' => $transPrice,
        'total_price' => $allPrice,
        'pre_group_id' => $is_group ? $group_id : 0,
        'submit_time' => time(),
        'remark' => arr_get($req, 'remark'),
        'receiver' => arr_get($req, 'receiver'),
        'phone' => arr_get($req, 'phone'),
        'address' => arr_get($req, 'address'),
    ];
    $order = (new Model('vshop_product_groupbuy_order'));
    foreach ($orderData as $field=>$fieldData) {
        $order->$field=$fieldData;
    }
    $re=$order->save();
    sendResponse(['payObj'=>$respData['data'],'order'=>$order->get_model_array(),'re'=>$re]);
}else{
    sendError($respData['msg']);
}
