<?php
/**
 * 首页模板diy
 */
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH . 'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据

//实例化类
$aes = new aes();

if (!$data->data) {//加密数据
  $arr = array('errcode' => 1, 'errmsg' => '缺少参数');
} else {

  //AES解密数据
  $json_data = $aes->aes128cbcHexDecrypt($data->data);
  //解析json数据
  $result = json_decode($json_data);

  if (!$result->wid) {//商户id
    $arr = array('errcode' => 1, 'errmsg' => '缺少参数：wid');
  } else {
	  
	  $lat = $result->lat?$result->lat:0;
      $lng = $result->lng?$result->lng:0;
    //商户id
    $wid = $result->wid;

    /*************************获取首页DIY数据*************************/
    $PageId = $result->PageId;//模板id

    //查找默认首页
    if ($PageId) {
      $pl = new Model('vshop_template_pagelist');
      $pl->field('id,name')->find($PageId);
    } else {
      $pl = new Model('vshop_template_pagelist');
      $pl->field('id,name')->find(array('wid' => $wid, 'ishome' => 1));
    }
    //获取版权
    $copy = new Model('vshop_set');
    $copy->field('copyright')->find(array('wid' => $wid));
    $copyright = $copy->copyright;
    $copy2 = new Model('vshop_set');
    $copy2->field('urls')->find(array('wid' => $wid));
    $urls = $copy2->urls;
    if(!$urls){
    	$urls = '';
    }
    if (!$copyright) {
      $pubcy = new Model('pubs');
      $pubcy->find($wid);
      $usercy = new Model('user');
      $usercy->find($pubcy->uid);
      $dlid = $usercy->agid;
      $userAgency = new Model('user_agency');
      if ($dlid) {
        $userAgency->find($dlid);
        $copyright = $userAgency->copyright;
      } else {
        $userAgency->find(array('isadmin' => 1));
        $copyright = $userAgency->copyright;
      }
    }

    //查询首页diy板块
    $m = new Model('vshop_template_homepage');
    $res = $m->field('id,name')->where(array('wid' => $wid, 'PageId' => $pl->id))->order('sort DESC')->list_all();

    //循环遍历板块信息
    $indexArray = array();
	$position=0;
    foreach ($res as $va) {
	  $position++;
      switch ($va->name) {
        case 'slider'://轮番图板块
          $n = new Model('vshop_template_slider');
          $n->field('id,sytyle,pics,bgcolor,sxSpacing,zySpacing,dbwSpacing')->find(array('wid' => $wid, 'HomeId' => $va->id));
          //解析原数据
          $item = json_decode($n->pics);

          //获取需要数据
          $tempList = array();
          $i = 0;
          foreach ($item as $_ite) {
            $tempList[$i] = array(
              'img'       => $_ite->pic,
              'linkurl'   => $_ite->page,
              'open_type' => open_type($_ite->page)//跳转类型
            );
            $i++;
          }

          //赋值
          $indexArray[] = array(
            'name'     => 'slider_0' . $n->sytyle,
            'dataList' => $tempList,
            'bgcolor' => $n->bgcolor,
            'sxSpacing' => $n->sxSpacing,
            'zySpacing' => $n->zySpacing,
            'dbwSpacing' => $n->dbwSpacing,
          );
          break;
        case 'fn'://菜单功能包块
          $n = new Model('vshop_template_fn');
          $n->field('id,sytyle,item,bgcolor,sxSpacing,zySpacing,dbwSpacing')->find(array('wid' => $wid, 'HomeId' => $va->id));
          //解析原数据
          $item = json_decode($n->item);

          //获取需要数据
          $tempList = array();
          $i = 0;
          foreach ($item as $_ite) {
            $tempList[$i] = getFnArray($_ite);
            $i++;
          }

          //赋值
          $indexArray[] = array(
            'name'     => 'fn_0' . $n->sytyle,
            'dataList' => $tempList,
             'bgcolor' => $n->bgcolor,
            'sxSpacing' => $n->sxSpacing,
            'zySpacing' => $n->zySpacing,
            'dbwSpacing' => $n->dbwSpacing,
          );
          break;
        case 'menu'://自定义菜单板块
          $n = new Model('vshop_template_menu');
          $n->field('id,sytyle,menus,bgcolor,sxSpacing,zySpacing,dbwSpacing')->find(array('wid' => $wid, 'HomeId' => $va->id));
          //解析原数据
          $item = json_decode($n->menus);

          //获取需要数据
          $tempList = array();
          $i = 0;
          foreach ($item as $_ite) {
            $tempList[$i] = array(
              'title'     => $_ite->name,
              'img'       => $_ite->pic,
              'linkurl'   => $_ite->page,
              'open_type' => open_type($_ite->page)//跳转类型
            );
            $i++;
          }

          //赋值
          $indexArray[] = array(
            'name'     => 'menu_0' . $n->sytyle,
            'dataList' => $tempList,
             'bgcolor' => $n->bgcolor,
            'sxSpacing' => $n->sxSpacing,
            'zySpacing' => $n->zySpacing,
            'dbwSpacing' => $n->dbwSpacing,
          );
          break;
        case 'goodsList'://商品列表板块
          $n = new Model('vshop_template_goodslist');
          $n->field('id,sytyle,selecttype,goodsid,googds_classify,googds_order,googds_nums,bgcolor,sxSpacing,zySpacing,dbwSpacing')->find(array('wid' => $wid, 'HomeId' => $va->id));

          $tempList = array();

          if ($n->selecttype) {//自己选择商品
            $goodsid = json_decode($n->goodsid);
            $i = 0;
            foreach ($goodsid as $_gid) {
              $pro = new Model('vshop_product');
              $pro->field('id,name,pic,yj,lowest')->find($_gid);
              if ($pro->id) {
                $tempList[$i] = array(
                  'title'     => $pro->name,
                  'img'       => $pro->pic,
                  'yuanjia'   => $pro->yj,
                  'price'     => $pro->lowest,
                  'linkurl'   => '/pages/goods/goods?id=' . $pro->id . '&wid=' . $wid,
                  'open_type' => 'navigate'//跳转类型
                );
                $i++;
              }
            }
          } else {
            //条件
            $where['typ'] = $n->googds_classify;
            $where['wid'] = $wid;
            //筛选
            if ($n->googds_order == 0) {//最新上架
              $order = 'create_time DESC';
            } else if ($n->googds_order == 1) {//按销量从高到低
              $order = 'sale_nums DESC';
            } else if ($n->googds_order == 2) {//按价格从高到低
              $order = 'lowest DESC';
            } else if ($n->googds_order == 3) {//按价格从低到高
              $order = 'lowest ASC';
            } else {
              $order = 'ord DESC';
            }
            //数量
            $limit = '0,' . $n->googds_nums;

            //数据查询
            $pro = new Model('vshop_product');
            $prolist = $pro->field('id,name,pic,yj,lowest')->where($where)->limit($limit)->order($order)->list_all();

            $i = 0;
            foreach ($prolist as $_va) {
              $tempList[$i] = array(
                'title'     => $_va->name,
                'img'       => $_va->pic,
                'price'     => $_va->lowest,
                'yuanjia'   => $_va->yj,
                'linkurl'   => '/pages/goods/goods?id=' . $_va->id . '&wid=' . $wid,
                'open_type' => 'navigate'//跳转类型
              );
              $i++;
            }
          }

          //赋值
          $indexArray[] = array(
            'name'     => 'goodsList_0' . $n->sytyle,
            'dataList' => $tempList,
             'bgcolor' => $n->bgcolor,
            'sxSpacing' => $n->sxSpacing,
            'zySpacing' => $n->zySpacing,
            'dbwSpacing' => $n->dbwSpacing,
          );
          break;
        //=======================================================
        case 'articleList'://文章列表板块
          $n = new Model('vshop_template_articlelist');
          $n->field('id,sytyle,selecttype,articleid,article_classify,article_order,article_nums,bgcolor,sxSpacing,zySpacing,dbwSpacing')->find(array('wid' => $wid, 'HomeId' => $va->id));

          $tempList = array();

          if ($n->selecttype) {//自己选择文章
            $articleid = json_decode($n->articleid);
            $i = 0;
            foreach ($articleid as $_gid) {
              $pro = new Model('vshop_article_list');
              $pro->field('id,title,pic,ms')->find($_gid);
              if ($pro->id) {
                $tempList[$i] = array(
                  'title'     => $pro->title,
                  'img'       => $pro->pic,
                  'ms'        => $pro->ms,
                  'linkurl'   => '/pages/newsletterdetail/newsletterdetail?id=' . $pro->id . '&wid=' . $wid,
                  'open_type' => 'navigate'//跳转类型
                );
                $i++;
              }
            }
          } else {
            //条件
            $where['typ'] = $n->article_classify;
            //$where['cid'] = $n->article_classify;
            $where['wid'] = $wid;
            //筛选
            if ($n->article_order == 0) {//最新发布文章
              $order = 'ctime DESC';
            } else if ($n->article_order == 1) {//按排序
              $order = 'sort DESC';
            } else {
              $order = 'ctime DESC';
            }
            //数量
            $limit = '0,' . $n->article_nums;

            //数据查询
            $pro = new Model('vshop_article_list');
            $prolist = $pro->field('id,title,pic,ms')->where($where)->limit($limit)->order($order)->list_all();

            $i = 0;
            foreach ($prolist as $_va) {
              $tempList[$i] = array(
                'title'     => $_va->title,
                'img'       => $_va->pic,
                'ms'        => $_va->ms,
                'linkurl'   => '/pages/newsletterdetail/newsletterdetail?id=' . $_va->id . '&wid=' . $wid,
                'open_type' => 'navigate'//跳转类型
              );
              $i++;
            }
          }

          //赋值
          $indexArray[] = array(
            'name'     => 'articleList_0' . $n->sytyle,
            'dataList' => $tempList,
             'bgcolor' => $n->bgcolor,
            'sxSpacing' => $n->sxSpacing,
            'zySpacing' => $n->zySpacing,
            'dbwSpacing' => $n->dbwSpacing,
          );
          break;
        //=======================================================
        //=======================================================
        case 'bespeakList'://预约列表板块
          $n = new Model('vshop_template_bespeaklist');
          $n->field('id,sytyle,selecttype,articleid,article_classify,article_order,article_nums,bgcolor,sxSpacing,zySpacing,dbwSpacing')->find(array('wid' => $wid, 'HomeId' => $va->id));

          $tempList = array();

          if ($n->selecttype) {//自己选择文章
            $articleid = json_decode($n->articleid);
            $i = 0;
            foreach ($articleid as $_gid) {
              $pro = new Model('vshop_bespeak_list');
              $pro->field('id,title,smallpic,ms')->find($_gid);
              if ($pro->id) {
                $tempList[$i] = array(
                  'title'     => $pro->title,
                  'img'       => $pro->smallpic,
                  'ms'        => $pro->ms,
                  'linkurl'   => '/pages/bespeakletterdetail/bespeakletterdetail?id=' . $pro->id . '&wid=' . $wid,
                  'open_type' => 'navigate'//跳转类型
                );
                $i++;
              }
            }
          } else {
            //条件
            $where['typ'] = $n->article_classify;
            //$where['cid'] = $n->article_classify;
            $where['wid'] = $wid;
            //筛选
            if ($n->article_order == 0) {//最新发布文章
              $order = 'ctime DESC';
            } else if ($n->article_order == 1) {//按排序
              $order = 'sort DESC';
            } else {
              $order = 'ctime DESC';
            }
            //数量
            $limit = '0,' . $n->article_nums;

            //数据查询
            $pro = new Model('vshop_bespeak_list');
            $prolist = $pro->field('id,title,smallpic,ms')->where($where)->limit($limit)->order($order)->list_all();

            $i = 0;
            foreach ($prolist as $_va) {
              $tempList[$i] = array(
                'title'     => $_va->title,
                'img'       => $_va->smallpic,
                'ms'        => $_va->ms,
                'linkurl'   => '/pages/bespeakletterdetail/bespeakletterdetail?id=' . $_va->id . '&wid=' . $wid,
                'open_type' => 'navigate'//跳转类型
              );
              $i++;
            }
          }

          //赋值
          $indexArray[] = array(
            'name'     => 'articleList_0' . $n->sytyle,
            'dataList' => $tempList,
             'bgcolor' => $n->bgcolor,
            'sxSpacing' => $n->sxSpacing,
            'zySpacing' => $n->zySpacing,
            'dbwSpacing' => $n->dbwSpacing,
          );
          break;
        //=======================================================
        //=======================================================
        case 'title'://标题栏板块
          $n = new Model('vshop_template_title');
          $n->field('id,sytyle,LinkType,SystemUrl,title,UrlName,bgcolor,sxSpacing,zySpacing,dbwSpacing')->find(array('wid' => $wid, 'HomeId' => $va->id));

          //赋值
          $indexArray[] = array(
            'name'      => 'title_0' . $n->sytyle,
            'title'     => $n->title,
            'more'      => $n->UrlName,
            'linkurl'   => $n->SystemUrl,
             'bgcolor' => $n->bgcolor,
            'sxSpacing' => $n->sxSpacing,
            'zySpacing' => $n->zySpacing,
            'dbwSpacing' => $n->dbwSpacing,
            'open_type' => open_type($n->SystemUrl)//跳转类型
          );
          break;
        case 'search'://搜索板块
          $n = new Model('vshop_template_search');
          $n->field('id,sytyle,bgcolor,sxSpacing,zySpacing,dbwSpacing')->find(array('wid' => $wid, 'HomeId' => $va->id));

          //赋值
          $indexArray[] = array(
            'name'      => 'search_0' . $n->sytyle,
            'linkurl'   => '/pages/search/search?wid=' . $wid,
             'bgcolor' => $n->bgcolor,
            'sxSpacing' => $n->sxSpacing,
            'zySpacing' => $n->zySpacing,
            'dbwSpacing' => $n->dbwSpacing,
            'open_type' => 'navigate'//跳转类型
          );
          break;
        case 'text'://文字板块
          $n = new Model('vshop_template_text');
          $n->field('id,content,bgcolor,sxSpacing,zySpacing,dbwSpacing')->find(array('wid' => $wid, 'HomeId' => $va->id));

          //赋值
          $indexArray[] = array(
            'name'    => 'text_01',
            'content' => $n->content,
             'bgcolor' => $n->bgcolor,
            'sxSpacing' => $n->sxSpacing,
            'zySpacing' => $n->zySpacing,
            'dbwSpacing' => $n->dbwSpacing,
          );
          break;
        case 'line'://横线板块
          $n = new Model('vshop_template_line');
          $n->field('id,sytyle,bgcolor,sxSpacing,zySpacing,dbwSpacing')->find(array('wid' => $wid, 'HomeId' => $va->id));

          //赋值
          $indexArray[] = array(
            'name' => 'line_0' . $n->sytyle,
             'bgcolor' => $n->bgcolor,
            'sxSpacing' => $n->sxSpacing,
            'zySpacing' => $n->zySpacing,
            'dbwSpacing' => $n->dbwSpacing,
          );
          break;
        case 'topic'://图文板块
          $n = new Model('vshop_template_topic');
          $n->field('id,sytyle,pic,navcontent,navpage,type,bgcolor,sxSpacing,zySpacing,dbwSpacing')->find(array('wid' => $wid, 'HomeId' => $va->id));

          //赋值
          $indexArray[] = array(
            'name'      => 'topic_0' . $n->sytyle,
            'img'       => $n->pic,
            'txt'       => $n->navcontent,
            'type'      => $n->type,
            'linkurl'   => $n->navpage,
             'bgcolor' => $n->bgcolor,
            'sxSpacing' => $n->sxSpacing,
            'zySpacing' => $n->zySpacing,
            'dbwSpacing' => $n->dbwSpacing,
            'open_type' => open_type($n->navpage)//跳转类型
          );
          break;
        case 'pic1'://单图
          $n = new Model('vshop_template_pic1');
          $n->field('id,Logo,SystemUrl,urlid,height,content,bgcolor,sxSpacing,zySpacing,dbwSpacing')->find(array('wid' => $wid, 'HomeId' => $va->id));
          $height = $n->height ?: '350rpx';
          $tempList = array();
          $tempList[0] = array(
            'img'       => $n->Logo,
            'content'   => $n->content,
            'linkurl'   => $n->SystemUrl,
            'height'    => $height,
            'checkId'   => $n->urlid,
            'open_type' => open_type($n->SystemUrl)//跳转类型
          );

          //赋值
          $indexArray[] = array(
            'name'     => 'pic_01',
            'dataList' => $tempList,
             'bgcolor' => $n->bgcolor,
            'sxSpacing' => $n->sxSpacing,
            'zySpacing' => $n->zySpacing,
            'dbwSpacing' => $n->dbwSpacing,
          );
          break;
        case 'pic2'://双图
          $n = new Model('vshop_template_pic2');
          $n->field('id,logo1,logo2,navpage1,content1,navpage2,urlid,urlid2,content2,bgcolor,sxSpacing,zySpacing,dbwSpacing')->find(array('wid' => $wid, 'HomeId' => $va->id));

          $tempList = array(
            0 => array(
              'img'       => $n->logo1,
              'content1'  => $n->content1,
              'linkurl'   => $n->navpage1,
              'checkId'   => $n->urlid,
              'open_type' => open_type($n->navpage1)//跳转类型
            ),
            1 => array(
              'img'       => $n->logo2,
              'content2'  => $n->content2,
              'linkurl'   => $n->navpage2,
              'checkId'   => $n->urlid2,
              'open_type' => open_type($n->navpage2)//跳转类型
            ),
          );

          //赋值
          $indexArray[] = array(
            'name'     => 'pic_02',
            'dataList' => $tempList,
             'bgcolor' => $n->bgcolor,
            'sxSpacing' => $n->sxSpacing,
            'zySpacing' => $n->zySpacing,
            'dbwSpacing' => $n->dbwSpacing,
          );
          break;

        case 'pic3'://四图
          $n = new Model('vshop_template_pic3');
          $n->field('id,logo1,logo2,logo3,logo4,navpage1,navpage2,navpage3,navpage4,urlid,urlid2,urlid3,urlid4,bgcolor,sxSpacing,zySpacing,dbwSpacing')->find(array('wid' => $wid, 'HomeId' => $va->id));

          $tempList = array(
            0 => array(
              'img'       => $n->logo1,
              'linkurl'   => $n->navpage1,
              'checkId'   => $n->urlid,
              'open_type' => open_type($n->navpage1)//跳转类型
            ),
            1 => array(
              'img'       => $n->logo2,
              'linkurl'   => $n->navpage2,
              'checkId'   => $n->urlid2,
              'open_type' => open_type($n->navpage2)//跳转类型
            ),
            2 => array(
              'img'       => $n->logo3,
              'linkurl'   => $n->navpage3,
              'checkId'   => $n->urlid3,
              'open_type' => open_type($n->navpage3)//跳转类型
            ),
            3 => array(
              'img'       => $n->logo4,
              'linkurl'   => $n->navpage4,
              'checkId'   => $n->urlid4,
              'open_type' => open_type($n->navpage4)//跳转类型
            ),
          );

          //赋值
          $indexArray[] = array(
            'name'     => 'pic_03',
            'dataList' => $tempList,
             'bgcolor' => $n->bgcolor,
            'sxSpacing' => $n->sxSpacing,
            'zySpacing' => $n->zySpacing,
            'dbwSpacing' => $n->dbwSpacing,
          );
          break;
        case 'pic9'://三横图
          $n = new Model('vshop_template_pic9');
          $n->field('id,logo1,logo2,logo3,navpage1,navpage2,navpage3,content1,content2,content3,urlid,urlid2,urlid3,bgcolor,sxSpacing,zySpacing,dbwSpacing')->find(array('wid' => $wid, 'HomeId' => $va->id));

          $tempList = array(
            0 => array(
              'img'       => $n->logo1,
              'linkurl'   => $n->navpage1,
              'content1'  => $n->content1,
              'checkId'   => $n->urlid,
              'open_type' => open_type($n->navpage1)//跳转类型
            ),
            1 => array(
              'img'       => $n->logo2,
              'linkurl'   => $n->navpage2,
              'content2'  => $n->content2,
              'checkId'   => $n->urlid2,
              'open_type' => open_type($n->navpage2)//跳转类型
            ),
            2 => array(
              'img'       => $n->logo3,
              'linkurl'   => $n->navpage3,
              'content3'  => $n->content3,
              'checkId'   => $n->urlid3,
              'open_type' => open_type($n->navpage3)//跳转类型
            ),
          );

          //赋值
          $indexArray[] = array(
            'name'     => 'pic_09',
            'dataList' => $tempList,
             'bgcolor' => $n->bgcolor,
            'sxSpacing' => $n->sxSpacing,
            'zySpacing' => $n->zySpacing,
            'dbwSpacing' => $n->dbwSpacing,
          );
          break;
        case 'pic16'://四横图
          $n = new Model('vshop_template_pic16');
          $n->field('id,logo1,logo2,logo3,logo4,navpage1,navpage2,navpage3,navpage4,content1,content2,content3,content4,urlid,urlid2,urlid3,urlid4,bgcolor,sxSpacing,zySpacing,dbwSpacing')->find(array('wid' => $wid, 'HomeId' => $va->id));

          $tempList = array(
            0 => array(
              'img'       => $n->logo1,
              'linkurl'   => $n->navpage1,
              'content1'  => $n->content1,
              'checkId'   => $n->urlid,
              'open_type' => open_type($n->navpage1)//跳转类型
            ),
            1 => array(
              'img'       => $n->logo2,
              'linkurl'   => $n->navpage2,
              'content2'  => $n->content2,
              'checkId'   => $n->urlid2,
              'open_type' => open_type($n->navpage2)//跳转类型
            ),
            2 => array(
              'img'       => $n->logo3,
              'linkurl'   => $n->navpage3,
              'content3'  => $n->content3,
              'checkId'   => $n->urlid3,
              'open_type' => open_type($n->navpage3)//跳转类型
            ),
            3 => array(
              'img'       => $n->logo4,
              'linkurl'   => $n->navpage4,
              'content4'  => $n->content4,
              'checkId'   => $n->urlid4,
              'open_type' => open_type($n->navpage4)//跳转类型
            ),
          );

          //赋值
          $indexArray[] = array(
            'name'     => 'pic_16',
            'dataList' => $tempList,
             'bgcolor' => $n->bgcolor,
            'sxSpacing' => $n->sxSpacing,
            'zySpacing' => $n->zySpacing,
            'dbwSpacing' => $n->dbwSpacing,
          );
          break;
        case 'video'://视频板块
		$n = new Model('vshop_template_video');
		$n->field('id,pic,video,bgcolor,sxSpacing,zySpacing,dbwSpacing')->find(array('wid'=>$wid,'HomeId'=>$va->id));
		
		//解析腾讯视频网址
		$vid=trim(strrchr($n->video, '/'),'/');
		$vid=substr($vid,0,-5);
		$json=file_get_contents("http://vv.video.qq.com/getinfo?vids=".$vid."&platform=101001&charge=0&otype=json");
		$json=substr($json,13);
		$json=substr($json,0,-1);
		$a=json_decode(html_entity_decode($json));
		$sz=json_decode(json_encode($a),true);
		$url=$sz['vl']['vi']['0']['ul']['ui']['3']['url'];
		$fn=$sz['vl']['vi']['0']['fn'];
		$fvkey=$sz['vl']['vi']['0']['fvkey'];
		
		//如果是自上传视频
		if($url == ''){
			$videos=$n->video;
			}else{
			  $videos=$url.$fn.'?vkey='.$fvkey;
			}

		//赋值
		$indexArray[] = array(
			'pic'=>$n->pic,

			//修改了默认的参数值
			'video'=>$videos,  
			'name'=>'video',
           'bgcolor' => $n->bgcolor,
            'sxSpacing' => $n->sxSpacing,
            'zySpacing' => $n->zySpacing,
            'dbwSpacing' => $n->dbwSpacing,
		);
		break;
        case 'map'://地图板块
          $n = new Model('vshop_template_map');
          $n->field('id,lat,lng,bgcolor,sxSpacing,zySpacing,dbwSpacing')->find(array('wid' => $wid, 'HomeId' => $va->id));

          //赋值
          $indexArray[] = array(
            'lat'  => $n->lat,
            'lng'  => $n->lng,
            'name' => 'map',
             'bgcolor' => $n->bgcolor,
            'sxSpacing' => $n->sxSpacing,
            'zySpacing' => $n->zySpacing,
            'dbwSpacing' => $n->dbwSpacing,
          );
          break;
        case 'notice'://公告板块
          $n = new Model('vshop_template_notice');
          $n->field('id,content,imgs,bgcolor,sxSpacing,zySpacing,dbwSpacing')->find(array('wid' => $wid, 'HomeId' => $va->id));

          //赋值
          $indexArray[] = array(
            'name'    => 'text_02',
            'content' => $n->content,
            'imgs'    => $n->imgs,
              'bgcolor' => $n->bgcolor,
            'sxSpacing' => $n->sxSpacing,
            'zySpacing' => $n->zySpacing,
            'dbwSpacing' => $n->dbwSpacing,
          );
          break;
        case 'sanft'://三方图板块
          $n = new Model('vshop_template_sanft');
          $n->field('id,logo1,logo2,logo3,navpage1,navpage2,navpage3,bgcolor,sxSpacing,zySpacing,dbwSpacing')->find(array('wid' => $wid, 'HomeId' => $va->id));

          $tempList = array(
            0 => array(
              'img'       => $n->logo1,
              'linkurl'   => $n->navpage1,
              'open_type' => open_type($n->navpage1)//跳转类型
            ),
            1 => array(
              'img'       => $n->logo2,
              'linkurl'   => $n->navpage2,
              'open_type' => open_type($n->navpage2)//跳转类型
            ),
            2 => array(
              'img'       => $n->logo3,
              'linkurl'   => $n->navpage3,
              'open_type' => open_type($n->navpage3)//跳转类型
            ),
          );

          //赋值
          $indexArray[] = array(
            'name'     => 'sanft_01',
            'dataList' => $tempList,
              'bgcolor' => $n->bgcolor,
            'sxSpacing' => $n->sxSpacing,
            'zySpacing' => $n->zySpacing,
            'dbwSpacing' => $n->dbwSpacing,
          );
          break;
        case 'sift'://四方图板块
          $n = new Model('vshop_template_sift');
          $n->field('id,logo1,logo2,logo3,logo4,navpage1,navpage2,navpage3,navpage4,bgcolor,sxSpacing,zySpacing,dbwSpacing')->find(array('wid' => $wid, 'HomeId' => $va->id));

          $tempList = array(
            0 => array(
              'img'       => $n->logo1,
              'linkurl'   => $n->navpage1,
              'open_type' => open_type($n->navpage1)//跳转类型
            ),
            1 => array(
              'img'       => $n->logo2,
              'linkurl'   => $n->navpage2,
              'open_type' => open_type($n->navpage2)//跳转类型
            ),
            2 => array(
              'img'       => $n->logo3,
              'linkurl'   => $n->navpage3,
              'open_type' => open_type($n->navpage3)//跳转类型
            ),
            3 => array(
              'img'       => $n->logo4,
              'linkurl'   => $n->navpage4,
              'open_type' => open_type($n->navpage4)//跳转类型
            ),
          );

          //赋值
          $indexArray[] = array(
            'name'     => 'sift_01',
            'dataList' => $tempList,
              'bgcolor' => $n->bgcolor,
            'sxSpacing' => $n->sxSpacing,
            'zySpacing' => $n->zySpacing,
            'dbwSpacing' => $n->dbwSpacing,
          );
          break;
        case 'leave'://留言板块
          $n = new Model('vshop_template_leave');
          $n->field('id,sytyle,bgcolor,sxSpacing,zySpacing,dbwSpacing')->find(array('wid' => $wid, 'HomeId' => $va->id));

          //赋值
          $indexArray[] = array(
            'name' => 'leave_0' . $n->sytyle,
              'bgcolor' => $n->bgcolor,
            'sxSpacing' => $n->sxSpacing,
            'zySpacing' => $n->zySpacing,
            'dbwSpacing' => $n->dbwSpacing,
          );
          break;
        case 'store'://门店板块
          $n = new Model('vshop_template_store');
          $n->field('storeId,bgcolor,sxSpacing,zySpacing,dbwSpacing,logo,phonePic,checkTime')->find(array('wid' => $wid, 'HomeId' => $va->id));
          $m = new Model('vshop_store_list');
          $m->field("*,(6371 * acos(cos(radians( " . $lat . " )) * cos(radians(lat)) * cos(radians(lng) - radians(" . $lng . ")) + sin(radians( " . $lat . " )) * sin(radians(lat))) * 1000) AS distance")->find(array('id' => $n->storeId));
		 //距离
		  if($m->distance>1000){
			$distance = round($m->distance / 1000, 1).'km';
		 }else{
			$distance = round($m->distance, 2).'m';
		 }
          //赋值
          $indexArray[] = array(
            'name'      => 'store',
            'storeName' => $m->name,
            'tel'       => $m->tel,
            'address'   => $m->address,
            'times'     => $m->times,
            'lat'       => $m->lat,
            'lng'       => $m->lng,
			'logoImg'   => $n->logo,
			'checkPhone'=> $n->phonePic,
			'checkTime'=> $n->checkTime,
			'distance'  => $distance,
            'bgcolor' => $n->bgcolor,
            'sxSpacing' => $n->sxSpacing,
            'zySpacing' => $n->zySpacing,
            'dbwSpacing' => $n->dbwSpacing,
          );
          break;
        case 'kefu'://客服
          $n = new Model('vshop_template_kefu');
          $n->find(array('wid' => $wid, 'HomeId' => $va->id));

          //赋值
          $indexArray[] = array(
            'name'    => 'kefu',
            'bjcolor' => $n->bjcolor,
            'tbcolor' => $n->tbcolor,
            'img'     => $n->img,
          );
          break;
        case 'telephone'://电话
          $n = new Model('vshop_template_telephone');
          $n->find(array('wid' => $wid, 'HomeId' => $va->id));

          //赋值
          $indexArray[] = array(
            'name'    => 'telephone',
            'bjcolor' => $n->bjcolor,
            'tbcolor' => $n->tbcolor,
            'img'     => $n->img,
            'phone'   => $n->phone,
          );
          break;
        case 'richtext'://富文本
          $n = new Model('vshop_template_richtext');
          $n->field('id,detail,bgcolor,sxSpacing,zySpacing,dbwSpacing')->find(array('wid' => $wid, 'HomeId' => $va->id));

          //赋值
          $indexArray[] = array(
            'name'    => 'richtext',
            'content' => $n->detail,
            'bgcolor' => $n->bgcolor,
            'sxSpacing' => $n->sxSpacing,
            'zySpacing' => $n->zySpacing,
            'dbwSpacing' => $n->dbwSpacing,
          );
          break;
        case 'groupbuy'://拼团
          $m = new Model('vshop_template_groupbuy');
          $m->find(array('wid' => $wid, 'HomeId' => $va->id));
          $n = new Model('vshop_product_groupbuy');
          $n->find(array('id' => $m->groupId));
          //赋值
          $indexArray[] = array(
            'name'      => 'groupbuy',
            'groupId'   => $m->groupId,
            'goodsName' => $n->name,
            'pic'       => $n->pic,
            'num'       => $n->num,//成团人数
            'gprice'    => $n->gprice,//参团价格
            'price'     => $n->price,//单买价格
            'oprice'    => $n->oprice,//商品原价
            'max_day'   => $n->max_day,//限定天数
            'bgcolor' => $m->bgcolor,
            'sxSpacing' => $m->sxSpacing,
            'zySpacing' => $m->zySpacing,
            'dbwSpacing' => $m->dbwSpacing,
          );
          break;
        case 'bargain'://砍价
          $m = new Model('vshop_template_bargain');
          $m->find(array('wid' => $wid, 'HomeId' => $va->id));
          $n = new Model('vshop_goods_bargain');
          $n->find(array('id' => $m->bargainId));
          //赋值
          $indexArray[] = array(
            'name'      => 'bargain',
            'bargainId' => $m->bargainId,
            'goodsName' => $n->goods_name,
            'goodsid'   => $n->id,
            'pic'       => $n->pic,
            'oprice'    => $n->goods_price,//商品价格
            'limit_day' => $n->limit_day,//限定天数
             'bgcolor' => $m->bgcolor,
            'sxSpacing' => $m->sxSpacing,
            'zySpacing' => $m->zySpacing,
            'dbwSpacing' => $m->dbwSpacing,
          );
          break;
        case 'moreshop'://多门店
          $m = new Model('vshop_template_moreshop');
          $m->find(array('wid' => $wid, 'HomeId' => $va->id));
          $n = new Model('moreshop_sellerin_list');
          $n->find(array('id' => $m->moreshopId));
          //赋值
          $indexArray[] = array(
            'name'        => 'moreshop',
            'shopName'    => $n->shop_name,
            'comment_num' => $n->comment_num,
            'shopid'      => $n->id,
            'pic'         => $n->logo,
            'bgcolor' => $m->bgcolor,
            'sxSpacing' => $m->sxSpacing,
            'zySpacing' => $m->zySpacing,
            'dbwSpacing' => $m->dbwSpacing,
          );
          break;
        case 'seckill'://秒杀
          $m = new Model('vshop_template_seckill');
          $m->find(array('wid' => $wid, 'HomeId' => $va->id));
          $n = new Model('vshop_product_seckill');
          $n->find(array('id' => $m->seckillId));

          //赋值
          $indexArray[] = array(
            'name'        => 'seckill',
            'seckillId'   => $m->seckillId,
            'goodsName'   => $n->name,
            'pic'         => $n->pic,
            'price'       => $n->price,//商品价格
            'oprice'      => $n->oprice,//商品原价
            'trans_price' => $n->trans_price,//运费
            'num'         => $n->num,//库存
            'times'       => $n->times,//开始时间
            'bgcolor' => $m->bgcolor,
            'sxSpacing' => $m->sxSpacing,
            'zySpacing' => $m->zySpacing,
            'dbwSpacing' => $m->dbwSpacing,
          );
          break;
        case 'zhct'://智慧餐厅
          //赋值
          $indexArray[] = array(
            'name' => 'zhct',
          );
          break;
        case 'music'://秒杀
          $m = (new Model('vshop_template_music'))->find(array('wid' => $wid, 'HomeId' => $va->id));
          $data = $m->get_model_array();
          $data['music_name'] = $data['name'];
          unset($data['name']);
          //赋值
          $indexArray[] = array_merge(array(
            'name' => 'music',
          ), $data);
          break;
         case 'onlinebooking'://在线预约
          $bes = new Model('vshop_bespeak_list');
		  $bes = $bes->where(array('wid'=>$wid))->list_all_array();
          $ser = new Model('vshop_service_list');
		  $ser = $ser->where(array('wid'=>$wid))->list_all_array();
          //赋值
          $indexArray[] = array(
            'name' => 'onlinebooking',
            'bespeak' =>  $bes,
            'service' =>  $ser,
          );
          break;
		 case 'forms'://万能表单
          $m = new Model('vshop_template_form');
		  $m->find(array('wid'=>$wid,'HomeId'=>$va->id));
		  if($m->formId){
			$cf = new CustomForm();
			$form = (new Model('custom_form'))->find(['wid' => $wid, 'id' => $m->formId,'is_del'=>0])->get_model_array();
			$form['submit_tip'] = json_decode($form['submit_tip'], true);
			$form['submit_limit'] = json_decode($form['submit_limit'], true);
			$form['submit_btn'] = json_decode($form['submit_btn'], true);
			$fields = (new Model('custom_form_field'))->order('sort desc')->list_all_array(['wid' => $wid, 'fid' => $form['id'], 'is_del' => 0]);
			foreach ($fields as $k => $field) {
				$fields[$k]['attr'] = json_decode($field['attr'], true);
				if ($fields[$k]['attr']['options']) {
				$fields[$k]['attr']['options'] = explode("\n", trim($fields[$k]['attr']['options']));
				}
			} 
		 }  
	 	 $respData = [
			'form'       => $form,
		    'fields'     => $fields,
		    'attrMap'    => $cf->attrMap,
		    'fieldMap'   => $cf->fieldMap,
		    'can_submit' => true,
		    'error_tip'  => '',
		 ];
          //赋值
          $indexArray[] = array(
            'name' => 'customform',
			'position'=>$position-1,
            'respData' =>  $respData,
          );
          break;
      }
    }
    /**********************底部菜单*************************/
    $n = new Model('vshop_template_navigation');
    $n->field('id,sytyle,menus,wzcolor,kftel')->find(array('wid' => $wid));
    //解析原数据
    $item = json_decode($n->menus);

    //获取需要数据
    $tempList = array();
    $i = 0;
    foreach ($item as $_ite) {
      $tempList[$i] = array(
        'title'     => $_ite->name,
        'img'       => $_ite->pic,
        'selectimg' => $_ite->pics,
        'linkurl'   => $_ite->page,
        'checkId'   => $_ite->urlid,
        'open_type' => open_type($_ite->page)//跳转类型
      );
      $i++;
    }

    //赋值
    $indexArray[] = array(
      'name'          => 'navigation_0' . $n->sytyle,
      // 'navigationBarBackgroundColor'=>$n->tbcolor,
      'selectedColor' => $n->wzcolor ?$n->wzcolor:'#0099cc',
      'kfTel'         => $n->kftel,
      'dataList'      => $tempList,
    );

    /*************************获取首页DIY数据*************************/

    //数据组合
    $dataList = array(
      'ShopName'   => $pl->name,
      'indexArray' => $indexArray,
      'copyright'  => $copyright,
      'urls'  => $urls,
    );
    /********************数据处理********************/

    //返回数据
    $arr = array(
      'errcode'  => 0,
      'errmsg'   => 'ok',
      'dataList' => $dataList,
    );
  }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d' => $HexData);
echo json_encode($data);
exit;

//功能菜单
function getFnArray($id) {
  global $wid;

  $data = array();
  switch ($id) {
    case '1':
      $data = array(
        'iconClass' => 'fn-home',
        'font'      => '首页',
        'linkurl'   => '/pages/index/index?wid=' . $wid,
        'open_type' => 'switchTab'//跳转类型
      );
      break;
    case '2':
      $data = array(
        'iconClass' => 'fn-info',
        'font'      => '用户中心',
        'linkurl'   => '/pages/usercenter/usercenter?wid=' . $wid,
        'open_type' => 'switchTab'//跳转类型
      );
      break;
    case '3':
      $data = array(
        'iconClass' => 'fn-search',
        'font'      => '搜索',
        'linkurl'   => '/pages/search/search?wid=' . $wid,
        'open_type' => 'navigate'//跳转类型
      );
      break;
    case '4':
      $data = array(
        'iconClass' => 'fn-heart',
        'font'      => '我的收藏',
        'linkurl'   => '/pages/mycollect/mycollect?wid=' . $wid,
        'open_type' => 'navigate'//跳转类型
      );
      break;
    case '6':
      $data = array(
        'iconClass' => 'fn-address',
        'font'      => '收货地址',
        'linkurl'   => '/pages/shopaddress/shopaddress?wid=' . $wid,
        'open_type' => 'navigate'//跳转类型
      );
      break;
    case '7':
      $data = array(
        'iconClass' => 'fn-mark',
        'font'      => '分类',
        'linkurl'   => '/pages/category/category?wid=' . $wid,
        'open_type' => 'switchTab'//跳转类型
      );
      break;
    case '8':
      $data = array(
        'iconClass' => 'fn-mark',
        'font'      => '购物车',
        'linkurl'   => '/pages/shoppingcart/shoppingcart?wid=' . $wid,
        'open_type' => 'switchTab'//跳转类型
      );
      break;
    case '9':
      $data = array(
        'iconClass' => 'fn-phone',
        'font'      => '电话',
        'linkurl'   => '',
        'open_type' => 'navigate'//跳转类型
      );
      break;
    case '10':
      $data = array(
        'iconClass' => 'fn-service',
        'font'      => '客服',
        'linkurl'   => '',
        'open_type' => 'navigate'//跳转类型
      );
      break;
    case '11':
      $data = array(
        'iconClass' => 'fn-file',
        'font'      => '我的订单',
        'linkurl'   => '/pages/orderlist/orderlist?wid=' . $wid,
        'open_type' => 'navigate'//跳转类型
      );
      break;
    case '12':
      $data = array(
        'iconClass' => 'fn-grid',
        'font'      => '商品列表',
        'linkurl'   => '/pages/search/search?wid=' . $wid,
        'open_type' => 'navigate'//跳转类型
      );
      break;
  }
  return $data;
}

//判断链接跳转类型
function open_type($url) {
  if (strpos($url, '/pages/index/index') !== false || strpos($url, '/pages/category/category') !== false || strpos($url, '/pages/shoppingcart/shoppingcart') !== false || strpos($url, '/pages/usercenter/usercenter') !== false) {//说明是底部菜单
   // $open_type = 'switchTab';
      $open_type = 'navigate';//系统现不存在switchTab，所以同一改成navigate（带精简）
  } else {
    $open_type = 'navigate';
  }
  return $open_type;
}

?>

