<?php
//获取订单列表
setApi();
$req = getPayloadParams();
if(!$req['wid'] || !$req['openid'] || !$req['shopid']){
  sendResponse([]);
  exit();
}

//获取订单列表
$orderlist = (new Model('moreshop_goods_order'))->where(['wid'=>$req['wid'],'shopid'=>$req['shopid'],'openid'=>$req['openid']])->order("id desc")->list_all_array();
//获取商品信息
foreach ($orderlist as $k=>$v){
  $v['cart']=json_decode($v['cart']);
  $data[$k]['order'] = $v;
  $data[$k]['order']['sdate'] = date("Y-m-d H:i:s",$data[$k]['order']['sdate']);
  $data[$k]['product'] = (new Model('moreshop_goods'))->find($v['goodsid'])->get_model_array();
  $data[$k]['product']['pic'] = json_decode( $data[$k]['product']['pic'],true);
  if (!$data[$k]['order']['is_pay']) {
    $data[$k]['order']['status'] = [0, '未支付'];
  } else if ($data[$k]['order']['is_refund']) {
    $data[$k]['order']['status'] = [4, '已退款'];
  } else if (!$data[$k]['order']['is_transmit']) {
    $data[$k]['order']['status'] = [1, '待发货'];
  } else if (!$data[$k]['order']['is_receive']) {
    $data[$k]['order']['status'] = [2, '待收货'];
  } else{
    $data[$k]['order']['status'] = [3, '已收货'];
  }
}
sendSuccess('yes',$data);