<?php
//入驻付款
setApi();
//加载微信支付文件
require_once DOXCX_FRAME_PATH . "Payment/WxpayAPI/lib/WxPay.Api.php";
require_once DOXCX_FRAME_PATH . "Payment/WxpayAPI/lib/WxPay.JsApiPay.php";
$req = getPayloadParams();
if (!$req['wid'] || !$req['openid']) {
  sendResponse([]);
  exit();
}
//获取支付钱数
$setting = (new Model('moreshop_setting'))->where(['wid' => $req['wid']])->find();
$money = $setting->in_money;
if ($money == 0) {
  //将是否支付字段改为1
  $payorder = (new Model('moreshop_sellerin_list'))->where(['wid' => $req['wid'], 'openid' => $req['openid']])->order('id desc')->find();
  $payorder->is_pay = 1;
  $payorder->save();
  //创建用户
  $user['username'] = $payorder->iphone;
  $user['password'] = md5($payorder->iphone);
  $user['wid'] = $payorder->wid;
  $user['shopid'] = $payorder->id;
  (new Model('moreshop_user'))->save($user);
  sendError('初次登录用户名和密码为您的手机号，快去看看您的商店吧！');
}

$time = time();
$nonce_str = getRandomOrderNo('ms');
$body = '多门店入驻缴费';
$OrderNo = getRandomOrderNo('ms');

$sykConfig = new Model('vshop_syk_pay');
$sykConfig->find(array('wid' => $req['wid']));	
if($sykConfig->status){//开启商云客支付
	$respData = syk_prepay($req['wid'], $req['openid'], $money, Conf::$http_path_api . '/Payment/Sykpay/moreshopNotify.html', $OrderNo, $body);
	//更新订单
    $order = (new Model('moreshop_sellerin_list'))->where(['wid' => $req['wid'], 'openid' => $req['openid']])->order('id desc')->find();
    //更新订单号
    $order->orderNo = $OrderNo;
    //更新付款时间
    $order->pay_time = time();
    $order->save();
    //返回请求
    sendResponse(['payObj'=>$respData,'order'=>$order->get_model_array()]);
	exit();
}


//通用支付逻辑
$respData=common_prepay($req['wid'], $req['openid'], $money,'moreshopNotify', $OrderNo, $body,$req);

//通用支付逻辑
if($respData['status']=='success'){
    //更新订单
    $order = (new Model('moreshop_sellerin_list'))->where(['wid' => $req['wid'], 'openid' => $req['openid']])->order('id desc')->find();
    //更新订单号
    $order->orderNo = $OrderNo;
    //更新付款时间
    $order->pay_time = time();
    $order->save();
    //返回请求
    sendResponse(['payObj'=>$respData['data'],'order'=>$order->get_model_array()]);
}else{
    sendError($respData['msg']);
}
