<?php
/**
 * 订单取消关闭
 */
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据

//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }elseif(!$result->orderid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：orderid');
    }else {

        //商户id
        $wid = $result->wid;

        /********************数据处理********************/
        $orderid = $result->orderid;//订单id

        $m = new Model('vshop_order');
        $m->field('id,wid,OrderStatus,IsMemberClose,PayStatus')->find($orderid);
        if($m->id && $m->wid == $wid){
            if($m->PayStatus){
                $arr = array('errcode'=>1,'errmsg'=>'该订单不能取消');
            }else{
                $m->update(array('id'=>$m->id),array('OrderStatus'=>3,'IsMemberClose'=>1));
                //返回数据
                $arr = array('errcode'=>0,'errmsg'=>'操作成功');
            }
        }else{
            $arr = array('errcode'=>1,'errmsg'=>'订单不存在');
        }
        /********************数据处理********************/
    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

?>