<?php
/**
 * 订单确认收货
 */
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据



//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    $result->wid = $result->wid ? : Request::get('wid');
    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }elseif(!$result->orderid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：orderid');
    }else {

        //商户id
        $wid = $result->wid;

        /********************数据处理********************/
        $orderid = $result->orderid;//订单id

        $m = new Model('vshop_order');
        $m->field('id,wid,OrderStatus,EvaluationStatus,PayStatus,DeliveryStatus')->find($orderid);
        if($m->id && $m->wid == $wid){
            if($m->PayStatus && $m->DeliveryStatus){
                //修改订单状态
                $m->update(array('id'=>$m->id),array('OrderStatus'=>2,'EvaluationStatus'=>0,'oktime'=>date('Y-m-d H:i:s')));
              $m = new Model('vshop_order');
              $m->find($orderid);
                //确认佣金
              $setting = (new Model('vshop_vagent_setting'))->find(['wid' => $m->wid]);
              $me=(new Model('vshop_member'))->find(['wxid'=>$m->wxid]);
              $pm=(new Model('vshop_member'))->find(['id'=>$me->pid]);
              if($pm->id){//找到了上级
                $level1_add = floor($m->payAmount * $setting->level1) / 100;
                $pm->unextract_money = $pm->unextract_money - $level1_add;
                $pm->extract_money = $pm->extract_money + $level1_add;//不可提现转移为可提现
                $pm->save();
                $ppm=(new Model('vshop_member'))->find(['id'=>$pm->pid]);
                if($ppm->id){//找到了上上级
                  $level2_add = floor($m->payAmount * $setting->level2) / 100;
                  $ppm->unextract_money = $ppm->unextract_money - $level2_add;
                  $ppm->extract_money = $ppm->extract_money + $level2_add;//不可提现转移为可提现
                  $ppm->save();
                }
              }
              
                /*
                 $bro = new Model('vshop_brokerage');
                $resarr = $bro->field('id')->where(array('wid'=>$wid,'orderid'=>$orderid,'status'=>0,'istrue'=>0))->list_all();
                foreach($resarr as $bv){
                    $bor2 = new Model('vshop_brokerage');
                    $bor2->update(array('id'=>$bv->id),array('status'=>0,'istrue'=>1,'etime'=>date('Y-m-d H:i:s')));
                }
                 */

                //返回数据
                $arr = array('errcode'=>0,'errmsg'=>'操作成功');
            }else{
                $arr = array('errcode'=>1,'errmsg'=>'当前订单不能确认收货');
            }
        }else{
            $arr = array('errcode'=>1,'errmsg'=>'订单不存在');
        }
        /********************数据处理********************/
    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

?>