<?php
setApi();
$req    = getPayloadParams();
$wid    = $req['wid'];
$goodid = $req['goodid'];
if (!$wid || !$goodid) {
  sendError('参数错误');
}
try {
  $access_token = WX_getAccessToken($wid);
  $url          = "https://api.weixin.qq.com/wxa/getwxacodeunlimit?access_token=" . $access_token;
  header('content-type:image/gif');
  $res     = HttpCurl::post($url, json_encode([
    "page"  => 'pages/goods/goods',
    "scene" => 'id=' . $goodid,
  ]));
  $tryJson = json_decode($res, true);
  if (strlen($res) < 1024 || isset($tryJson['errcode'])) {
    return null;
  }
  $fileName = 'products_' . $wid . '_' . $goodid . '.png';
  $path     = genImg($fileName, $res);
  $resPath = Conf::$http_path_api.$path;
  sendSuccess('ok', $resPath);
} catch (Exception $e) {
  sendError($e);
}


function genImg($fileName, $content) {
  try {
    mkdir('./productImg/');
  } catch (Exception $e) {
  }
  $path = 'productImg/' . $fileName;
  $fp = fopen($path, 'wb');
  fwrite($fp, $content);
  fclose($fp);
  return $path;
}



