<?php
/**
 * 商品详细信息
 */
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据



//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }elseif(!$result->openId){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：openId');
    }elseif(!$result->proId){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：proId');
    }else {

        //商户id
        $wid = $result->wid;

        /********************数据处理********************/
        $openId = $result->openId;//微信用户id
        $proId = $result->proId;//商品id
        $eventId = $result->eventId;//

        $pro = new Model('vshop_productcy');
        $pro->field('id,rowtemp,specdata,name,sale_nums,lowest,yj,detail,pic,pics,store_nums,IsPutAway,limitSum,tags')->find($proId);

        //查询商品是否收藏
        $fav = new Model('vshop_mycollect');
        $fav->field('id')->find(array('gid'=>$proId,'wxid'=>$openId,'wid'=>$wid,'islike'=>1));
        $isCollection = $fav->id;

        //查询商品标签
        $tagid = explode(',',$pro->tags);
        $tag = new Model('vshop_producttag');
        $tag_res = $tag->where(array('id'=>$tagid))->list_all();
        $t = 0;
        foreach ($tag_res as $_tag){
            if($t==0){
                $SellingPoints = $_tag->name;
            }else{
                $SellingPoints .= '，'.$_tag->name;
            }
            $t++;
        }

        /*****查询处理属性*****/
        if($pro->specdata){
            $specdata = explode(',',$pro->specdata);//属性集id
        }else{
            $specdata = '';
        }
        $rowtemp = json_decode($pro->rowtemp);//属性

        $SpecLst = array();
        $len = count($rowtemp);
        $SalesName = $pro->name;
        if($len && is_array($specdata)){
            $i = 0;
            foreach ($specdata as $_sp){
                $sprop = new Model('vshop_productsprop');
                $sprop->field('id,name')->find($_sp);
                $SpecLst[$i]['Id'] = $sprop->id;
                $SpecLst[$i]['Name'] = $sprop->name;
                $SpecLst[$i]['pspLst'] = null;
                $SpecLst[$i]['SkuType'] = 0;
                $SpecLst[$i]['ProductSKUInfo'] = null;
                $svLst = array();
                $n = 0;
                $linshi = array();
                foreach ($rowtemp as $_row){
                    $spec_array = $_row->spec_array;
                    foreach ($spec_array as $_spa){
                        $_spa_arr = explode('_',$_spa);
                        if($_spa_arr[0] == $_sp){//存在属性id
                            $_spa_key = md5($_spa);
                            if(!in_array($_spa_key,$linshi)){//数组中不存在则添加
                                $linshi[$n] = $_spa_key;
                                $ischecked = (count($spec_array) == $n)?true:false;
                                if($ischecked){
                                    $Stock = $_row->store_nums;//库存
                                    $CostPrice = $_row->cost_price;//成本价格
                                    $SalePrice = $_row->sell_price;//价格
                                    $MarketPrice = $_row->market_price;//原价
                                    $SalesName .= ' '.$_spa_arr[1];
                                    $goods_no = $_row->goods_no;//商品编号
                                }
                                $SpecLst[$i]['svLst'][$n]['Id'] = $_spa_key;//1556_红色
                                $SpecLst[$i]['svLst'][$n]['Name'] = $_spa_arr[1];
                                $SpecLst[$i]['svLst'][$n]['imagePath'] = $pro->pic;
                                $SpecLst[$i]['svLst'][$n]['IsChecked'] = $ischecked;
                                $n++;
                            }
                        }
                    }
                }
                $i++;
            }
        }else{
            foreach ($rowtemp as $_row){
                $goods_no = $_row->goods_no;
                $CostPrice = $_row->cost_price;
                $SalePrice = $_row->sell_price;
                $MarketPrice = $_row->market_price;
            }
        }
        /*****查询处理属性*****/

        //商品图片
        $pics = json_decode($pro->pics);
        $p = 0;
        $productPicList = array();
        foreach ($pics as $_pv){
			
            $productPicList[$p]['Path'] = $_pv->src;
			$p=$p+1;
        }

        //商品数据
        $dataList[0] = array(
            'Id'=>$pro->id,//商品id
            'SalesName'=>$SalesName,//商品名称
            'ProductName'=>$pro->name,//商品名称
            'SalesNum'=>$pro->sale_nums,//销量
            'ShowPrice'=>$pro->lowest,//显示价格
            'CostPrice'=>$CostPrice?$CostPrice:$pro->lowest,//属性成本价格
            'SalePrice'=>$SalePrice?$SalePrice:$pro->lowest,//属性价格
            'MarketPrice'=>$MarketPrice?$MarketPrice:$pro->yj,//原价
            'Describe'=>$pro->detail,//商品详情
            'ProductPic'=>$pro->pic,//商品图片
            'SpecLst'=>$SpecLst,//商品属性
            'TotalStoreNum'=>$pro->store_nums,//总库存
            'LimitEachBuyCount'=>$pro->limitSum,//购买限制
            'Stock'=>$Stock?$Stock:$pro->store_nums,//当前属性库存
            'productPicList'=>$productPicList,//商品图片
            'isCollection'=>$isCollection,//是否已收藏
            'ProductSKU_Id'=>$goods_no,//当前属性唯一标识
            'SellingPoints'=>'',//分享des
            'Status'=>$pro->IsPutAway?true:false,
            'SellingPoints'=>$SellingPoints,//标签
            'Productcomment'=>null,
            'Productcommentpic'=>null,
            'CommentProductSkuList'=>null,
            'totalSum'=>'',//评价数
        );

        /********************数据处理********************/

        //返回数据
        $arr = array(
            'errcode' => 0,
            'errmsg' => 'ok',
            'dataList' => $dataList
        );
    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

?>