<?php
/**
 *预约详情
 */
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据



//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->id){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：id');
    }else {
		
        /********************数据处理********************/
		
        //预约id
        $id = $result->id;
        
        $m = new Model('reserve_list');
        $res = $m->field('id,name,pic,title,reserve_count,service')->find($id);
		
        $dataList = array();
        $dataList['id'] = $res->id;
        $dataList['pic'] = $res->pic;//图片
        $dataList['name'] = $res->name;//名称
        $dataList['title'] = $res->title;//职称
		$dataList['reserve_count'] = $res->reserve_count;//被约次数
		
		$shops=json_decode($res->service,1);
		$service=array();
		$i = 0;
		foreach($shops as $_s){
			 $u = new Model('reserve_shop');
			 $u->find($_s);
			 $service[$i]['id']=$u->id;
			 $service[$i]['name']=$u->name;
			 $service[$i]['price']=$u->price;
			 $i++;
		 }
        /********************数据处理********************/

        //返回数据
        $arr = array(
            'errcode' => 0,
            'errmsg' => 'ok',
            'dataList' => $dataList,
			'service'=>$service //服务
        );
    }
}


//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

?>