<?php
/**
 *商铺列表
 */
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据



//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }elseif(!$result->pageindex){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：pageindex');
    }else {

        //商户id
        $wid = $result->wid;

        /********************数据处理********************/
        $pageIndex = $result->pageindex;//当前页
        $pageSize = 10;//每页条数
		
        //搜索条件
        $where['wid'] = $wid;
		$where['isshow']=1;
        //条数
        $lim = 	$pageSize*($pageIndex-1).','.$pageSize;

        $m = new Model('reserve_shop');
        $res = $m->field('id,name,pic,price')->where($where)->limit($lim)->order('id')->list_all();
        $dataList = array();
        $i = 0;
        foreach($res as $_v){

            $dataList[$i]['id'] = $_v->id;
            $dataList[$i]['pic'] = $_v->pic;//图片
            $dataList[$i]['name'] = $_v->name;//名称
			$dataList[$i]['price'] = $_v->price;//价格
            $i++;
        }
        /********************数据处理********************/

        //返回数据
        $arr = array(
            'errcode' => 0,
            'errmsg' => 'ok',
            'dataList' => $dataList
        );
    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

?>