<?php
/**
 *立即预约
 */
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据



//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }else {

        $wid = $result->wid;//商户id
		$openid = $result->openid;//openid
		$reserveId = $result->reserveId;//预约列表ID
		$serviceId = $result->serviceId;//商铺ID
		$users = $result->users;//用户名称
		$names = $result->names;//姓名
		$telephone = $result->telephone;//电话
		$num = $result->num;//预约人数
		//$times = $result->times;//预约时间
		$times = date("Y-m-d H:i",strtotime($result->times));
		$shops = new Model('reserve_shop');
		$shops->find($result->serviceId);
		$price = $shops->price;//价格
		
        $m = new Model('reserve_user');
		$m->wid= $wid;
        $m->openid = $openid;
		$m->reserve_id = $reserveId;
		$m->service_id = $serviceId;
		$m->users = $users;
		$m->names = $names;
		$m->telephone = $telephone;
		$m->number = $num;
		$m->times = $times;
		$m->price = $price;
		$rs=$m->save();
		if($rs->id){
			//返回数据
			$arr = array(
            'errcode' => 0,
            'errmsg' => '操作成功'
			);
		}else{
			//返回数据
			$arr = array(
            'errcode' => 1,
            'errmsg' => '操作失败'
			);
		}
       
    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

?>