<?php
/**
 * Created by Jeffrey.
 * User: Jeffrey
 * Date: 2017/12/3
 * Time: 22:58
 */
// vshop_product_seckill_order
require_once "apiHead.php";
//获取参数
$req = getPayloadParams();
$product = db_query("SELECT * FROM vshop_product_seckill WHERE wid=? AND id=?", [$req['wid'], $req['productId']])[0];
// $product=(new Model('vshop_product_seckill'))->find($req['productId']);
diy_log($product);
//数据存在性
if (!arr_get($req, 'wid') || !arr_get($req, 'openid') || !$product) {
  sendResponse([]);
  exit();
}
if($product['num']==0){
  sendResponse([
    'status'=>'error',
    'msg'=>'抱歉，您购买的商品已经抢购完毕，下次早点来哦~'
  ]);
  exit();
}else if($product['num']<arr_get($req, 'productNum')){
  sendResponse([
    'status'=>'error',
    'msg'=>'抱歉，您购买的商品数量不足，请重新选择数量~'
  ]);
  exit();
}
//单价
$onePrice =$product['price'];
//运费
$transPrice = $product['trans_price'];
//总价
$allPrice = $onePrice * $req['productNum'] + $transPrice;
//生成预支付订单
$OrderNo = md5('秒杀' . time() . rand() . rand() . microtime());//订单号
$body = '秒杀-' . $product['name'];
$dataList = baidu_prepay($req['wid'], $allPrice, Conf::$http_path_api."gateway/payNotify.html", $OrderNo, $body, array('wid'=>$req['wid'],'functiontype'=>'seckillNotify'));
    // 生成订单
    $orderData=[
      'wid' => arr_get($req, 'wid'),
      'openid' => arr_get($req, 'openid'),
      'order_no' => $OrderNo,
      'product_id' => $product['id'],
      'price' => $onePrice,
      'num' => $req['productNum'],
      'trans_price' => $transPrice,
      'total_price' => $allPrice,
      'submit_time' => time(),
      'remark' => arr_get($req, 'remark'),
      'receiver' => arr_get($req, 'receiver'),
      'phone' => arr_get($req, 'phone'),
      'address' => arr_get($req, 'address'),
    ];
    $order = new Model('vshop_product_seckill_order');
    foreach ($orderData as $field=>$fieldValue){
      $order->$field=$fieldValue;
    }
    if($product['num']<=0){
      sendResponse([
        'status'=>'error',
        'msg'=>'抱歉，您购买的商品已经抢购完毕，下次早点来哦~'
      ]);
      exit();
    }else if($product['num']<arr_get($req, 'productNum')){
      sendResponse([
        'status'=>'error',
        'msg'=>'抱歉，您购买的商品数量不足，请重新选择数量~'
      ]);
      exit();
    }
    $order->save();
    $product=(new Model('vshop_product_seckill'))->find($req['productId']);
    $product->num=$product->num-arr_get($req, 'productNum');
    $product->save();
    sendResponse(['status'=>'success','payObj'=>$dataList,'order'=>$order->get_model_array()]);
