<?php
/**
 * 订单列表
 */
header("Content-Type: application/json");

$result = getPayloadParams(false);

if (!$result->wid) {
  $arr = array('errcode' => 1, 'errmsg' => '缺少参数：wid');
} else if (!$result->orderid) {
  $arr = array('errcode' => 1, 'errmsg' => '缺少参数：orderid');
} else {

  //商户id
  $wid = $result->wid;

  /********************数据处理********************/
  $orderid = $result->orderid;
  $returns=[];
   $order = new Model('vshop_product_seckill_order');
   $order->where(['order_no'=>$orderid])->find();
   if ($order->wid == $wid) {
        //状态
       /* if($order->is_refund){
          $status='已退款';
        }else if($order->is_receive){
          $status='已签收';
        }else if($order->is_transmit){
          $status='已发货';
        }else if($order->is_pay){
          $status='已支付';
        }else{
          $status='未支付';
        }*/
     
     if (!$order->is_pay) {
            $returns['status'] = [0, '未支付'];
        } else if ($order->is_refund) {
            $returns['status'] = [4, '已退款'];
        } else if (!$order->is_transmit) {
            $returns['status'] = [1, '待发货'];
        } else if (!$order->is_receive) {
            $returns['status'] = [2, '待收货'];
        } else if ($order->is_receive) {
            $returns['status'] = [3, '已收货'];
        }
     

     
      	$user = (new Model('wechat_group_list'))->where(['openid' => $order->openid])->find();
    	$order->user = $user;
        //商品信息
        $product=(new Model('vshop_product_seckill'))->find($order->product_id);
        $order->product=$product;
     
      $returns['order_no']=$order->order_no;
     $returns['submit_time']=date('Y-m-d H:i:s',$order->submit_time);
     $returns['nickname']=$order->user->nickname;
     $returns['product_name']=$order->product->name;
     $returns['product_pic']=$order->product->pic;
     $returns['product_price']=$order->product->price;
     $returns['price']=$order->price;
     $returns['trans_price']=$order->trans_price;
     $returns['total_price']=$order->total_price;
     $returns['num']=$order->num;

    //$returns['hexiao']='https://'.$_SERVER['HTTP_HOST'].'/api/vshop/seller/qrcode.html?data=ms-'.$order->order_no;
    
     $returns['is_refund']=$order->is_refund;
     $returns['is_receive']=$order->is_receive;
     $returns['is_pay']=$order->is_pay;
     $returns['is_transmit']=$order->is_transmit;
     $returns['createtime']=date('Y-m-d H:i:s',$order->submit_time);
     
     if($result->hx==1){
		if($returns['status'][0]==1){
          
           	$order->is_transmit=1;
         	$order->is_receive=1;
        	$hx=$order->save();
         	if($hx){
          	 	$arr = array('errcode' => 0, 'errmsg' => '核销成功');
           		echo json_encode($arr);
       			exit;
         	}
        }
        $arr = array('errcode' => 1, 'errmsg' => '核销失败');
     	echo json_encode($arr);
       	exit;
     }
     
      //返回数据
    $arr = array(
      'errcode' => 0,
      'errmsg' => 'ok',
      'dataList' => $returns
    );
   }else{
   $arr = array('errcode' => 1, 'errmsg' => '订单不存在');
   }
}
//加密处理
echo json_encode($arr);
exit;