<?php
/**
 * 订单提交
 */
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据

//实例化类
$aes = new aes();
if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
	
	
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }elseif(!$result->openId){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：openId');
    }elseif(!$result->ShoppingCartList){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：ShoppingCartList');
    }elseif(!$result->addressId){
        $arr = array('errcode'=>1,'errmsg'=>'请先在本页面顶部添加地址：addressId');
    }else {

        //商户id
        $wid = $result->wid;

        /********************数据处理********************/
        $openid = $result->openId;//微信id
        $ShoppingCartList = $result->ShoppingCartList;//商品列表
        $addressId = $result->addressId;//地址id
        $couponItemId = $result->couponItemId;//优惠券id
        $remark = $result->remark;//备注

        $dataList = array();

        //查询默认收货地址
        $address = new Model('vshop_addresslibrary');
        $address->find($addressId);
        //收货地址
        $DeliveryAddress = array(
            "pid"=>$wid,
            "receiver"=>$address->Name,
            "phone"=>$address->Phone,
            "address_id"=>$address->id,
            "address"=>$address->addressDetail,
            "province_id"=>$address->ProvinceId,
            "city_id"=>$address->CityId,
            "zone_id"=>$address->DistrinctId,
            "is_default"=>$address->SetDefault,
            "PName"=>$address->ProvinceName,
            "CName"=>$address->CityName,
            "DName"=>$address->DistrintName,
            "FullAddress"=>$address->ProvinceName.' '.$address->CityName.' '.$address->DistrintName.' '.$address->addressDetail
        );
        $businessSetId = null;
        $member = null;
        //优惠券
        $coupon = null;
        $couponAmount = 0;
        if($couponItemId){
			
            $coupon = array();
            //查询优惠券金额
            $mycoupon = new Model('vshop_mycouponlist');
            $mycoupon->find($couponItemId);
			
			//file_put_contents('E:\wwwweb\wechat\wx\controller\api\vshop\orderWebService\1.txt',$mycoupon->daytime>=date('Y-m-d H:i:s'));
			
            if($mycoupon->id && $mycoupon->wxid == $openid && $mycoupon->wid == $wid && $mycoupon->isuse == 0 && $mycoupon->daytime>=date('Y-m-d H:i:s')){
                if($mycoupon->type == 1){//现金券
				file_put_contents('E:\wwwweb\wechat\wx\controller\api\vshop\orderWebService\1.txt','456');
                    $coupon['Label'] = "现金券";
                    $coupon['Title'] = "优惠".$mycoupon->money."元";
                    $coupon['Desc'] = "已减".$mycoupon->money."元";
                    $coupon['UseAmount'] = $mycoupon->money;
                    $coupon['DiscountAmount'] = $mycoupon->money;
                    $coupon['FromType'] = $mycoupon->type;
                    $coupon['Id'] = $mycoupon->id;
                    $coupon['hid'] = $mycoupon->hid;
                    $coupon['Name'] = $mycoupon->name;
                    $coupon['CodeId'] = 0;
                    $coupon['StrValidateStart'] = $mycoupon->ctime;
                    $coupon['StrValidateEnd'] = $mycoupon->dytime;
                    $couponAmount = $mycoupon->money;//优惠券金额
                }elseif($mycoupon->type == 2){//满减券
                    $coupon['Label'] = "满减券";
                    $coupon['Title'] = "满".$mycoupon->xemoney."元减".$mycoupon->dmoney."元";
                    $coupon['Desc'] = "已减".$mycoupon->dmoney."元";
                    $coupon['UseAmount'] = $mycoupon->xemoney;
                    $coupon['DiscountAmount'] = $mycoupon->dmoney;
                    $coupon['FromType'] = $mycoupon->type;
                    $coupon['Id'] = $mycoupon->id;
                    $coupon['hid'] = $mycoupon->hid;
                    $coupon['Name'] = $mycoupon->name;
                    $coupon['CodeId'] = 0;
                    $coupon['StrValidateStart'] = $mycoupon->ctime;
                    $coupon['StrValidateEnd'] = $mycoupon->dytime;
                    $couponAmount = $mycoupon->dmoney;//优惠券金额
                }
            }
        }
        //支付方式
        $payment = array(
            'Name'=>'DOXCX',
            'pay_type'=>4,
            'pay_type_css'=>'pay_wxpay',
            'orderBy'=>0,
            'is_wmpay'=>0
        );
        //配送方式;快递费
        $delivery = array(
            'Id'=>0,
            'Name'=>'免运费',
            'Fee'=>0,
            'ComCode'=>null
        );
        //积分
        $points = 0;
        //积分金额
        $pointsAmount = 0;
        //订单类型
        $orderType = 1;

        //解析商品列表
        //商品列表
        $items = array();
        $TotalPrice = 0;
        $i = 0;
        foreach ($ShoppingCartList as $_va){
            $TotalPrice += $_va->SalePrice * $_va->Amount;//商品总价格
            //查询商品返利百分比
            $pro = new Model('vshop_productcy');
            $pro->field('id,agent')->find($_va->ProductId);
            $items[$i] = array(
                'Price'=>$_va->SalePrice,
                'MemberPrice'=>$_va->SalePrice,
                'cost_price'=>$_va->CostPrice,
                'goods_no'=>$_va->ProductSKU_Id,
                'ProductId'=>$_va->ProductId,
                'Name'=>$_va->ProductSaleName,
                'ImageUrl'=>$_va->ProductPic,
                'Count'=>$_va->Amount,
                'Remaining'=>'',
                'IsMemberPrice'=>false,
                'agent'=>$pro->agent
            );
            $i++;
        }
        //支付金额
        $payAmount = $TotalPrice - $couponAmount;//商品总金额-优惠券金额
        if($payAmount <= 0 && $couponAmount){//使用优惠券 和 支付金额为0
            $payAmount = 0;
            $IsPay = 1;//当前为支付状态
        }else{
            $IsPay = 0;
        }
        //查询用户上级id
        $me = new Model('vshop_member');
        $me->field('id,pid')->find(array('wid'=>$wid,'wxid'=>$openid));

        /**提交订单**/
        $zmarr = array('Q','W','E','R','T','Y','U','I','O','P','A','S','D','F','G','H','J','K','L','Z','X','C','V','B','N','M');
        $m = new Model('vshop_order');
        $m->wid = 66;
        $m->wxid = $openid;
        $m->OrderNo = $zmarr[rand(0, 25)]. strtoupper(dechex(date('m'))) . date('d') . substr(time(), -5) . substr(microtime(), 2, 5) . sprintf('%02d', rand(0, 99));
        $m->address = json_encode($DeliveryAddress);
        $m->businessSetId = $businessSetId;
        $m->member = $member;
        $m->sncode = 0;
        $m->sncodeAmount = 0;
        $m->payment = json_encode($payment);
        $m->items = json_encode($items);
        $m->delivery = json_encode($delivery);
        $m->remark = $remark;
        $m->points = $points;
        $m->pointsAmount = $pointsAmount;
        $m->coupon = json_encode($coupon);
        $m->couponAmount = $couponAmount;
        $m->payAmount = $payAmount;
        $m->orderType = $orderType;
        $m->sid = $me->pid;//上级id
        $m->IsOnlinePay = 1;//线上支付
        $m->OrderStatus = 1;//订单状态
        $m->create_time = DB::raw("now()");
        if($IsPay){//使用优惠券功能价格为0直接支付成功
            $m->PayStatus = 1;//已支付
            $m->pay_time = DB::raw("now()");
        }
        $rs = $m->save();
        if($rs->id) {//成功
            //清空购物车
            $cart = new Model('vshop_cart');
            $cart->delete(array('wid'=>$wid,'wxid'=>$openid));

            //是否使用优惠券
            if($rs->couponAmount && $couponItemId){
                $mycouponlist = new Model('vshop_mycouponlist');
                $mycouponlist->update(array('id'=>$couponItemId),array('isuse'=>1,'usetime'=>date('Y-m-d H:i:s')));
            }

            //返回数据
            $dataList = array(
                'OrderId'=>$rs->id,
                'ActualPayPrice'=>$rs->payAmount
            );
        }

        //返回数据
        $arr = array(
            'errcode'=>0,
            'errmsg'=>'ok',
            'dataList'=>$dataList
        );
        /********************数据处理********************/
    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

?>