<?php
/**
 * 订单确认收货
 */
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据

//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }elseif(!$result->proId){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：proId');
    }elseif(!$result->proName){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：proName');
    }elseif(!$result->Amount){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：Amount');
    }elseif(!$result->openId){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：openId');
    }else {
        //商户id
        $wid = $result->wid;

        /********************数据处理********************/
        $proId = $result->proId;//商品id
        $proName = $result->proName;//商品名称
        $Amount = $result->Amount;//数量
        $SKU_Id = $result->SKU_Id;//属性编号数组
        $openId = $result->openId;//微信id
        $productInfo = (new Model('vshop_product'))->find($proId);
        $rowtemp = json_decode($productInfo->rowtemp,true);

      if(!$result->SKU_Id){
        $goods_no = $rowtemp[0]['goods_no'];
      }else{
        foreach ($rowtemp as $_row){

          $spec_array_str = serialize($_row['spec_array']);//一条的属性
          $sku_temp_str=serialize($SKU_Id);
          if(md5($spec_array_str) == md5($sku_temp_str)){
            $goods_no = $_row['goods_no'];
          }
        }
      }
        $m = new Model('vshop_cart');
        // $m->find(array('gid'=>$proId,md5('goods_no')=>$SKU_Id,'wxid'=>$openId));
        // $num = $Amount + $m->num;
        $num = $Amount;
        $m->wid = $wid;
        $m->wxid = $openId;
        $m->name = $proName;
        $m->gid = $proId;
        $m->num = $num;
        $m->goods_no = $goods_no;
        $m->save();
		
		//导入收藏
		import_shopping_cart($wid,$openId,$proId,$SKU_Id);
		
        //返回数据
        $arr = array('errcode'=>0,'errmsg'=>'ok');

        /********************数据处理********************/
    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

?>