<?php
/**
 * 订单确认收货
 */
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据



//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }elseif(!$result->openId){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：openId');
    }else {

        //商户id
        $wid = $result->wid;

        /********************数据处理********************/
        $openId = $result->openId;//微信id

        //获取门店信息
        $shop = new Model('vshop_set');
        $shop->field('id,name')->find(array('wid'=>$wid));
        $VendorList[0] = array(
            'Id'=>$shop->id,
            'ShopName'=>$shop->name,
            'IsCheck'=>true
        );

        $m = new Model('vshop_cart');
        $res = $m->where(array('wid'=>$wid,'wxid'=>$openId))->list_all();
        $ShoppingCartList = array();
        $i = 0;
        $TotalPrice = 0;
        $Total = 0;
        $Stock = 0;
        $IsStock = false;
      	$ISLowerShelf = true;
        foreach ($res as $va){
            if($va->id){
                //获取商品信息
                $pro = new Model('vshop_product');
                $pro->field('id,rowtemp,name,pic,baoyou,IsPutAway')->find($va->gid);
              	if(!$pro->IsPutAway){
              	  $ISLowerShelf = false;
                }
                $rowtemp = json_decode($pro->rowtemp);
                foreach ($rowtemp as $_row){
                    if($va->goods_no == $_row->goods_no){
                        $speStr = '';
                        $spec_array = $_row->spec_array;
                        $sp = 0;
                        foreach ($spec_array as $_spe){
                            $spearr = explode('_',$_spe);
                            $sprop = new Model('vshop_sprop');
                            $spinfo = $sprop->find($spearr[0]);
                            if($spinfo->type == 2){
                              //检测规格类型
                              $tmp = str_replace('"', "", $spinfo->value);
                              $tmp = str_replace(']', "", $tmp);
                              $tmp = str_replace('[', "", $tmp);
                              $tmp = str_replace('\\', "", $tmp);
                              $tmpArr = explode(',',$tmp);
                              $index = array_search($spearr[1],$tmpArr);
                              $tmp2 = str_replace('"', "", $spinfo->beizhu);
                              $tmp2 = str_replace(']', "", $tmp2);
                              $tmp2 = str_replace('[', "", $tmp2);
                              $tmp2 = str_replace('\\', "", $tmp2);
                              $tmp2Arr = explode(',',$tmp2);
                              $beizhu = $tmp2Arr[$index];
                              $tmpArr = explode(',',$tmp);
                              if($sp == 0){
                                $speStr .= $beizhu;
                              }else{
                                $speStr .= '，'.$beizhu;
                              }
                              $sp++;
                            }else{
                              if($sp == 0){
                                $speStr .= $spearr[1];
                              }else{
                                $speStr .= '，'.$spearr[1];
                              }
                              $sp++;
                            }
                        }

                        if($_row->store_nums){
                            $Stock = $_row->store_nums;//商品库存
                            $IsStock = true;
                        }else{
                            $Stock = 0;
                            $IsStock = false;
                        }
                        $ProductSaleName = $va->name;//商品名称
                        $CostPrice = $_row->cost_price;//商品成本价格
                        $SalePrice = $_row->sell_price;//销售价格
                        $MarketPrice = $_row->market_price;//商品原价
                        $baoyou = $_row->baoyou;
                        if($va->IsCheck){
                            $TotalPrice += $_row->sell_price * $va->num;
                            $Total += $va->num;
                        }
                        break;
                    }
                }

                if($IsStock){//库存存在
                    $IsCheck = $va->IsCheck?true:false;//根据购物车判断
                }else{
                    $IsCheck = false;//默认不选中
                }

                $ShoppingCartList[$i] = array(
                    'Id'=>$va->id,
                    'UserAccount'=>'',
                    'ProductId'=>$pro->id,
                    'ProductSKU_Id'=>$va->goods_no,
                    'Amount'=>$va->num,
                    'ProductSaleName'=>$ProductSaleName,
                    'ProductUrl'=>'',
                    'ProductPic'=>$pro->pic,
                    'Point'=>'',
                    'IsStock'=>$IsStock,
                    'Stock'=>$Stock,
                    'IsCheck'=>$IsCheck,
                    'speStr'=>$speStr,
                    'VendorId'=>$shop->id,
                    'CostPrice'=>$CostPrice,
                    'SalePrice'=>$SalePrice,
                    'MarketPrice'=>$MarketPrice,
                  	'Status'=>$pro->IsPutAway?true:false,
                 	 'baoyou'=>$baoyou
                );
                $i++;
            }
        }

        //判断数据是否存在
        if(!count($ShoppingCartList)){
            $ShoppingCartList = array();
        }

        $VendorList[0]['ShoppingCartList'] = $ShoppingCartList;//购物车信息
        $VendorList[0]['TotalPrice'] = $TotalPrice;//总价格
        $VendorList[0]['Total'] = $Total;//总数

        //返回数据
        $arr = array(
            'errcode'=>0,
            'errmsg'=>'ok',
            'dataList'=>array(
              	'ISLowerShel'=>$ISLowerShelf,
                'VendorList'=>$VendorList,//购物车信息
                'TotalPrice'=>$TotalPrice,//总价格
                'Total'=>$Total//总数
            )
        );

        /********************数据处理********************/
    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

?>