<?php
/**
 * 订单确认收货
 */
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据



//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }elseif(!$result->CID){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：CID');
    }elseif(!$result->Num){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：Num');
    }elseif(!$result->openId){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：openId');
    }else {

        //商户id
        $wid = $result->wid;

        /********************数据处理********************/
        $cid = $result->CID;//购物车id
        $Num = $result->Num;//商品数量
        $openId = $result->openId;//微信id

        //处理数据
        $m = new Model('vshop_cart');
        $m->update(array('id'=>$cid),array('num'=>$Num));

        //返回数据
        $arr = array('errcode'=>0,'errmsg'=>'ok');

        /********************数据处理********************/
    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

?>