<?php
#获取朋友圈
Page::$need_view = false;
header('Content-Type:application/json');
$req = $_GET;
if (!(arr_get($req, 'openid') && arr_get($req, 'wid'))) {
	sendResponse(['status' => 'error', 'msg' => '参数错误'], true);
}

$where = array(
	'wid' => $req['wid'],
);
$list = (new Model('vshop_supercard_friends'))->where($where)->list_all_array();
$configs = (new Model('vshop_set'))->where($where)->find();
#查找点赞和评论人员
$friendSupport = (new Model('vshop_supercard_friends_support'))->where(['wid'=>$req['wid'],'is_support'=>1])->list_all_array();
$friendComment = (new Model('vshop_supercard_friends_comment'))->where($where)->list_all_array();

foreach ($list as $key => &$val) {
	$support = [];
	$comment = [];
	foreach ($friendSupport as $k => $v) {
		if ($val['id'] == $v['friend_id']) {
			$support[] = $v['nickName'];
		}
	}
	$val['supports'] = $support;
	foreach ($friendComment as $kk => $vv) {
		if ($val['id'] == $vv['friend_id']) {
			$comment[] = array(
				'name'=>$vv['nickName'],
				'content'=>$vv['content']
			);
		}
	}
	$val['comments'] = $comment;
	$val['name'] = $configs->name;
	$val['photo'] = $configs->logo;
}

$data = array();
foreach ($list as $kkk=>$vvv){
	$data[$kkk] = [
		'photo'=>$vvv['photo'],
		'name'=>$vvv['name'],
		'tag'=>'公司',
		'content'=>array(
			'img'=>$vvv['image'],
			'text'=>$vvv['title'],
			'url'=>$vvv['url']
		),
		'supports'=>$vvv['supports'],
		'comments'=>$vvv['comments'],
		'time'=>$vvv['create_time'],
		'id'=>$vvv['id']
	];
}

sendResponse([
	'data'    => $data,
	'success' => true,
]);