<?php
Page::$need_view = false;
header('Content-Type:application/json');
$req = getPayloadParams();
if (!(arr_get($req, 'userInfo') && arr_get($req, 'wid') && arr_get($req,'type'))) {
	sendResponse(['status' => 'error', 'msg' => '参数错误'], true);
}
$req_content=arr_get($req, 'content');
if(!empty($req_content)){
    $tmpMsg = arr_get($req, 'content');
}
$eventLogModel = new Model('vshop_supercard_visit_log');
$supercardConfig = (new Model('vshop_supercard_set'))->where(['wid'=>$req['wid']])->find();
if($supercardConfig->open_template_inform == 1){
	//发送给指定人消息推送
	$accessToken = QYWX_getAccessToken($req['wid']);
	$qyurl = "https://qyapi.weixin.qq.com/cgi-bin/message/send?access_token=" . $accessToken;
	switch(strtolower($req['type'])){
		case 'viewcard':
			$supercardListMode = new Model('vshop_supercard_list');
			$cardInfo = $supercardListMode->where(['wid'=>$req['wid'],'id'=>$req['card_id']])->find();
			$toQyWxUser = $cardInfo->qiye_user_id;
			$content = $cardInfo->name.",".$req['userInfo']['NickName']."剛剛查看了你的名片";break;
		case 'talk':
			$supercardListMode = new Model('vshop_supercard_list');
			$cardInfo = $supercardListMode->where(['wid'=>$req['wid'],'id'=>$req['card_id']])->find();
			$toQyWxUser = $cardInfo->qiye_user_id;
			$key = 'weidogs';
			$tokenArr = array(
				'card_id'=>$cardInfo->id,
				'from'=>$req['userInfo']['Id'],
				'wid'=>$req['wid']
			);
			$sign = make_sign($tokenArr,$key);
			$url =  Conf::$http_path_api.'qiYeConnect.html?card_id='.$cardInfo->id.'&from='.$req['userInfo']['Id'].''.'&wid='.$req['wid'].'&sign='.$sign;
			$content =  $cardInfo->name.",".$req['userInfo']['NickName']."刚刚跟你发送了留言,<a href='".$url."'>点击开始聊天</a>";
			break;
		case 'goods':
			$toQyWxUser = '@all';
			$content = $req['userInfo']['NickName'].'刚刚查看了商城商品';
			break;
		default:
			$toQyWxUser = '@all';
			$content = $req['userInfo']['NickName'].'刚刚查看了'.$tmpMsg;
	}
	$msgdata["touser"] = $toQyWxUser;
	$msgdata["msgtype"] = "text";
	$msgdata["agentid"] = $supercardConfig->qiye_appid;
	$msgdata["text"]["content"] = $content;

	$jsonData = json_encode($msgdata);
	$result = curl_post_https($qyurl, $jsonData);
}

#存入log
$logData = array(
	'wid'=>$req['wid'],
	'card_id'=>$req['card_id'],
	'openid'=>$req['userInfo']['WeiXinOpenId'],
	'send_msg'=>$content,
	'send_return_info'=>$result,
	'create_time'=>date('Y-m-d H:i:s',time())
);
$eventLogModel->insert($logData);
sendResponse(['status' => true]);