<?php
Page::$need_view = false;
header('Content-Type:application/json');
require_once(DOXCX_FRAME_PATH . 'fun/TLSSig.php');
$req = getPayloadParams();
if (!(arr_get($req, 'wid')&&arr_get($req,'openid')&&arr_get($req, 'card_id'))) {
	sendResponse(['status' => 'error', 'msg' => '参数错误'], true);
}
$config = (new Model('vshop_supercard_set'))->where(['wid' => $req['wid']])->find();

#获取UserSign
$userInfo = (new Model('vshop_member'))->where(['wxid' => $req['openid']])->find();
$identifier = $config->sdk_manager;
$sdkPrivateKey = $config->sdk_private_key;
$sdkPublicKey = $config->sdk_public_key;
$sdkAppid = $config->sdk_appid;

#连接API，拉取历史数据
$api = new TLSSigAPI();
$api->SetAppid($sdkAppid);
$api->SetPrivateKey($sdkPrivateKey);
$api->SetPublicKey($sdkPublicKey);
$sig = $api->genSig($identifier);
#$result = $api->verifySig($sig, $identifier, $init_time, $expire_time, $error_msg);#校验

$random = mt_rand(1000000,9999999);
$msgRandom = mt_rand(1000000,9999999);
$api ="https://console.tim.qq.com/v4/openim/sendmsg?usersig=".$sig."&identifier=".$identifier."&sdkappid=".$sdkAppid."&random=".$random."&contenttype=json";

$body = [
	"SyncOtherMachine"=>1, //消息同步至发送方
	"From_Account"=>$identifier,
	"To_Account"=>$userInfo->id,
	"MsgRandom"=>$msgRandom,
	"MsgTimeStamp"=>time(),
	"MsgBody"=>[
		[
			"MsgType"=>"TIMTextElem",
			"MsgContent"=>[
				"Text"=>"hi, beauty"
			]
		],
	],
];
$result = curl_post_https($api,json_encode($body));
var_dump($result);
die();
$info = array(
	'sdk_appid'        => $config->sdk_appid,
	'sdk_account_type' => $config->sdk_account_type,
	'UserSig'          => $sig,
	'Identifier'       => $identifier,
	'sendManager' =>$config->sdk_manager,
);


sendResponse(['status' => true, 'data' => $info]);
