<?php
require_once "common.php";
$setting = get_tc_setting($wid);
$money = (float)$req['recharge_money'];
$num = (int)$req['recharge_num'];
if($money<=0) sendError('金额无效');
foreach ($setting['recharge_setting'] as $item) {
  if ((float)$item['recharge_money'] == $money && (int)$item['recharge_num'] == $num) {
    $order_no = getRandomOrderNo();
    $respData=common_prepay($wid, $openid, $money, 'tcRechargeNotify', $order_no, '同城充值', json_encode(['wid' => $wid]),$req);
    if ($respData['status']=='error') sendError($respData['msg']);
    // 创建充值记录
    $record=new Model('tc_recharge');
    arr_to_model($record, [
      'wid'=>$wid,
      'openid'=>$openid,
      'price'=>$money,
      'num'=>$num,
      'is_pay'=>0,
      'order_no'=>$order_no,
      'ctime'=>std_date(),
    ]);
    $record->save();
    sendSuccess('OK', $respData['data']);
    break;
  }
}
sendError('充值参数错误');



