<?php
/**
 * 订单确认收货
 */
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据

//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }elseif(!$result->id){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：id');
    }elseif(!$result->openId){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：openId');
    }elseif(!$result->consignee){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：consignee');
    }elseif(!$result->province){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：province');
    }elseif(!$result->city){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：city');
    }elseif(!$result->district){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：district');
    }elseif(!$result->detail){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：detail');
    }elseif(!$result->phone){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：phone');
    }elseif(!$result->seladstr){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：seladstr');
    }else {

        //商户id
        $wid = $result->wid;

        /********************数据处理********************/
        $id = $result->id;
        $openid = $result->openId;
        $consignee = $result->consignee;
        $province = $result->province;
        $city = $result->city;
        $district = $result->district;
        $detail = $result->detail;
        $phone = $result->phone;
        $seladstr = $result->seladstr;
        $isDefault = $result->isDefault;

        if($isDefault){
            //清空默认地址
            $md = new Model('vshop_addresslibrary');
            $md->update(array('wid'=>$wid,'wxid'=>$openid,'SetDefault'=>1),array('SetDefault'=>0));
        }

        //地区名称
        $namearr = explode(',',$seladstr);

        //添加新地址
        $m = new Model('vshop_addresslibrary');
        $m->find($id);
        $m->wid = $wid;
        $m->wxid = $openid;
        $m->Name = $consignee;
        $m->Phone = $phone;
        $m->ProvinceId = $province;
        $m->CityId = $city;
        $m->DistrinctId = $district;
        $m->addressDetail = $detail;
        $m->SetDefault = $isDefault?1:0;
        $m->ProvinceName = $namearr[0];
        $m->CityName = $namearr[1];
        $m->DistrintName = $namearr[2];
        $m->type = 2;//小程序地址
        $m->save();

        //返回数据
        $arr = array('errcode'=>0,'errmsg'=>'ok');

        /********************数据处理********************/
    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

?>