<?php
/**
 * 订单确认收货
 */
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据

//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->Id){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：Id');
    }else {

        //商户id
        //$wid = $result->wid;

        /********************数据处理********************/
        $id = $result->Id;//id

        //获取收藏列表
        $m = new Model('vshop_addresslibrary');
        $m->find($id);
        $dataList[0] = array(
            'id'=>$m->id,
            'province'=>$m->ProvinceId,
            'city'=>$m->CityId,
            'district'=>$m->DistrinctId,
            'consignee'=>$m->Name,//姓名
            'phone'=>$m->Phone,//电话
            'detail'=>$m->addressDetail,//地址
            'consigneeAddress'=>$m->ProvinceName.' '.$m->CityName.' '.$m->DistrintName.' '.$m->addressDetail,//全地址
            'isDefault'=>$m->SetDefault?true:false,
            'isSelect'=>false
        );

        //返回数据
        $arr = array(
            'errcode'=>0,
            'errmsg'=>'ok',
            'dataList'=>$dataList
        );

        /********************数据处理********************/
    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

?>