<?php
/**
 * 订单列表
*/
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据

//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }elseif (!$result->UserId){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：UserId');
    }elseif (!$result->path){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：path');
    }elseif (!$result->width){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：width');
    }else{

        //商户id
        $wid = $result->wid;

        /********************数据处理********************/
        $userId = $result->UserId;//用户id
        $path = $result->path;
        $width = $result->width;
        $errmsg='';
        //查询用户是否已经生成二维码
        $m = new Model('vshop_member');
        $m->field('id,QrCode')->find($userId);
        if($m->QrCode &&  @fopen( $m->QrCode, 'r' )){
            $qrcode = $m->QrCode;
        }else{
            //插件方式生成二维码
            //头条的需要appname
            $plat_type=$result->plat_type ? $result->plat_type : get_applet_type();
            $extra=[
                "wid"=>$wid,
              "path"=>"/pages/index/index",
              "params"  => ["scene"=>"user_{$userId}","appname"=>$result->appname],
                "width"=>"430",

                "file_path"=>'UserPage/qrcode_' . $userId . '.png',
                "plat_type"=>$plat_type
            ];
            hook('qr_code',$params,$extra,false);
            //生成推广二维码
//            $access_token = WX_getAccessToken($wid);
//            $post_url = 'https://api.weixin.qq.com/wxa/getwxacodeunlimit?access_token='.$access_token;
//            $post_data = '{"scene":"user_'.$userId.'","path":"/pages/index/index","width":"430"}';
//            $result_data = HttpCurl::post($post_url,$post_data);
            if($params['status']=='success'){
                $qrcode=$params['data']['url'];
            }else{
                $qrcode='';
                $errmsg=$params['msg'];
            }
            /**
            //图片路径
            $imgpath = 'UserPage/qrcode_'.$userId.'.jpg';
            file_put_contents(DOXCX_STATIC.$imgpath,$result_data);

            //二维码路径
            $qrcode = Conf::$http_path_static.$imgpath;
			*/
//            $tryJson = json_decode($result_data, true);
//			if (strlen($result_data) < 1024 || isset($tryJson['errcode'])) {
//				return null;
//			}
//
//          	$fileName = 'qrcode_'.$userId.'.png';
//			$paths     = genImg($fileName, $result_data);
//			$qrcode = Conf::$http_path_api.$paths;
          
            //更新用户二维码
            $m->update(array('id'=>$m->id),array('QrCode'=>$qrcode));
        }

        $dataList = array('RepresentQRCode'=>$qrcode);
        $arr = array(
            'errcode'=>$errmsg ? -1: 0,
            'errmsg'=>$errmsg ? $errmsg : 'ok',
            'dataList'=>$dataList
        );

        /********************数据处理********************/
    }
}

function genImg($fileName, $content) {
  try {
    mkdir('./UserPage/');
  } catch (Exception $e) {
  }
  $path = 'UserPage/' . $fileName;
  $fp = fopen($path, 'wb');
  fwrite($fp, $content);
  fclose($fp);
  return $path;
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

?>