<?php
/**
 * 订单确认收货
 */
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据

//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }elseif(!$result->openId){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：openId');
    }elseif(!$result->currentPage){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：currentPage');
    }elseif(!$result->pageSize){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：pageSize');
    }else {

        //商户id
        $wid = $result->wid;

        /********************数据处理********************/
        $pageIndex = $result->currentPage;//当前页
        $pageSize = $result->pageSize;//每页条数
        $openid = $result->openId;//微信id

        //搜索条件
        $where['wid'] = $wid;
        $where['wxid'] = $openid;
        $where['islike'] = 1;

        //条数
        $lim = 	$pageSize*($pageIndex-1).','.$pageSize;

        //排序
        $order = 'id DESC';

        //获取收藏列表
        $m = new Model('vshop_mycollect');
        $res = $m->where($where)->limit($lim)->order($order)->list_all();
        $dataList = array();
        $i = 0;
        foreach($res as $_v){
            $pro = new Model('vshop_product');
            $pro->field('id,name,pic,yj,lowest')->find($_v->gid);
            $dataList[$i] = array(
                'Id'=>$_v->id,
                'ProductId'=>$_v->gid,
                'ProductName'=>$pro->name,
                'Path'=>$pro->pic,
                'marketPice'=>$pro->yj,
                'price'=>$pro->lowest
            );
            $i++;
        }

        //返回数据
        $arr = array(
            'errcode'=>0,
            'errmsg'=>'ok',
            'dataList'=>$dataList
        );

        /********************数据处理********************/
    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

?>