<?php
/**
 * 历史收益
*/
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据

//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }elseif (!$result->userId){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：userId');
    }elseif (!$result->PageIndex){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：PageIndex');
    }elseif (!$result->TimeSpan){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：TimeSpan');
    }else{

        //商户id
        $wid = $result->wid;

        /********************数据处理********************/
        $userid = $result->userId;
        $TimeSpan = $result->TimeSpan;
        $pageIndex = $result->PageIndex;
        $pageSize = 10;

        //条数
        $lim = 	$pageSize*($pageIndex-1).','.$pageSize;

        //排序
        $order = 'id DESC';

        $where = array();
        $where['sid'] = $userid;
        $where['type'] = 2;//1支出，2收入
        if($TimeSpan == 1){//今日
            $where['ctime@|~'] = date('Y-m-d');
        }elseif ($TimeSpan == 2){//一个月
            //获取30天前时间
            $stime = date("Y-m-d 00:00:00", strtotime(' -30day'));
            $etime = date('Y-m-d 23:59:59');
            $where['ctime@>'] = $stime;
            $where['ctime@<'] = $etime;
        }elseif ($TimeSpan == 3){//三个月
            //获取90天前时间
            $stime = date("Y-m-d 00:00:00", strtotime(' -90day'));
            $etime = date('Y-m-d 23:59:59');
            $where['ctime@>'] = $stime;
            $where['ctime@<'] = $etime;
        }

        //查询佣金记录
        $blog = new Model('vshop_brokerage');
        $res = $blog->field('id,wxid,money,status,istrue,ctime')->where($where)->order($order)->limit($lim)->list_all();

        $dataList = array();
        $TotalAmount = 0;
        $i = 0;
        foreach ($res as $va){
            $TotalAmount += $va->money;

            $wg = new Model('wechat_group_list');
            $wg->field('id,nickname,headimgurl')->find(array('wid'=>$wid,'openid'=>$va->wxid));

            if($va->istrue == 0 && $va->status == 0){//等待确认收货
                $StatusText = '等待确认收货';
            }elseif ($va->istrue == 1 && $va->status == 0){
                $StatusText = '待确认';
            }elseif ($va->istrue == 1 && $va->status == 1){
                $StatusText = '已完成';
            }

            $dataList[$i] = array(
                'UserPhoto'=>$wg->headimgurl,
                'NickName'=>$wg->nickname,
                'BonusesAmount'=>$va->money,
                'StrCreatetime'=>$va->ctime,
                'StatusText'=>$StatusText
            );
            $i++;
        }

        if($TotalAmount){
            $dataList[0]['TotalAmount'] = $TotalAmount;
        }
        /********************数据处理********************/

        //返回数据
        $arr = array(
            'errcode' => 0,
            'errmsg' => 'ok',
            'dataList' => $dataList
        );
    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

?>