<?php
/**
 * 小程序端获取粉丝列表
*/
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据





//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }elseif (!$result->userId){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：userId');
    }elseif (!$result->openId){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：openId');
    }elseif (!$result->PageIndex){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：PageIndex');
    }elseif (!$result->Level){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：Level');
    }else{

        //商户id
        $wid = $result->wid;

        /********************数据处理********************/
        $openid = $result->openId;
        $userId = $result->userId;//用户id
      //$userId=2;
        $pageIndex = $result->PageIndex;
        $pageSize = 10;
        $Level = $result->Level;

        //条数
        $lim = 	$pageSize*($pageIndex-1).','.$pageSize;

        //排序
        $order = 'id DESC';

        if($Level == 1){//获取一级粉丝
            //获取当前用户下级粉丝
            $me = new Model('vshop_member');
            $res = $me->field('id,wxid,money,extract_money,reg_time,level')->where(array('wid'=>$wid,'pid'=>$userId))->limit($lim)->order($order)->list_all_array();
        }else{//获取二级粉丝
            //获取下级所有id
            $me2 = new Model('vshop_member');
            $res2 = $me2->field('id')->where(array('wid'=>$wid,'pid'=>$userId))->list_all();
            $idstr = array();
            $n = 0;
            foreach ($res2 as $_v){
                $idstr[$n] = $_v->id;
                /*if($n == 0){
                    $idstr = $_v->id;
                }else{
                    $idstr = ','.$_v->id;
                }*/
                $n++;
            }
            //获取粉丝列表
            $me = new Model('vshop_member');
            $res = $me->field('id,wxid,money,extract_money,reg_time,level')->where(array('wid'=>$wid,'pid'=>$idstr))->limit($lim)->order($order)->list_all_array();
            //$db = DB::get_db();
            //$sql = 'select `id`,`wxid`,`money`,`reg_time`,`level` from vshop_member where wid='.$wid.' and pid in('.$idstr.') ORDER BY '.$order.' limt '.$lim;
            //$res = $db->query($sql);
        }

        //查询粉丝总数
        $tm = new Model('vshop_member');
        $tmres = $tm->field('id')->where(array('wid'=>$wid,'pid'=>$userId))->list_all_array();
        $Total = count($tmres);
        //下级粉丝总数
        $idstr = array();
        foreach ($tmres as $_v){
            $idstr[] = $_v['id'];
        }
        $tm = new Model('vshop_member');
        $tmres = $tm->field('id')->where(array('wid'=>$wid,'pid'=>$idstr))->list_all_array();
        $Total2 = count($tmres);
        //$tm2 = DB::get_db();
        //$sql2 = 'select `id` from vshop_member where wid='.$wid.' and pid in('.$idstr.')';
        //$tmres2 = $tm2->query($sql2);
        //$Total2 = count($tmres2);

        $UserFans = array();
        $i = 0;
        foreach ($res as $va){

            //获取微信用户信息
            $fans = new Model('wechat_group_list');
            $fans->field('id,nickname,headimgurl')->find(array('wid'=>$wid,'openid'=>$va['wxid']));

            $UserFans[$i] = array(
                'UserPhoto'=>$fans->headimgurl,
                'NickName'=>$fans->nickname,
                'UserBonuses'=>$va['extract_money'],
                'CreateTimeStr'=>$va['reg_time'],
                'Level'=>$Level
            );
            $i++;
        }
        /********************数据处理********************/

        //返回数据
        $arr = array(
            'errcode' => 0,
            'errmsg' => 'ok',
            'dataList' => array(
                'UserFans'=>$UserFans,
                'Total'=>$Total,
                'Total2'=>$Total2
            )
        );

    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

?>