<?php
/**
 * 领券中心优惠券列表
*/
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据

//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }elseif (!$result->openId){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：openId');
    }else{

        //商户id
        $wid = $result->wid;

        /********************数据处理********************/
        $openid = $result->openId;

        //获取优惠券列表
        $m = new Model('vshop_activitylist');
      	$where = "wid = $wid AND state != 3";
        $res = $m->where($where)->list_all();
      	//$res = $m->where(array('wid'=>$wid))->list_all();
        $dataList = array();
        $i = 0;
        foreach($res as $_v){
            if($_v->sendtimes){//领取数量存在
                $date = times($_v->date);//活动时间
                if($date){//活动进行中
                    //判断该用户是否满足领取
                    $my = new Model('vshop_mycouponlist');
                    $num = $my->field('id')->where(array('wid'=>$wid,'hid'=>$_v->id,'wxid'=>$openid))->count();
                    if($num >= $_v->maketimes){//说明已经领取最大值 不能在领取了
                        $IsCanReceive = -1;
                    }else{//还可以领取
                        $IsCanReceive = 0;
                    }

                    if($_v->type == 1){//现金券
                        $CouponUserDesc = $_v->all?'全部商品可用':'部分商品可用';
                        $DiscountMoney = $_v->money;
                    }else{
                        $CouponUserDesc = '满'.$_v->xemoney.'减'.$_v->dmoney;
                        $DiscountMoney = $_v->dmoney;
                    }

                    $dataList[$i]['Id'] = $_v->id;
                    $dataList[$i]['Name'] = $_v->Name;//名称
                    $dataList[$i]['DiscountMoney'] = $DiscountMoney;//金额
                    $dataList[$i]['CouponUserDesc'] = $CouponUserDesc;
                    $dataList[$i]['StrValidateEnd'] = date('Y-m-d',strtotime($date));//结束时间
                    $dataList[$i]['IsCanReceive'] = $IsCanReceive;

                    $i++;
                }
            }
        }
        /********************数据处理********************/

        //返回数据
        $arr = array(
            'errcode' => 0,
            'errmsg' => 'ok',
            'dataList' => $dataList
        );
    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

//判断活动是否进行中
function times($va){
    $str = 0;
    $arr =explode('-',$va);
    $d0 = date('Y-m-d H:i',strtotime($arr[0]));
    $d1 = date('Y-m-d H:i',strtotime($arr[1]));
    $d2 = date('Y-m-d H:i');
    if($d2 < $d1){
        $str = $d1;
    }
    return $str;
}

?>