<?php
/**
 * 订单列表
*/
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据





//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }elseif (!$result->openId){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：openId');
    }elseif (!$result->PageIndex){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：PageIndex');
    }else{

        //商户id
        $wid = $result->wid;

        /********************数据处理********************/
        $openid = $result->openId;
        $pageIndex = $result->PageIndex;
        $pageSize = 10;

        //搜索条件
        $where['wid'] = $wid;
        $where['wxid'] = $openid;

        //条数
        $lim = 	$pageSize*($pageIndex-1).','.$pageSize;

        //排序
        $order = 'id DESC';

        //获取订单列表
        $m = new Model('vshop_extract');
        $res = $m->field('id,CashAmount,statue,ctime')->where($where)->limit($lim)->order($order)->list_all();
        $dataList = array();
        $i = 0;
        foreach($res as $_v){
            if($_v->statue){//提现成功
                $ExtractionStatusText = '提现成功';
            }else{
                $ExtractionStatusText = '提现处理中';
            }

            $dataList[$i]['CreatTimeStr'] = $_v->ctime;
            $dataList[$i]['ExtractionPrice'] = $_v->CashAmount;//金额
            $dataList[$i]['ExtractionStatusText'] = $ExtractionStatusText;//状态
            $i++;
        }
        /********************数据处理********************/

        //返回数据
        $arr = array(
            'errcode' => 0,
            'errmsg' => 'ok',
            'dataList' => $dataList
        );
    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

?>