<?php
/**
 * 订单列表
*/
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据





//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }elseif (!$result->openId){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：openId');
    }else{

        //商户id
        $wid = $result->wid;

        /********************数据处理********************/
        $openid = $result->openId;

        //获取订单列表
        $m = new Model('vshop_member');
        $m->field('id,extract_money')->find(array('wid'=>$wid,'wxid'=>$openid));

        //可提现总额
        $exttotal = $m->extract_money;

        //查询提现账户
        $account = new Model('vshop_account');
        $account->field('id,alipayNum,alipayName,Phone')->find(array('wid'=>$wid,'wxid'=>$openid));
		
		//最低提现金额
		$miniTx = new Model('vshop_vagent_setting');
		$miniTx->find(array('wid'=>$wid));

        $dataList[0] = array(
            'canUseCashAmount'=>$exttotal,//可提现佣金
            'alipayNum'=>$account->alipayNum,
            'alipayName'=>$account->alipayName,
            'Phone'=>$account->Phone,
			'miniTx'=>$miniTx->mini_tx_money,
            'ValidDays'=>7
        );

        //返回数据
        $arr = array(
            'errcode'=>0,
            'errmsg'=>'ok',
            'dataList'=>$dataList
        );
        /********************数据处理********************/
    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

?>