<?php
setApi();
// 设置订单为已确认
$req = getPayloadParams();
$wid = $req['wid'];
$openid = $req['openid'];
$orderId = $req['orderId'];
$formId = $req['formId'];
$setting = (new Model('zhct_setting'))->find(['wid' => $wid]);
if (!$wid || !$openid || !$orderId || !$formId) sendError('参数错误');
$order = (new Model('zhct_order'))->find(['wid' => $wid, 'id' => $orderId, 'openid' => $openid]);
if (!$order->id) sendError('订单不存在');
// 判断订单状态
if ($order->is_pay == 1) sendError('订单已支付');
$order->form_id = $formId;
$order->order_no=getRandomOrderNo();
$order->save();
// 生成预支付订单
$respData=common_prepay($wid, $openid, $order->total_price, 'zhctNotify', $order->order_no, '智慧餐厅-' . ($type == 0 ? '点餐' : '外卖'), json_encode(['wid' => $wid]),$req);
if ($setting->template_id) {
    $respData['data']['tpl_ids']=[$setting->template_id];
}
if ($respData['status']=='error') sendError($respData['msg']);
sendSuccess('订单确认成功', $respData['data']);
