<?php
Page::$need_view = false;
header('Content-type:application/json');

$admin = (new Model('user_agency'))->find(['un'=>'admin']);
if($admin->is_open_collect==0){
  sendResponse(['status'=>'error','msg'=>'管理员已关闭功能！'],true);
}
$pageId = intval(arr_get($_GET, 'page_id'));
if (!$pageId) {
  sendResponse(['status' => 'error', 'msg' => '参数错误或不存在'], true);
}
// 主页面条目
$page = (new Model('vshop_template_pagelist'))->find($pageId)->get_model_array();
if (!$page['id']) {
  sendResponse(['status' => 'error', 'msg' => '页面不存在', 'data' => $pageId], true);
}
// 所包含的组件
$models = (new Model('vshop_template_homepage'))->where(['PageId' => $pageId])->order('sort DESC')->list_all_array();
// 去除wid等参数
unset($page['id']);
unset($page['wid']);
$page['ishome'] = 0;
foreach ($models as $k => $model) {
  // 查询出每个模块的详情，插入
  $table_name = 'vshop_template_' . $model['name'];
  $detail = (new Model($table_name))->where(['HomeId' => $model['id']])->find();
  if ($detail->id) {
    $detail = $detail->get_model_array();
    unset($detail['id']);
    unset($detail['wid']);
    unset($detail['HomeId']);
    $model['detail'] = $detail;
  }
  unset($model['id']);
  unset($model['wid']);
  $models[$k] = $model;
}
$page['models'] = $models;
sendResponse([
  'status' => 'success',
  'msg' => '恭喜成功',
  'data' => $page
], true);