<?php
require_once "WxPay.Api.php";
require_once "WxPay.NativePay.php";

header("Content-type: text/html; charset=utf-8"); 

class Wxpay
{
    public function pay($data){
		ini_set('date.timezone','Asia/Shanghai');
		//error_reporting(E_ERROR);
		$notify = new NativePay();
        $out_trade_no=WxPayConfig::MCHID.date("YmdHis");
		$input = new WxPayUnifiedOrder();
		$input->SetBody($data['body']);
		$input->SetAttach("test");
		$input->SetDetail($data['details']);
		$input->SetOut_trade_no($out_trade_no);
		$input->SetTotal_fee($data['total_fee']*100);
		$input->SetTime_start(date("YmdHis"));
		$input->SetTime_expire(date("YmdHis", time() + 600));
		$input->SetNotify_url($_SERVER['HTTP_HOST'].'/notify.html');
		$input->SetTrade_type("NATIVE");
		$input->SetProduct_id($data['product_id']);
		 $result = $notify->GetPayUrl($input);
		$url2 = $result["code_url"];
		$result['out_trade_no']=$out_trade_no;
		return $result ;
	}
   
    public function orderquery($out_trade_no){
		    $input = new WxPayOrderQuery();
		    $input->SetOut_trade_no($out_trade_no);
		    $result=WxPayApi::orderQuery($input);
		    $arr=array();
		    if($result){
		    	switch ($result['trade_state']) {
              	case 'SUCCESS'://支付成功
              		$arr=[
		              'error'=>0,
		              'msg'=>"支付成功"
		              ];
              		break;
          		case 'REFUND'://
	          		$arr=[
		              'error'=>1,
		              'msg'=>"转入汇款"
		              ];
	          		break;
          		case 'NOTPAY':
	          		$arr=[
		              'error'=>1,
		              'msg'=>"请扫码支付"
		              ];
	          		break;
          		case 'CLOSED':
	          		$arr=[
		              'error'=>1,
		              'msg'=>"已关闭"
		              ];
	          		break;
          		case 'REVOKED':
	          		$arr=[
		              'error'=>1,
		              'msg'=>"已撤销"
		              ];
	          		break;
          		case 'USERPAYING'://支付成功
	          		$arr=[
		              'error'=>1,
		              'msg'=>"用户支付中"
		              ];
	          		break;
	          	case 'PAYERROR':
	          	    $arr=[
		              'error'=>1,
		              'msg'=>"支付失败"
		              ];
	          	    break;
              	
              	default:
              		$arr=[
		              'error'=>1,
		              'msg'=>"未知错误"
		              ];
              		break;
              }
		    }else{
		    	$arr=[
              'error'=>1,
              'msg'=>"出错了",
		    	];
		    }
		    return $arr;
		    exit();
    }
}
?>



