const wx = require('../../weidogs');

let app = getApp();
let templateMethods = require('../../utils/template_methods.js');
let myTools = require('../../utils/myTools');
let answer_common = require('../../utils/answer_common');
Page(Object.assign({}, {
    data: { show_rule_dialog: false },
    onLoad: function (options) {
        let t = this;
        t.setMenu(t);
        app.globalData.getTop(t);
        if (!options.aid) {
            my.confirm({
                title: '提示',
                content: '缺少活动参数'
            });
            return false;
        }
        t.setData({
            aid: options.aid,
            share_user: options.openid
        });
        wx.setStorageSync('answer_id', options.aid);
    },
    onShow() {
        let t = this;
        app.GetUserInfo(function () {
            t.getAnswer(t.data.aid, false, function (item) {
                if (!item.can_start) {
                    my.confirm({
                        title: '提示',
                        content: '活动未开启',
                        showCancel: 0
                    });
                }
                let jn = item.joined_num;
                if (parseInt(jn) < 1000) {
                    jn = `000${ jn }`.slice(-4);
                }
                t.setData({ joined_num: `${ jn }`.split('') });
            });
        });
    },
    closeRuleDialog() {
        this.setData({ show_rule_dialog: false });
    },
    showRuleDialog() {
        this.setData({ show_rule_dialog: true });
    },
    bindRedirectToMy() {
        my.navigateTo({ url: '/pages/answer_my/answer_my' });
    }
}, templateMethods, answer_common));