const wx = require('../../weidogs');
/* converted by appconverter    	      		  
   on Monday, August 27th, 2018, 2:55:02 PM
*/
var app = getApp();
var $ = require('../../utils/util.js');
let bargainAPI = require('../../api/bargainAPI.js');
let WxParse = require('../../wxParse/wxParse.js');
var num_util = require('../../utils/num_util.js');
Page({
    data: {
        orderdetaildata: [],
        is_kan: 0,
        otheropenid: '',
        goodsid: '',
        orderid: ''
    },
    onLoad(resp) {
        this.setData({ tempE: resp });
    },
    onShow: function () {
        var resp = this.data.tempE;
        app.globalData.getTop();
        var that = this;
        // console.log('resp:', resp);
        that.setData({ orderid: resp.orderid });
        if (resp.is_kan) {
            app.GetUserInfo(function () {
                console.log('获取到的openid', app.globalData.UserInfo.WeiXinOpenId);
                that.setData({
                    otheropenid: app.globalData.UserInfo.WeiXinOpenId,
                    is_kan: resp.is_kan
                });
            });
        }
        app.GetUserInfo(function () {
            console.log('获取到的openid', app.globalData.UserInfo.WeiXinOpenId);
            let orderid = that.data.orderid;
            const api = bargainAPI.getOrderDetail;
            wx.request({
                url: api.url,
                data: {
                    wid: api.data.wid,
                    openid: app.globalData.UserInfo.WeiXinOpenId,
                    orderid: orderid
                },
                method: 'POST',
                success: function (resp) {
                    console.log('返回值', resp.data);
                    let etime = parseInt(resp.data['orderinfo']['sdate']) + 86400 * parseInt(resp.data['goodsinfo']['limit_day']);
                    if (num_util.getTimeOut(etime) === false) {
                        that.setData({ clock: '砍价已结束\uFF0C请在活动时间内购买\uFF01' });
                    } else {
                        resp.data['goodsinfo']['timeout'] = '剩余时间\uFF1A' + num_util.getTimeOut(etime);
                        let curr_time = Date.parse(new Date()) / 1000;
                        let surplus_time = parseInt(etime) - curr_time;
                        console.log('计时器时间\uFF1A', surplus_time * 1000);
                        that.count_down(surplus_time * 1000);
                    }
                    that.setData({
                        orderdetaildata: resp.data,
                        goodsid: resp.data['goodsinfo']['id']
                    });
                    console.log('剩余时间\uFF1A', that.data.orderdetaildata);
                }
            });
        });
    },
    count_down: function (shengTime) {
        let t = this;
        this.setData({ clock: '剩余时间\uFF1A' + this.date_format(shengTime) });
        if (shengTime <= 0) {
            this.setData({ clock: '已经截止' });
            return;
        }
        setTimeout(function () {
            shengTime -= 10;
            t.count_down(shengTime);
        }, 10);
    },
    date_format: function (micro_second) {
        var second = Math.floor(micro_second / 1000);
        var hr = Math.floor(second / 3600);
        var min = this.fill_zero_prefix(Math.floor((second - hr * 3600) / 60));
        var sec = this.fill_zero_prefix(second - hr * 3600 - min * 60);
        var micro_sec = this.fill_zero_prefix(Math.floor(micro_second % 1000 / 10));
        return hr + ':' + min + ':' + sec;
    },
    fill_zero_prefix: function (num) {
        return num < 10 ? '0' + num : num;
    },
    onShareAppMessage: function () {
        let t = this;
        return {
            desc: '快来帮我砍价吧\uFF01',
            path: '/pages/bargainshare/bargainshare?orderid=' + t.data.orderdetaildata.orderinfo.id + '&is_kan=' + 1,
            success: function () {
                console.log('我已经分享啦~等待小伙伴们砍价中\u3002\u3002\u3002');
            },
            fail: function () {
                console.log('我分享失败了\uFF01');
                my.confirm({
                    title: '错误',
                    content: '分享错误',
                    showCancel: false,
                    success() {
                        my.navigateBack();
                    }
                });
            }
        };
    },
    helpKan: function () {
        let t = this;
        const api = bargainAPI.saveHelpKan;
        wx.request({
            url: api.url,
            data: {
                wid: api.data.wid,
                orderid: t.data.orderid,
                goodsid: t.data.goodsid,
                otheropenid: t.data.otheropenid
            },
            method: 'POST',
            success: function (e) {
                console.log('帮砍返回的信息\uFF1A', e);
                if (e.data.status === 'success') {
                    my.confirm({
                        title: '帮砍提示',
                        content: e.data.msg,
                        showCancel: false,
                        success: function () {
                            my.navigateTo({ url: '/pages/bargaingoodslist/goodslist' });
                        }
                    });
                } else if (e.data.status === 'error') {
                    my.confirm({
                        title: '帮砍提示',
                        content: e.data.msg,
                        showCancel: false
                    });
                }
            }
        });
    },
    buyNow: function (e) {
        let t = this;
        let orderId = e.currentTarget.dataset.orderId;
        const api = bargainAPI.getOrderDetail;
        wx.request({
            url: api.url,
            data: {
                wid: api.data.wid,
                orderid: orderId
            },
            method: 'POST',
            success: function (resp) {
                console.log(resp);
                let etime = parseInt(resp.data['goodsinfo']['goods_date_e']);
                if (num_util.getTimeOut(etime) === false) {
                    my.confirm({
                        title: '结束提示',
                        content: '活动已结束\uFF0C请浏览其他商品\uFF01',
                        showCancel: false
                    });
                } else if (resp.data['orderinfo']['is_pay'] == '1') {
                    my.confirm({
                        title: '结束提示',
                        content: '您已购买该商品\uFF0C不得重复购买\uFF01',
                        showCancel: false
                    });
                } else {
                    my.navigateTo({ url: '/pages/bargainordersubmit/bargainordersubmit' });
                }
            }
        });
    }
});