const wx = require('../../weidogs');
/* converted by appconverter    	      		  
   on Monday, August 27th, 2018, 2:55:02 PM
*/
let app = getApp(), $ = require('../../utils/util.js'), payCheapAPI = require('../../api/payCheapAPI.js'), orderapi = require('../../api/orderAPI.js');
var templateMethods = require('../../utils/template_methods.js');
Page(Object.assign({}, templateMethods, {
    data: {
        spendMoney: '',
        reallyMoney: 0
    },
    onLoad: function (options) {
        let that = this;
        const api = payCheapAPI.getPayCheapInfo;
        wx.request({
            url: api.url,
            data: {
                wid: api.data.wid,
                openid: app.globalData.UserInfo.WeiXinOpenId
            },
            method: 'POST',
            success: function (resp) {
                console.log(resp);
                that.setData({ setInfo: resp.data.data });
                if (resp.data.data['title'] != null) {
                    my.setNavigationBar({ title: resp.data.data['title'] });
                }
            }
        });
        this.setMenu(this);
            var a = wx.getStorageSync('navigation');
            var selectedColor = a.selectedColor ? a.selectedColor : '#fff';
            my.setNavigationBar({
                backgroundColor: selectedColor
            });
            that.setData({ __wechat_main_color: selectedColor });
    },
    inputMoney: function (e) {
        const that = this;
        var ng = new RegExp('^[0-9]*(.[0-9]{0,2})?$', 'g');
        if (ng.exec(parseFloat(e.detail.value)) == null) {
            that.setData({
                spendMoney: '',
                reallyMoney: 0
            });
            $.alert('请输入数字\uFF01');
        } else {
            that.setData({
                spendMoney: parseFloat(e.detail.value).toFixed(2),
                reallyMoney: parseFloat(e.detail.value).toFixed(2)
            });
            console.log('消费金额\uFF1A' + this.data.spendMoney, '实付金额\uFF1A' + this.data.reallyMoney);
        }
    },
    paysubmit: function (e) {
        var ng = /(^[1-9]([0-9]+)?(\.[0-9]{1,2})?$)|(^(0){1}$)|(^[0-9]\.[0-9]([0-9])?$)/;
        var spendmoney = e.detail.value.spendmoney //金额
        if (!ng.test(spendmoney)) {
            my.showToast({
                type: 'fail',
                content: '金额必须大于0',
                duration: 3000,
            });
            return false;
        }
        const that = this;
        const api = payCheapAPI.pay;
        console.log(api.url)
        wx.request({
            url: api.url,
            data: {
                wid: api.data.wid,
                openid: app.globalData.UserInfo.WeiXinOpenId,
                spendMoney: that.data.spendMoney,
                reallyMoney: that.data.reallyMoney
            },
            method: 'POST',
            success(resp) {
                console.log(resp)
                 if(resp.data.alipay_trade_create_response.code == '10000'){
                                my.tradePay({
                                    tradeNO: resp.data.alipay_trade_create_response.trade_no, //完整的支付参数拼接成的字符串，从服务端获取
                                    success: function (n) {
                                    switch(n.resultCode){
                                        case '9000' :
                                            my.navigateTo({ url: '/pages/paycheap/paycheap' });
                                        break;
                                        case '4000':
                                            my.showToast({
                                            type: 'fail',
                                            content: '订单支付失败',
                                            });
                                        break;
                                        case '6001':
                                            my.showToast({
                                            type: 'fail',
                                            content: '您取消支付',
                                            });                    
                                        break;
                                        case '6002' :
                                            my.showToast({
                                            type: 'fail',
                                            content: '网络连接出错',
                                            });
                                        break;                    
                                    }
                                    },
                                    fail: function (n) {
                                        my.showToast({
                                        type: 'fail',
                                        content: '订单支付失败',
                                        });                 
                                    }
                                });
                            }else{
                                my.showToast({
                                    type:'fail',
                                    content:resp.data.alipay_trade_create_response.sub_msg
                                })
                            } 
            // my.tradePay({
            //     orderStr: resp.data, //完整的支付参数拼接成的字符串，从服务端获取
            //     success: (res) => {
            //     switch(res.resultCode){
            //         case '9000' :
            //             my.navigateTo({ url: '/pages/paycheap/paycheap' });
            //         break;
            //         case '4000':
            //             my.showToast({
            //             type: 'fail',
            //             content: '订单支付失败',
            //             });
            //         break;
            //         case '6001':
            //             my.showToast({
            //             type: 'fail',
            //             content: '您取消支付',
            //             });                  
            //         break;
            //         case '6002' :
            //             my.showToast({
            //             type: 'fail',
            //             content: '网络连接出错',
            //             });
            //         break;                    
            //     }
            //     },
            //     fail: (res) => {
            //         my.showToast({
            //         type: 'fail',
            //         content: '支付失败',
            //         });
            //     }
            //     });
            },
            fail:function(res){
                my.alert({
                    content:'失败'
                });
                console.log(res)
            }
        });
    },
    tapname:function(){
        my.tradePay({
  orderStr: 'myOrderStr', //完整的支付参数拼接成的字符串，从服务端获取
  success: (res) => {
    my.alert({
	  content: JSON.stringify(res),
	});
  },
  fail: (res) => {
    my.alert({
	  content: JSON.stringify(res),
	});
  }
});
    }
}));