const wx = require('../../weidogs');
/* converted by appconverter    	      		  
   on Monday, August 27th, 2018, 2:55:03 PM
*/
var app = getApp(), $ = require('../../utils/util.js'), secKillAPI = require('../../api/secKillAPI.js'), notice = require('../../utils/notice.js');
Page({
    data: { product: {} },
    onLoad: function (options) {
        app.globalData.getTop();
        let that = this;
        let pageStack = getCurrentPages();
        console.log(pageStack)
        let prevPage = pageStack[pageStack.length - 2];
        let prevData = prevPage.data;
        let product = prevData.product;
        let perPrice = prevData.product.price;
        let totalPrice = parseFloat(perPrice) * parseInt(prevData.num);
        let allPrice = parseFloat(totalPrice) + parseFloat(product.trans_price);
        that.setData({
            prevData: prevData,
            product: product,
            perPrice: perPrice,
            num: prevData.num,
            totalPrice: totalPrice,
            allPrice: allPrice
        });
    },
    onShow: function(){
        let res = my.getStorageSync({ key: 'selectarea' });
        if(res && res.data != undefined){
            console.log(res.data)
            this.setData({
                FullAddress :res.data.FullAddress,
                phone :res.data.phone,
                receiver:res.data.receiver,
                id:res.data.id
            })
        }
    },
    selectAddress: function () {
        var that = this;
        my.navigateTo({
            url: '/pages/shopaddress/shopaddress?selectarea=1'
        })
        // my.chooseAddress({
        //     success: function (addr) {
        //         console.log('选择的收货地址', addr);
        //         that.setData({
        //             receiver: '木头人',
        //             phone: '15888888888',
        //             FullAddress: '北京' + '北京' + '北京' + '详细地址'
        //             // receiver: addr.userName,
        //             // phone: addr.telNumber,
        //             // FullAddress: addr.provinceName + addr.cityName + addr.countyName + addr.detailInfo
        //         });
        //     }
        // });
    },
    remarkInput: function (e) {
        let that = this;
        let remark = e.detail.value;
        if (remark.length > 200) {
            that.setData({ remark: that.data.remark });
        } else {
            this.setData({ remark: remark });
        }
    },
    submitOrder: function () {
        let that = this;
        console.log(that.data);
        if (!that.data.FullAddress) {
            that.selectAddress();
            return false;
        }
        let api = secKillAPI.submitOrder;
        console.log(api)
        api.data = Object.assign(api.data, {
            openid: app.globalData.UserInfo.WeiXinOpenId,   //
            productId: that.data.product.id,    //
            productNum: that.data.num,      //
            type: that.data.prevData.type,
            remark: that.data.remark,   //备注
            receiver: that.data.receiver,       //
            phone: that.data.phone,     //
            address: that.data.FullAddress, //
            groupId: that.data.prevData.joinGroupId
        });
        api = Object.assign({}, api, {
            success: function (resp) {

                console.log('秒杀提交',resp)
                let data = resp.data;
                if (data == []) {
                    return false;
                }
                if (data.status == 'error') {
                    my.confirm({
                        title: 'Error',
                        content: data.msg,
                        showCancel: 0
                    });
                    return false;
                }
                   if(resp.data.payObj.alipay_trade_create_response.code == '10000'){
                                my.tradePay({
                                    tradeNO: resp.data.payObj.alipay_trade_create_response.trade_no, //完整的支付参数拼接成的字符串，从服务端获取
                                    success: function (n) {
                                    switch(n.resultCode){
                                        case '9000' :
                                             my.redirectTo({ url: '/pages/seckill/seckill?index=1' });
                                        break;
                                        case '4000':
                                            my.showToast({
                                            type: 'fail',
                                            content: '订单支付失败',
                                            });
                                        break;
                                        case '6001':
                                            my.showToast({
                                            type: 'fail',
                                            content: '您取消支付',
                                            });                    
                                        break;
                                        case '6002' :
                                            my.showToast({
                                            type: 'fail',
                                            content: '网络连接出错',
                                            });
                                        break;                    
                                    }
                                    },
                                    fail: function (n) {
                                        my.showToast({
                                        type: 'fail',
                                        content: '订单支付失败',
                                        });                 
                                    }
                                });
                            }else{
                                my.showToast({
                                    type:'fail',
                                    content:resp.data.payObj.alipay_trade_create_response.sub_msg
                                })
                            } 
                //     my.tradePay({
                //         orderStr: data.payObj, //完整的支付参数拼接成的字符串，从服务端获取
                //         success: function (n) {
                // switch(n.resultCode){
                //     case '9000' :
                //          my.redirectTo({ url: '/pages/seckill/seckill?index=1' });
                //     break;
                //     case '4000':
                //         my.showToast({
                //         type: 'fail',
                //         content: '订单支付失败',
                //         });
                //     break;
                //     case '6001':
                //         my.showToast({
                //         type: 'fail',
                //         content: '您取消支付',
                //         });                    
                //     break;
                //     case '6002' :
                //         my.showToast({
                //         type: 'fail',
                //         content: '网络连接出错',
                //         });
                //     break;                    
                // }
                //         //   e.sendMessage(t.orderid, 2),     //暂时不要
                //             // my.redirectTo({ url: '/pages/seckill/seckill?index=1' });
                //         // e.returnUrl(t.orderid);

                //         },
                //         fail: function (n) {
                //             my.showToast({
                //                 type: 'fail',
                //                 content: '支付失败',
                //             });
                //         }
                //     });
                // let payObj = data.payObj;
                // payObj.success = function (resp2) {
                //     my.confirm({
                //         title: '成功',
                //         content: '支付成功',
                //         showCancel: 0,
                //         success: function (res) {
                //             if (res.confirm) {
                //                 console.log('用户点击确定');
                //                 my.redirectTo({ url: '/pages/seckill/seckill?index=1' });
                //             }
                //         }
                //     });
                // };
                // payObj.fail = function (resp2) {
                //     console.log('支付方法调用失败,错误信息如下');
                //     console.log(resp2);
                // };
                // my.tradePay(payObj);
            },
            error: function () {
                my.confirm({
                    title: 'Error',
                    content: '网络错误',
                    showCancel: 0
                });
            }
        });
        wx.request(api);
    }
});