const wx = require('../../weidogs');
/* converted by appconverter    	      		  
   on Monday, August 27th, 2018, 2:55:03 PM
*/
const app = getApp();
const templateMethods = require('../../utils/template_methods.js');
const sellerAPI = require('../../api/sellerAPI');
Page(Object.assign({}, {
    data: {
        url_logo: null,
        url_bg: null
    },
    onLoad() {
        let t = this;
        app.globalData.getTop();
        if (wx.getStorageSync('seller_login_flag') == '') {
            my.redirectTo({ url: '/pages/sellerlogin/sellerlogin' });
        }
        let settingObj = sellerAPI.sellerSetting;
        settingObj.success = function (resp) {
            let data = resp.data;
            console.log(data);
            let settingData = data.data;
            console.log(settingData);
            if (data.status == 'success') {
                t.setData({
                    setting: settingData,
                    url_logo: settingData.logo,
                    url_bg: settingData.bgpic,
                    lat: settingData.lat,
                    lng: settingData.lng
                });
            } else {
                my.confirm({
                    title: '加载失败',
                    content: data.msg,
                    showCancel: 0
                });
            }
        };
        wx.request(settingObj);
    },
    onShow() {
        var a = wx.getStorageSync('navigation');
        if(a.selectedColor !=undefined && a.selectedColor !=''){
                var bgcolor = a.selectedColor
        }else{
                var bgcolor = '#E94F4F'
        }
        this.setData({
            bgcolor : bgcolor
        })
    },
    chooseImg(e) {
        let t = this;
        let name = e.currentTarget.dataset.name;
        console.log(name);
        wx.chooseImage({
            count: 1,
            sizeType: ['compressed'],
            sourceType: [
                'album',
                'camera'
            ],
            success: function (res) {
                var tempFilePaths = res.tempFilePaths;
                // console.log(res)
                let file = tempFilePaths[0];
                // var size = res.tempFiles[0].size / 1024;
                my.getFileInfo({
                apFilePath: file,
                digestAlgorithm:'sha1',
                success:(res)=>{
                    var tests = JSON.stringify(res)
                    if (tests.size/1024 > 2048) {
                        my.confirm({
                            title: '错误',
                            content: '上传图片不能大于2M',
                            showCancel: 0
                        });
                        return false;
                    }
                }
            })
                wx.uploadFile({
                    url: sellerAPI.uploadImg.url,
                    filePath: file,
                    name: 'img',
                    success: function (res) {
                        if(name == 'url_bg'){
                            t.setData({
                                url_bg : res
                            })
                        }else{
                            t.setData({
                                url_logo : res
                            })
                        }
                        var imgPath = res.data;
                        console.log('fmfddhfhdhfd',res);
                        let setDt = {};
                        setDt[name] = res;
                        t.setData(setDt);
                    },
                });
            }
        });
    },
    chooseLocation(e) {
        let t = this;
        my.chooseLocation({
            success(locInfo) {
                console.log(locInfo);
                t.setData({
                    lat: locInfo.latitude,
                    lng: locInfo.longitude
                });
            },
            fail(failInfo) {
                console.log('fail', failInfo);
                my.openSetting();
            }
        });
    },
    formSubmit(e) {
        let t = this;
        let tData = this.data;
        let formData = e.detail.value;
        console.log(formData);
        formData.lat = tData.lat;
        formData.lng = tData.lng;
        formData.logo = tData.url_logo;
        formData.bgpic = tData.url_bg;
        formData.save = true;
        wx.request({
            url: sellerAPI.sellerSetting.url,
            method: 'POST',
            data: Object.assign({}, sellerAPI.sellerSetting.data, formData),
            success(resp) {
                let data = resp.data;
                console.log(data);
                if (data.status == 'success') {
                    my.showToast({
                        type: 'success',
                        content: '保存成功',
                    });
                }else{
                    my.showToast({
                        type: 'fail',
                        content: '修改失败',
                    });
                }
            },
            fail(){
                my.confirm({
                    title: '失败',
                    content: '服务器故障',
                });  
            }
        });
    }
}, templateMethods));