const wx = require('../../weidogs');
/* converted by appconverter    	      		  
   on Monday, August 27th, 2018, 2:55:03 PM
*/
var app = getApp();
let zhctApi = require('../../api/zhctAPI');
var templateMethods = require('../../utils/template_methods.js'), $ = require('../../utils/util.js'), indexAPI = require('../../api/indexAPI.js');
Page(Object.assign({}, {
    data: {
        loaded: false,
        setting: {},
        show_color_setting: false,
        show_select_table: false
    },
    onLoad: function () {
        this.setData({ editData_h: app.globalData.editData_h });
    },
    onShow: function () {
        console.log(this.data);
        var t = this;
        this.setMenu(this);
        console.log(indexAPI.GetIndexData);
        app.GetUserInfo(function () {
            var vdata = {};
            $.xsr($.makeUrl(indexAPI.GetIndexData, vdata), function (res) {
                app.globalData.getTop(t);
            });
        });
        let api = zhctApi.getInfo;
        wx.request({
            url: api.url,
            data: { wid: api.data.wid },
            method: 'POST',
            success(resp) {
                let rData = resp.data;
                if (rData.status != 'success') {
                    my.confirm({
                        title: '错误',
                        content: rData.msg,
                        showCancel: 0
                    });
                } else {
                    t.setData({
                        setting: rData.data,
                        loaded: true
                    });
                    my.setNavigationBar({ title: rData.data.name || '智慧餐饮' });
                }
            },
            fail() {
                wx.showToast({
                    title: '网络错误',
                    mask: 1
                });
            }
        });
        
    },
    diancan: function (e) {
        let t = this, td = this.data;
        wx.showLoading({ title: '加载中' });
        if (td.setting.is_open_sm == 1) {
            wx.showLoading({ title: '加载中' });
            let api = zhctApi.getTableList;
            wx.request({
                url: api.url,
                method: 'POST',
                data: { wid: api.data.wid },
                success(resp) {
                    let rData = resp.data;
                    if (rData.status == 'success') {
                        selectTable(rData.data);
                    } else {
                        my.confirm({
                            title: '错误',
                            content: rData.msg,
                            showCancel: 0
                        });
                    }
                },
                fail() {
                    my.confirm({
                        title: '错误',
                        content: '网络错误',
                        showCancel: false
                    });
                },
                complete() {
                    my.hideLoading();
                }
            });
            let selectTable = function (tableList) {
                t.setData({
                    tableList: tableList,
                    show_select_table: true
                });
            };
        } else {
            my.confirm({
                title: '提示',
                content: '对不起\uFF0C暂不支持店内' + this.data.editData_h.diancan,
                showCancel: false
            });
        }
    },
    hide_select_table() {
        this.setData({ show_select_table: false });
    },
    bindSelectTable(e) {
        let t = this, id = e.currentTarget.dataset.id;
        t.setData({ show_select_table: false });
        my.navigateTo({ url: `/pages/zhct_main/zhct_main?type=0&tableId=${ id }` });
    },
    waimai: function (e) {
        let t = this, td = this.data;
        if (td.setting.is_open_wm == 1) {
            my.navigateTo({ url: '/pages/zhct_main/zhct_main?type=1' });
        } else {
            my.confirm({
                title: '提示',
                content: '对不起\uFF0C暂不支持' + this.data.editData_h.waimai,
                showCancel: false
            });
        }
    },
    call_phone_bind: function () {
        let t = this, td = t.data;
        my.makePhoneCall({ number: td.setting.phone });
    },
    show_color_setting() {
        this.setData({ show_color_setting: true });
    },
    hide_color_setting() {
        this.setData({ show_color_setting: false });
    },
    bind_select_color(e) {
        let color = e.currentTarget.dataset.color;
        wx.setStorageSync('zhct_main_color', color);
        this.setData({
            main_color: color,
            show_color_setting: false
        });
    }
}, templateMethods));