const wx = require('../../weidogs');
/* converted by appconverter    	      		  
   on Monday, August 27th, 2018, 2:55:03 PM
*/
const app = getApp();
let zhctApi = require('../../api/zhctAPI');
let myTools = require('../../utils/myTools');
let templateMethods = require('../../utils/template_methods.js');
Page(Object.assign({}, {
    data: {},
    onLoad: function () {
        let t = this, td = t.data;
        this.setMenu(this);
        app.globalData.getTop();
        let main_color = wx.getStorageSync('zhct_main_color');
        if (!main_color) {
            wx.setStorageSync('main_color', '#fe5848');
            main_color = '#fe5848';
        }
        this.setData({ main_color: main_color });
        let api = zhctApi.getInfo;
        wx.request({
            url: api.url,
            data: { wid: api.data.wid },
            method: 'POST',
            success(resp) {
                let rData = resp.data;
                if (rData.status != 'success') {
                    my.confirm({
                        title: '错误',
                        content: rData.msg,
                        showCancel: 0
                    });
                } else {
                    let setting = rData.data;
                    let num_field_ls = [
                        'wm_min_price',
                        'wm_radius',
                        'wm_base_price',
                        'wm_base_distance',
                        'wm_ext_price',
                        'first_order_discount',
                        'lng',
                        'lat'
                    ];
                    for (let i = 0; i < num_field_ls.length; ++i) {
                        setting[num_field_ls[i]] = parseFloat(setting[num_field_ls[i]]);
                    }
                    t.setData({ setting: setting });
                }
            },
            fail() {
                wx.showToast({
                    title: '网络错误',
                    mask: 1
                });
            }
        });
    },
    go_back_bind: function () {
        my.navigateBack(1);
    }
}, templateMethods));