<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/5/18
 * Time: 
 */

namespace Addons\BdWeb\Controller\Admin;

class WebSet extends \BaseController
{
    public function index()
    {
		$wid = \Session::get('wid');
		$m = new \Model('bd_web');
		$m->find(['wid'=>$wid]);
		 if ($m->try_post()) {
            $m->wid = $wid;
            $rs = $m->save();
            if ($rs->id) {
                $arr = array(
                    'status' => 0,
                    'message' => '操作成功',
                    'url' => '',
                    'callback' => 'location.reload(1)',
                    'data' => ''
                );
            } else {
                $arr = array(
                    'status' => 1,
                    'message' => '操作失败',
                    'url' => '',
                    'callback' => 'location.reload(1)',
                    'data' => ''
                );
            }
            return $arr;

        }
		$AccessToken = getAccessToken();
		if($AccessToken){
			$webStatus = get_web_status($AccessToken);
		}else{
			//借权模式
			$appid=$_SERVER['HTTP_HOST'].$wid;
			$url="https://bd.3yu.top/Publish/getAccessToken.html?appid={$appid}&action=search";
			$html = file_get_contents($url);
			$webStatus = $html;
		}
		$this->assign('m', $m);
		$this->assign('webStatus', $webStatus);
		return $this->show();
	}
	
	//下载sitemap文件
	public function download(){
		$file_name="sitemap.txt";
		$file_dir=DOXCX_FRAME_PATH .'Addons/BdWeb/';
		if(!file_exists($file_dir.$file_name)){
			echo "文件找不到了！！！";  
			exit;
		}else{
			$file=fopen($file_dir.$file_name,"r");//打开文件
			Header("Content-type: application/octet-stream");  
			Header("Accept-Ranges:bytes");  
			Header("Accept-Length:".filesize($file_dir.$file_name));  
			Header("Content-Disposition: attachment; filename=".$file_name);
			readfile($file_dir.$file_name);
			fclose ($file);
		}
	}
	
	//web化开关
	public function webSwitch(){
		$AccessToken = getAccessToken();
		$status=$_GET['status'];
		if($AccessToken){
			$respArr = web_switch($status,$AccessToken);
			if($respArr['msg'] == 'success'){
				 return success('设置成功');
			}else{
				return error('设置失败,请稍后再试');
			}
		}else{
			//借权模式
			$wid = \Session::get('wid');
			$appid=$_SERVER['HTTP_HOST'].$wid;
			$url="https://bd.3yu.top/Publish/getAccessToken.html?appid={$appid}&status={$status}&action=switch";
			$html = file_get_contents($url);
			if($html){
				return success('设置成功');
			}else{
				return error('设置失败,请稍后再试');
			}
			
		}
	}
	
}