<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/4/23
 * Time: 11:12
 */

namespace Addons\PayCheap\Controller\Admin;
use Addons\PayCheap\Models\VSHopPayCheap;
use LDB as DB;

use BaseController;
use Models\Model;

class AdviseCharge extends \BaseController
{
    public function  index(){
        $wid = \Session::get('wid');
        if (\Request::post()) {
            $paycheapModel=new VSHopPayCheap();
            $row=$paycheapModel->where(['wid'=>$wid])->first();
            $data = $_POST;
            $is_advise_charge = $_POST['is_advise_charge'] ? 1 : 0;
            $charge_percent = $_POST['charge_percent'];
            $send_percent = $_POST['send_percent'];
            $rule = [];
            foreach ($charge_percent as $key => $charge) {
                if (is_numeric($charge) && isset($send_percent[$key])) {
                    $rule[] = [
                        'charge_percent' => $charge,
                        'send_percent' => $send_percent[$key]
                    ];
                }
            }
            if (empty($rule)) {
                return error('推荐规则不能为空');
            }
            $update_data = [
                'is_advise_charge' => $is_advise_charge,
                'charge_rule' => json_encode($rule)
            ];
            if($row){
                $re = DB::table('vshop_paycheap')->where(['wid' => $wid])->update($update_data);
            }else{
                $update_data['wid']=$wid;
                $re = DB::table('vshop_paycheap')->insert($update_data);
            }

            return success('操作成功', ['result' => $re, 'data' => $_POST]);
        } else {
            $info = DB::table('vshop_paycheap')->where(['wid' => $wid])->first();
            $info['charge_rule'] = json_decode($info['charge_rule'], true);
            $data = $info;
            $this->assign('data',$info);
        }
        return $this->show();
    }
}