<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/4/23
 * Time: 16:17
 */

namespace Addons\PayCheap\Controller\Api;


class GetCouponLimitPayCheap extends  \BaseController
{
        public function index(){
            $req = getPayloadParams();
            $wid = $req['wid'];
            if (!$req['wid']) {
                sendError('缺少参数：wid');
            }
            if (!$req['open_id']) {
                sendError('缺少参数：open_id');
            }
            if (!$req['page']) {
                sendError('缺少参数：page');
            }
            $openid = $req['open_id'];
            $pageIndex = (int)$req['page'] ? (int)$req['page'] : 1;
            $pageSize = 10;
            $pay_money = $req['pay_money'] ? $req['pay_money']  : 0;
            $coupon_id = $req['coupon_id'] ? (int)$req['coupon_id'] : 0;

            $time_str=date('Y-m-d H:i:s',time());
            $sql="from vshop_mycouponlist where `wid`={$wid} and `all`=1 and `wxid`='{$openid}' and ctime < '{$time_str}' and daytime > '{$time_str}' and isuse=0";
            if($pay_money>0){
                $sql.=" and ((`type`=2 and `xemoney` <= {$pay_money}) or `type`=1) ";
            }
            if($coupon_id){
                $sql.=" and id ={$coupon_id}";
            }
            //条数
            $lim = $pageSize * ($pageIndex - 1) . ',' . $pageSize;
            $count=db_query('select count(*) as count '.$sql)[0];

            $count=$count['count'];
            //排序
            $order = 'id DESC';
            $sql.="  order by  {$order} limit  {$lim}";
            $conp=db_query('select * '.$sql);
            $coupon_list=[];
            foreach ($conp as $mycoupon){
                $coupon=[];
                if($mycoupon['type'] == 1){//现金券
            //            file_put_contents('E:\wwwweb\wechat\wx\controller\api\vshop\orderWebService\1.txt','456');
                    $coupon['Label'] = "现金券";
                    $coupon['Title'] = "优惠".$mycoupon['money']."元";
                    $coupon['Desc'] = "已减".$mycoupon['money']."元";
                    $coupon['UseAmount'] = $mycoupon['money'];
                    $coupon['DiscountAmount'] = $mycoupon['money'];
                    $coupon['FromType'] = $mycoupon['type'];
                    $coupon['Id'] = $mycoupon['id'];
                    $coupon['hid'] = $mycoupon['hid'];
                    $coupon['Name'] = $mycoupon['name'];
                    $coupon['CodeId'] = 0;
                    $coupon['StrValidateStart'] = $mycoupon['ctime'];
                    $coupon['StrValidateEnd'] = $mycoupon['dytime'];
                }elseif($mycoupon['type'] == 2){//满减券
                    $coupon['Label'] = "满减券";
                    $coupon['Title'] = "满".$mycoupon['xemoney']."元减".$mycoupon['dmoney']."元";
                    $coupon['Desc'] = "已减".$mycoupon['dmoney']."元";
                    $coupon['UseAmount'] = $mycoupon['xemoney'];
                    $coupon['DiscountAmount'] = $mycoupon['dmoney'];
                    $coupon['FromType'] = $mycoupon['type'];
                    $coupon['Id'] = $mycoupon['id'];
                    $coupon['hid'] = $mycoupon['hid'];
                    $coupon['Name'] = $mycoupon['name'];
                    $coupon['CodeId'] = 0;
                    $coupon['StrValidateStart'] = $mycoupon['ctime'];
                    $coupon['StrValidateEnd'] = $mycoupon['dytime'];


                }
                $coupon_list[]=$coupon;
            }
            return success('ok',['list'=>$coupon_list,'count'=>$count]);

        }
}