<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/4/23
 * Time: 16:20
 */

namespace Addons\PayCheap\Controller\Api;


use Addons\PayCheap\Models\VshopPaycheapOrder;
use Addons\PayCheap\Services\PayCheap;

class Pay extends  \BaseController
{
    /**
     * 优惠订单支付
     * @return array|bool
     */
    public function  index(){
        $req = getPayloadParams();
        $pay_type=get_pay_type($req['pay_type'],$req['wid']);
       return $this->_pay($req,$pay_type);
    }
    public function _pay($req,$pay_type=''){

        $data=$req;
        $data['body']='优惠买单';
        //存入订单信息
        $order = new VshopPaycheapOrder();
        $wid=$req['wid'];
        $notify_data=[
            'wechat'=>  \Conf::$http_path_api . "addons/pay_cheap/payment/notify/wechat_notify-" . arr_get($req, 'wid') . ".html",
            'sky'=>\Conf::$http_path_api . 'addons/pay_cheap/payment/notify/sky_notify.html',
            'common'=>\Conf::$http_path_api . 'addons/pay_cheap/payment/notify/common_notify-'.$pay_type.'-'.$wid.'.html'
        ];
        //获取优惠买单设置
        $return_data= PayCheap::getInstance()->PayCheatPreparePay($order,$data,$notify_data,$pay_type);
        return $return_data;
    }
    public function  index_test(){
        return ['a'=>1,'b'=>2];
    }

}