<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/5/16
 * Time: 14:13
 */

namespace Addons\QqSupport\Controller\Admin;


use Addons\QqSupport\Helper;
use Addons\QqSupport\Services\Library\ZipDown;

class Info extends \BaseController
{
    public function index()
    {

    }

    /**
     * qq 绑定公众平台
     */
    public function getAuth()
    {

    }

    /**
     * qq 小程序 设置商户支付
     */
    public function applet_set()
    {
        $wid = \Session::get('wid');
        $m = new \Model('qq_vshop_weixin_pay');
        $m->find(['wid' => $wid]);
        if ($m->try_post()) {
            $m->wid = $wid;
            if ($m->cert_tmp) {
                $m->cert = $m->cert_tmp;
            }
            if ($m->key_tmp) {
                $m->key = $m->key_tmp;
            }
            $rs = $m->save();
            if ($rs->id) {
                $arr = array(
                    'status' => 0,
                    'message' => '操作成功',
                    'url' => '',
                    'callback' => 'location.reload(1)',
                    'data' => ''
                );
            } else {
                $arr = array(
                    'status' => 1,
                    'message' => '操作失败',
                    'url' => '',
                    'callback' => 'location.reload(1)',
                    'data' => ''
                );
            }
            return $arr;

        }
        $this->assign('m', $m);
        return $this->show();

    }
    public function pay_set(){
        return $this->applet_set();
    }
    public function  download_info(){
        return $this->show();
    }
    /**
     * 下载小程序
     */
    public function downloadNow()
    {
        $wid = \Session::get('wid');
        //查看文件夹是否有config文件
        $base_path=addons_path('data');
        $temp_dir_name=date('Ymd') . '_' . $wid . '_templateQq';
        $path_dir = './' .$temp_dir_name.'/';
        if (!is_dir($path_dir)) {//判断目录是否存在；不存在则创建
            mkdir(iconv("UTF-8", "GBK", $path_dir), 0777, true);
        }
        //判断文件是否存在
        if (!file_exists($path_dir . '/config.js')) {//存在则直接下载
            $config_data = 'exports.config={wid:"' . $wid . '",ASEkey:"lnlqwynwmolymxnp",ASEIv:"1234567812345678",configUrl:"' . \Conf::$http_path_api . 'api/vshop/",addonsUrl: "'.\Conf::$http_path_api.'Addons/"};';
            file_put_contents($path_dir . 'config.js', $config_data, FILE_APPEND);
        }

        //判断小程序是否存在
        if (!file_exists($path_dir . '/app.json')) {
            //判断模板样式
            $user = new \Model('user');
            $data = $user->field('ttype')->find(\Session::get('uid'));
            $type = $data->ttype == 0 ? 'templateQq' : 'order';
            //不存在则复制模板进来
            Helper::getInstance()->xCopy($base_path.'/'. $type, $path_dir, 1);
        }

        if (file_exists($path_dir . '/app.json')) {
            //小程序appid
            $programList = (new \Model('program_list'))->where(array('wid' => $wid))->list_all_array();
            foreach ($programList as $programlist) {
                $appidList[] = $programlist['appid'];
            }
            $json = file_get_contents($path_dir . '/app.json');
            $json = json_decode($json, 1);
            $json['navigateToMiniProgramAppIdList'] = $appidList;
            $text = urldecode(json_encode( Helper::getInstance()->array_urlencode($json)));
            file_put_contents($path_dir . 'app.json', $text);
        }

        //打包文件夹里面文件
        $zip = new ZipDown($path_dir);
        $zip->index($wid);//打包
        //返回数据
        $arr = array(
            "status" => 0,
            "message" => "操作成功",
            "url" => "",
            "callback" => null,
            "data" => null
        );
        echo json_encode($arr);
        exit;
    }
}