<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/5/31
 * Time: 19:51
 */

namespace Addons\QrImage;


use Services\Service;

class Helper extends Service
{
    /**
     * 根据链接生成二维码
     * @param $url
     * @param $wid
     * @return string
     */
    public function getQrCode($url,$wid,$level = 0, $size = 3, $margin = 4, $saveandprint=false){
        require_once DOXCX_FRAME_PATH . '/fun/phpqrcode/phpqrcode.php';
        $tag=md5(serialize(func_get_args()));
        $png_file=pub_path('tmpImg/'.$wid.'/qr_'.$tag.'.png');
        if(!file_exists($png_file)){
           is_dir(dirname($png_file)) or mkdir(dirname($png_file));
           \QRcode::png($url,$png_file,$level,$size,$margin,$saveandprint);
        }
        return $png_file;
    }
//    public function img(){
//        $img = "http://static.hc39.com/uploads/309/t11332950.jpg";
//        $info = getimagesize($img);
//        $imgExt = image_type_to_extension($info[2], false);  //获取文件后缀
//        $fun = "imagecreatefrom{$imgExt}";
//        $imgInfo = $fun($img);                     //1.由文件或 URL 创建一个新图象。如:imagecreatefrompng ( string $filename )
//        //$mime = $info['mime'];
//        $mime = image_type_to_mime_type(exif_imagetype($img)); //获取图片的 MIME 类型
//        header('Content-Type:'.$mime);
//        $quality = 100;
//        if($imgExt == 'png') $quality = 9;        //输出质量,JPEG格式(0-100),PNG格式(0-9)
//        $getImgInfo = "image{$imgExt}";
//        $getImgInfo($imgInfo, null, $quality);    //2.将图像输出到浏览器或文件。如: imagepng ( resource $image )
//        imagedestroy($imgInfo);
//    }
}