<?php
/**
 * Created by daniel
 * User: Daniel
 * Date: 2019/11/22
 * Time: 15:25
 */

namespace Addons\TtSupport\Services\Plugins;


use Addons\TtSupport\Helper;
use Services\Service;

class PayOld extends Service
{
    /**
     * 头条支付钩子
     * @param $params
     * @param array $extra
     * @return array|bool
     */
    public function _pay_params(&$params,array $extra){
//         $wid, $openid, $money, $notifyUrl, $OrderNo, $remark, $attach = ''
        $pay_type=$extra['pay_type'];
        if($pay_type!='toutiao')return error('非 toutiao 类型');
        \Log::debug('toutiao 支付参数:'.json_encode($extra));
        $pay_params=Helper::getInstance()->prepay($extra['wid'],$extra['openid'],
            $extra['money'],$extra['notifyUrl'],$extra['OrderNo'],$extra['remark'],$extra['attach']);
        if($pay_params){
            $params=success('ok',$pay_params);
        }else{
            $params=error('err',null);
        }
        return false;#停止继续执行
    }

    /**
     * 头条支付回调钩子
     * @param $params
     * @param array $extra
     * @return bool|string
     */
    public function _pay_notify(&$params,array $extra){
        \Log::debug('toutiao 支付插件回调获得参数:'.json_encode($extra));
        if($extra['pay_type'] != 'toutiao')return true;
        ini_set('date.timezone', 'Asia/Shanghai');
        error_reporting(0);
        $wid = $extra['wid'];
        $post=$_POST;
        $pay_resp = $post;
        //支付参数
        //验证签名
        $helper=Helper::getInstance();
        $pay_resp['transaction_id']=$pay_resp['trade_no'];
        if (!$helper->tt_check_sign($wid, $post)) {
            \Log::debug('签名失败:'.json_encode($post));
            $return= "failure";
            $params=error('签名失败',['pay_resp'=>null,'return'=>$return]);
            return  false;

        }

        $return = "success";
        $params=success('ok',['pay_resp'=>$pay_resp,'return'=>$return]);//返回解析数据
        return false;
    }
}