<?php
/**
 * 共用代码块
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/5/18
 * Time: 10:34
 */
function get_notify($log_body='',$pay_type='wechat',$wid=0){
    $result = null;
    \Lib\Hook::listen('pay_notify', $result, ['pay_type' => $pay_type, 'wid' => $wid]); //所有插件的实现只能使用此参数和传的参数
    if ($result === null) {
        \Log::info("错误。{$log_body}回调失败：" . file_get_contents("php://input"));
        echo 'error';
        die;

    } elseif ($result['status'] == 'error') {
        \Log::debug("{$log_body}回调结果：" . json_encode($result));
        echo $result['data']['return'];
        die;
    }
    //余额支付统一更新余额支付表
    if($pay_type=='vipcard'){
        $pay_payment=$result['data']['pay_resp']['vip_payment'];
        // 订单标记为已支付
        $pay_payment->status=2;
        $pay_payment->save();

    }
    return $result['data'];
}
