<?php
Page::$need_view = false;
ini_set('date.timezone', 'Asia/Shanghai');
error_reporting(0);
$wid = Request::get(1);
diy_log($wid);
$xml = file_get_contents("php://input");
$pay_resp = xml_to_array($xml);
diy_log('payresp:',$pay_resp);
//支付参数
$payParams = db_query("SELECT * FROM vshop_weixin_pay WHERE wid=?", [$wid])[0];
diy_log('payparams:',$payParams);
//验证签名
if (!confirm_sign($pay_resp, $payParams['PartnerKey'])) {
  echo "<xml><return_code><![CDATA[FAIL]]></return_code><return_msg><![CDATA[签名失败]]></return_msg></xml>";
  exit();
}
//找到订单/更新订单
$order=(new Model('moreshop_goods_order'))->where(['orderNo'=>$pay_resp['out_trade_no']])->find();
$order->is_pay=1;
$order->pay_time=time();
$order->transaction_id=$pay_resp['transaction_id'];
$order->save();
//找到商品，更新数量
$goods=(new Model('moreshop_goods'))->where(['id'=>$order->goodsid])->find();
$goods->num+=1;
$goods->save();
//找到商店，更新总售出数量
$shop = (new Model('moreshop_sellerin_list'))->where(['id'=>$order->shopid])->find();
$shop->sell_num+=1;
$shop->save();
//返回结果
echo "<xml><return_code><![CDATA[SUCCESS]]></return_code><return_msg><![CDATA[OK]]></return_msg></xml>";