<?php
Page::$need_view = false;
ini_set('date.timezone', 'Asia/Shanghai');
error_reporting(0);
$wid = Request::get(1);
diy_log($wid);
$xml = file_get_contents("php://input");
$pay_resp = xml_to_array($xml);
diy_log($pay_resp);
//支付参数
$payParams = db_query("SELECT * FROM vshop_weixin_pay WHERE wid=?", [$wid])[0];
diy_log($payParams);
//验证签名
if (!confirm_sign($pay_resp, $payParams['PartnerKey'])) {
  echo "<xml><return_code><![CDATA[FAIL]]></return_code><return_msg><![CDATA[签名失败]]></return_msg></xml>";
  exit();
}
//找到订单/更新订单
$log = (new Model('vip_recharge_log'))->find(['out_trade_no' => $pay_resp['out_trade_no']]);
if (!$log->transaction_id) {
  $money = $pay_resp['total_fee'] / 100;
  // 记录
  $log->transaction_id = $pay_resp['transaction_id'];
  $log->total_fee = $money;
  $log->save();
  // 加钱&加积分
  $vipCard = (new Model('vip_card'))->find(['wid' => $wid, 'openid' => $pay_resp['openid']]);
  $vipSetting = (new Model('vip_setting'))->find(['wid' => $wid]);
  $num = intval($money / $vipSetting->recharge_count);
  $addMoney = $num * $vipSetting->recharge_money;//赠送
  $addPoint = $num * $vipSetting->recharge_point;//赠送
  $totalMoney = $money + $addMoney;
  $vipCard->balance = $vipCard->balance + $totalMoney;
  $vipCard->point = $vipCard->point + $addPoint;
  $vipCard->total_point = $vipCard->total_point + $addPoint;
  $vipCard->save();
  //充值记录
  $rechargeRecord=new Model('vip_recharge_record');
  $rechargeRecord->wid=$wid;
  $rechargeRecord->openid=$pay_resp['openid'];
  $rechargeRecord->money=$money;
  $rechargeRecord->ctime=time();
  $rechargeRecord->save();
  $tpls = json_decode($vipSetting->tpl_msg, true);
  $tpl = $tpls['tplmsg_recharge'];
  // 通知
  $send=sendTplMsg_vip_recharge($wid, $tpl, $pay_resp['openid'], $log->form_id, $money, $addMoney, $vipCard->balance, $addPoint, $vipCard->point);
}
//返回结果
echo "<xml><return_code><![CDATA[SUCCESS]]></return_code><return_msg><![CDATA[OK]]></return_msg></xml>";