<?php
require_once "../../vendor/autoload.php";
require_once DOXCX_FRAME_PATH . '/fun/EloquentModels/EloquentModels.php';
Page::$need_view = false;
ini_set('date.timezone', 'Asia/Shanghai');
error_reporting(0);
//$domain=$_SERVER['HTTP_HOST'];
//$admin = UserAgency::where('domain',$domain)->first();
$xml = file_get_contents("php://input");
$pay_resp = xml_to_array($xml);
diy_log($pay_resp);
$attach = json_decode($pay_resp['attach'], 1);
$uid = $attach['uid'];
$agid = $attach['agid'];
$admin = UserAgency::where('id', $agid)->first();
//验证签名
if (!confirm_sign($pay_resp, $admin->recharge_key)) {
  echo "<xml><return_code><![CDATA[FAIL]]></return_code><return_msg><![CDATA[签名失败]]></return_msg></xml>";
  exit();
}
//检查是否已经处理过
$check=UserRechargeRecord::where('out_trade_no',$pay_resp['out_trade_no'])->first();
if ($check->id){
  echo "<xml><return_code><![CDATA[SUCCESS]]></return_code><return_msg><![CDATA[OK]]></return_msg></xml>";
  exit();
}
//记录充值
try{
  $record=new UserRechargeRecord([
    'user_id' => $uid,
    'openid' => $pay_resp['openid'],
    'money' => intval($pay_resp['total_fee']) / 100.00,
    'recharge_time' => time(),
    'out_trade_no' => $pay_resp['out_trade_no'],
    'transaction_id' => $pay_resp['transaction_id']
  ]);
  $record->save();
}catch (Exception $e){
  diy_log($e);
}

diy_log($uid);

//给用户增加金额
$user = User::where('id', $uid)->first();
$newMoney = $user->balance + intval($pay_resp['total_fee']) / 100.00;
$user->balance = $newMoney;
$user->save();

//返回结果
echo "<xml><return_code><![CDATA[SUCCESS]]></return_code><return_msg><![CDATA[OK]]></return_msg></xml>";
exit();