<?php
/**
 * 当前版本提交审核
 * Created by PhpStorm.
 * User: Jeffrey
 * Date: 2017/12/12
 * Time: 13:03
 */


Page::$need_view = false;
header('Content-Type:application/json');
require(DOXCX_FRAME_PATH . 'fun/wxOpenApi.php');//开放平台api函数集

$wid = Session::get('wid');
$pub = (new Model('pubs'))->find(['id' => $wid]);

if (!$pub->authorizer_access_token) {
  sendResponse([
    'status' => 'error',
    'msg'    => '请先完成授权绑定',
  ]);
  exit();
} else {
    $cateIdx=arr_get($_POST,'cateIdx');
  $cate = get_wx_category();
  $pages = get_wx_page();
  $params = $cate[$cateIdx];
  $params['address'] = $pages[0];
  $params['title'] = '首页';
  $submit = wx_submit_audit(['item_list' => [$params]]);
  if ($submit['errcode'] == 0) {
    //提交审核成功
    //将最新的代码记录标记为已提交审核
    $lastRecord = (new Model('user_upload_code_record'))->order('id desc')->find(['wid' => $wid]);
    $lastRecord->is_audit = 2;
    $lastRecord->audit_id = $submit['auditid'];
    $lastRecord->save();
    sendResponse([
      'status' => 'success',
      'msg'    => '已提交审核，请耐心等待',
    ]);
  } else {
    //提交审核失败
    sendResponse([
      'status' => 'error',
      'msg'    => $submit['diy_reason'],
    ]);
  }
}
exit();


