<?php
/**
 * 发布正式版
 * Created by PhpStorm.
 * User: Jeffrey
 * Date: 2017/12/12
 * Time: 13:03
 */


Page::$need_view = false;
header('Content-Type:application/json');
require(DOXCX_FRAME_PATH . 'fun/wxOpenApi.php');//开放平台api函数集

$wid = Session::get('wid');
$pub = (new Model('pubs'))->find(['id' => $wid]);

if (!$pub->authorizer_access_token) {
  sendResponse([
    'status' => 'error',
    'msg'    => '请先完成授权绑定',
  ]);
  exit();
} else {
  $release = set_wx_release();
  if ($release['errcode'] == 0 || $release['errcode'] == 85052) {
    //提交发布
    // 更新一遍审核状态
    //找出ID用来查询审核状态
    $uploadRecordList = (new Model('user_upload_code_record'))->list_all_array(['wid' => $wid, 'is_audit' => 2]);
    //处理状态信息
    foreach ($uploadRecordList as $k => $uploadRecord) {
      get_audit_status($uploadRecord['id']);
    }
    // 先标记所有已发布的为未发布
    (new Model('user_upload_code_record'))->update(['wid' => $wid, 'is_publish' => 1], ['is_publish' => 0]);
    //找出最新的一个审核通过的版本标记为已发布
    $last=(new Model('user_upload_code_record'))->order('id desc')->find(['wid'=>$wid,'is_audit'=>0]);
    $last->is_publish = 1;
    $last->save();
    sendResponse([
      'status' => 'success',
      'msg'    => '已发布',
    ]);
  } else {
    //提交审核失败
    sendResponse([
      'status' => 'error',
      'msg'    => $release['diy_reason'],
    ]);
  }
}
exit();


