<?php
/**
 * 撤销审核
 * Created by PhpStorm.
 * User: Jeffrey
 * Date: 2017/12/12
 * Time: 13:03
 */


Page::$need_view = false;
header('Content-Type:application/json');
require(DOXCX_FRAME_PATH . 'fun/wxOpenApi.php');//开放平台api函数集

$wid = Session::get('wid');
$pub = (new Model('pubs'))->find(['id'=>$wid]);

if (!$pub->authorizer_access_token) {
  sendResponse([
    'status' => 'error',
    'msg' => '请先完成授权绑定',
  ]);
  exit();
} else {
  $undo = undo_code_audit();
  if ($undo['errcode'] == 0) {
    // 把正在审核中的项目去掉审核状态
    $auditing=(new Model('user_upload_code_record'))->find(['wid'=>$wid,'is_audit@<>'=>-1]);
    $auditing->is_audit=1;
    $auditing->unpass_reason='审核失败，原因：撤销审核';
    $auditing->save();
    sendResponse([
      'status' => 'success',
      'msg' => '已经成功撤销审核！【请注意，每个月只有10次撤销机会】',
    ]);
  } else {
    //撤销审核失败
    sendResponse([
      'status' => 'error',
      'msg' => $undo['diy_reason'],
    ]);
  }
}
exit();


