<?php
Page::$need_view = true;
$wid = Session::get('wid');
if (Request::post()) {
  header('Content-type:application/json');
  Page::$need_view = false;
  $body = curlGet(arr_get($_POST, 'domain') . '/collect/export.html?page_id=' . arr_get($_POST, 'page_id'));
  $response = json_decode($body, true);
  if ($response['status'] != 'success') {
    sendResponse($response, true);
  }
  //$data = $response['data'];
  $data = getNewData($response['data']);
  //给当前用户生成一条Diy页面
  $mainPage = new Model('vshop_template_pagelist');
  $mainPage = array_to_obj($data, $mainPage, ['models']);
  $mainPage->wid = $wid;
  $mainPage->save();
  // 生成每个组件
  foreach ($data['models'] as $k => $model) {
    $componentItem = new Model('vshop_template_homepage');
    $componentItem = array_to_obj($model, $componentItem, ['detail']);
    $componentItem->wid = $wid;
    $componentItem->PageId = $mainPage->id;
    $componentItem->save();
    //生成每个组件的详细信息
    if (array_key_exists('detail', $model)) {
      $detailTableName = 'vshop_template_' . $componentItem->name;
      $componentDetail = new Model($detailTableName);
      $componentDetail = array_to_obj($model['detail'], $componentDetail);
      $componentDetail->wid = $wid;
      $componentDetail->HomeId = $componentItem->id;
      $componentDetail->save();
    }
  }
  sendResponse(['status' => 'success', 'msg' => '恭喜成功'], true);
}
function getNewData($oldData){
	$data = $oldData;
	foreach ($data['models'] as $k => $model) {
	if (!array_key_exists('detail', $model)) {
		continue;
	}
	switch ($model['name']) {
		case 'slider':
			$picArr=json_decode($model['detail']['pics'],1);
			foreach ($picArr as $key=>$v){
				$v['pic'] = getNewImg($v['pic']);
				$picArr[$key] = $v;	 
			}
			$picJson=json_encode($picArr);
			$model['detail']['pics']=$picJson;
			$data['models'][$k]=$model;
		break;
		case 'menu':
			$picArr=json_decode($model['detail']['menus'],1);
			foreach ($picArr as $key=>$v){
				$v['pic'] = getNewImg($v['pic']);
				$picArr[$key] = $v;
			}
			$picJson=json_encode($picArr);
			$model['detail']['menus']=$picJson;
			$data['models'][$k]=$model;
		break;
		case 'topic':
			$model['detail']['pic']=getNewImg($model['detail']['pic']);
			$data['models'][$k]=$model;
		break;
		case 'pic1':
			$model['detail']['Logo']=getNewImg($model['detail']['Logo']);
			$data['models'][$k]=$model;
		break;
		case 'pic2':
			$model['detail']['logo1']=getNewImg($model['detail']['logo1']);
			$model['detail']['logo2']=getNewImg($model['detail']['logo2']);
			$data['models'][$k]=$model;
		break;
		case 'pic3':
			$model['detail']['logo1']=getNewImg($model['detail']['logo1']);
			$model['detail']['logo2']=getNewImg($model['detail']['logo2']);
			$model['detail']['logo3']=getNewImg($model['detail']['logo3']);
			$model['detail']['logo4']=getNewImg($model['detail']['logo4']);
			$data['models'][$k]=$model;
		break;
		case 'pic9':
			$model['detail']['logo1']=getNewImg($model['detail']['logo1']);
			$model['detail']['logo2']=getNewImg($model['detail']['logo2']);
			$model['detail']['logo3']=getNewImg($model['detail']['logo3']);
			$data['models'][$k]=$model;
		break;
		case 'pic16':
			$model['detail']['logo1']=getNewImg($model['detail']['logo1']);
			$model['detail']['logo2']=getNewImg($model['detail']['logo2']);
			$model['detail']['logo3']=getNewImg($model['detail']['logo3']);
			$model['detail']['logo4']=getNewImg($model['detail']['logo4']);
			$data['models'][$k]=$model;
		break;
		case 'video':
			$model['detail']['pic']=getNewImg($model['detail']['pic']);
			$data['models'][$k]=$model;
		break;
		case 'map':
			$model['detail']['pic']=getNewImg($model['detail']['pic']);
			$data['models'][$k]=$model;
		break;
		case 'notice':
			$model['detail']['imgs']=getNewImg($model['detail']['imgs']);
			$data['models'][$k]=$model;
		break;
		case 'sanft':
			$model['detail']['logo1']=getNewImg($model['detail']['logo1']);
			$model['detail']['logo2']=getNewImg($model['detail']['logo2']);
			$model['detail']['logo3']=getNewImg($model['detail']['logo3']);
			$data['models'][$k]=$model;
		break;
		case 'sift':
			$model['detail']['logo1']=getNewImg($model['detail']['logo1']);
			$model['detail']['logo2']=getNewImg($model['detail']['logo2']);
			$model['detail']['logo3']=getNewImg($model['detail']['logo3']);
			$model['detail']['logo4']=getNewImg($model['detail']['logo4']);
			$data['models'][$k]=$model;
		break;
		case 'store':
			$model['detail']['logo']=getNewImg($model['detail']['logo']);
			$data['models'][$k]=$model;
		break;
		case 'kefu':
			$model['detail']['img']=getNewImg($model['detail']['img']);
			$data['models'][$k]=$model;
		break;
		case 'telephone':
			$model['detail']['img']=getNewImg($model['detail']['img']);
			$data['models'][$k]=$model;
		break;
		case 'music':
			$model['detail']['img']=getNewImg($model['detail']['img']);
			$data['models'][$k]=$model;
		break;
		case 'richtext':
			$preg = '/<img.*?src=[\"|\']?(.*?)[\"|\']?\s.*?>/i';//匹配img标签的正则表达式
			preg_match_all($preg, $model['detail']['detail'], $allImg);//这里匹配所有的img
			foreach($allImg[1] as $v){
				$model['detail']['detail'] = str_replace($v,getNewImg($v),$model['detail']['detail']);
			}
			$data['models'][$k]=$model;
		break;
	}
}
	return $data;	
}

function getNewImg($urls){
	try {
		// 创建图片目录
		mkdir('templateImg');
	} catch (Exception $e) {}
	$saveDir = "templateImg/";
	$url = $urls;
	$picName = date('YndHis').rand(1000,9999).'.jpg';
	$check = GrabImage($url, $saveDir, $picName);
	if($check){
		return conf::$http_path_api.'templateImg/'.$picName;
	}
    return '';
}

/**
 * 根据url下载图片并保存到指定路径
 * @param string $url 图片的url地址
 * @param string $folder 保存图片的目录的完整路径
 * @param string $pic 图片的保存名称
 */
function GrabImage($url, $folder, $pic) {
    if ($url == "")
        return false;

    ob_start ();
    readfile ( $url );
    $img = ob_get_contents ();
    ob_end_clean ();
    $size = strlen ( $img );

    $fp2 = @fopen ( $folder . DIRECTORY_SEPARATOR . $pic, "a" );
    fwrite ( $fp2, $img );
    fclose ( $fp2 );

    return $pic;
}
