<?php
/**
 * 会员列表
 */
Page::$need_view = true;
$wid = Session::get('wid');
$user = (new Model('wechat_group_list'))->find(['wid' => $wid, 'id' => arr_get($_GET, 'id')]);
if (!$user->id) {
  echo "用户不存在";
  exit();
}
$vip = (new Model('vip_card'))->find(['openid' => $user->openid]);
$is_vip = $vip->id ? 1 : 0;
if (Request::post()) {
  header('Content-Type:application/json');
  Page::$need_view = false;
  if (arr_get($_POST, 'opt') == 'add') {
    // -----------添加标签-----------
    $tag_id = arr_get($_POST, 'tag_id');
    $tag = (new Model('wx_user_tag'))->find(['wid' => $wid, 'id' => $tag_id]);
    if ($tag->id) {
      $addTag = (new Model('wx_user_tag_group'))->find(['wid' => $wid, 'uid' => $user->id, 'tid' => $tag->id]);
      if ($addTag->id) {
        sendResponse(['status' => 'error', 'msg' => '标签已存在'], true);
      } else {
        $addTag->wid = $wid;
        $addTag->uid = $user->id;
        $addTag->tid = $tag->id;
        $addTag->save();
        sendResponse(['status' => 'success', 'msg' => '添加标签成功'], true);
      }
    } else {
      sendResponse(['status' => 'error', 'msg' => '标签不存在'], true);
    }
  } else if (arr_get($_POST, 'opt') == 'del') {
    // -----------删除标签-----------
    $tag_id = arr_get($_POST, 'tag_id');
    $delTag = (new Model('wx_user_tag_group'))->find(['wid' => $wid, 'uid' => $user->id, 'tid' => $tag_id]);
    if ($delTag->id) {
      $delTag->delete();
      sendResponse(['status' => 'success', 'msg' => '删除标签成功'], true);
    } else {
      sendResponse(['status' => 'error', 'msg' => '删除失败，标签不存在'], true);
    }
  } else if (arr_get($_POST, 'opt') == 'save') {
    // -----------修改数据-----------
    $point = arr_get($_POST, 'point');
    $total_point = arr_get($_POST, 'total_point');
    $balance = arr_get($_POST, 'balance');
    if (!is_numeric($point) || !is_numeric($balance) || $point < 0 || $balance < 0) {
      sendResponse(['status' => 'error', 'msg' => '输入的数值无效'], true);
    }
    if (!$is_vip) {
      sendResponse(['status' => 'error', 'msg' => '用户未开通会员卡'], true);
    } else {
      $vip->point = $point;
      $vip->total_point = $total_point;
      $vip->balance = $balance;
      $vip->save();
      sendResponse(['status' => 'success', 'msg' => '修改成功'], true);
    }
  }
} else {
  $user->vip_level = get_vip_level($vipSetting->vip_level, $vip->total_point);
  $tagid_list = (new Model('wx_user_tag_group'))->list_all_array(['wid' => $wid, 'uid' => $user->id]);
  $tagList = (new Model('wx_user_tag'))->where(['wid'=>$wid])->order('ctime desc')->list_all();
  $userTagList = [];
  foreach ($tagid_list as $tagid) {
    $tag = (new Model('wx_user_tag'))->find(['wid' => $wid, 'id' => $tagid['tid']]);
    if ($tag->id) {
      $userTagList[] = $tag->get_model_array();
    }
  }
}
