<?php
$wid = Session::get('wid');
$tj = new SampleModel();
$params = $tj->load_array_from_get();
$p = new Pagination(10, 10, true);
//条件查询
$where = $params ? $params : [];
if ($tj->status == 1) {
  //已生效
  $where = [
    'curr_num@>=' => 'person_num',
  ];
} else if ($tj->status == 2) {
  //进行中
  $where = [
    'end_time@>=' => time(),
    'curr_num@<'  => 'person_num',
  ];
} else if ($tj->status == 3) {
  //无效
  $where = [
    'end_time@<=' => time(),
    'curr_num@<'  => 'person_num',
  ];
}
$where = array_merge($where, ['wid' => $wid]);
$count = (new Model('vshop_product_groupbuy_group'))->where($where)->count();
$groupList = $p->model_list((new Model('vshop_product_groupbuy_group'))->where(array_merge($where, ['curr_num@>' => 0]))->order('id desc'));
foreach ($groupList as $k => $group) {
  if ($group->wid != $wid) {
    continue;
  }
  //注入商品信息
  $product = (new Model('vshop_product_groupbuy'))->where(['wid' => $wid, 'id' => $group->product_id])->find();
  $group->product = $product;
  //注入当前人数/订单数
  if ($group->curr_num >= $group->person_num) {
    //人数足够了
    $group->statusArr = ['success', '已生效'];
  } else if (time() < $group->end_time) {
    //还没到时间
    $group->statusArr = ['info', '进行中'];
  } else {
    //已经到时间
    $group->statusArr = ['danger', '无效'];
  }
  $groupList[$k] = $group;
}
