<?php
Page::$need_view = 0;
header("Content-Type:application/json");
$wid = Session::get('wid');
$order_id = Request::get(1);
$payParams = db_query("SELECT * FROM vshop_weixin_pay WHERE wid=?", [$wid])[0];
$order = (new Model('vshop_order'))->where(['wid' => $wid, 'id' => $order_id])->find();
if (!$wid || !$order_id || !$order->id || !$payParams) {
    exit();
}

if($order->is_vip_pay==1){
  $card=(new Model('vip_card'))->where(['openid'=>$order->wxid])->find();
  if($card){
    $card->balance+=$order->vip_pay_money;
    $card->point+=intval($order->consume_point);
    $card->save();
    $order->is_refund_money=2;
    $order->save();
    sendResponse([
      'status' => 1,
      'message' => '退款成功',
    ]);
    exit();
  }else{
    sendResponse([
      'status' => 0,
      'message' => '退款失败',
    ]);
    exit();
  }
}

//准备退款所需的参数
//$nonce_str = md5(microtime() . 'adhfiahsdfjas;kljfdsadfnsajkdfhsdufhsa' . rand());
//if($payParams['status']==1 && $payParams['sStatus']==0 ){
//	$data = [
//    'appid' => $payParams['AppId'],
//    'mch_id' => $payParams['PartnerId'],
//    'nonce_str' => $nonce_str,
//    'transaction_id' => $order->tradeNo,
//    'out_refund_no' => $order->tradeNo,
//    'total_fee' => $order->payAmount * 100,//换算单位
//    'refund_fee' => $order->payAmount * 100,//换算单位
//    'op_user_id' => $payParams['PartnerId']
//];
//}else{
//	$data = [
//    'appid' => $payParams['sAppId'],
//    'mch_id' => $payParams['PartnerId'],
//	'sub_appid' => $payParams['AppId'],//小程序的APPID
//	'sub_mch_id' => $payParams['sPartnerId'],//子商户号
//    'nonce_str' => $nonce_str,
//    'transaction_id' => $order->tradeNo,
//    'out_refund_no' => $order->tradeNo,
//    'total_fee' => $order->payAmount * 100,//换算单位
//    'refund_fee' => $order->payAmount * 100,//换算单位
//    'op_user_id' => $payParams['PartnerId']
//];
//}
//
//$data['sign'] = make_sign($data, $payParams['PartnerKey']);
//$xml_data = array_to_cdata_xml($data);
//$refund = doRefund($xml_data, $payParams);
$payment=json_decode($order->payment,true);
$refund=common_refund($wid,$order->OrderNo,$order->tradeNo,$order->payAmount,$payment['pay_type']);
if ($refund['status']=='error') {
    sendResponse([
        'status' => 0,
        'message' => $refund['msg'] ? $refund['msg'] : '退款失败',
    ]);
} else {
    $order->is_refund_money = 2;
    $order->save();
    sendResponse([
        'status' => 1,
        'message' => '退款成功',
    ]);
}

/**
 * 退款
 * @param $post_data
 * @param $setting
 * @return array
 */
function doRefund($post_data, $setting)
{
    $ch = curl_init();
    //超时时间
    curl_setopt($ch, CURLOPT_TIMEOUT, 10);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_URL, 'https://api.mch.weixin.qq.com/secapi/pay/refund');
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
    curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
    //设置证书
    curl_setopt($ch, CURLOPT_SSLCERT, static_path($setting['cert']));
    curl_setopt($ch, CURLOPT_SSLKEY, static_path($setting['key']));
    //POST的数据
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $post_data);
    //发起请求
    $data = curl_exec($ch);
    if ($data) {
        curl_close($ch);
        $data = xml_to_array($data);
        diy_log($data);
        if ($data['return_code'] == 'SUCCESS') {
            if ($data['result_code'] == 'SUCCESS') {
                //找到订单
                $order = (new Model('vshop_order'))->where(['OrderNo' => $data['out_trade_no']])->find();
                //标记为已退款
                $order->is_refund_money = 2;
                $order->save();
//                return true;
                return success("退款成功");
            } else {
                diy_log('退款请求成功,但是退款操作失败。错误代码：' . arr_get($data, 'err_code') . '；错误描述：' . arr_get($data, 'err_code_desc') . '。');
                return error("退款失败：".(arr_get($data, 'err_code_desc') ? arr_get($data, 'err_code_desc') :arr_get($data, 'err_code') ));
//                return false;
            }
        } else {
            diy_log('发起退款失败,原因：' . $data['return_msg']);
            return error('发起退款：' . $data['return_msg']);
//            return false;
        }
    } else {
        $error = curl_error($ch);
        curl_close($ch);
        diy_log(static_path($setting['cert']));
        diy_log('退款请求失败'.$error);
        return error('退款请求失败'.$error);
//        return false;
    }
}