<?php
	require_once(DOXCX_FRAME_PATH.'fun/Classes/PHPExcel.php');

	set_time_limit(0);//0表示没有限制
	ini_set("max_execution_time", "0");
	ini_set("memory_limit", "1024M");
	
	$wid = Session::get('wid');

	$excel = new PHPExcel();
	$objDrawing = new PHPExcel_Worksheet_Drawing();
	
	/*设置文本对齐方式*/
	$excel->getDefaultStyle()->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
	$excel->getDefaultStyle()->getAlignment()->setVertical(PHPExcel_Style_Alignment::VERTICAL_CENTER);
	$objActSheet = $excel->getActiveSheet();

	$letter = array('A','B','C','D','E');
	/*设置表头数据*/
	$tableheader = array('SN码', '类型', '状态');
	/*设置表格高度*/
	$excel->getActiveSheet()->getRowDimension(1)->setRowHeight(30);	
	/*填充表格表头*/
	for($i = 0;$i < count($tableheader);$i++) {
		$excel->getActiveSheet()->setCellValue("$letter[$i]1","$tableheader[$i]");
	}
	
	/*设置表格数据*/
	$snid = Request::get(1);
	$m = new Model('vshop_sncode_list');
	$res = $m->where(array('wid'=>$wid,'snid'=>$snid))->order('id desc')->list_all();
	$i = 0;
	$data = array();
	foreach($res as $_va){
		if($_va->isuse){
			$str = '已使用';
		}else{
			$str = '未使用';
		}
		
		$data[$i] = array($_va->sn,'优惠券SN码',$str);
		$i++;
	}
	//echo '<pre>';var_dump(count($data));exit;
	/*填充表格内容*/
	for ($i = 0;$i < count($data);$i++) {
		$j = $i + 2;
		/*设置表格宽度*/
		//$objActSheet->getColumnDimension("$letter[$i]")->setWidth(20);
		/*设置表格高度*/
		//$excel->getActiveSheet()->getRowDimension($j)->setRowHeight(80);
		/*向每行单元格插入数据*/
		for ($row = 0;$row < count($data[$i]);$row++) {
			$excel->getActiveSheet()->setCellValue("$letter[$row]$j",$data[$i][$row]);
		}
	}

	$write = new PHPExcel_Writer_Excel5($excel);
	header("Pragma: public");
	header("Expires: 0");
	header("Cache-Control:must-revalidate, post-check=0, pre-check=0");
	header("Content-Type:application/force-download");
	header("Content-Type:application/vnd.ms-execl");
	header("Content-Type:application/octet-stream");
	header("Content-Type:application/download");;
	header('Content-Disposition:attachment;filename="List.xls"');
	header("Content-Transfer-Encoding:binary");
	$write->save('php://output');


exit;


?>