<?php
setApi();
//加载微信支付文件
require_once DOXCX_FRAME_PATH . "Payment/WxpayAPI/lib/WxPay.Api.php";
require_once DOXCX_FRAME_PATH . "Payment/WxpayAPI/lib/WxPay.JsApiPay.php";
$req = getPayloadParams();
$wid = $req['wid'];
$goodsid = $req['goodsid'];
$orderid = $req['orderid'];
$goodsinfo = (new Model('vshop_goods_bargain'))->find($goodsid);
$orderinfo = (new Model('vshop_goods_bargain_order'))->find($orderid);
//数据存在性
if (!arr_get($req, 'wid') || !arr_get($req, 'openid') || !$goodsinfo || !$orderinfo ) {
  sendResponse([]);
  exit();
}
//生成预支付订单
$time = time();
//订单号
$orderNo = $orderinfo->orderNo;
//随机字符串
$nonce_str = getRandomOrderNo('kj');
$body = '砍价';
//总金额
$allPrice = $orderinfo->really_price+$goodsinfo->trans_price;
//通用支付逻辑
$respData=common_prepay($wid,$req['openid'],$allPrice,'bargainNotify',$orderNo,$body,'',$req);

//判断预支付订单是否创建成功
if($respData['status']=='success'){
    //更新订单
    $orderinfo->remark = $req['remark'];
    $orderinfo->receiver = $req['receiver'];
    $orderinfo->phone = $req['phone'];
    $orderinfo->address = $req['address'];
    $orderinfo->is_submit =1;
    $orderinfo->save();
    //返回请求
    sendResponse(['payObj'=>$respData['data'],'order'=>$orderinfo->get_model_array()]);
}else{
    sendError($respData['msg']);
}