<?php
/**
 * 获取新闻分类标题
 */
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据

//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }if(!$result->id){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：id');
    }else {

        //商户id
        $wid = $result->wid;
        $id = $result->id;
        /********************数据处理********************/
		$today = date("Y-m-d");
		$tomorrow = date("Y-m-d",strtotime("+1 day"));
		$threeDay = date("Y-m-d",strtotime("+2 day"));
		$fourDay = date("Y-m-d",strtotime("+3 day"));
		$m = new Model('vshop_bespeak_list');
		$m->find($id);
		$yy_times = json_decode($m->yy_times);
		$yy_renshu = json_decode($m->yy_renshu);
		foreach ($yy_times as $k=>$v){
			$yyarr[$k]['times'] = $v;
		}
		foreach ($yy_renshu as $k=>$v){
			$yyarr[$k]['renshu'] = $v;
		}

		$yydata[]=['dates'=>$today,'datename'=>'今天','yyarr'=>getYyForm($yyarr,$today)];
		$yydata[]=['dates'=>$tomorrow,'datename'=>'明天','yyarr'=>getYyForm($yyarr,$tomorrow)];
		$yydata[]=['dates'=>$threeDay,'datename'=>'后天','yyarr'=>getYyForm($yyarr,$threeDay)];
		$yydata[]=['dates'=>$fourDay,'datename'=>'','yyarr'=>getYyForm($yyarr,$fourDay)];
		
        $dataList = $yydata;
        /********************数据处理********************/

        //返回数据
        $arr = array(
            'errcode' => 0,
            'errmsg' => 'ok',
            'dataList' => $dataList
        );

		
    }
}

//查询当前日期预约信息表
function getYyForm($dates,$dt){	
	global $wid ;
	global $id ;
	foreach($dates as $k=>$yy){
		$feedbackCount = (new Model('vshop_feedback'))->where(['wid'=>$wid,'cid'=>$id,'mtime'=>$dt,'mtimehs'=>$yy['times']])->count();
			if($yy['renshu']){
				if($yy['renshu']<=$feedbackCount){
					$status=false;//不可预约
				}else{
					$status=true;//可预约
					$renshu = $yy['renshu']-$feedbackCount;
				}
			}else{
				$status=true;//可预约
				$renshu = '不限量';
			}
	$yyArr[$k]['times'] = $yy['times'];
	$yyArr[$k]['renshu'] = $renshu;
	$yyArr[$k]['status'] = $status;
	}
	return $yyArr;
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

?>