<?php
Page::$need_view = false;
header('Content-Type:application/json');
$req = getPayloadParams();
$wid = $req['wid'];
$openid = $req['openid'];
if (!arr_get($req, 'wid') || !arr_get($req, 'openid')) {
  sendResponse(['status' => 'error', 'msg' => '缺少参数'], true);
}

//获取手机号
$wechats = new Model('wechat_group_list');
$wechats->find(array('wid' => $req['wid'], 'openid' => $req['openid']));

$wxUser = (new Model('wechat_group_list'))->find(['wid' => $wid, 'openid' => $openid]);
$dzpSetting = get_dzp_setting($wid)->get_model_array();
$vipCard = (new Model('vip_card'))->find(['wid' => $wid, 'openid' => $openid]);
// 初始化抽奖次数和分享次数
$date = date('Y-m-d', time());
if ($wxUser->dzp_date != $date) {
  $wxUser->dzp_date = $date;// 日期更新
  $wxUser->dzp_frequency = $dzpSetting['day_num'];// 今日抽奖次数
  $wxUser->dzp_share_count = $dzpSetting['share_count'];
  $wxUser->save();
}
$respData = [];
// 是否是vip
if ($vipCard->id) {
  $respData['is_vip'] = 1;
} else {
  $respData['is_vip'] = 0;
}
// 大转盘设置
$dzpSetting['rule']=preg_replace('/\n/', '<br>', $dzpSetting['rule']);
$respData['dzpSetting'] = $dzpSetting;
// 奖品列表
$prizeList = (new Model('dzp_prize'))->order('sort desc')->list_all_array(['is_vip' => $respData['is_vip'], 'wid' => $wid, 'is_del' => 0]);
$respData['prizeList'] = $prizeList;
// 当前的分享次数
$respData['share_count'] = $wxUser->dzp_share_count;
// 剩余的抽奖次数
$respData['frequency'] = $wxUser->dzp_frequency;
// 活动是否结束
$time = time();
if ($time < $dzpSetting['stime'] || $time > $dzpSetting['etime']) {
  $respData['is_end'] = 1;
} else {
  $respData['is_end'] = 0;
}
// 获奖名单（最新50个）
$winList=db_query("select r.*,u.nickname,p.name from dzp_record r left join wechat_group_list u on r.openid=u.openid left join dzp_prize p on r.prize_id=p.id where r.wid=".$wid." order by r.ctime desc limit 50");
$respData['winList']=$winList;
$respData['phoneNumber']=$wechats->phone_number;
sendResponse(['status' => 'success', 'msg' => '获取成功', 'data' => $respData ], true);