<?php
require_once "common.php";

$order = (new Model('jd_order'))->where(['wid' => $wid, 'id' => $req['id']])->find();

if (!$order) {
  sendError('订单不存在');
}

$order->order_no=getRandomOrderNo();
$order->save();

//通用支付逻辑
$respData=common_prepay($wid, $openid, $order->total_price, 'jdNotify', $order->order_no, '酒店预订', json_encode(['wid' => $wid]),$req);

//通用支付逻辑


if ($respData['status']=='error') {
  sendError($respData['msg']);
}
$pay_params =$respData['data'];
$setting = (new Model('jd_setting'))->find(['wid' => $wid]);
if($setting->pay_tplid){
    $pay_params['tpl_ids']=[$setting->pay_tplid];
}
$prepay_id = explode('=', $pay_params['package'])[1];
$order->prepay_id = $prepay_id;
$order->save();
sendSuccess('OK', $pay_params);
