<?php
setApi();
$req = getPayloadParams();
$wid = $req['wid'];
$startId = $req['startId'] != 0 || $req['startId'] ? $req['startId'] : 0;// 为空则获取全部聊天记录
$id = $req['id'];//msg_count条目id
$openid = $req['openid'];
if (!($wid && $id && $openid)) sendError('缺少参数');
// 查找基本信息
$mc = (new Model('kefu_msgcount'))->find(['wid' => $wid, 'id' => $id]);
if (!$mc->id) sendError('找不到用户聊天记录');
$userOpenid = $mc->openid;  // 用户的openid
$canSendCount = $mc->count; // 可发送消息的数目
$canSend = time() < $mc->etime; // 是否已经超过可发送时间
// 查找用户
$user = (new Model('wechat_group_list'))->find(['wid' => $wid, 'openid' => $userOpenid]);
$my = (new Model('wechat_group_list'))->find(['wid' => $wid, 'openid' => $openid]);
if (!$user->id || !$my->id) sendError('找不到用户');
// 查找消息记录
$msgList = (new Model('kefu_msg'))->order('id asc')->list_all_array(['wid' => $wid, 'openid' => $userOpenid, 'id@>' => $startId]);
$msgCount = count($msgList);
foreach ($msgList as $k => $item) {
  $item['ttime'] = date('Y-m-d H:i:s', $item['ctime']);
  $msgList[$k] = $item;
}
// 返回数据
sendSuccess('获取成功', [
  'canSend'      => $canSend,
  'canSendCount' => $canSendCount,
  'msgCount'     => $msgCount,
  'msgList'      => $msgList,
  'userInfo'     => [
    'headImg'  => $user->headimgurl,
    'nickname' => $user->nickname,
  ],
  'myInfo'       => [
    'headImg'  => $my->headimgurl,
    'nickname' => $my->nickname,
  ]
]);