<?php
/**
 * 获取新闻分类标题
 */
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH . 'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据

//实例化类
$aes = new aes();

if (!$data->data) {//加密数据
  $arr = array('errcode' => 1, 'errmsg' => '缺少参数');
} else {

  //AES解密数据
  $json_data = $aes->aes128cbcHexDecrypt($data->data);
  //解析json数据
  $result = json_decode($json_data);

  if (!$result->wid) {
    $arr = array('errcode' => 1, 'errmsg' => '缺少参数：wid');
  }
  if (!$result->id) {
    $arr = array('errcode' => 1, 'errmsg' => '缺少参数：id');
  } else {

    //商户id
    $wid = $result->wid;
    $id = $result->id;
    $cid = $result->cid;
    /********************数据处理********************/
    $m = new Model('vshop_article_list');
    $m->find($id);
    $m->click_num += 1;
    $m->save();
    $comment_List = (new Model('article_comment'))->where(['aid' => $m->id])->order('id desc')->list_all_array();
    foreach ($comment_List as $k => $item) {
      $item['user'] = (new Model('wechat_group_list'))->where(['openid' => $item['openid']])->find();
      $comment_List[$k] = $item;
    }
	
		//解析腾讯视频网址
		$vid=trim(strrchr($m->video, '/'),'/');
		$vid=substr($vid,0,-5);
		$json=file_get_contents("http://vv.video.qq.com/getinfo?vids=".$vid."&platform=101001&charge=0&otype=json");
		$json=substr($json,13);
		$json=substr($json,0,-1);
		$a=json_decode(html_entity_decode($json));
		$sz=json_decode(json_encode($a),true);
		$url=$sz['vl']['vi']['0']['ul']['ui']['3']['url'];
		$fn=$sz['vl']['vi']['0']['fn'];
		$fvkey=$sz['vl']['vi']['0']['fvkey'];
		
		//如果是自上传视频
		if($url == ''){
			$videos=$m->video;
		}else{
			$videos=$url.$fn.'?vkey='.$fvkey;
		}
	
    $dataList = array(
      'Title' => $m->title,
      "Keywords"=>$m->keywords,
      "Desc"=>$m->ms,
      'PublishTimeText' => $m->ctime,
      'Content' => $m->info,
      'lat' => $m->lat,
      'lon' => $m->lng,
      'video' => $videos,
      'click_num' => $m->click_num,
      'comment_list' => $comment_List
    );
    /********************数据处理********************/

    //返回数据
    $arr = array(
      'errcode' => 0,
      'errmsg' => 'ok',
      'dataList' => $dataList
    );


  }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d' => $HexData);
echo json_encode($data);
exit;

?>