<?php
/**
 * 订单支付
 */
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据



//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }elseif(!$result->orderid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：orderid');
    }elseif(!$result->openId){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：openId');
    }else {

        //商户id
        $wid = $result->wid;

        /********************数据处理********************/
        $orderid = $result->orderid;//订单id
        $openid = $result->openId;//微信id
		
        //商户商品信息
        $m = new Model('vshop_order');
        $m->find($orderid);
        if($m->id){
          $m->OrderNo=getRandomOrderNo();
          $m->save();
            $payAmount = $m->payAmount;//需要支付价格
            $OrderNo = $m->OrderNo;//订单号
            $item = json_decode($m->items);
            $name_str = '消费商品';
            foreach($item as $_ite){
                $name_str = $_ite->Name;
            }

            

            //统一下单
            $money = $payAmount;
			
			$resultTradeCreate=ali_prepay($wid, $openid, $money, Conf::$http_path_api."Payment/Zfbpay/notify-".$wid.".html", $OrderNo, $name_str);
			$dataList['alipay_trade_create_response']=(array)$resultTradeCreate->alipay_trade_create_response;


            //返回数据
            $arr = array(
                'errcode'=>0,
                'errmsg'=>'ok',
                'dataList'=>$dataList
            );
        }else{
            $arr = array('errcode'=>1,'errmsg'=>'订单不存在');
        }
        /********************数据处理********************/
    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);

echo json_encode($data);
exit;

?>