<?php
require_once "apiHead.php";
$req = getPayloadParams();
$wid = $req['wid'];
//获取转账配置信息
$payParams = (new Model('vshop_weixin_pay'))->find(['wid'=>$wid])->get_model_array();
//生成预支付订单
$time = time();
$nonce_str = getRandomOrderNo('ns');
$body = '优惠买单';
$OrderNo = getRandomOrderNo('on');
$money = $req['reallyMoney'];
$notify_url = Conf::$http_path_api . "Payment/Wxpay/payCheapNotify-" . arr_get($req, 'wid') . ".html";
$trade_type = 'JSAPI';

//存入订单信息
$order = new Model('vshop_paycheap_order');
$data['wid'] = $wid;
$data['OrderNo'] = $OrderNo;
$data['pay_time'] = $time;
$data['spend_money'] = $money;
$data['really_money'] = $money;
$data['is_pay'] = 0;
$order->save($data);
if($payParams['status']==1){
$params = [
  'appid' => $payParams['AppId'],
  'mch_id' => $payParams['PartnerId'],
  'nonce_str' => $nonce_str,
  'body' => $body,
  'out_trade_no' => $OrderNo,
  'total_fee' => $money*100,
  'spbill_create_ip' => '192.168.1.1',
  'notify_url' => $notify_url,
  'trade_type' => $trade_type,
  'openid' => $req['openid']
];
}else{
$params = [
  'appid' => $payParams['sAppId'],//服务商ID
  'mch_id' => $payParams['PartnerId'],//商户号
  'sub_appid' => $payParams['AppId'],//小程序的APPID
  'sub_mch_id' => $payParams['sPartnerId'],//子商户号
  'nonce_str' => $nonce_str,
  'body' => $body,
  'out_trade_no' => $OrderNo,
  'total_fee' => $money*100,
  'spbill_create_ip' => '192.168.1.1',
  'notify_url' => $notify_url,
  'trade_type' => $trade_type,
  //'openid' => $req['openid'],
  'sub_openid' => $req['openid'],//为sub_appid对应的微信用户标识，
];	
}
$params['sign'] = make_sign($params, $payParams['PartnerKey']);
$xml_params = array_to_cdata_xml($params);
$resp = postXmlCurl('https://api.mch.weixin.qq.com/pay/unifiedorder', $xml_params);
$resp_arr = xml_to_array($resp);

//判断预支付订单是否已经创建成功
if($resp_arr['return_code'] == 'SUCCESS'){
  //请求下单成功
  if($resp_arr['result_code'] == 'SUCCESS'){
    //生成预支付订单成功，
    //签名gaode
    $paySign = make_sign([
      'appId' => $payParams['AppId'],
      'timeStamp' => "".$time,
      'nonceStr' => $resp_arr['nonce_str'],
      'package' => 'prepay_id='.$resp_arr['prepay_id'],
      'signType' => 'MD5'
    ], $payParams['PartnerKey']);
    //要返回的数据
    $respData = [
      'timeStamp' => "".$time,
      'nonceStr' => $resp_arr['nonce_str'],
      'package' => 'prepay_id='.$resp_arr['prepay_id'],
      'signType' => 'MD5',
      'paySign' => $paySign
    ];
    sendResponse($respData);
  }
}

