<?php
/**
 * 商品列表
 */
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据



//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }elseif(!$result->openId){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：openId');
    }elseif(!$result->PageIndex){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：PageIndex');
    }elseif(!$result->CouponId){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：CouponId');
    }else {

        //商户id
        $wid = $result->wid;

        /********************数据处理********************/
        $pageIndex = $result->PageIndex;//当前页
        $pageSize = 10;//每页条数
        $CouponId = $result->CouponId;//优惠券id
        $openid = $result->openId;//微信id

        //查询优惠券满足得商品
        $conp = new Model('vshop_mycouponlist');
        $conp->field('id,ids')->find($CouponId);
        $ids = explode(',',$conp->ids);

        //搜索条件
        $where['wid'] = $wid;
        $where['id'] = $ids;

        //条数
        $lim = 	$pageSize*($pageIndex-1).','.$pageSize;

        //排序
        $order = 'id DESC';

        $m = new Model('vshop_product');
        $res = $m->field('id,name,pic,lowest')->where($where)->limit($lim)->order($order)->list_all();
        $dataList = array();
        $i = 0;
        foreach($res as $_v){

            $dataList[$i]['id'] = $_v->id;
            $dataList[$i]['ProductPic'] = $_v->pic;
            $dataList[$i]['SalesName'] = $_v->name;
            $dataList[$i]['SalePrice'] = $_v->lowest;
            $i++;
        }
        /********************数据处理********************/

        //返回数据
        $arr = array(
            'errcode' => 0,
            'errmsg' => 'ok',
            'dataList' => $dataList
        );
    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

?>