<?php
/**
 * Created by Jeffrey.
 * User: Jeffrey
 * Date: 2017/12/3
 * Time: 22:58
 */
// 未支付的订单发起支付
require_once "apiHead.php";
//获取参数
$req = getPayloadParams();
$payParams = db_query("SELECT * FROM vshop_weixin_pay WHERE wid=?", [$req['wid']])[0];
$order=(new Model('vshop_product_seckill_order'))->find(arr_get($req, 'orderId'));
//数据存在性
if (!arr_get($req, 'wid') || !arr_get($req, 'openid') || !$order->id ) {
  sendResponse([]);
  exit();
}

$product=(new Model('vshop_product_seckill'))->find($order->product_id);
if($product->num<=0){
      sendResponse([
        'status'=>'error',
        'msg'=>'抱歉，您购买的商品已经抢购完毕，下次早点来哦~'
      ]);
      exit();
}else if($product->num<$order->num){
      sendResponse([
        'status'=>'error',
        'msg'=>'抱歉，您购买的商品数量不足，请重新选择数量~'
      ]);
      exit();
}


//生成预支付订单
$time = time();
//商户商品信息
$OrderNo = md5('秒杀' . time() . rand() . rand() . microtime());//订单号
$order->order_no=$OrderNo;
$order->save();
$product=$product->get_model_array_with_id();
$name_str = '秒杀商品-' . $product['name'];
$nonce_str = md5(time() . rand() . rand() . 'pt');
$body = '秒杀-' . $product['name'];

//通用支付逻辑

$respData=common_prepay($req['wid'], $req['openid'], $order->total_price,'seckillNotify', $OrderNo, $body,'',$req);

//通用支付逻辑

if($respData['status']=='success'){
    sendResponse($respData['data']);
}else{
    sendError($respData['msg']);
}