<?php
Page::$need_view = false;
header('Content-Type:application/json');

//解析json数据
$req = getPayloadParams();

//商户id
$wid = $req['wid'];
/********************数据处理********************/
$page = $req['page'];
$pageSize = 10;
$tabIndex = $req['tabIndex'];

//搜索条件
$where = ['wid' => $wid];
if ($tabIndex == 1) {//全部订单
  // do nothing
} else if ($tabIndex == 2) {// 待发货
  $where['OrderStatus'] = 1;//未完成订单
  $where['PayStatus'] = 1;//已支付
  $where['DeliveryStatus'] = 0;//未发货
} else if ($tabIndex == 3) {// 待收货
  $where['OrderStatus'] = 1;//未完成订单
  $where['PayStatus'] = 1;//已支付
  $where['DeliveryStatus'] = 1;//已发货，待收货
} else if ($tabIndex == 4) {//已完成
  $where['OrderStatus'] = 2;//完成订单
  $where['PayStatus'] = 1;//已支付
}else if ($tabIndex == 5) {//已发货
  $where['PayStatus'] = 1;//已支付
  $where['DeliveryStatus'] = 1;//已发货
}
//条数
$lim = $pageSize * $page . ',' . $pageSize;
//排序
$order = 'id DESC';
//获取订单列表
$m = new Model('vshop_order');
$res = $m->where($where)->limit($lim)->order($order)->list_all();
// 进一步处理
foreach ($res as $k => $r) {
  $showDelivery = false; //是否显示发货按钮
  $OrderStatus='';
  if ($r->OrderStatus == 2) {//完成订单
    if ($r->EvaluationStatus == 0) {//已完成,未评价
      $OrderStatus = '已完成,未评价';
    } else if ($r->EvaluationStatus == 1) {//已完成,已评价
      $OrderStatus = '已完成,已评价';
    } else if ($r->EvaluationStatus == 2) {//部分已评价
      $OrderStatus = '已完成,部分已评价';
    } else if ($r->EvaluationStatus == 3) {//已评价 维权超时
      $OrderStatus = '已完成,已评价';
    }
  } else if ($r->OrderStatus == 3) {//已关闭订单
    if ($r->IsMemberClose) {//
      $OrderStatus = '订单关闭';
    } else {
      $OrderStatus = '商家已关闭';
    }
  } else if ($r->OrderStatus == 4 || $r->OrderStatus == 5) {//已维权订单
    //退款中 = 0, 退货中 = 1, 已退款 = 2, 商家同意退货 = 3, 维权发货 = 4, 已维权已退款 = 5, 已维权已退货 = 6, 拒绝 = 7
    if ($r->RightsStatus == 0) {
      $OrderStatus = '等待退款';
    } else if ($r->RightsStatus == 1) {
      $OrderStatus = '等待退货';
    } else if ($r->RightsStatus == 2) {
      $OrderStatus = '已退款';
    } else if ($r->RightsStatus == 3) {
      $OrderStatus = '已同意,等待发货';
    } else if ($r->RightsStatus == 4) {
      $OrderStatus = '等待退款';
    } else if ($r->RightsStatus == 5) {
      $OrderStatus = '已退款';
    } else if ($r->RightsStatus == 6) {
      $OrderStatus = '已退款退货';
    } else if ($r->RightsStatus == 7) {
      $OrderStatus = '已拒绝';
    }
  } else {
    if ($r->OrderStatus == 1 && $r->PayStatus == 0) {//未支付
      $OrderStatus = '待支付';
    }
    if ($r->OrderStatus == 1 && $r->PayStatus == 1 && $r->DeliveryStatus == 0) {//已支付未发货   可以退款
      $OrderStatus = '已支付,待发货';
      $showDelivery = true; //显示发货按钮
    }
    if ($r->OrderStatus == 1 && $r->PayStatus == 1 && $r->DeliveryStatus == 1) {//已发货
      $OrderStatus = '已发货,待收货';
    }
  }
  if($r->is_refund_money==1){
	  $OrderStatus = '买家申请退款';
	  $showDelivery = false;
  }
  if($r->is_refund_money==2){
	  $OrderStatus = '已退款';
	  $showDelivery = false;
  }
  $res[$k] = $res[$k]->get_model_array();
  $res[$k]['items'] = json_decode($r->items);
  $res[$k]['StrOrderStatus'] = $OrderStatus;
  $res[$k]['showDelivery'] = $showDelivery;

}
sendResponse(['status' => 'success', 'msg' => '获取成功', 'data' => $res], true);