<?php
/**
 * 订单列表
 */
header("Content-Type: application/json");

$result = getPayloadParams(false);

if (!$result->wid) {
  $arr = array('errcode' => 1, 'errmsg' => '缺少参数：wid');
} else if (!$result->orderid) {
  $arr = array('errcode' => 1, 'errmsg' => '缺少参数：orderid');
} else {

  //商户id
  $wid = $result->wid;

  /********************数据处理********************/
  //$openid = $result->openId;
  $orderid = $result->orderid;

  $dataList = array();
  $m = new Model('vshop_product_groupbuy_order');
  $m->where(['order_no'=>$orderid])->find();
  if ($m->wid == $wid) {
	$order=$m;
    $user = (new Model('wechat_group_list'))->where(['openid' => $order->openid])->find();
    $order->user = $user;
    //注入商品信息
    $product = (new Model('vshop_product_groupbuy'))->where(['id' => $order->product_id, 'wid' => $wid])->find();
    $order->product = $product;
    
	if ($order->is_group) {
	if(!$order->is_pay){
    	$returns['status'] = [0, '未支付'];
    }else if($product->curr_num < $product->person_num){
    		if ($product->end_time > time()) {
                $returns['status'] = [5, '拼团进行中'];
            } else {
                $returns['status'] = [6, '拼团未完成'];
            }
    }else {
            if ($order->is_refund) {
                $returns['status'] = [4, '已退款'];
            } else if (!$order->is_transmit) {
                $returns['status'] = [1, '待发货'];
            } else if (!$order->is_receive) {
                $returns['status'] = [2, '待收货'];
            } else if ($order->is_receive) {
                $returns['status'] = [3, '已收货'];
            }
        }
    }else {
        if (!$order->is_pay) {
            $returns['status'] = [0, '未支付'];
        } else if ($order->is_refund) {
            $returns['status'] = [4, '已退款'];
        } else if (!$order->is_transmit) {
            $returns['status'] = [1, '待发货'];
        } else if (!$order->is_receive) {
            $returns['status'] = [2, '待收货'];
        } else if ($order->is_receive) {
            $returns['status'] = [3, '已收货'];
        }
    }
    $returns['id']=$order->id;
    $returns['product_name']=$order->product->name;
    $returns['product_pic']=$order->product->pic;
    $returns['product_price']=$order->product->oprice;
    $returns['nickname']=$order->user->nickname;
    $returns['order_no']=$order->order_no;
    
    //$returns['hexiao']='https://'.$_SERVER['HTTP_HOST'].'/api/vshop/seller/qrcode.html?data=pt-'.$order->order_no;
  
    
    
    $returns['price']=$order->price;
    $returns['num']=$order->num;
    $returns['trans_price']=$order->trans_price;
    $returns['total_price']=$order->total_price;

    $returns['is_pay']=$order->is_pay;
    $returns['is_transmit']=$order->is_transmit;
    $returns['is_receive']=$order->is_receive;
    $returns['is_refund']=$order->is_refund;
    
    $returns['receiver']=$order->receiver;
    $returns['createtime']=date('Y-m-d H:i:s',$order->submit_time);
    
    if($result->hx==1){
		if($returns['status'][0]==1){
          
           	$m->is_transmit=1;
         	$m->is_receive=1;
        	$hx=$m->save();
         	if($hx){
          	 	$arr = array('errcode' => 0, 'errmsg' => '核销成功');
           		echo json_encode($arr);
       			exit;
         	}
        }
        $arr = array('errcode' => 1, 'errmsg' => '核销失败');
     	echo json_encode($arr);
       	exit;
     }
    
    //返回数据
    $arr = array(
      'errcode' => 0,
      'errmsg' => 'ok',
      'dataList' => $returns
    );
  } else {
    $arr = array('errcode' => 1, 'errmsg' => '订单不存在');
  }
  /********************数据处理********************/
}

//加密处理
echo json_encode($arr);
exit;



?>