<?php
/*
 * 用于分享后获取优惠券功能
 */
setApi();
$req = getPayloadParams();
$wid = $req['wid'];
$openid = $req['openid'];
// $formId=$req['formId'];
if(!$wid || !$openid) sendError('参数缺失');
//获取分享得优惠券配置模型
$sx = (new Model('vshop_sharexcx'))->find(['wid'=>$wid]);
//判断该用户是否还可以领取
$count = (new Model('vshop_mycouponlist'))->where(['wxid'=>$openid,'wid'=>$wid,'hid'=>$sx->coupon_id])->count();
if($count<$sx->maxnum){
	//判断优惠券数量是否足够
	$al = (new Model('vshop_activitylist'))->find($sx->coupon_id);
	if($al->sendtimes>0){
		//给该用户发放优惠券
		$couponType = $al->get_model_array();
		$data['wid'] = $wid;
		$data['wxid'] = $openid;
		$data['hid'] = $sx->coupon_id;
		$data['name'] = $couponType['Name'];
		$data['ms'] = $couponType['ms'];
		$data['all'] = $couponType['all'];
		$data['ids'] = $couponType['ids'];
		$data['type'] = $couponType['type'];
		$data['money'] = $couponType['money'];
		$data['xemoney'] = $couponType['xemoney'];
		$data['dmoney'] = $couponType['dmoney'];
		$data['ctime'] = date("Y-m-d H:i:s",time());
		$statime = strtotime(trim(explode('-', $couponType['date'])[1]));
		$data['daytime'] = date('Y-m-d H:i:s',$statime);
		$data['isuse'] = 0;
		$data['usetime'] = '';
		if((new Model('vshop_mycouponlist'))->save($data)){
			//优惠券数量-1
			$al->sendtimes--;
			if($al->save()){
				// todo 发送模板消息
				//优惠券类型
				// if($al->type=='1'){
				// 	$coupon_type = '现金券';
				// 	$money='优惠￥'.$al->money;
				// }else{
				// 	$coupon_type = '满减券';
         //  $money='满'.$al->xemoney.'减'.$al->dmoney;
				// }
				// $tplMsg = sendTplMsg_share_get_coupon_success($wid,$sx->tpl_id,$openid,$formId,$al->Name,$coupon_type,$money,$al->date);
				sendSuccess('分享成功,送您一张优惠券!');
			}else{
				sendError('数据异常，请刷新重试！');
			}
		}else{
			sendError('获取优惠券失败，请重试！');
		}
		
	}else{
		sendError('优惠券已领完，请等待下次活动！');
	}
}else{
	sendError('您领取优惠券数量已达上限！');
}