<?php
/**
 * 分类列表
 */
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据



//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }else {

        //商户id
        $wid = $result->wid;

        /********************数据处理********************/
        //获取分类信息
        $fatherCategoryId = $result->fatherCategoryId;//分类id
        $m = new Model('vshop_category');
        $one = $m->find($fatherCategoryId);
      $ress = $m->field('id,name,logoimg')->where(array('wid'=>$wid,'pid'=>$fatherCategoryId,'IsPutAway'=>1))->order('sort asc')->list_all_array();
        $res = $m->field('id,name,logoimg')->where(array('wid'=>$wid,'pid'=>$fatherCategoryId,'IsPutAway'=>1))->order('sort asc')->list_all();

          if($one->pid==0 && count($ress)==0){
            $product = (new Model('vshop_product'))->where(['wid'=>$wid,'typ'=>$fatherCategoryId])->list_all_array();
            $dataList = array();
            $dataList[0]=array(
              'is_dan'=>true,
              'id'=>$fatherCategoryId,
              'name'=>(new Model('vshop_category'))->find($fatherCategoryId)->name,
              'product'=>$product
            );
          }else{
            $dataList = array();
            $i = 0;
            foreach ($res as $_va) {
              $dataList[$i] = array(
                'id' => $_va->id,
                'name' => $_va->name,
                'PicPath' => $_va->logoimg
              );
              $i++;
          }
        }
        /********************数据处理********************/

        //返回数据
        $arr = array(
            'errcode' => 0,
            'errmsg' => 'ok',
            'dataList' => $dataList
        );
    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

?>