<?php
/**
 * 订单确认收货
 */
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据



//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }elseif(!$result->openId){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：openId');
    }else {

        //商户id
        $wid = $result->wid;

        /********************数据处理********************/
        $openid = $result->openId;//微信id
        $couponItemId = $result->couponItemId;
        $IsUseCoupon = $result->IsUseCoupon;
        $addressId = $result->addressId;
        $ShoppingCartList = $result->ShoppingCartList;

        //解析商品列表
        $TotalPrice = 0;
        $ActualPayPrice = 0;
        $pidarr = array();
        $p = 0;
        //对商品信息进行再次验证
        $productIds=array_column(json_decode(json_encode($ShoppingCartList),true),'ProductId');
        $productInfo_list = (new Model('vshop_product'))->list_all(['id'=>$productIds]);
        foreach ($ShoppingCartList as $_va){
            $real_pro_info=null;
            foreach ($productInfo_list as $productInfo){
                if($productInfo->id==$_va->ProductId)$real_pro_info=$productInfo;
            }

            //产品信息不存在的直接跳过
            if($real_pro_info==null)continue;
            $rowtemp = json_decode($real_pro_info->rowtemp,true);
            $temp_spec_info=null;
            $sku_temp_str=serialize($_va->ProductSKU_Id);
            foreach ($rowtemp as $_row){

                $spec_array_str = serialize(is_string($_va->ProductSKU_Id) ? $_row['goods_no'] : $_row['spec_array']);//一条的属性

                if(md5($spec_array_str) == md5($sku_temp_str)){
                    $temp_spec_info=$_row;
                }
            }
            if(!$temp_spec_info)continue;
            $_va->SalePrice=$temp_spec_info['sell_price'];
            $_va->CostPrice=$temp_spec_info['cost_price'];
            $_va->MarketPrice=$temp_spec_info['market_price'];

            $TotalPrice += $_va->SalePrice * $_va->Amount;

            $ActualPayPrice += $_va->SalePrice * $_va->Amount;
            if(empty($var)){
              $arr = explode('_',$_va->ProductSKU_Id[0]);
              $sprop = (new Model('vshop_sprop'))->find($arr[0]);
              if($sprop->type == 2){
                $beizhu = json_decode($sprop->beizhu,true);
                $value = json_decode($sprop->value,true);
                $index = array_search($arr[1], $value);
                $_va->speStr = $beizhu[$index];
                $_va->ProductSKU_Id[0] = $arr[0].'_'.$beizhu[$index];
              }
            }
            $pidarr[$p] = array(
                'ProductId'=>$_va->ProductId,
                'SalePrice'=>$_va->SalePrice,
                'Amount'=>$_va->Amount
            );
            $p++;
            $productNewId=$_va->ProductId;
        }
        //活动优惠券价格
        $OrderEventDiscountMoney = 0;
        //优惠券金额
        $CouponDiscountMoney = 0;
        //运费
        /**$mNew = new Model('vshop_product');
        $mNew->find($productNewId);
        $FreightPrice = $mNew->freight;*/
        foreach($ShoppingCartList as $ShoppingCartlist){
            $mNew = new Model('vshop_product');
            $mNew->find($ShoppingCartlist->ProductId);
            $freightList[] = $mNew->freight;
        }
        $FreightPrice = max($freightList);
        $baoyou = $mNew->baoyou;

        //存在选中优惠券；计算优惠券金额
        if($couponItemId && $IsUseCoupon == 1){
            //获取当前优惠券信息
            $coupon = new Model('vshop_mycouponlist');
            $coupon->find($couponItemId);
            if(time()>strtotime($coupon->daytime)){
              //优惠券失效
              $ShoppingCartUsedCouponInfo = null;
            }else{
              if($coupon->type == 1){
                $CouponDiscountMoney = $coupon->money;
              }else{
                $CouponDiscountMoney = $coupon->dmoney;
              }
              //可使用优惠券
              $ShoppingCartUsedCouponInfo = array(
                'CouponItem'=>array(
                  'Id'=>$coupon->id
                )
              );
            }
        }else{
            $ShoppingCartUsedCouponInfo = null;
        }

        //实际支付价格
      if($TotalPrice >= $baoyou){
        $ActualPayPrice = $TotalPrice - $OrderEventDiscountMoney - $CouponDiscountMoney;
      }else{
        $ActualPayPrice = $TotalPrice - $OrderEventDiscountMoney - $CouponDiscountMoney + $FreightPrice;
      }
        //基本信息
        $ShoppingCartHeaderInfo = array(
            'TotalPrice'=>$TotalPrice,//商品总额
            'Flag'=>1,
            'Point'=>0,
            'OrderEventDiscountMoney'=>$OrderEventDiscountMoney,//活动优惠价格
            'FreightPrice'=>$FreightPrice,//运费
          'baoyou'=>$baoyou,
            'ActualPayPrice'=>number_format(($ActualPayPrice >0 ? $ActualPayPrice :0),2),
            'CouponDiscountMoney'=>$CouponDiscountMoney//优惠券金额
        );

        //查询默认收货地址
        if($addressId){
            $address = new Model('vshop_addresslibrary');
            $address->find($addressId);
        }else{
            $address = new Model('vshop_addresslibrary');
            $address->find(array('wid'=>$wid,'wxid'=>$openid));
        }

        //收货地址
        $DeliveryAddress = array(
            "pid"=>$wid,
            "receiver"=>$address->Name,
            "phone"=>$address->Phone,
            "address_id"=>$address->id,
            "address"=>$address->addressDetail,
            "province_id"=>$address->ProvinceId,
            "city_id"=>$address->CityId,
            "zone_id"=>$address->DistrinctId,
            "is_default"=>$address->SetDefault,
            "PName"=>$address->ProvinceName,
            "CName"=>$address->CityName,
            "DName"=>$address->DistrintName,
            "FullAddress"=>$address->ProvinceName.' '.$address->CityName.' '.$address->DistrintName.' '.$address->addressDetail
        );

        //优惠券列表
        $ShoppingCartCouponInfoList = null;
        if(count($pidarr)){
            $i= 0;
            //营销活动-现金券
            $date = date('Y-m-d H:i:s');
            $activit = new Model('vshop_mycouponlist');
            $ares = $activit->where(array('wid'=>$wid,'wxid'=>$openid,'isuse'=>0,'daytime@>'=>$date))->list_all();
            foreach($ares as $_av){
                if($_av->all){//所有商品
                    if($_av->type == 1){//现金券
                        $ShoppingCartCouponInfoList[$i]['Label'] = "现金券";
                        $ShoppingCartCouponInfoList[$i]['Title'] = "优惠".$_av->money."元";
                        $ShoppingCartCouponInfoList[$i]['Desc'] = "已减".$_av->money."元";
                        $ShoppingCartCouponInfoList[$i]['UseAmount'] = $_av->money;
                        $ShoppingCartCouponInfoList[$i]['DiscountAmount'] = $_av->money;
                        $ShoppingCartCouponInfoList[$i]['FromType'] = $_av->type;
                        $ShoppingCartCouponInfoList[$i]['Id'] = $_av->id;
                        $ShoppingCartCouponInfoList[$i]['hid'] = $_av->hid;
                        $ShoppingCartCouponInfoList[$i]['Name'] = $_av->name;
                        $ShoppingCartCouponInfoList[$i]['CodeId'] = 0;
                        $ShoppingCartCouponInfoList[$i]['StrValidateStart'] = date('Y-m-d',strtotime($_av->ctime));
                        $ShoppingCartCouponInfoList[$i]['StrValidateEnd'] = date('Y-m-d',strtotime($_av->daytime));
                        $i++;
                    }elseif($_av->type == 2 && $_av->xemoney <= $ActualPayPrice){//满减券
                        $ShoppingCartCouponInfoList[$i]['Label'] = "满减券";
                        $ShoppingCartCouponInfoList[$i]['Title'] = "满".$_av->xemoney."元减".$_av->dmoney."元";
                        $ShoppingCartCouponInfoList[$i]['Desc'] = "已减".$_av->dmoney."元";
                        $ShoppingCartCouponInfoList[$i]['UseAmount'] = $_av->xemoney;
                        $ShoppingCartCouponInfoList[$i]['DiscountAmount'] = $_av->dmoney;
                        $ShoppingCartCouponInfoList[$i]['FromType'] = $_av->type;
                        $ShoppingCartCouponInfoList[$i]['Id'] = $_av->id;
                        $ShoppingCartCouponInfoList[$i]['hid'] = $_av->hid;
                        $ShoppingCartCouponInfoList[$i]['Name'] = $_av->name;
                        $ShoppingCartCouponInfoList[$i]['CodeId'] = 0;
                        $ShoppingCartCouponInfoList[$i]['StrValidateStart'] = date('Y-m-d',strtotime($_av->ctime));
                        $ShoppingCartCouponInfoList[$i]['StrValidateEnd'] = date('Y-m-d',strtotime($_av->daytime));
                        $i++;
                    }
                }else{
                    $isok = 0;
                    $isprice = 0;
                    foreach($pidarr as $_pd){
                        if(strpos($_av->ids,$_pd['ProductId']) !== false){//可以使用优惠券
                            $isok = 1;
                            $isprice += $_pd['SalePrice'] * $_pd['Amount'];
                        }
                    }
                    if($isok){
                        if($_av->type == 1){//现金券
                            $ShoppingCartCouponInfoList[$i]['Label'] = "现金券";
                            $ShoppingCartCouponInfoList[$i]['Title'] = "优惠".$_av->money."元";
                            $ShoppingCartCouponInfoList[$i]['Desc'] = "已减".$_av->money."元";
                            $ShoppingCartCouponInfoList[$i]['UseAmount'] = $_av->money;
                            $ShoppingCartCouponInfoList[$i]['DiscountAmount'] = $_av->money;
                            $ShoppingCartCouponInfoList[$i]['FromType'] = $_av->type;
                            $ShoppingCartCouponInfoList[$i]['Id'] = $_av->id;
                            $ShoppingCartCouponInfoList[$i]['hid'] = $_av->hid;
                            $ShoppingCartCouponInfoList[$i]['Name'] = $_av->name;
                            $ShoppingCartCouponInfoList[$i]['CodeId'] = 0;
                            $ShoppingCartCouponInfoList[$i]['StrValidateStart'] = date('Y-m-d',strtotime($_av->ctime));
                            $ShoppingCartCouponInfoList[$i]['StrValidateEnd'] = date('Y-m-d',strtotime($_av->daytime));
                            $i++;
                        }elseif($_av->type == 2 && $_av->xemoney <= $isprice){//满减券
                            $ShoppingCartCouponInfoList[$i]['Label'] = "满减券";
                            $ShoppingCartCouponInfoList[$i]['Title'] = "满".$_av->xemoney."元减".$_av->dmoney."元";
                            $ShoppingCartCouponInfoList[$i]['Desc'] = "已减".$_av->dmoney."元";
                            $ShoppingCartCouponInfoList[$i]['UseAmount'] = $_av->xemoney;
                            $ShoppingCartCouponInfoList[$i]['DiscountAmount'] = $_av->dmoney;
                            $ShoppingCartCouponInfoList[$i]['FromType'] = $_av->type;
                            $ShoppingCartCouponInfoList[$i]['Id'] = $_av->id;
                            $ShoppingCartCouponInfoList[$i]['hid'] = $_av->hid;
                            $ShoppingCartCouponInfoList[$i]['Name'] = $_av->name;
                            $ShoppingCartCouponInfoList[$i]['CodeId'] = 0;
                            $ShoppingCartCouponInfoList[$i]['StrValidateStart'] = date('Y-m-d',strtotime($_av->ctime));
                            $ShoppingCartCouponInfoList[$i]['StrValidateEnd'] = date('Y-m-d',strtotime($_av->daytime));
                            $i++;
                        }
                    }
                }
            }
        }

        //商品列表

        $VendorShoppingCartItemsList[0] = array(
            'ShoppingCartList'=>$ShoppingCartList,
            'ShoppingCartItemsTotalPrice'=>$TotalPrice,
            'Freight'=>$FreightPrice,//运费
          'baoyou'=>$baoyou
        );

        //返回数据
        $arr = array(
            'errcode'=>0,
            'errmsg'=>'ok',
            'dataList'=>array(
                'ShoppingCartHeaderInfo'=>$ShoppingCartHeaderInfo,
                'DeliveryAddress'=>$DeliveryAddress,
                'ShoppingCartCouponInfoList'=>$ShoppingCartCouponInfoList,
                'ShoppingCartUsedCouponInfo'=>$ShoppingCartUsedCouponInfo,
                'VendorShoppingCartItemsList'=>$VendorShoppingCartItemsList
            )
        );
        /********************数据处理********************/
    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

?>