<?php
Page::$need_view = false;
header('Content-Type:application/json');
// 接收参数
$req = getPayloadParams();
if (!arr_get($req, 'wid') || !arr_get($req, 'openid') || !arr_get($req, 'phone')) {
  sendResponse(['status' => 'error', 'msg' => '缺少参数'], true);
}
// 生成随机数
try {
  $rand_code = rand(100000,999999);
} catch (Exception $e) {
  $rand_code = 123456;
}
// 发送短信
$sms_content = '尊敬的用户您好，您的短信验证码是' . $rand_code . '。';
$wid = $req['wid'];
$pub = (new Model('pubs'))->find(['id' => $wid]);
$uid = $pub->uid;
if (!$uid) {
  sendResponse(['status' => 'error', 'msg' => '未知错误'], true);
}
$send = unified_send_sms($uid, arr_get($req, 'phone'), $sms_content,'template_register_code',["code" =>$rand_code]);
// $send = true;
if ($send) {
  // 记录发送手机号，验证码，发送时间
  $wxUser = (new Model('wechat_group_list'))->find(['openid' => arr_get($req, 'openid')]);
  if (!$wxUser->id) {
    sendResponse(['status' => 'error', 'msg' => '未知错误'], true);
  } else {
    $wxUser->sms_code_phone = arr_get($req, 'phone');
    $wxUser->sms_code = $rand_code;
    $wxUser->sms_code_time = time();
    $wxUser->save();
  }
  sendResponse(['status' => 'success', 'msg' => '发送成功'], true);
} else {
  sendResponse(['status' => 'error', 'msg' => '短信发送失败，请稍后重试'], true);
}