<?php
Page::$need_view = false;
header('Content-Type:application/json');
require_once(DOXCX_FRAME_PATH . 'fun/TLSSig.php');
$req = getPayloadParams();
if (!(arr_get($req, 'wid')&&arr_get($req,'card_id'))) {
	sendResponse(['status' => 'error', 'msg' => '参数错误'], true);
}
$config = (new Model('vshop_supercard_set'))->where(['wid' => $req['wid']])->find();
#获取UserSign
$userInfo = (new Model('vshop_member'))->where(['wxid' => $req['openid']])->find();
$identifier = $userInfo->id;
$sdkPrivateKey = $config->sdk_private_key;
$sdkPublicKey = $config->sdk_public_key;
$sdkAppid = $config->sdk_appid;

$cardInfo =  (new Model('vshop_supercard_list'))->where(['wid' => $req['wid'],'id'=>$req['card_id']])->find();


$api = new TLSSigAPI();
$api->SetAppid($sdkAppid);
$api->SetPrivateKey($sdkPrivateKey);
$api->SetPublicKey($sdkPublicKey);
$sig = $api->genSig($identifier);
$result = $api->verifySig($sig, $identifier, $init_time, $expire_time, $error_msg);


$info = array(
	'sdk_appid'        => $config->sdk_appid,
	'sdk_account_type' => $config->sdk_account_type,
	'UserSig'          => $sig,
	'Identifier'       => $identifier,
	'sendManager' =>$config->sdk_manager,
	'sendTo'=>$cardInfo->qiye_user_id
);

sendResponse(['status' => true, 'data' => $info]);
