<?php
//获取名片详情
Page::$need_view = false;
header('Content-Type:application/json');
$req = getPayloadParams();
if (!(arr_get($req, 'openid') && arr_get($req, 'wid') && arr_get($req,'card_id'))) {
  sendResponse(['status' => 'error', 'msg' => '参数错误'], true);
}

$card = (new Model('vshop_supercard_list'))->find(['wid' => $req['wid'], 'id' => $req['card_id']]);
$set = (new Model('vshop_set'))->find(['wid' => $req['wid']]);
$userSet =  (new Model('vshop_supercard_support_list'))->find(['wid' => $req['wid'],'card_id'=>$req['card_id']]);
$cardTag = (new Model('vshop_supercard_custom_tags'))->where(['wid' => $req['wid'], 'card_id' => $req['card_id']])->list_all();
$vistorList =(new Model('vshop_supercard_custom_list'))->where(['wid' => $req['wid'], 'card_id' => $req['card_id']])->limit(5)->order('update_time desc')->list_all();
$imgs = array();
foreach ($vistorList as $Key=>$val){
	 $imgs[]=$val->avatar;
}
$info = array(
	'id'=>$card->id,
  'mpcode'=>$card->qrcode,
  'avatar'=>$card->avatar,
  'name'=>$card->name,
  'job_title'=>$card->hc,
  'cellphone'=>$card->cellphone,
  'telephone'=>$card->tel,
  'wechat'=>$card->wechat,
  'email'=>$card->email,
  'company'=>$card->corporation,
  'company_logo'=>$set->logo,
  'address'=>$card->location,
  'viewers'=>array(
    'count'=>$card->view_num,
    'items'=>$imgs,
	 ),
  'video_url'=>$card->video_url,
  'is_supported'=>empty($userSet->is_support)?false:true,
  'support_count'=>($card->zan_num/1000).'k',
  'introduction'=>$card->label,
  'introduction_audio'=>array(
  	'title'=>'我的语音介绍',
	  'url'=>Conf::$http_path_static.$card->audio,
  ),
  'photos'=>array_merge([$card->pic1],[$card->pic2],[$card->pic3])
);
$card->view_num +=1;
$card->save();
//塞入标签信息
foreach ($cardTag as $key=>$val){
  $tmp['name'] = $val->name;
  $tmp['count'] = $val->zan_count;
  $info['tags'][$val->id] = $tmp;
}
$config = (new Model('vshop_supercard_set'))->where(['wid'=>$req['wid']])->find();

sendResponse(['status' => true, 'data' => $info,'openTalk'=>$config->open_service,'message'=>''], true);

