<?php
Page::$need_view = false;
header('Content-Type:application/json');
$req = getPayloadParams();

if (!(arr_get($req, 'open_id') && arr_get($req, 'wid') && arr_get($req,'event_id'))) {
  sendResponse(['status' => 'error', 'msg' => '参数错误'], true);
}

#事件ID
// $eventMap = [
// 	1=>'viewCard',//查看卡片
// 	2=>'viewGood',//查看商品
// 	3=>'viewWeb',//查看官网
// 	4=>'copyWechat',//复制微信
// 	5=>'shareCard',//转发名片
// 	6=>'viewCondition',//查看动态
// 	7=>'saveTel',//保存电话
// 	8=>'support',//觉得靠谱
// 	9=>'call',//拨打电话
// 	10=>'copyEmail'//复制邮箱
//  11=>'发起聊天'，
//  12=>'查看会员卡'
//  13=>'智慧餐厅’
//  14=>'咨询产品'
// ];

$data = array(
	'wid'=>$req['wid'],
	'card_id'=>empty($req['card_id'])?9999:$req['card_id'],//9999代表不是名片事件
	'open_id'=>$req['open_id'],
	'event_id'=>$req['event_id'],
	'update_time'=>date('Y-m-d H:i:s',time()),
	'create_time'=>date('Y-m-d',time()),
	'count'=>1,
);

$where = array(
	'wid'=>$req['wid'],
	'card_id'=>$req['card_id'],
	'open_id'=>$req['open_id'],
	'event_id'=>$req['event_id'],
	'create_time'=>date('Y-m-d',time())
);

$model = new Model('vshop_supercard_event_list');
//记录这个事件当天有没有发生过，如果有就count++，没有就新增
$check = $model->where($where)->find();
if($check->id){
	$check->count++;
	$model->save();
}else{
	$model->insert($data);
}
sendResponse([
	'success' => true,
	'msg'=>'事件记录成功'
]);

