<?php
Page::$need_view = false;
header('Content-Type:application/json');
$req = getPayloadParams();

if (!(arr_get($_POST, 'wid') && arr_get($_POST,'selToID') && arr_get($_POST,'from'))) {
	sendResponse(['status' => 'error', 'msg' => '参数错误'], true);
}



$selToID = trim($_POST['selToID']);
$wid = trim($_POST['wid']);
$from = trim($_POST['from']);
//获取配置信息
$superCardConfig = (new Model('vshop_supercard_set'))->where(['wid'=>$wid])->find();

require_once(DOXCX_FRAME_PATH .'fun/TLSSig.php');
$sdkAppid = $superCardConfig->sdk_appid;
$identifier = $superCardConfig->sdk_manager;
$sdkPrivateKey = $superCardConfig->sdk_private_key;
$sdkPublicKey = $superCardConfig->sdk_public_key;

$api = new TLSSigAPI();
$api->SetAppid($sdkAppid);
$api->SetPrivateKey($sdkPrivateKey);
$api->SetPublicKey($sdkPublicKey);
$userSig = $api->genSig($identifier);

$uploadPath = saveImg();

if($uploadPath != false){
		$result = uploadToIm($uploadPath, $sdkAppid, $userSig, $identifier, $selToID,$from);//上传腾讯云IM
	  if($result['ErrorCode'] == 0){
	  	unlink($uploadPath);
		  sendResponse([
			  'success' => true,
			  'msg'=>'图片转发腾讯云服务器成功!'
		  ]);
	  }else{
		  sendResponse([
			  'success' => false,
			  'msg'=>$result['ErrorInfo']
		  ]);
	  }
}else{
	sendResponse([
		'success' => false,
		'msg'=>'图片转存失败'
	]);
}


function saveImg(){
		//生成一个临时文件，在上传，在删除
		if(is_uploaded_file($_FILES['pic']['tmp_name'])) {
			//把文件转存到你希望的目录（不要使用copy函数）
			$uploaded_file=$_FILES['pic']['tmp_name'];
			$username = "talkImg";
			//我们给每个用户动态的创建一个文件夹
			$user_path=DOXCX_STATIC."/supercard/".$username;
			//判断该用户文件夹是否已经有这个文件夹
		if(!file_exists($user_path)) {
			mkdir($user_path);
		}
		$file_true_name=$_FILES['pic']['name'];
		$move_to_file=$user_path."/".time().rand(1,1000)."-".date("Y-m-d").substr($file_true_name,strrpos($file_true_name,"."));//strrops($file_true,".")查找“.”在字符串中最后一次出现的位置
		if(move_uploaded_file($uploaded_file,iconv("utf-8","gb2312",$move_to_file))) {
			return $move_to_file;
		} else {
			return false;
		}
	} else {
		return false;
	}
}

function uploadToIm($filePath,$sdkAppid,$userSig,$identifier,$selToID,$from){
	require_once(DOXCX_FRAME_PATH . 'fun/im/TimRestAPI.php');
	$api = createRestAPI();
	$api->init($sdkAppid, $identifier);
	$api->set_user_sig($userSig);
	$ret = $api->openim_send_msg_pic($from,$selToID,$filePath);
	return $ret;
}

