<?php
/**
 * 预约服务
*/
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据

//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }elseif (!$result->openId){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：openId');
    }elseif (!$result->name){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：name');
    }elseif (!$result->Platform){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：Platform');
    }elseif (!$result->phone){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：phone');
    }elseif(!$result->cid){
   		 $arr = array('errcode'=>1,'errmsg'=>'缺少参数：cid');
    }/**elseif (!$result->service){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：service');
    }*/else{

        //商户id
        $wid = $result->wid;

        /********************数据处理********************/
        $openid = $result->openId;
        $name = $result->name;
        $Suggestion = $result->Suggestion;
		$Sbiaoti= $result->Sbiaoti;
		$cid= $result->cid;
        $Platform = $result->Platform;
        $phone = $result->phone;
		$mtime = $result->mtime;
		$service = $result->service;
      
        $mtimehs = $result->mtimehs;
		$bespeak = new Model('vshop_bespeak_list');
		$bespeak->find($cid);
		$need_pay = $bespeak->ispay ? 1 : 0;//是否需要支付
		$pay_amount = $bespeak->price;//支付金额
		$order_no = getRandomOrderNo('yy');//订单号
      
        //预约是否已达上限
		/**$feedbackCount = (new Model('vshop_feedback'))->where(['wid'=>$wid,'cid'=>$cid,'mtime'=>$mtime])->count();
		if($bespeak->numbers){
			if($bespeak->numbers <= $feedbackCount){
				$arr = array('errcode'=>1,'errmsg'=>'预约已达上限，请选择其他日期');
				$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
				$data = array('d'=>$HexData);
				echo json_encode($data);
				exit;
			}
		}*/
		$feedbackCount = (new Model('vshop_feedback'))->where(['wid'=>$wid,'cid'=>$cid,'mtime'=>$mtime,'mtimehs'=>$mtimehs])->count();
		$yy_times = json_decode($bespeak->yy_times);
		$yy_renshu = json_decode($bespeak->yy_renshu);
		if($yy_renshu[array_search($mtimehs,$yy_times)]){
			if($yy_renshu[array_search($mtimehs,$yy_times)]<=$feedbackCount){
				$arr = array('errcode'=>1,'errmsg'=>'预约已达上限，请选择其他日期');
				$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
				$data = array('d'=>$HexData);
				echo json_encode($data);
				exit;
			}
		}
		
      
        //获取订单列表
        $m = new Model('vshop_feedback');
        $m->wid = $wid;
        $m->wxid = $openid;
        $m->name = $name;
        $m->comtent = $Suggestion;
        $m->Platform = $Platform;
        $m->phone = $phone; 
		$m->service = $service;
		$m->biaoti = $Sbiaoti;
		$m->cid = $cid;
		$m->mtime = $mtime;
      
        $m->mtimehs=$mtimehs;
		$m->order_no=$order_no;
		$m->need_pay = $need_pay;
		$m->is_pay = 0;
		$m->pay_amount = $pay_amount;
      
        $m->ctime = date('Y-m-d H:i:s');
        $m->save();

		if($m->id){
        if($need_pay == 1){
        	$payParams=null;
			if($pay_amount>0){
				// $sykConfig = new Model('vshop_syk_pay');
				// $sykConfig->find(array('wid' => $wid));	
				// if($sykConfig->status){//开启商云客支付
				// 	$payParams = syk_prepay($wid, $openid, $pay_amount, Conf::$http_path_api . '/Payment/Sykpay/yuyueNotify.html', $order_no, '预约支付');		
				// }else{
				// 	$payParams = wechat_prepay($wid, $openid, $pay_amount, Conf::$http_path_api . "Payment/Wxpay/yuyueNotify-" . $wid . ".html", $order_no, '预约支付');
				// }
				$req=json_decode(json_encode($result),true);
				 $respData=common_prepay($wid, $openid, $pay_amount, 'yuyueNotify', $order_no, '预约支付','',$req);
                    $payParams=$respData['data'];
                    if($respData['status']=='success'){
                    	$arr = array('errcode'=>0,'errmsg'=>'ok','pay'=>true,'pay_params'=>$payParams);
                    }else{
                    	$arr = array('errcode'=>1,'errmsg'=>$respData['msg']);
                    }
				
			}else{
				 $arr = array('errcode'=>0,'errmsg'=>'ok','pay'=>false);
			}
		}else{
			 $arr = array('errcode'=>0,'errmsg'=>'ok','pay'=>false);
		}
		}else{
			$arr = array('errcode'=>1,'errmsg'=>'预约失败,请重试');
		}
      
       // $arr = array('errcode'=>0,'errmsg'=>'ok');

        /********************数据处理********************/
    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

//判断活动是否进行中
function times($va){
    $str = 0;
    $arr =explode('-',$va);
    $d0 = date('Y-m-d H:i',strtotime($arr[0]));
    $d1 = date('Y-m-d H:i',strtotime($arr[1]));
    $d2 = date('Y-m-d H:i');
    if($d2 < $d1){
        $str = $d1;
    }
    return $str;
}

?>