<?php
/**
 * 意见反馈
*/
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据

//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }elseif (!$result->openId){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：openId');
    }elseif (!$result->Suggestion){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：Suggestion');
    }elseif (!$result->Platform){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：Platform');
    }else{

        //商户id
        $wid = $result->wid;

        /********************数据处理********************/
        $openid = $result->openId;
        $Wechat = $result->Wechat;
        $Suggestion = $result->Suggestion;
        $Platform = $result->Platform;
        $Email = $result->Email;

        //获取列表
        $m = new Model('vshop_leave');
        $m->wid = $wid;
        $m->wxid = $openid;
        $m->contact = $Wechat;
        $m->comtent = $Suggestion;
        $m->Platform = $Platform;
        $m->Email = $Email;
        $m->ctime = date('Y-m-d H:i:s');
        $m->save();

        $arr = array('errcode'=>0,'errmsg'=>'ok');

        /********************数据处理********************/
    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

//判断活动是否进行中
function times($va){
    $str = 0;
    $arr =explode('-',$va);
    $d0 = date('Y-m-d H:i',strtotime($arr[0]));
    $d1 = date('Y-m-d H:i',strtotime($arr[1]));
    $d2 = date('Y-m-d H:i');
    if($d2 < $d1){
        $str = $d1;
    }
    return $str;
}

?>