<?php
/**
 * 获取添加微信用户信息和门店信息
 */
// header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH . 'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据


//实例化类
$aes = new aes();

if (!$data->data) {//加密数据
  $arr = array('errcode' => 1, 'errmsg' => '缺少参数');
} else {

  //AES解密数据
  $json_data = $aes->aes128cbcHexDecrypt($data->data);
  //解析json数据
  $result = json_decode($json_data);
  if (!$result->wid) {
    $arr = array('errcode' => 1, 'errmsg' => '缺少参数：wid');
  } elseif (!$result->code) {
    $arr = array('errcode' => 1, 'errmsg' => '缺少参数：code');
  } else {

    //商户id
    $wid = $result->wid;
    //找到对应商家，判断是否过期
    $is_out = false;
    $uid = (new Model('pubs'))->find($wid)->uid;
    $user = (new Model('user'))->find($uid);
    if(strtotime($user->mendtime)<time()){
      $is_out = true;
    }
    $setting = (new Model('vshop_vagent_setting'))->where(['wid' => $wid])->find();
    /********************数据处理********************/
    //获取基本信息
    $NickName = $result->NickName;//昵称
    //$sex = $result->sex;//性别
    $photo = $result->photo;//头像
    //$WXCountry = $result->WXCountry;//所在国家
    //$WXCity = $result->WXCity;//所在城市
    $code = $result->code;//获取openid得code
    //$WXProvince = $result->WXProvince;
    $uid = $result->Uid;//推广人id
    $storeId = $result->storeId;

    //获取appid
    /**$pu = new Model('vshop_weixin_pay');
    $pu->field('id,AppId,AppSecret')->find(array('wid' => $wid));*/

    //获取openid
    /**$APPID = $pu->AppId;
    $SECRET = $pu->AppSecret;
    $JSCODE = $code;
    $url = 'https://api.weixin.qq.com/sns/jscode2session?appid=' . $APPID . '&secret=' . $SECRET . '&js_code=' . $JSCODE . '&grant_type=authorization_code';
    $wxjson = HttpCurl::get($url);
    $wxdata = json_decode($wxjson);
    $aes->debug('接口调用：微信授权获取openid', $wxjson);
    $openid = $wxdata->openid;
	*/
	
	//获取小程序配置信息
	$zfbInfo = new Model('zfb_vshop_weixin_pay');
    $zfbInfo->find(array('wid' => $wid));
	//获取支付宝访问令牌和用户唯一标示
	require_once DOXCX_FRAME_PATH . "/fun/alipay/aop/AopClient.php";
	require_once DOXCX_FRAME_PATH . "/fun/alipay/aop/request/AlipaySystemOauthTokenRequest.php";
	require_once DOXCX_FRAME_PATH . "/fun/alipay/aop/request/AlipayUserInfoShareRequest.php";
	$aop = new AopClient ();
	$aop->gatewayUrl = 'https://openapi.alipay.com/gateway.do';
	$aop->appId = $zfbInfo->AppId;
	$aop->rsaPrivateKey = $zfbInfo->privateKey;
	$aop->alipayrsaPublicKey = $zfbInfo->publicKey;
	$aop->apiVersion = '1.0';
	$aop->signType = 'RSA2';
	$aop->postCharset='UTF-8';
	$aop->format='json';
	$requestToken = new AlipaySystemOauthTokenRequest ();
	$requestToken->setGrantType("authorization_code");
	$requestToken->setCode($code);
	//$request->setRefreshToken("201208134b203fe6c11548bcabd8da5bb087a83b");
	$resultToken = $aop->execute ($requestToken); 
	$accessToken=$resultToken->alipay_system_oauth_token_response->access_token;
	$openid=$resultToken->alipay_system_oauth_token_response->user_id;//支付宝用户的唯一userId
	//支付宝会员授权信息查询
	$requestShare = new AlipayUserInfoShareRequest ();
	$resultShare = $aop->execute ( $requestShare , $accessToken ); 
	if($resultShare->alipay_user_info_share_response->nick_name){
		$NickName = $resultShare->alipay_user_info_share_response->nick_name;//支付宝昵称
		$sex = $resultShare->alipay_user_info_share_response->gender=='m'?0:1;//性别
		$photo = $resultShare->alipay_user_info_share_response->avatar;//头像
		$WXCity = $resultShare->alipay_user_info_share_response->city;//所在城市
		$WXProvince = $resultShare->alipay_user_info_share_response->province;//所在省
	}
	
	

    //检测用户是否存在
    $me = new Model('vshop_member');
    $me->field('id,wid,wxid')->find(array('wid' => $wid, 'wxid' => $openid, 'agent' => 1));
    if (!$me->id) {//不存在
      //新用户首次进入显示全局广告图片
      $adPicture = 1;
      if (!$uid) {//不存在;查找获取默认uid
        $uid = 0;
      } else {//存在uid；获取该用户其他信息
        $mu = new Model('vshop_member');
        $mu->field('id,path,level,total')->find($uid);
        $uid = $mu->id;
        $path = $mu->path;
        $total = $mu->total;
        // $level = $mu->level;//暂时用不到这个字段
      }

      //添加修改用户信息
      $user = new Model('vshop_member');
      $user->wid = $wid;
      $user->wxid = $openid;
      $user->username = $NickName;//jeffrey add
      $user->pid = $uid;
      $user->level = 0;
      $user->status = $setting->auto_verify ? 1 : 0;
      $user->agent = 1;
      $user->keypwd = '234200';//登陆密码
      $user->reg_time = date('Y-m-d H:i:s');
      $rs = $user->save();
      if ($rs->id) {
        //绑定上级信息
        if ($path) {
          $total += 1;
          $mu->update(array('id' => $mu->id), array('path' => $path . ',' . $rs->id, 'total' => $total));
        }
      }
      $meid = $rs->id;
    } else {
      $meid = $me->id;
      $adPicture = 0;
    }

    //新用户首次登录广告页
    $fi = new Model('vshop_firstad');
    $AdInfo = $fi->find(array('wid' => $wid))->get_model_array();
    $AdInfo['adPicture'] = 0;
    if ($adPicture == 1) {
      $AdInfo['adPicture'] = 1;
    }

    //添加粉丝
    $wechat = new Model('wechat_group_list');
    $wechat->find(array('wid' => $wid, 'openid' => $openid));
    //$wechat->session_key = $wxdata->session_key;
    if ((trim($NickName)!='' && $wechat->nickname != $NickName) || (trim($photo)!='' && $wechat->headimgurl != $photo)) {
      $wechat->wid = $wid;
      $wechat->openid = $openid;
      $wechat->nickname = $NickName;
      $wechat->sex = $sex;
      $wechat->province = $WXProvince;
      $wechat->city = $WXCity;
      $wechat->headimgurl = $photo;
      $wechat->subscribe_time = time();
    }
	$wechat->user_type = 3;
    $wechat->save();
    //用户数据
    $UserInfo = array(
      "Id" => $meid,
      "UserName" => '',
      "NickName" => $wechat->nickname,
      "photo" => $wechat->headimgurl,
      'WeiXinOpenId' => $openid,
      "Sex" => $sex,
      'IsNewUser' => 0,
    );
    //检查是否有vip卡
    $vipCard = (new Model('vip_card'))->find(array('wid' => $wid, 'openid' => $openid));
    if ($vipCard->id) {
      $UserInfo['is_vip'] = true;
      $UserInfo->vipCard = $vipCard;
    } else {
      $UserInfo['is_vip'] = false;
    }

    //商城标题
    $shop = new Model('vshop_set');
    $shop->field('id,jianjie,name,logo,address,bgpic,tel,lat,lng')->find(array('wid' => $wid));
    $ShopInfo = array(
      'Id' => $shop->id,
      'ShopName' => $shop->name,
      'WapLogoPath' => $shop->logo,
      'VendorInfo' => $shop->jianjie,
      'LegalAdress' => $shop->address,
      'BackGroundPath' => $shop->bgpic,
      'WapLat' => $shop->lat,
      'WapLng' => $shop->lng,
      //'WapdtLogo'=>$shop->dtlogo,
      'LegalNumber' => $shop->tel,
      'Level1Discount' => $setting->level1,//一级佣金百分比
      'Level2Discount' => $setting->level2,//二级佣金百分比
      'is_out' => $is_out
    );

    //数据组合
    $dataList = array(
      'UserInfo' => $UserInfo,
      'ShopInfo' => $ShopInfo,
      'AdInfo' => $AdInfo,
    );
    /********************数据处理********************/

    //返回数据
    $arr = array(
      'errcode' => 0,
      'errmsg' => 'ok',
      'dataList' => $dataList,
    );
  }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d' => $HexData);
echo json_encode($data);
exit;

?>