<?php
/**
 * 订单列表
*/
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据





//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }elseif (!$result->openId){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：openId');
    }elseif (!$result->Price){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：Price');
    }elseif (!$result->Phone){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：Phone');
    }elseif (!$result->alipayName){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：alipayName');
    }elseif (!$result->alipayNum){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：alipayNum');
    }else{

        //商户id
        $wid = $result->wid;

        /********************数据处理********************/
        $openid = $result->openId;
        $CashAmount = $result->Price;
        $Phone = $result->Phone;
        $alipayName = $result->alipayName;
        $alipayNum = $result->alipayNum;

        //添加提现账户
        $account = new Model('vshop_account');
        $account->find(array('wid'=>$wid,'wxid'=>$openid));
        $account->wid = $wid;
        $account->wxid = $openid;
        $account->Phone = $Phone;
        $account->alipayName = $alipayName;
        $account->alipayNum = $alipayNum;
        $account->save();

        //获取用户可提现金额
        $m = new Model('vshop_member');
        $m->field('id,extract_money,islock')->find(array('wid'=>$wid,'wxid'=>$openid));

		if($m->islock){
			$arr = array('errcode'=>1,'errmsg'=>'账户已冻结');
		}else if($CashAmount > $m->extract_money){//大于可提现金额
            $arr = array('errcode'=>1,'errmsg'=>'账户佣金不足');
        }else{
            //提现记录
            $em = new Model('vshop_extract');
            $em->wid = $wid;
            $em->wxid = $openid;
            $em->CashAmount = $CashAmount;//提现金额
            $em->CashType = '支付宝';//账户类型
            $em->CashRealName = $alipayName;//提现账户名
            $em->CashAccount = $alipayNum;//提现账户
            $em->CashPhone = $Phone;
            $em->ctime = date('Y-m-d H:i:s');
            $em->save();
            $money = $m->extract_money - $CashAmount;
            $m->update(array('id'=>$m->id),array('extract_money'=>$money));
            $arr = array('errcode'=>0,'errmsg'=>'已经申请提现，请耐心等待申请结果！');
        }
        /********************数据处理********************/
    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

?>