<?php
/**
 * 订单确认收货
 */
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据

//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }elseif(!$result->proId){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：proId');
    }elseif(!$result->openId){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：openId');
    }else {

        //商户id
        $wid = $result->wid;

        /********************数据处理********************/
        $proId = $result->proId;//商品id
        $openId = $result->openId;//微信id

        $m = new Model('vshop_mycollect');
        $m->find(array('gid'=>$proId,'wxid'=>$openId,'wid'=>$wid));
        $m->wid = $wid;
        $m->wxid = $openId;
        $m->islike = 0;
        $m->gid = $proId;
        $m->ctime = date('Y-m-d H:i:s');
        $m->save();

        //修改商品收藏数
        $pro = new Model('vshop_productcy');
        $pro->field('id,lovenum')->find($proId);
        $lovenum = $pro->lovenum - 1;
        $pro->update(array('id'=>$pro->id),array('lovenum'=>$lovenum));

        //返回数据
        $arr = array('errcode'=>0,'errmsg'=>'ok');

        /********************数据处理********************/
    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

?>