<?php
/**
 * 订单列表
*/
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据





//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }elseif (!$result->openId){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：openId');
    }else{

        //商户id
        $wid = $result->wid;

        /********************数据处理********************/
        $openid = $result->openId;

        //获取订单列表
        $m = new Model('vshop_member');
        $m->find(array('wid'=>$wid,'wxid'=>$openid));

        //个人佣金
        $total = $m->money;
        //可提现总额
        $exttotal = $m->extract_money;

        //不可提现佣金
        // $blog = new Model('vshop_extract');
        // $bmoney = $blog->field('id,CashAmount')->where(array('wid'=>$wid,'wxid'=>$openid))->sum('CashAmount');
      // $noexttotal = $total - $exttotal - $bmoney;
      $noexttotal = $m->unextract_money;

        //查询一个月粉丝
        $BeginDate=date('Y-m-01 00:00:01',strtotime(date("Y-m-d")));
        $endDate = date('Y-m-d H:i:s');
        $fans = new Model('vshop_member');
        $fans_num = $fans->find('id')->where(array('wid'=>$wid,'pid'=>$m->id,'reg_time@>'=>$BeginDate,'reg_time@<'=>$endDate))->count();

        //查询我的粉丝
        $fans = new Model('vshop_member');
        $my_num = $fans->field('id')->where(array('wid'=>$wid,'pid'=>$m->id))->count();

        $dataList = array(
            'CashBalance'=>$exttotal,//可提现佣金
            'MonthBonuses'=>$noexttotal,//不可提现佣金
            'MonthFansNum'=>$fans_num,//本月新增粉丝
            'TotalFansNum'=>$my_num,//我的粉丝
            'TotalBonuses'=>$total//历史总收益
        );

        //返回数据
        $arr = array(
            'errcode'=>0,
            'errmsg'=>'ok',
            'dataList'=>$dataList
        );
        /********************数据处理********************/
    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

?>