<?php
/**
 * 历史收益
*/
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据

//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }elseif (!$result->userId){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：userId');
    }elseif (!$result->PageIndex){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：PageIndex');
    }elseif ($result->ChangeType < 0 || $result->ChangeType > 2){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：ChangeType');
    }else{

        //商户id
        $wid = $result->wid;

        /********************数据处理********************/
        $userid = $result->userId;
        $ChangeType = $result->ChangeType;
        $pageIndex = $result->PageIndex;
        $pageSize = 10;

        //条数
        $lim = 	$pageSize*($pageIndex-1).','.$pageSize;

        //排序
        $order = 'id DESC';

        $where = array();
        $where['sid'] = $userid;
        $where['status'] = 1;
        $where['istrue'] = 1;
      
        if($ChangeType!=0){
        $where['type'] = $ChangeType;//1支出，2收入
        }
        

        //查询佣金记录
        $blog = new Model('vshop_brokerage');
        $res = $blog->field('id,money,ctime')->where($where)->order($order)->limit($lim)->list_all();

        $dataList = array();
        $i = 0;
        foreach ($res as $va){
            if($ChangeType == 1){//支出
                $ReasonStr = '商品消费抵用';
            }else{
                $ReasonStr = '商品销售佣金提成';
            }
            $dataList[$i] = array(
                'ReasonStr'=>$ReasonStr,
                'strCashAmount'=>$va->money.'元',
                'StrCreatetime'=>$va->ctime
            );
            $i++;
        }
        /********************数据处理********************/

        //返回数据
        $arr = array(
            'errcode' => 0,
            'errmsg' => 'ok',
            'dataList' => $dataList
        );
    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

?>