<?php
/**
 * 订单列表
*/
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据





//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }elseif (!$result->openId){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：openId');
    }elseif (!$result->CouponIds){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：CouponIds');
    }else{

        //商户id
        $wid = $result->wid;

        /********************数据处理********************/
        $openid = $result->openId;
        $CouponIds = $result->CouponIds;//优惠券id

        //获取订单列表
        $m = new Model('vshop_activitylist');
        $m->find($CouponIds);
        if($m->sendtimes){
            $date = times($m->date);//活动时间
            if($date) {//活动进行中
                $mycoupon = new Model('vshop_mycouponlist');
                $mycoupon->wid = $wid;
                $mycoupon->wxid = $openid;
                $mycoupon->hid = $CouponIds;
                $mycoupon->name = $m->Name;
                $mycoupon->ms = $m->ms;
                $mycoupon->all = $m->all;
                $mycoupon->ids = $m->ids;
                $mycoupon->type = $m->type;
                $mycoupon->money = $m->money;
                $mycoupon->xemoney = $m->xemoney;
                $mycoupon->dmoney = $m->dmoney;
                $mycoupon->daytime = $date;//截止时间
                $mycoupon->ctime = DB::raw("now()");
                $mycoupon->isuse = 0;
                $mycoupon->save();

                //领取得优惠券信息
                if($m->type == 1){
                    $DiscountMoney = $m->money;
                }else{
                    $DiscountMoney = $m->dmoney;
                }
                $Coupons[0] = array(
                    'DiscountMoney'=>$DiscountMoney,
                    'Name'=>$m->Name
                );

                //更新优惠券数量
                $sendtimes = $m->sendtimes - 1;
                $m->update(array('id'=>$m->id),array('sendtimes'=>$sendtimes));

                //返回数据
                $arr = array('errcode'=>0,'errmsg'=>'领取成功','dataList'=>$Coupons);
            }else{
                $arr = array('errcode'=>1,'errmsg'=>'活动已过期');
            }
        }else{
            $arr = array('errcode'=>1,'errmsg'=>'优惠券数量不足');
        }
        /********************数据处理********************/
    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

//判断活动是否进行中
function times($va){
    $str = 0;
    $arr =explode('-',$va);
    $d0 = date('Y-m-d H:i',strtotime($arr[0]));
    $d1 = date('Y-m-d H:i',strtotime($arr[1]));
    $d2 = date('Y-m-d H:i');
    if($d2 < $d1){
        $str = $d1;
    }
    return $str;
}

?>