<?php
/**
 * 粉丝排行榜
*/
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据

//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }elseif (!$result->timeType){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：timeType');
    }else{

        //商户id
        $wid = $result->wid;

        /********************数据处理********************/
        $timeType = $result->timeType;//类型

        $RankList = array();
        if($timeType == 2){//周排行
            //查询一周内所有的粉丝
            $stime = date("Y-m-d H:i:s",mktime(0, 0 , 0,date("m"),date("d")-date("w")+1,date("Y")));//每周一
            $etime = date('Y-m-d 23:59:59');//当前时间
            $m = new Model('vshop_member');
            $res = $m->field('id,pid')->where(array('wid'=>$wid,'pid@>'=>0,'reg_time@>'=>$stime,'reg_time@<'=>$etime))->list_all();
            $list = array();
            foreach ($res as $va){
                $list[$va->pid] += 1;
            }
            //从高到低排序
            arsort($list);
            //获取前10数据
            $i = 0;
            foreach ($list as $kid=>$_vn){
                if($i == 10){
                    break;
                }else{
                    //根据用户信息获取粉丝openid
                    $me = new Model('vshop_member');
                    $me->field('id,wxid')->find($kid);

                    //获取粉丝信息
                    $gw = new Model('wechat_group_list');
                    $gw->field('id,nickname,headimgurl')->find(array('wid'=>$wid,'openid'=>$me->wxid));

                    $RankList[$i]['photo'] = $gw->headimgurl;
                    $RankList[$i]['NickName'] = $gw->nickname;
                    $RankList[$i]['totalNum'] = $_vn;
                    $i++;
                }
            }

        }elseif($timeType == 3){//月排行
            //查询一周内所有的粉丝
            $stime = date("Y-m-d H:i:s",mktime(0, 0 , 0,date("m"),1,date("Y")));//每月第一天
            $etime = date('Y-m-d 23:59:59');//当前时间
            $m = new Model('vshop_member');
            $res = $m->field('id,pid')->where(array('wid'=>$wid,'pid@>'=>0,'reg_time@>'=>$stime,'reg_time@<'=>$etime))->list_all();
            $list = array();
            foreach ($res as $va){
                $list[$va->pid] += 1;
            }
            //从高到低排序
            arsort($list);
            //获取前10数据
            $i = 0;
            foreach ($list as $kid=>$_vn){
                if($i == 10){
                    break;
                }else{
                    //根据用户信息获取粉丝openid
                    $me = new Model('vshop_member');
                    $me->field('id,wxid')->find($kid);

                    //获取粉丝信息
                    $gw = new Model('wechat_group_list');
                    $gw->field('id,nickname,headimgurl')->find(array('wid'=>$wid,'openid'=>$me->wxid));

                    $RankList[$i]['photo'] = $gw->headimgurl;
                    $RankList[$i]['NickName'] = $gw->nickname;
                    $RankList[$i]['totalNum'] = $_vn;
                    $i++;
                }
            }
        }else{//总排行
            $m = new Model('vshop_member');
            $res = $m->field('id,wxid,total')->where(array('wid'=>$wid,'total@>'=>0))->order('total DESC')->limit(0,10)->list_all();
            $i = 0;
            foreach ($res as $va){
                //获取粉丝信息
                $gw = new Model('wechat_group_list');
                $gw->field('id,nickname,headimgurl')->find(array('wid'=>$wid,'openid'=>$va->wxid));

                $RankList[$i]['photo'] = $gw->headimgurl;
                $RankList[$i]['NickName'] = $gw->nickname;
                $RankList[$i]['totalNum'] = $va->total;
                $i++;
            }
        }

        //返回数据
        $arr = array(
            'errcode'=>0,
            'errmsg'=>'ok',
            'dataList'=>array(
                'RankList'=>$RankList,
                'VendorDistributionDesc'=>'',
                'isShowBnt'=>0//显示隐藏奖励按钮
            )
        );
        /********************数据处理********************/
    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

//判断活动是否进行中
function times($va){
    $str = 0;
    $arr =explode('-',$va);
    $d0 = date('Y-m-d H:i',strtotime($arr[0]));
    $d1 = date('Y-m-d H:i',strtotime($arr[1]));
    $d2 = date('Y-m-d H:i');
    if($d2 < $d1){
        $str = $d1;
    }
    return $str;
}

?>