<?php
/**
 * 选择微信地址并添加
 */
header("Content-Type: text/html; charset=UTF-8");
//加载核心文件
require_once(DOXCX_FRAME_PATH.'fun/AES.php');
//get post data, May be due to the different environments
$postStr = file_get_contents("php://input");
$data = json_decode($postStr);//获取数据

//实例化类
$aes = new aes();

if(!$data->data){//加密数据
    $arr = array('errcode'=>1,'errmsg'=>'缺少参数');
}else{

    //AES解密数据
    $json_data = $aes->aes128cbcHexDecrypt($data->data);
    //解析json数据
    $result = json_decode($json_data);

    if(!$result->wid){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：wid');
    }elseif(!$result->openId){
        $arr = array('errcode'=>1,'errmsg'=>'缺少参数：openId');
    }else {

        //商户id
        $wid = $result->wid;

        /********************数据处理********************/
        $openid = $result->openId;
        $cityName = $result->cityName;
        $countyName = $result->countyName;
        $provinceName = $result->provinceName;
        $detailInfo = $result->detailInfo;
        $userName = $result->userName;
        $nationalCode = $result->nationalCode;
        $postalCode = $result->postalCode;
        $telNumber = $result->telNumber;

        //清空默认地址
        $md = new Model('vshop_addresslibrary');
        $md->update(array('wid'=>$wid,'wxid'=>$openid,'SetDefault'=>1),array('SetDefault'=>0));

        $check = new Model('vshop_addresslibrary');
		$check->find(array('wid'=>$wid,'wxid'=>$openid,'Name'=>$userName,'Phone'=>$telNumber,'addressDetail'=>$detailInfo,'ProvinceName'=>$provinceName,'CityName'=>$cityName,'DistrintName'=>$countyName));
        if($check->id){
			$check->SetDefault = 1;
			$rs = $check->save();
		}else{
       	    //添加新地址
      	    $m = new Model('vshop_addresslibrary');
            $m->wid = $wid;
            $m->wxid = $openid;
            $m->Name = $userName;
            $m->Phone = $telNumber;
           //$m->ProvinceId = $province;
           //$m->CityId = $city;
           //$m->DistrinctId = $district;
            $m->addressDetail = $detailInfo;
            $m->SetDefault = 1;
            $m->ProvinceName = $provinceName;
            $m->CityName = $cityName;
            $m->DistrintName = $countyName;
            $rs = $m->save();
        }
      
        //返回数据
        $arr = array('errcode'=>0,'errmsg'=>'ok','dataList'=>array('id'=>$rs->id));
        /********************数据处理********************/
    }
}

//加密处理
$HexData = $aes->aes128cbcEncrypt(json_encode($arr));
$data = array('d'=>$HexData);
echo json_encode($data);
exit;

?>