<?php
// 签到
Page::$need_view = false;
header('Content-Type:application/json');
$req = getPayloadParams();
$vip = (new Model('vip_card'))->find(['wid' => arr_get($req, 'wid'), 'openid' => arr_get($req, 'openid')]);
if ($vip->mark_date == date('Y-m-d', time())) {
  sendResponse([
    'status' => 'error',
    'msg' => '今天您已经签过到了',
    'vipInfo' => $vip->get_model_array(),
  ], true);
} else {
  $vip->mark_num = $vip->mark_num + 1;
  $vip->mark_date = date('Y-m-d', time());
  $setting = (new Model('vip_setting'))->find(['wid' => arr_get($req, 'wid')]);
  // 送积分
  $vip->point = $vip->point + $setting->mark_point;
  $vip->total_point = $vip->total_point + $setting->mark_point;
  $point = $setting->mark_point;
  // 累计送积分
  if ($vip->mark_num >= $setting->mark_num) {
    $vip->mark_num = 0;
    $vip->point = $vip->point + $setting->mark_ext_point;
    $vip->total_point = $vip->total_point + $setting->mark_ext_point;
    $point += $setting->mark_ext_point;
  }
  $vip->save();
  // 发送模板消息
  $tplMsg=null;
  if ($point > 0 && arr_get($req, 'formId')) {
    $tpl=arr_get(json_decode($setting->tpl_msg, true), 'tplmsg_point_change');
    $tplMsg=sendTplMsg_point_change($req['wid'],$tpl,$req['openid'],$req['formId'],$point,$vip->point,$vip->total_point);
  }
  $info=$vip->get_model_array();
  unset($info['passwd']);
  $info['level']=get_vip_level($setting->vip_level,$info['total_point']);
  sendResponse([
    'status' => 'success',
    'msg' => '签到成功，本次签到共获得积分' . $point . '，还需签到' . ($setting->mark_num - $vip->mark_num) . '天可获得累计奖励',
    'vipInfo' => $info,
    'tplMsg'=>$tplMsg
  ], true);
}