<?php
Page::$need_view = false;
header('Content-Type:application/json');
$req = getPayloadParams();
if (!(arr_get($req, 'openid') && arr_get($req, 'phone') && arr_get($req, 'name') && arr_get($req, 'date'))) {
  sendResponse(['status' => 'error', 'msg' => '参数错误'], true);
}
// 检查是否已经开卡
$vip = (new Model('vip_card'))->find(['wid' => $req['wid'], 'openid' => $req['openid']]);
if ($vip->id) {
  sendResponse(['status' => 'error', 'msg' => '请不要重复开卡'], true);
}
$wxUser = (new Model('wechat_group_list'))->find(['wid' => $req['wid'], 'openid' => $req['openid']]);
if (arr_get($req, 'verify')) {
  // 需要验证码
  $reqCode = arr_get($req, 'code');
  if (time() > $wxUser->sms_code_time + 1800) {
    sendResponse(['status' => 'error', 'msg' => '验证码错误'], true);
  }
  if ($reqCode != $wxUser->sms_code) {
    sendResponse(['status' => 'error', 'msg' => '验证码不正确'], true);
  }
  $wxUser->sms_code = null;
  $wxUser->save();
}
$birth = strtotime(arr_get($req, 'date'));
if (!$birth) {
  sendResponse(['status' => 'error', 'msg' => '生日填写错误'], true);
}
// 赋予属性
$vip->wid = arr_get($req, 'wid');
$vip->openid = arr_get($req, 'openid');
$vip->phone = arr_get($req, 'phone');
$vip->name = arr_get($req, 'name');
$vip->birth = $birth;
// 注意开卡送积分
// 获取积分规则设置
$setting = (new Model('vip_setting'))->find(['wid' => $req['wid']]);
// 赠送条件
if (!$setting->open_open || time() < $setting->open_stime || time() > $setting->open_etime) {
  // 未开启、未开始、已结束 不赠送积分
  $vip->point = 0;
  $vip->total_point = 0;
} else {
  $vip->point = $setting->open_point;
  $vip->total_point = $setting->open_point;
}
$vip->save();
// 生成唯一卡号
$vip->card_num = date('YmdHis', time()) . $vip->id;
$vip->save();
if($vip->point>0){
  $tpl=arr_get(json_decode($setting->tpl_msg, true), 'tplmsg_point_change');
  $tplMsg=sendTplMsg_point_change($req['wid'], $tpl, arr_get($req, 'openid'),  arr_get($req, 'formId'), $vip->point, $vip->point, $vip->total_point);
}
$wxUser->is_vip=1;
$wxUser->save();
// 返回状态
sendResponse(['status' => 'success', 'msg' => '恭喜你，开卡成功','tplMsg' => $tplMsg ? $tplMsg : ''], true);
