<?php
require_once DOXCX_FRAME_PATH."fun/zip_down.php";
$wid = Session::get('wid');

//查看文件夹是否有config文件
$path_dir = './'.date('Ymd').'_'.$wid.'_template/';
if(!is_dir($path_dir)){//判断目录是否存在；不存在则创建
    mkdir(iconv("UTF-8", "GBK", $path_dir),0777,true);
}
//判断文件是否存在
if(!file_exists($path_dir.'/config.js')){//存在则直接下载
    $config_data = 'exports.config={wid:"'.$wid.'",ASEkey:"lnlqwynwmolymxnp",ASEIv:"1234567812345678",configUrl:"'.Conf::$http_path_api.'api/vshop/"};';
    file_put_contents($path_dir.'config.js', $config_data,FILE_APPEND);
}

//判断小程序是否存在
if(!file_exists($path_dir.'/app.json')){
    //不存在则复制模板进来
    xCopy(DOXCX_FRAME_PATH.'template', $path_dir, 1);
}

//读取app.json
if(file_exists($path_dir.'/app.json')){
	
	$m = new Model('vshop_xcx_menu');
	$m->find(array('wid'=>$wid));
	$menu=$m->content;
	
	$bcg=json_decode($m->backgroundcolor,1);

	$bc=$bcg['bc']?$bcg['bc']:'#DB384C';
	$tc=$bcg['tc']?$bcg['tc']:'#DB384C';
	
	$menus=json_decode($menu,1);
	
	//var_dump($menus);
	if($menus){
		$json=file_get_contents($path_dir.'/app.json');
		$json=json_decode($json,1);
		
		foreach($menus as $k=>$v){
			if($v['text']==''){
				unset($menus[$k]); 
			}else{
				//下载图片到小程序
				$name1=$path_dir.'/';
				$name11='assets/'.$k.'bb.png';
				$content = file_get_contents($v['iconPath']);
				file_put_contents($name1.$name11, $content);
				
				$name2=$path_dir.'/';
				$name21='assets/'.$k.'aa.png';
				$content = file_get_contents($v['selectedIconPath']);
				file_put_contents($name2.$name21, $content);
				//更改path中的名字
				$menus[$k]['iconPath']=$name11;
				$menus[$k]['selectedIconPath']=$name21;
				
			}
			
			
		}
		
		//合并菜单
		$json['tabBar']['list']=$menus;
		//重置颜色
		$json['window']['navigationBarBackgroundColor']=$bc;
		$json['tabBar']['selectedColor']=$tc;
		$text=urldecode(json_encode(array_urlencode($json)));
		file_put_contents($path_dir.'app.json',$text );
		
	}  
}

function array_urlencode($data){
    $new_data = array();
    foreach($data as $key => $val){
        // 这里我对键也进行了urlencode
        $new_data[$key] = is_array($val) ? array_urlencode($val) : urlencode($val);
    }
    return $new_data;
}


//打包文件夹里面文件
$zip = new zip_down($path_dir);
$zip->index($wid);//打包

//返回数据
$arr = array(
    "status"=>0,
    "message"=>"操作成功",
    "url"=>"",
    "callback"=>null,
    "data"=>null
);
echo json_encode($arr);exit;

/*复制xCopy函数用法：
  *   xCopy("feiy","feiy2",1):拷贝feiy下的文件到   feiy2,包括子目录
  *   xCopy("feiy","feiy2",0):拷贝feiy下的文件到   feiy2,不包括子目录
  *参数说明：
  *   $source:源目录名
  *   $destination:目的目录名
  *   $child:复制时，是不是包含的子目录
  */
function xCopy($source, $destination, $child){
    if (!file_exists($destination))
    {
        if (!mkdir(rtrim($destination, '/'), 0777))
        {
            //$err->add($_LANG['cannt_mk_dir']);
            return false;
        }
        @chmod($destination, 0777);
    }
    if(!is_dir($source)){
        return 0;
    }
    if(!is_dir($destination)){
        mkdir($destination,0777);
    }
    $handle=dir($source);
    while($entry=$handle->read()){
        if(($entry!=".")&&($entry!="..")){
            if(is_dir($source."/".$entry)){
                if($child)
                    xCopy($source."/".$entry,$destination."/".$entry,$child);
            }
            else{
                copy($source."/".$entry,$destination."/".$entry);
            }
        }
    }
    return 1;
}
