<?php
Page::$need_view = false;
$wid = Request::get(1);
if (!$wid) {
  // 处理 参数错误
  echo 'error';
  exit();
}
define(TOKEN, 'weixin' . $wid);
if (is_post()) {
  $message = getPayloadParams();
  $openid = $message['FromUserName'];
  unset($message['Encrypt']);
  $setting = (new Model('kefu_setting'))->find(['wid' => $wid]);
  // 处理消息
  if ($message['MsgType'] == 'event') {
    if ($message['Event'] == 'user_enter_tempsession') {
      // 进入客服事件
      if ($setting->enter_resp) {
        // 发送商户配置的图文信息
        $tw = (new Model('kefu_tuwen'))->find(['wid' => $wid, 'id' => $setting->enter_resp_twid]);
        if ($tw->id) {
          // 执行发送图文
          kefu_send_tuwen($wid, $openid, $tw->title, $tw->desc, $tw->url, $tw->img);
        }
      }
    }
  } else {
    // 设定可回复次数和超期时间
    $msgCount=(new Model('kefu_msgcount'))->find(['wid'=>$wid,'openid'=>$openid]);
    if(!$msgCount->id){
      $msgCount->wid=$wid;
    }
    $msgCount->openid=$openid;
    $msgCount->count=5;
    $msgCount->etime=time()+86400*2;
    //文本，图片 等消息
    if (in_array($message['MsgType'], ['image', 'text'])) ;
    // 保存消息
    $msg = new Model('kefu_msg');
    $msg->wid = $wid;
    $msg->openid = $openid;
    $msg->type = 0;//收到的消息
    $msg->ctime = $message['CreateTime'];
    $msg->MsgType = $message['MsgType'];
    $msg->Content = $message['Content'];
    $msg->MsgId = number_format($message['MsgId'], 0, '', '');//防止科学计数法
    $msg->PicUrl = $message['PicUrl'];
    $msg->MediaId = $message['MediaId'];
    $msg->is_read = 0;
    $msg->save();
    // 如果是文本，进行自动回复匹配，匹配到就自动回复
    $reply=(new Model('kefu_autoreply'))->find(['wid'=>$wid,'key'=>trim($message['Content'])]);
    if($reply->id){
      kefu_send_text($wid, $openid, $reply->content);
      $msgCount->count--;
    }
    $msgCount->save();
  }
  echo 'success';
  exit();
} else {
  //  接入
  $signature = $_GET["signature"];
  $timestamp = $_GET["timestamp"];
  $nonce = $_GET["nonce"];
  $echostr = $_GET["echostr"];
  $token = TOKEN;
  $tmpArr = array($token, $timestamp, $nonce);
  sort($tmpArr, SORT_STRING);
  $tmpStr = implode($tmpArr);
  $tmpStr = sha1($tmpStr);

  if ($tmpStr == $signature) {
    echo $echostr;
  } else {
    echo 'error';
  }
}