const wx = require('../../weidogs');
/* converted by appconverter    	      		  
   on Monday, August 27th, 2018, 2:55:02 PM
*/
let app = getApp(), $ = require('../../utils/util.js'), bargainAPI = require('../../api/bargainAPI.js');
var templateMethods = require('../../utils/template_methods.js');
var num_util = require('../../utils/num_util.js');
let WxParse = require('../../wxParse/wxParse.js');
Page(Object.assign({}, templateMethods, {
    data: {
         is_refund_text: '申请退款',
         productList:'',
          },
    onLoad: function (options) {
        this.setMenu(this);
        app.globalData.getTop();
        let that = this;
        console.log('砍价',options['index'])
        if(options['index'] != undefined){
            if (options['index'] == 1 ) {
                that.orderList();
            } else {
                that.productList();
            }
        }else{
                that.productList();
        }
    },
    cleanData: function () {
        let that = this;
        for (let attr in that.data) {
            if (that.data.hasOwnProperty(attr) && attr != '__webviewId__') {
                that.data[attr] = undefined;
            }
        }
        that.setData(that.data);
         console.log('cleanData')
    },
    productList: function () {
        let that = this;
        that.cleanData();
        that.setData({
            tabIndex: 0,
            page: 1,
            hasMore: 1,
            productList: ''
        });
        that.loadProduct();
    },
    loadProduct: function () {
        console.log('请求数据loadProduct')
        let that = this;
        let api = bargainAPI.getProductList;
        api.data = Object.assign(api.data, {
            openid: app.globalData.UserInfo.WeiXinOpenId,
            page: that.data.page
        });
        //2018.908新增  接口没走
        // my.httpRequest({
        //   url: api.url, // 目标服务器url
        //   method:'POST',
        //   data:{
        //     openid: app.globalData.UserInfo.WeiXinOpenId,
        //     page: that.data.page,
        //     wid:  api.data.wid            
        //   },
        //   success: (res) => {
        //     let productList = res.data;
        //     if(productList!= '' && productList !=null && productList != undefined){
        //         console.log('success',res)
        //         for (let i = 0; i < productList.length; i++) {
        //             let endtime = parseInt(productList[i]['goods_date_e']);
        //             let now = Date.parse(new Date()) / 1000;
        //             let seconds = endtime - now;
        //             if (seconds < 0) {
        //                 productList[i]['end'] = 0;
        //             } else {
        //                 productList[i]['end'] = 1;
        //             }
        //         }
        //         that.setData({
        //             productList: productList,
        //             page: that.data.page + 1
        //         });
        //     }else{
        //         that.setData({
        //             productList: '',
        //         }); 
        //     }
        //   },
        //   fail:(res)=>{
        //     console.log('fail',res)
        //   }
        // });
        // return ;
        //20180908 原有数据
        api = Object.assign(api, {
            success: function (resp) {
                console.log('商品列表', resp);
                let productList = resp.data;
                for (let i = 0; i < productList.length; i++) {
                    let endtime = parseInt(productList[i]['goods_date_e']);
                    let now = Date.parse(new Date()) / 1000;
                    let seconds = endtime - now;
                    if (seconds < 0) {
                        productList[i]['end'] = 0;
                    } else {
                        productList[i]['end'] = 1;
                    }
                }
                that.setData({
                    productList: productList,
                    page: that.data.page + 1
                });
            },
            fail: function () {
                my.confirm({
                    title: 'Error',
                    content: '加载失败',
                    showCancel: 0
                });
            }
        });
        wx.request(api);

    },
    tobargainurl: function (e) {
        let orderid = e.currentTarget.dataset.orderId;
        my.navigateTo({ url: '/pages/bargainshare/bargainshare?orderid=' + orderid });
    },
    goToDetail: function (e) {
        let id = e.currentTarget.dataset.id;
        let index = e.currentTarget.dataset.index;
        console.log('按钮的点击事件', e);
        console.log('点击的商品id是', id);
        my.navigateTo({ url: '/pages/bargaindetail/bargaindetail?id=' + id + '&index=' + index });
    },
    orderList: function () {
        let that = this;
        that.cleanData();
        that.setData({
            tabIndex: 1,
            page: 1,
            hasMore: 1,
            orderList: []
        });
        that.loadOrder();
    },
    loadOrder: function () {
        let that = this;
        let api = bargainAPI.getOrderList;
        api.data = Object.assign(api.data, {
            openid: app.globalData.UserInfo.WeiXinOpenId,
            page: that.data.page
        });
        api = Object.assign(api, {
            success: function (resp) {
                let orderList = resp.data.data;
                console.log('订单列表', orderList);
                that.setData({ orderList: orderList });
            },
            error: function () {
                my.confirm({
                    title: 'Error',
                    content: '加载失败',
                    showCancel: 0
                });
            }
        });
        wx.request(api);
    },
    receive: function (e) {
        let that = this;
        my.confirm({
            title: '确认',
            content: '确定要确认收货吗\uFF1F',
            success: function (res) {
                if (res.confirm) {
                    console.log('用户点击确定');
                    let orderId = e.currentTarget.dataset.orderId;
                    let orderIndex = e.currentTarget.dataset.orderIndex;
                    let api = bargainAPI.receive;
                    api.data.orderId = orderId;
                    api.success = function (resp) {
                        let data = resp.data;
                        if (data.is_receive == 1) {
                            that.data.orderList[orderIndex]['order']['status'][0] = 3;
                            that.data.orderList[orderIndex]['order']['status'][1] = '已收货';
                            that.setData({ orderList: that.data.orderList });
                        }
                    };
                    wx.request(api);
                }
            }
        });
    },
    refundMoney: function (e) {
        let that = this;
        my.confirm({
            title: '确认',
            content: '确定要申请退款吗\uFF1F',
            success: function (res) {
                if (res.confirm) {
                    console.log('用户点击确定');
                    let orderId = e.currentTarget.dataset.orderId;
                    let orderIndex = e.currentTarget.dataset.orderIndex;
                    let api = bargainAPI.refundMoney;
                    api.data.orderId = orderId;
                    api.success = function (resp) {
                        wx.showToast({
                            title: '申请成功',
                            icon: 'success',
                            duration: 2000
                        });
                        let data = resp.data;
                        console.log(data);
                    };
                    wx.request(api);
                }
            }
        });
    }
}));