const wx = require('../../weidogs');

var app = getApp(), $ = require('../../utils/util.js'), cf = require('../../config.js');
var templateMethods = require('../../utils/template_methods.js');
Page(Object.assign({}, templateMethods, {
    data: {
        VendorInfo: {},
        markers: [{}]
    },
    onLoad: function () {
        this.setMenu(this);
        var that = this;
        app.globalData.getTop();
        that.setData({
            VendorInfo: app.globalData.VendorInfo,
            markers: [{
                    latitude: app.globalData.VendorInfo.WapLat,
                    longitude: app.globalData.VendorInfo.WapLng,
                    undefined,
                    title: app.globalData.VendorInfo.ShopName,
                    width: 28,
                    height: 28
                }]
        });
    },
    call: function () {
        my.makePhoneCall({ phoneNumber: this.data.VendorInfo.LegalNumber });
    },
    onShareAppMessage: function () {
        return {
            title: app.globalData.VendorInfo.ShopName,
            desc: app.globalData.VendorInfo.VendorInfo,
            path: '/pages/contact/contact?uid=' + app.globalData.UserInfo.Id
        };
    }
}));