const wx = require('../../weidogs');
/* converted by appconverter    	      		  
   on Monday, August 27th, 2018, 2:55:02 PM
*/
let app = getApp();
let templateMethods = require('../../utils/template_methods.js');
let myTools = require('../../utils/myTools');
let jd_common = require('../../utils/jd_common');
let WxParse = require('../../wxParse/wxParse.js');
let jdApi = require('../../api/jdAPI');
Page(Object.assign({}, {
    data: {
        numIndex: 0,
        num: 1,
        orderList:''
    },
    onLoad: function (options) {
        let t = this;
        t.setMenu(t);
        app.globalData.getTop(t);
        console.log(jdApi.payOrder.url)
    },
    onShow() {
        let t = this;
        t.reloadOrderList();
    },
    reloadOrderList() {
        let t = this;
        let api = jdApi.getOrderList;
        wx.request({
            url: api.url,
            method: api.method,
            data: {
                wid: api.data.wid,
                openid: app.globalData.UserInfo.WeiXinOpenId
            },
            success(resp) {
                console.log('succes',resp)
                
                let r = resp.data,
                    rd = r.data;
                
                if (r.status == 'success') {
                    if(rd.length > 0 && rd!= null && rd != undefined && rd != ''){
                         t.setData({ orderList: rd });
                    }
                } else {
                    my.confirm({
                        title: '提示',
                        content: r.msg || '未知错误',
                        showCancel: 0
                    });
                }
            },
            fail(res) {
                console.log('fail',res)
            }
        });
    },
    doRefund(e) {
        let t = this, ds = e.currentTarget.dataset;
        let id = ds.id;
        my.confirm({
            title: '提示',
            content: '确定取消预定吗\uFF1F',
            success(res) {
                if (res.confirm) {
                    wx.showLoading({
                        title: 'loading',
                        mask: 1
                    });
                    let api = jdApi.refund;
                    wx.request({
                        url: api.url,
                        method: api.method,
                        data: {
                            wid: api.data.wid,
                            openid: app.globalData.UserInfo.WeiXinOpenId,
                            orderId: id
                        },
                        success(resp) {
                            let r = resp.data, rd = r.data;
                            if (r.status == 'success') {
                                t.reloadOrderList();
                            } else {
                                my.confirm({
                                    title: '提示',
                                    content: r.msg || '未知错误',
                                    showCancel: 0
                                });
                            }
                        },
                        fail() {
                        },
                        complete() {
                            my.hideLoading();
                        }
                    });
                }
            }
        });
    },
    doComment(e) {
        let t = this, ds = e.currentTarget.dataset;
        let id = ds.id;
        let url = `/pages/jd_comment/jd_comment?id=${ id }`;
        console.log('跳转到评论', url);
        my.navigateTo({ url: url });
    },
    payOrder(e) {
        let t = this, ds = e.currentTarget.dataset;
        let id = ds.id;
        console.log(id)
        console.log(jdApi.payOrder.url)
        wx.request({
            url: jdApi.payOrder.url,
            method: 'POST',
            data: { 
                id: id,
                wid: jdApi.payOrder.data.wid,
                openid: app.globalData.UserInfo.WeiXinOpenId,
                 },
            success: function (resp) {
                console.log('支付回调参数',resp)
                if(resp.data.status == "success"){
if(resp.data.data.alipay_trade_create_response.code == '10000'){
                my.tradePay({
                    tradeNO: resp.data.data.alipay_trade_create_response.trade_no, //完整的支付参数拼接成的字符串，从服务端获取
                    success: function (n) {
                    switch(n.resultCode){
                        case '9000' :
                            my.redirectTo({ url: '/pages/jd_order/jd_order' });
                        break;
                        case '4000':
                            my.showToast({
                            type: 'fail',
                            content: '订单支付失败',
                            });
                        break;
                        case '6001':
                            my.showToast({
                            type: 'fail',
                            content: '您取消支付',
                            });                    
                        break;
                        case '6002' :
                            my.showToast({
                            type: 'fail',
                            content: '网络连接出错',
                            });
                        break;                    
                    }
                    },
                    fail: function (n) {
                            my.showToast({
                            type: 'fail',
                            content: '订单支付失败',
                            });
                    }
                });
            }else{
                my.showToast({
                    type:'fail',
                    content:resp.data.data.alipay_trade_create_response.sub_msg
                })
            }
                }else{
                    my.showToast({
                    type: 'fail',
                    content: '订单支付失败',
                    });
                }
            }
        });
    },
    delOrder(e) {
        let t = this, ds = e.currentTarget.dataset;
        let id = ds.id;
        my.confirm({
            title: '提示',
            content: '确认删除这个订单吗\uFF1F',
            showCancel: !0,
            success: function (n) {
                if (n.confirm) {
                    my.myRequest({
                        url: jdApi.delOrder.url,
                        method: 'POST',
                        data: { id: id },
                        success: function (resp) {
                            let r = resp.data, rd = r.data;
                            if (r.status == 'success') {
                                t.reloadOrderList();
                                my.confirm({
                                    title: '提示',
                                    content: r.msg || '未知错误',
                                    showCancel: 0
                                });
                            } else {
                                my.confirm({
                                    title: '提示',
                                    content: r.msg || '未知错误',
                                    showCancel: 0
                                });
                            }
                        }
                    });
                }
            }
        });
    }
}, templateMethods, jd_common));