const wx = require('../../weidogs');
/* converted by appconverter    	      		  
   on Monday, August 27th, 2018, 2:55:03 PM
*/
function getDate() {
    var nowDate = new Date();
    var year = nowDate.getFullYear();
    var month = nowDate.getMonth() + 1 < 10 ? '0' + (nowDate.getMonth() + 1) : nowDate.getMonth() + 1;
    var day = nowDate.getDate() < 10 ? '0' + nowDate.getDate() : nowDate.getDate();
    var dateStr = year + '-' + month + '-' + day;
    return dateStr;
}
var app = getApp();
var $ = require('../../utils/util.js');
var templateMethods = require('../../utils/template_methods.js');
var decodeDataApi = require('../../api/decodeDataAPI');
var vipApi = require('../../api/vipAPI');
var smsApi = require('../../api/smsAPI');
var orderApi = require('../../api/orderAPI.js');
Page(Object.assign({}, templateMethods, {
    data: { isVip: -1 },
    onLoad: function (params) {
        let t = this;
        this.setMenu(this);
        app.globalData.getTop(t);
        console.log('参数\uFF1A', params);
        this.setData({ params: params });
        this.vipPay(params);
    },
    vipPay(params, pay = 0, passwd = '', formId = '') {
        let t = this;
        wx.request({
            url: vipApi.vipPay.url,
            data: Object.assign({}, {
                openid: app.globalData.UserInfo.WeiXinOpenId,
                pay: pay,
                passwd: passwd,
                formId: formId
            }, vipApi.vipPay.data, params),
            method: vipApi.vipPay.method,
            success: function (resp) {
                let data = resp.data;
                if (pay == 0) {
                    console.log('支付计算', data);
                    t.setData(data);
                    if (!data.isVip) {
                        my.confirm({
                            title: '提示',
                            content: '请先开通会员卡',
                            showCancel: 0,
                            success: function () {
                                my.navigateTo({ url: '/pages/vipcard/vipcard' });
                            }
                        });
                        return false;
                    }
                    if (!data.vipInfo.isset_passwd) {
                        my.confirm({
                            title: '提示',
                            content: '请先设置支付密码',
                            showCancel: 0,
                            success: function () {
                                my.navigateTo({ url: '/pages/vippasswd/vippasswd' });
                            }
                        });
                    }
                } else {
                    console.log('支付结果', data);
                    if (data.status == 'success') {
                        let redirectUrl = wx.getStorageSync('vip_pay_redirect');
                        my.confirm({
                            title: '支付成功',
                            content: data.msg,
                            showCancel: false,
                            success() {
                                if (t.data.params.type == 'zhct') {
                                    my.redirectTo({ url: '/pages/zhct_orderlist/zhct_orderlist' });
                                } else {
                                    if (redirectUrl) {
                                        my.redirectTo({ url: redirectUrl });
                                    } else {
                                        my.redirectTo({ url: '/pages/index/index' });
                                    }
                                }
                            }
                        });
                    } else {
                        my.confirm({
                            title: '支付未完成',
                            content: data.msg,
                            showCancel: false
                        });
                    }
                }
            },
            fail() {
                my.confirm({
                    showCancel: false,
                    title: '提示',
                    content: '网络服务器错误\uFF0C请稍后重试'
                });
            }
        });
    },
    submitPay(e) {
        let t = this;
        let formId = e.detail.formId;
        console.log(formId);
        let passwd = e.detail.value.passwd;
        if (passwd == '') {
            my.confirm({
                title: '提示',
                content: '请输入支付密码',
                showCancel: false
            });
            return false;
        }
        let params = t.data.params;
        t.vipPay(params, 1, passwd, formId);
    }
}));