const wx = require('../../weidogs');
/* converted by appconverter    	      		  
   on Monday, August 27th, 2018, 2:55:03 PM
*/
let app = getApp(), $ = require('../../utils/util.js');
let secKillAPI = require('../../api/secKillAPI.js');
var templateMethods = require('../../utils/template_methods.js');
Page(Object.assign({}, templateMethods, {
  data: {
    length: 0,
    num: 0
  },
  onLoad: function (options) {
    this.setMenu(this);
    app.globalData.getTop();
    let that = this;
    console.log('cehiiii', options)
    if (options['index'] == 1) {
      that.orderList();
    } else {
      that.productList();
    }
    console.log(secKillAPI.payOrder);
  },
  cleanData: function () {
    let that = this;
    for (let attr in that.data) {
      if (that.data.hasOwnProperty(attr) && attr != '__webviewId__') {
        that.data[attr] = undefined;
      }
    }
    that.setData(that.data);
  },
  onShareAppMessage: function () {
    return {
      title: app.globalData.VendorInfo.ShopName + '秒杀活动',
      desc: app.globalData.VendorInfo.VendorInfo + '秒杀活动',
      path: '/pages/seckill/seckill'
    };
  },
  productList: function () {
    let that = this;
    that.cleanData();
    that.setData({
      tabIndex: 0,
      page: 1,
      hasMore: 1,
      productList: [],
      length: 0
    });
    that.loadProduct();
  },
  loadProduct: function () {
    let that = this;
    let api = secKillAPI.getProductList;
    // my.httpRequest({
    //   method: 'POST',
    //   url: api.url, // 目标服务器url
    //   data:{
    //     openid: app.globalData.UserInfo.WeiXinOpenId,
    //     page: that.data.page,
    //     wid:api.data.wid           
    //   },
    //   success: (res) => {
    //     console.log('successs')
    //   },
    //   fail:(res)=>{
    //       console.log('fail')
    //   }
    // });

    api.data = Object.assign(api.data, {
      openid: app.globalData.UserInfo.WeiXinOpenId,
      page: that.data.page
    });
    api = Object.assign(api, {
      success: function (resp) {
        console.log('秒杀列表', resp);
        console.log('长度', resp.data.length)
        let productList = that.data.productList;
        productList = productList.concat(resp.data);
        let hasMore = resp.data.length != 0;
        that.setData({
          length: resp.data.length,
          productList: productList,
          hasMore: hasMore,
          page: that.data.page + 1
        });
      },
      error: function () {
        my.confirm({
          title: 'Error',
          content: '加载失败',
          showCancel: 0
        });
      }
    });
    wx.request(api);
  },
  scrollbottom: function () {
    let that = this;
    if (that.data.tabIndex == 0 && that.data.hasMore) {
      console.log('加载下一页商品');
      that.loadProduct();
    } else if (that.data.tabIndex == 1 && that.data.hasMore) {
      console.log('加载下一页商品');
      that.loadOrder();
    }
  },
  goToDetail: function (e) {
    let id = e.currentTarget.dataset.id;
    let index = e.currentTarget.dataset.index;
    console.log('按钮的点击事件', e);
    console.log('点击的商品id是', id);
    my.navigateTo({ url: '/pages/seckilldetail/seckilldetail?id=' + id + '&index=' + index });
  },
  orderList: function () {
    let that = this;
    that.cleanData();
    that.setData({
      tabIndex: 1,
      page: 1,
      hasMore: 1,
      orderList: [],
      num: 0
    });
    that.loadOrder();
  },
  loadOrder: function () {
    let that = this;
    let api = secKillAPI.getOrderList;
    api.data = Object.assign(api.data, {
      openid: app.globalData.UserInfo.WeiXinOpenId,
      page: that.data.page
    });
    api = Object.assign(api, {
      success: function (resp) {
        console.log('hhhh', resp.data.length)
        // console.log('订单列表', resp);
        let orderList = that.data.orderList;
        orderList = orderList.concat(resp.data);
        let hasMore = resp.data.length != 0;
        that.setData({
          num: resp.data.length,
          orderList: orderList,
          hasMore: hasMore,
          page: that.data.page + 1
        });
      },
      error: function () {
        my.confirm({
          title: 'Error',
          content: '加载失败',
          showCancel: 0
        });
      }
    });
    wx.request(api);
  },
  receive: function (e) {
    let that = this;
    my.confirm({
      title: '确认',
      content: '确定要确认收货吗\uFF1F',
      success: function (confirm) {
        if (confirm.confirm) {
          let orderId = e.currentTarget.dataset.orderId;
          let orderIndex = e.currentTarget.dataset.orderIndex;
          let api = secKillAPI.receive;
          api.data.orderId = orderId;
          api.success = function (resp) {
            let data = resp.data;
            if (data.is_receive == 1) {
              that.data.orderList[orderIndex]['status'][0] = 3;
              that.data.orderList[orderIndex]['status'][1] = '已收货';
              that.setData({
                orderList: that.data.orderList,
              });
            }
          };
          wx.request(api);
        }
      }
    });
  },
  payOrder: function (e) {
    let orderId = e.currentTarget.dataset.orderId;
    let api = secKillAPI.payOrder;
    console.log(secKillAPI.payOrder);
    api.data.orderId = orderId;
    api.data.openid = app.globalData.UserInfo.WeiXinOpenId;
    console.log(api.data);
    api.success = function (resp) {
      console.log('fffkfkf', resp)
      // let payObj = resp.data;
      //调用原生支付
      if (resp.data.alipay_trade_create_response.code == '10000') {
        my.tradePay({
          tradeNO: resp.data.alipay_trade_create_response.trade_no, //完整的支付参数拼接成的字符串，从服务端获取
          success: function (n) {
            console.log(n);
            switch (n.resultCode) {
              case '9000':
                my.redirectTo({ url: '/pages/seckill/seckill?index=1' });
                break;
              case '4000':
                my.showToast({
                  type: 'fail',
                  content: '订单支付失败',
                });
                break;
              case '6001':
                my.showToast({
                  type: 'fail',
                  content: '您取消支付',
                });
                break;
              case '6002':
                my.showToast({
                  type: 'fail',
                  content: '网络连接出错',
                });
                break;
            }
          },
          fail: function (n) {
            console.log(n);
            my.showToast({
              type: 'fail',
              content: '订单支付失败',
            });
          }
        });
      } else {
        my.showToast({
          type: 'fail',
          content: resp.data.alipay_trade_create_response.sub_msg
        })
      }
      //    my.tradePay({
      //             orderStr: payObj, //完整的支付参数拼接成的字符串，从服务端获取
      //             success: function (n) {
      //     switch(n.resultCode){
      //         case '9000' :
      //              my.redirectTo({ url: '/pages/seckill/seckill?index=1' });
      //         break;
      //         case '4000':
      //             my.showToast({
      //             type: 'fail',
      //             content: '订单支付失败',
      //             });
      //         break;
      //         case '6001':
      //             my.showToast({
      //             type: 'fail',
      //             content: '您取消支付',
      //             });                    
      //         break;
      //         case '6002' :
      //             my.showToast({
      //             type: 'fail',
      //             content: '网络连接出错',
      //             });
      //         break;                    
      //     }
      //             },
      //             fail: function (n) {
      //                 my.showToast({
      //                     type: 'fail',
      //                     content: '支付失败',
      //                 });
      //             }
      //         });
      //20180916注释
      // if (payObj.package) {
      //     payObj.success = function (resp2) {
      //         my.confirm({
      //             title: '成功',
      //             content: '支付成功',
      //             showCancel: 0,
      //             success: function (res) {
      //                 if (res.confirm) {
      //                     console.log('用户点击确定');
      //                     my.redirectTo({ url: '/pages/seckill/seckill?index=1' });
      //                 }
      //             }
      //         });
      //     };
      //     payObj.fail = function (resp2) {
      //         console.log('支付方法调用失败,错误信息如下');
      //         console.log(resp2);
      //     };
      //     my.tradePay(payObj);
      // }
    };
    wx.request(api);
  },
  cancelOrder: function (e) {
    let that = this;
    my.confirm({
      title: '确认',
      content: '确定取消订单吗\uFF1F',
      success: function (confirm) {
        if (confirm.confirm) {
          let orderId = e.currentTarget.dataset.orderId;
          let api = secKillAPI.cancelOrder;
          api.data.openid = app.globalData.UserInfo.WeiXinOpenId;
          api.data.orderId = orderId;
          api.success = function (resp) {
            that.orderList();
          };
          wx.request(api);
        }
      }
    });
  }
}));