const wx = require('../../weidogs');
/* converted by appconverter    	      		  
   on Monday, August 27th, 2018, 2:55:03 PM
*/
function getDate() {
    var nowDate = new Date();
    var year = nowDate.getFullYear();
    var month = nowDate.getMonth() + 1 < 10 ? '0' + (nowDate.getMonth() + 1) : nowDate.getMonth() + 1;
    var day = nowDate.getDate() < 10 ? '0' + nowDate.getDate() : nowDate.getDate();
    var dateStr = year + '-' + month + '-' + day;
    return dateStr;
}
var app = getApp();
var $ = require('../../utils/util.js');
var templateMethods = require('../../utils/template_methods.js');
var decodeDataApi = require('../../api/decodeDataAPI');
var vipApi = require('../../api/vipAPI');
var smsApi = require('../../api/smsAPI');
Page(Object.assign({}, templateMethods, {
    data: {
        recharge_money: 0,
        ext_money: 0,
        ext_point: 0
    },
    onLoad: function () {
        let t = this;
        this.setMenu(this);
        app.globalData.getTop(t);
        this.getVipInfo();
    },
    getVipInfo() {
        let t = this;
        wx.request({
            url: vipApi.getVipInfo.url,
            data: Object.assign({}, { openid: app.globalData.UserInfo.WeiXinOpenId }, vipApi.getVipInfo.data),
            method: vipApi.getVipInfo.method,
            success: function (resp) {
                let data = resp.data;
                console.log(data);
                if (data.isVip) {
                    t.setData({
                        isVip: 1,
                        vipInfo: data.vipInfo,
                        vipSetting: data.vipSetting
                    });
                } else {
                    t.setData({
                        isVip: 0,
                        vipSetting: data.vipSetting
                    });
                }
            },
            fail() {
                my.confirm({
                    showCancel: false,
                    title: '提示',
                    content: '网络服务器错误\uFF0C请稍后重试'
                });
            }
        });
    },
    inputMoney(e) {
        let value = e.detail.value;
        let money = value;
        if (isNaN(value) || value == '' || value < 0) {
            this.setData({
                recharge_money: 0,
                ext_money: 0,
                ext_point: 0
            });
            return false;
        }
        money = parseInt(value);
        if (money > 100000000) {
            money = 100000000;
        }
        let set = this.data.vipSetting;
        let num = ~~(money / set.recharge_count);
        this.setData({
            recharge_money: money,
            ext_money: num * set.recharge_money,
            ext_point: num * set.recharge_point
        });
    },
    rechargeWrap(e) {
        if(this.data.recharge_money == ''){
            my.showToast({
                type: 'fail',
                content: '充值金额错误',
                duration: 1500,
            });
        }
        let formId = e.detail.formId;
        this.recharge(formId);
    },
    recharge(formId) {
        let t = this;
        if (this.data.recharge_money == 0) {
            return false;
        }
        let data = {
            openid: app.globalData.UserInfo.WeiXinOpenId,
            recharge_money: t.data.recharge_money,
            formId: formId
        };
        let api = vipApi.recharge;
        console.log(api);
        wx.request({
            url: api.url,
            data: Object.assign({}, data, api.data),
            method: 'POST',
            success: function (resp) {
                console.log('充值反馈', resp);
                //调用原生支付
                 if(resp.data.alipay_trade_create_response.code == '10000'){
                                my.tradePay({
                                    tradeNO: resp.data.alipay_trade_create_response.trade_no, //完整的支付参数拼接成的字符串，从服务端获取
                                    success: function (n) {
                                    switch(n.resultCode){
                                        case '9000' :
                                             t.doRedirectToMyPublish();
                                        break;
                                        case '4000':
                                            my.showToast({
                                            type: 'fail',
                                            content: '订单支付失败',
                                            });
                                        break;
                                        case '6001':
                                            my.showToast({
                                            type: 'fail',
                                            content: '您取消支付',
                                            });                    
                                        break;
                                        case '6002' :
                                            my.showToast({
                                            type: 'fail',
                                            content: '网络连接出错',
                                            });
                                        break;                    
                                    }
                                    },
                                    fail: function (n) {
                                        my.showToast({
                                        type: 'fail',
                                        content: '订单支付失败',
                                        });                 
                                    }
                                });
                            }else{
                                my.showToast({
                                    type:'fail',
                                    content:resp.data.alipay_trade_create_response.sub_msg
                                })
                            }
            }
        });
    }
}));