const wx = require('../../weidogs');
/* converted by appconverter    	      		  
   on Monday, August 27th, 2018, 2:55:03 PM
*/
var app = getApp();
let zhctApi = require('../../api/zhctAPI');
let myTools = require('../../utils/myTools');
var templateMethods = require('../../utils/template_methods.js');
let WxParse = require('../../wxParse/wxParse.js');
Page(Object.assign({}, {
    data: {},
    onLoad: function (options) {
        console.log('vvfbfjy',options)
        let t = this, td = t.data;
        this.setMenu(this);
        app.globalData.getTop();
        let main_color = wx.getStorageSync('zhct_main_color');
        if (!main_color) {
            wx.setStorageSync('main_color', '#fe5848');
            main_color = '#fe5848';
        }
        this.setData({
            main_color: main_color,
            editData_h: app.globalData.editData_h
        });
        t.setData({
            type: options.type,
            id: options.id,
            tableId: options.tableId
        });
        let api = zhctApi.getInfo;
        wx.request({
            url: api.url,
            data: { wid: api.data.wid },
            method: 'POST',
            success(resp) {
                let rData = resp.data;
                if (rData.status != 'success') {
                    my.confirm({
                        title: '错误',
                        content: rData.msg,
                        showCancel: 0
                    });
                } else {
                    let setting = rData.data;
                    let num_field_ls = [
                        'wm_min_price',
                        'wm_radius',
                        'wm_base_price',
                        'wm_base_distance',
                        'wm_ext_price',
                        'first_order_discount',
                        'lng',
                        'lat'
                    ];
                    for (let i = 0; i < num_field_ls.length; ++i) {
                        setting[num_field_ls[i]] = parseFloat(setting[num_field_ls[i]]);
                    }
                    t.setData({ setting: setting });
                    if (td.type == 1) {
                        t.getLocInfo();
                    }
                }
            },
            fail() {
                wx.showToast({
                    title: '网络错误',
                    mask: 1
                });
            }
        });
        let prodApi = zhctApi.getProd;
        wx.request({
            url: prodApi.url,
            data: {
                wid: prodApi.data.wid,
                type: options.type,
                id: options.id
            },
            method: 'POST',
            success(resp) {
                let rData = resp.data;
                if (rData.status != 'success') {
                    my.confirm({
                        title: '错误',
                        content: rData.msg,
                        showCancel: 0
                    });
                } else {
                    t.setData({ prod: rData.data });
                    WxParse.wxParse('pinfo', 'html', rData.data.desc, t);
                }
            },
            fail() {
                wx.showToast({
                    title: '网络错误',
                    mask: 1
                });
            }
        });
    },
    onShow: function () {
        let t = this, td = t.data;
        t.setData({
            cart_num: wx.getStorageSync('zhct_cart_num') || 0,
            cart_price: wx.getStorageSync('zhct_cart_price') || 0
        });
    },
    getLocInfo(e = null) {
        let t = this, td = t.data;
        my.getLocation({
            success(res) {
                console.log(res);
                // let lat1 = res.latitude;
                // let lng1 = res.longitude;
                let lat1 = res.latitude;
                let lng1 = res.longitude;
                let distance = myTools.geoDistance(lat1, lng1, td.setting.lat, td.setting.lng);
                let setDt = { distance: distance };
                let radius = parseFloat(td.setting.wm_radius);
                if (radius > 0 && distance > radius) {
                  
                    setDt.can_wm = false;
                      console.log('666',setDt)
                    t.setData(setDt);
                    my.confirm({
                        title: '提示',
                        //this.data.editData_h.waimai +
                        content: '您离店家太远\uFF0C' +  '小哥送不到哦',
                        showCancel: false
                    });
                } else {
                    setDt.can_wm = true;
                    let set = td.setting;
                    let base_price = parseFloat(set.wm_base_price);
                    let ext_distance = parseFloat(distance - parseFloat(set.wm_base_distance));
                    if (ext_distance > 0) {
                        base_price += parseFloat(set.wm_ext_price) * ext_distance;
                    }
                    setDt.wm_price = myTools.toMoney(base_price);
                    t.setData(setDt);
                    e && e();
                }
            },
            fail(err) {
                my.confirm({
                    title: '提示',
                    content: '请允许我们获取位置信息\uFF0C以方便进行配送\uFF0C否则无法进行' + this.data.editData_h.waimai + '下单',
                    showCancel: false,
                    success() {
                        my.openSetting({
                            success: au => {
                                t.getLocInfo();
                            }
                        });
                    }
                });
            }
        });
    },
    guige_select_bind: function (e) {
        let t = this, td = t.data, ds = e.currentTarget.dataset;
        let prod = td.prod;
        t.setData({
            show_guige: true,
            tmp_spIdx: 0,
            tmp_sp: prod.spec[0]
        });
    },
    select_attr_bind: function (e) {
        let t = this, td = t.data, ds = e.currentTarget.dataset;
        let spIdx = ds.idx;
        let sp = td.prod.spec[spIdx];
        t.setData({
            tmp_spIdx: spIdx,
            tmp_sp: sp
        });
    },
    attr_select_clost_bind: function () {
        this.setData({ show_guige: false });
    },
    bind_join_car: function (e) {
        let t = this, td = t.data;
        let prod = td.prod, spIdx = td.tmp_spIdx, sp = td.tmp_sp;
        let cart = wx.getStorageSync('zhct_cart');
        if (!cart) {
            cart = [];
        }
        let exists = false;
        let sd = { show_guige: false };
        for (let i = 0; i < cart.length; ++i) {
            let item = cart[i];
            if (item.prodId == prod.id && item.spIdx == spIdx) {
                item.num += 1;
                cart[i] = item;
                exists = true;
                break;
            }
        }
        if (!exists) {
            let item = {
                num: 1,
                prodId: prod.id,
                prod: prod,
                spIdx: spIdx,
                sp: sp
            };
            cart.push(item);
            sd.cart_num = td.cart_num + 1;
        }
        sd.cart_price = myTools.toMoney(parseFloat(td.cart_price) + parseFloat(sp.price));
        t.setData(sd);
        wx.setStorageSync('zhct_cart', cart);
        wx.setStorageSync('zhct_cart_num', td.cart_num);
        wx.setStorageSync('zhct_cart_price', td.cart_price);
    },
    cart_list_show_bind: function () {
        console.log('显示隐藏购物车');
        let t = this, td = t.data;
        if (!td.cart_list_isshow) {
            t.setData({ cart: wx.getStorageSync('zhct_cart') });
        }
        t.setData({ cart_list_isshow: !td.cart_list_isshow });
    },
    cart_delete_bind: function () {
        let t = this, td = t.data;
        my.confirm({
            title: '提示',
            content: '确认要清空购物车吗',
            confirmText: '确定',
            cancelText: '取消',
            success: function (res) {
                if (res.confirm == true) {
                    my.removeStorageSync('zhct_cart');
                    my.removeStorageSync('zhct_cart_num');
                    my.removeStorageSync('zhct_cart_price');
                    t.setData({
                        cart: [],
                        cart_num: 0,
                        cart_price: 0,
                        cart_list_isshow: false
                    });
                }
            }
        });
    },
    bind_cart_number_jian: function (e) {
        let t = this, td = t.data, ds = e.currentTarget.dataset;
        let idx = ds.index;
        let cart_price = wx.getStorageSync('zhct_cart_price');
        let cart_num = wx.getStorageSync('zhct_cart_num');
        let cart = wx.getStorageSync('zhct_cart');
        let cartItem = cart[idx];
        if (cart[idx].num <= 1) {
            cart.splice(idx, 1);
            cart_num -= 1;
        } else {
            cart[idx].num -= 1;
        }
        cart_price = myTools.toMoney(parseFloat(cart_price) - parseFloat(cartItem.sp.price));
        wx.setStorageSync('zhct_cart', cart);
        wx.setStorageSync('zhct_cart_price', cart_price);
        wx.setStorageSync('zhct_cart_num', cart_num);
        t.setData({
            cart_price: cart_price,
            cart_num: cart_num,
            cart: cart
        });
        if (cart.length == 0) {
            my.removeStorageSync('zhct_cart');
            my.removeStorageSync('zhct_cart_num');
            my.removeStorageSync('zhct_cart_price');
            t.setData({
                cart: [],
                cart_num: 0,
                cart_price: 0,
                cart_list_isshow: false
            });
        }
    },
    bind_cart_number_jia: function (e) {
        let t = this, td = t.data, ds = e.currentTarget.dataset;
        let idx = ds.index;
        let cart_price = wx.getStorageSync('zhct_cart_price');
        let cart_num = wx.getStorageSync('zhct_cart_num');
        let cart = wx.getStorageSync('zhct_cart');
        let cartItem = cart[idx];
        cart[idx].num += 1;
        cart_price = myTools.toMoney(parseFloat(cart_price) + parseFloat(cartItem.sp.price));
        wx.setStorageSync('zhct_cart', cart);
        wx.setStorageSync('zhct_cart_price', cart_price);
        wx.setStorageSync('zhct_cart_num', cart_num);
        t.setData({
            cart_price: cart_price,
            cart_num: cart_num,
            cart: cart
        });
    },
    bind_submit_order: function () {
        let t = this, td = t.data;
        let url = '/pages/zhct_order/zhct_order?type=' + td.type;
        if (td.type == 0) {
            console.log('0')
            url += '&tableId=' + td.tableId;
            my.navigateTo({ url: url });
        } else {
            t.getLocInfo(function () {
                my.navigateTo({ url: url });
            });
        }
    }
}, templateMethods));