const wx = require('../weidogs');
/* converted by appconverter    	      		  
   on Monday, August 27th, 2018, 2:55:02 PM
*/
var app = getApp();
module.exports = {
    setMenu(that) {
        try {
            let menuInfo = wx.getStorageSync('navigation');
            let hlIdx = that.highlightMenu();
            console.log('高亮', hlIdx);
            let dt = {};
            dt.highLightIndex = hlIdx;
            if (menuInfo) {
                dt.menuInfo = menuInfo;
            }
            console.log('缓存的底部导航',dt)
            that.setData(dt);
        } catch (e) {
            console.log('错误\uFF1A', e);
        }
    },
    highlightMenu() {
        let tmp_idx = wx.getStorageSync('tmp_current_menu_idx');
        if (!tmp_idx)
            return 0;
        return tmp_idx;
        let tmp_url = wx.getStorageSync('tmp_current_menu_url');
        if (!tmp_url)
            return 0;
        let pages = getCurrentPages();
        let currPage = pages[pages.length - 1];
        let currPageRoute = currPage.route;
        console.log('当前页面路由为', currPageRoute);
        let menuInfo = wx.getStorageSync('navigation');
        let hlIdx = null;
        for (let i = 0; i < menuInfo.dataList.length; i++) {
            let val = menuInfo.dataList[i];
            if (val.linkurl == tmp_url) {
                console.log('索引值',i)
                return i;
            }
        }
        return null;
    },
    phone(e) {
        var phone = e.currentTarget.dataset.phone;
        if (!phone) {
            phone = app.globalData.VendorInfo.LegalNumber;
        }
        my.makePhoneCall({
            number: phone,
            fail: function () {
                wx.showToast({
                    title: '拨打失败',
                    image: '../../assets/fail.png',
                    duration: 2000
                });
            }
        });
    },
    map(e) {
        var lat = e.currentTarget.dataset.lat;
        var lng = e.currentTarget.dataset.lng;
        var address = e.currentTarget.dataset.address;
        var name = e.currentTarget.dataset.name;
        console.log(app.globalData.VendorInfo);
        if (!lat) {
            lat = app.globalData.VendorInfo.WapLat;
            lng = app.globalData.VendorInfo.WapLng;
            address = app.globalData.VendorInfo.LegalAdress;
            name = app.globalData.VendorInfo.ShopName;
        }
        my.openLocation({
            latitude: lat - 0,
            longitude: lng - 0,
            scale: 28,
            name: name || '暂未填写',
            address: address || '暂未填写',
            fail: function () {
                wx.showToast({
                    title: '地图打开失败',
                    image: '../../assets/fail.png',
                    duration: 2000
                });
            }
        });
    },
    program: function (e) {
        var data = e.currentTarget.dataset.data;
        data = data.split(',');
        my.navigateToMiniProgram({
            appId: data[0],
            path: data[1],
            envVersion: 'release',
            complete() {
                console.log(data[1]);
            }
        });
    },
    web: function (e) {
        var webUrl = e.currentTarget.dataset.data;
        my.navigateTo({ url: '/pages/webView/webView?url=' + webUrl });
    },
    bind_menu_redirect_btn(e) {
        let url = e.currentTarget.dataset.url;
        let idx = e.currentTarget.dataset.idx;
        app.globalData.select = idx;
        //20180908 新增
        my.setStorageSync({
            key: 'tmp_current_menu_url',
            data: {
                url: url,
            }
        });
        my.setStorageSync({
            key: 'tmp_current_menu_idx',
            data: idx,
        });
        //20180908 注释
        // my.setStorageSync('tmp_current_menu_url', url);
        // my.setStorageSync('tmp_current_menu_idx', idx);
         my.redirectTo({ url: url });
    }
};