const wx = require('../weidogs');

function strNumDiscode(e) {
    return e = e.replace(/&forall;/g, '\u2200'), e = e.replace(/&part;/g, '\u2202'), e = e.replace(/&exists;/g, '\u2203'), e = e.replace(/&empty;/g, '\u2205'), e = e.replace(/&nabla;/g, '\u2207'), e = e.replace(/&isin;/g, '\u2208'), e = e.replace(/&notin;/g, '\u2209'), e = e.replace(/&ni;/g, '\u220B'), e = e.replace(/&prod;/g, '\u220F'), e = e.replace(/&sum;/g, '\u2211'), e = e.replace(/&minus;/g, '\u2212'), e = e.replace(/&lowast;/g, '\u2217'), e = e.replace(/&radic;/g, '\u221A'), e = e.replace(/&prop;/g, '\u221D'), e = e.replace(/&infin;/g, '\u221E'), e = e.replace(/&ang;/g, '\u2220'), e = e.replace(/&and;/g, '\u2227'), e = e.replace(/&or;/g, '\u2228'), e = e.replace(/&cap;/g, '\u2229'), e = e.replace(/&cap;/g, '\u222A'), e = e.replace(/&int;/g, '\u222B'), e = e.replace(/&there4;/g, '\u2234'), e = e.replace(/&sim;/g, '\u223C'), e = e.replace(/&cong;/g, '\u2245'), e = e.replace(/&asymp;/g, '\u2248'), e = e.replace(/&ne;/g, '\u2260'), e = e.replace(/&le;/g, '\u2264'), e = e.replace(/&ge;/g, '\u2265'), e = e.replace(/&sub;/g, '\u2282'), e = e.replace(/&sup;/g, '\u2283'), e = e.replace(/&nsub;/g, '\u2284'), e = e.replace(/&sube;/g, '\u2286'), e = e.replace(/&supe;/g, '\u2287'), e = e.replace(/&oplus;/g, '\u2295'), e = e.replace(/&otimes;/g, '\u2297'), e = e.replace(/&perp;/g, '\u22A5'), e = e.replace(/&sdot;/g, '\u22C5'), e;
}
function strGreeceDiscode(e) {
    return e = e.replace(/&Alpha;/g, 'Α'), e = e.replace(/&Beta;/g, 'Β'), e = e.replace(/&Gamma;/g, 'Γ'), e = e.replace(/&Delta;/g, 'Δ'), e = e.replace(/&Epsilon;/g, 'Ε'), e = e.replace(/&Zeta;/g, 'Ζ'), e = e.replace(/&Eta;/g, 'Η'), e = e.replace(/&Theta;/g, 'Θ'), e = e.replace(/&Iota;/g, 'Ι'), e = e.replace(/&Kappa;/g, 'Κ'), e = e.replace(/&Lambda;/g, 'Λ'), e = e.replace(/&Mu;/g, 'Μ'), e = e.replace(/&Nu;/g, 'Ν'), e = e.replace(/&Xi;/g, 'Ν'), e = e.replace(/&Omicron;/g, 'Ο'), e = e.replace(/&Pi;/g, 'Π'), e = e.replace(/&Rho;/g, 'Ρ'), e = e.replace(/&Sigma;/g, 'Σ'), e = e.replace(/&Tau;/g, 'Τ'), e = e.replace(/&Upsilon;/g, 'Υ'), e = e.replace(/&Phi;/g, 'Φ'), e = e.replace(/&Chi;/g, 'Χ'), e = e.replace(/&Psi;/g, 'Ψ'), e = e.replace(/&Omega;/g, 'Ω'), e = e.replace(/&alpha;/g, 'α'), e = e.replace(/&beta;/g, 'β'), e = e.replace(/&gamma;/g, 'γ'), e = e.replace(/&delta;/g, 'δ'), e = e.replace(/&epsilon;/g, 'ε'), e = e.replace(/&zeta;/g, 'ζ'), e = e.replace(/&eta;/g, 'η'), e = e.replace(/&theta;/g, 'θ'), e = e.replace(/&iota;/g, 'ι'), e = e.replace(/&kappa;/g, 'κ'), e = e.replace(/&lambda;/g, 'λ'), e = e.replace(/&mu;/g, 'μ'), e = e.replace(/&nu;/g, 'ν'), e = e.replace(/&xi;/g, 'ξ'), e = e.replace(/&omicron;/g, 'ο'), e = e.replace(/&pi;/g, 'π'), e = e.replace(/&rho;/g, 'ρ'), e = e.replace(/&sigmaf;/g, ''), e = e.replace(/&sigma;/g, 'σ'), e = e.replace(/&tau;/g, 'τ'), e = e.replace(/&upsilon;/g, 'υ'), e = e.replace(/&phi;/g, 'φ'), e = e.replace(/&chi;/g, 'χ'), e = e.replace(/&psi;/g, 'ψ'), e = e.replace(/&omega;/g, 'ω'), e = e.replace(/&thetasym;/g, 'θ'), e = e.replace(/&upsih;/g, 'Υ'), e = e.replace(/&piv;/g, 'π'), e = e.replace(/&middot;/g, '\xB7'), e;
}
function strcharacterDiscode(e) {
    return e = e.replace(/&nbsp;/g, ' '), e = e.replace(/&quot;/g, '\''), e = e.replace(/&amp;/g, '&'), e = e.replace(/&lt;/g, '<'), e = e.replace(/&gt;/g, '>'), e;
}
function strOtherDiscode(e) {
    return e = e.replace(/&OElig;/g, 'OE'), e = e.replace(/&oelig;/g, 'oe'), e = e.replace(/&Scaron;/g, 'S'), e = e.replace(/&scaron;/g, 's'), e = e.replace(/&Yuml;/g, '"Y'), e = e.replace(/&fnof;/g, 'f'), e = e.replace(/&circ;/g, '^'), e = e.replace(/&tilde;/g, '\u02DC'), e = e.replace(/&ensp;/g, ''), e = e.replace(/&emsp;/g, ''), e = e.replace(/&thinsp;/g, ''), e = e.replace(/&zwnj;/g, ''), e = e.replace(/&zwj;/g, ''), e = e.replace(/&lrm;/g, ''), e = e.replace(/&rlm;/g, ''), e = e.replace(/&ndash;/g, '\u2013'), e = e.replace(/&mdash;/g, '\u2014'), e = e.replace(/&lsquo;/g, '\u2018'), e = e.replace(/&rsquo;/g, '\u2019'), e = e.replace(/&sbquo;/g, '\u201A'), e = e.replace(/&ldquo;/g, '\u201C'), e = e.replace(/&rdquo;/g, '\u201D'), e = e.replace(/&bdquo;/g, '\u201E'), e = e.replace(/&dagger;/g, '\u2020'), e = e.replace(/&Dagger;/g, '\u2021'), e = e.replace(/&bull;/g, '\u2022'), e = e.replace(/&hellip;/g, '\u2026'), e = e.replace(/&permil;/g, '\u2030'), e = e.replace(/&prime;/g, '\u2032'), e = e.replace(/&Prime;/g, '\u2033'), e = e.replace(/&lsaquo;/g, '\u2039'), e = e.replace(/&rsaquo;/g, '\u203A'), e = e.replace(/&oline;/g, '\u203E'), e = e.replace(/&euro;/g, '\u20AC'), e = e.replace(/&trade;/g, '\u2122'), e = e.replace(/&larr;/g, '\u2190'), e = e.replace(/&uarr;/g, '\u2191'), e = e.replace(/&rarr;/g, '\u2192'), e = e.replace(/&darr;/g, '\u2193'), e = e.replace(/&harr;/g, '\u2194'), e = e.replace(/&crarr;/g, '\u21B5'), e = e.replace(/&lceil;/g, '\u2308'), e = e.replace(/&rceil;/g, '\u2309'), e = e.replace(/&lfloor;/g, '\u230A'), e = e.replace(/&rfloor;/g, '\u230B'), e = e.replace(/&loz;/g, '\u25CA'), e = e.replace(/&spades;/g, '\u2660'), e = e.replace(/&clubs;/g, '\u2663'), e = e.replace(/&hearts;/g, '\u2665'), e = e.replace(/&diams;/g, '\u2666'), e;
}
function strMoreDiscode(e) {
    return e = e.replace(/\r\n/g, ''), e = e.replace(/\n/g, ''), e = e.replace(/code/g, 'wxxxcode-style'), e;
}
function strDiscode(e) {
    return e = strNumDiscode(e), e = strGreeceDiscode(e), e = strcharacterDiscode(e), e = strOtherDiscode(e), e = strMoreDiscode(e), e;
}
function urlToHttpUrl(e, t) {
    var n = new RegExp('^//'), r = n.test(e);
    return r && (e = t + ':' + e), e;
}
module.exports = {
    strDiscode: strDiscode,
    urlToHttpUrl: urlToHttpUrl
};